	
	var SENDID = "00000001";//发送方ID
	var KEY = "83d7b121e335";//验证码

	//本地存储
	function saveString(table, key, str) {
		var pref = new $M.Preferences();
		pref.open(table);
		pref.put(key, str);
	}
	function getString(table, str) {
		var pref = new $M.Preferences();
		pref.open(table);
		return pref.get(str);
	}

	//接口连接  
	var requestM = {
		post : function(url, param, successFn, failureFn) {
			log("创建连接" + Utils.jsonToString(param));
			if (!Utils.isNetworkAvailable()) {
				failureFn("网络不可用，请检查网络设置");
			} else {
				log(url);
				var ajax = new $M.Ajax();
				ajax.setAction(url);
				ajax.setTimeout(15);
				var strLog = "";
				strLog = url + "?";
				for ( var key in param) {
					ajax.add(key, param[key]);
					log(key + "," + param[key]);
					strLog += key + "=" + param[key] + "&";
				}
				log("请求接口： " + strLog);
				ajax.submit(function(result) {
					successFn(result);
				}, function(error) {
					failureFn(error);
				});
			}
		}
	}
	//生成验证码
	function createKey(param, time) {
		var str = "";
		str = Utils.jsonToString(param) + KEY + time;
		//验证码
		var dataDigest = Utils.base64Encode(Utils.md5(str));
		dataDigest = dataDigest.replace("\n", "");
		return dataDigest;
	}

	//获取当前时间 
	function getTime() {
		var myDate = new Date();
		var year = myDate.getFullYear().toString();
		var month = (myDate.getMonth() + 1) < 10 ? "0"
				+ (myDate.getMonth() + 1).toString() : (myDate.getMonth() + 1)
				.toString();
		var day = myDate.getDate() < 10 ? "0" + myDate.getDate().toString()
				: myDate.getDate().toString();
		var hour = myDate.getHours() < 10 ? "0" + myDate.getHours().toString()
				: myDate.getHours().toString();
		var minutes = myDate.getMinutes() < 10 ? "0"
				+ myDate.getMinutes().toString() : myDate.getMinutes()
				.toString();
		var seconds = myDate.getSeconds() < 10 ? "0"
				+ myDate.getSeconds().toString() : myDate.getSeconds()
				.toString();
		return year + "-" + month + "-" + day + " " + hour + ":" + minutes
				+ ":" + seconds;
	}

	//创建文件夹
	function createDir() {
		var file = new $M.File(FILEPATH);
		if (!file.exists()) {
			file.mkdir();
		}
	}

	//重新初始化日历
	function clear() {
		Emp.contextData.setValue("position1", "");
		Emp.contextData.setValue("start", "");
		Emp.contextData.setValue("indexDate", "");
		Emp.contextData.setValue("datestart", "");
		Emp.contextData.setValue("cutoff", "");
		Emp.contextData.setValue("starts", "");
		Emp.contextData.setValue("weekdate", "");
		Emp.contextData.setValue("weekindex", "");
		Emp.contextData.setValue("date", "");
		Emp.contextData.setValue("index", "");
		Emp.contextData.setValue("dateover", "");
		Emp.contextData.setValue("monthindex", "");
		Emp.contextData.setValue("month", "");
		Emp.contextData.setValue("startmonthindex", "");
		Emp.contextData.setValue("startmonth", "");
		Emp.contextData.setValue("endmonthindex", "");
		Emp.contextData.setValue("endmonth", "");
		saveString('savedate', 'savedate', '');
		saveString('savedate', 'savedate2', '');
	}

	/** 
	 **	App闪屏功能部分
	 */
	var time1;
	var time2;
	// 程序切到后台
	$M.page.addEvent("onBackground", function() {
		log('程序切到后台时间: ' + getTime());
		// 程序切到后台时间
		uploadClickCounts();
		time1 = getTime().replace(/\-/g, "/");
		log(time1);
	});

	// 程序从后台进入前台
	$M.page.addEvent("onForceground", function() {
		log('程序从后台进入前台时间: ' + getTime());
		// 程序从后台进入前台时间
		time2 = getTime().replace(/\-/g, "/");
		time1 = new Date(time1);
		time2 = new Date(time2);
		log(time1);
		log(time2);
		log(time2 - time1);
		// 判断时间差是否超过5分钟
		// 闪屏有bug，先删掉了
		// if ((time2 - time1) >= 3000) {
		// 	// 进入闪屏页面
		// 	$M.page.goTo({
		// 		url : "/common/splashScreen.html",
		// 		params : {},
		// 		isDistroySelf : true,
		// 		animation : "fade"
		// 	});
		// }
	});
	
	//2020.8.6处理连点延迟工具方法
	Emp.Delay = { 
		start : function(time) {
			if (time == null) {
				toast("无延迟")
				return;
			}
			Emp.openUIEventDelay(time);
		},
		cancel : function() {
			Emp.closeUIEventDelay();
		}
	}

	Emp.ListViewDelay = {
		start : function(listview, time) {
		
			if (listview == null) {
				toast('无控件');
				return;
			}
			if (!time) {
				toast("无延迟")
				return;
			}
			if (Emp.isAndroid) {  
				listview.setMintime(time);
			}
		},
		cancel : function() {
			if (Emp.isAndroid()) {
				listview.setMintime("0");
			}
		}
	}


	/**
	 * 验证登录权限
	 * @author qs
	 * @time 20210112
	 * @param {Object} jsonObj 登录返回结果
	 * @desc 验证规则，满足以下规则即验证通过
	 *  1.是特殊领导权限；
	 *  2.权限包含BSV，但不仅仅是BSVADMIN；
	 */
	function checkauth(jsonObj) {
		log('开始验证，请稍等。。。')
		var flag = false
		if(jsonObj.user.reserved_1 && jsonObj.user.reserved_1 == 2) {
			// 验证规则1
			// 特殊领导权限，不用验证
			flag = true;
		} else {
			// 验证规则2
			// 验证BSVADMIN,BSV角色
			var permission = jsonObj.resourceList;
			log(permission)
			for (var i = 0; i < permission.length; i++) {
				log(permission[i].identitier)
				// 权限包含BSV,但不仅仅只有BSVADMIN  permission[i].identitier != "BSVADMIN"
				if (permission[i].identitier.indexOf('BSV') != -1) {
					// 只要有一个菜单满足,即可登录
					flag = true;
					break;
				}
			}
		}
		log('验证通过，可以登录。。。。。')
		
		return flag
	};
	
	// 查询是否显示平台性能监控
	function checkIsShowPTXNJK() {
		var time = getTime();
		var item = new Object();
		item.code = "APP_CONTROL";
		requestM.post(URL_CONTROL, {
			"sendID": SENDID,
			"timestamp": time,
			"msgBody": Utils.jsonToString(item),
			"dataDigest": createKey(item, time)
		}, function(result) {
			// log(result,"result---")
			var jsonResult = Utils.stringToJson(result);
			var jsonList = Utils.stringToJson(jsonResult.queryParamList.bicParamValue);
			var my_person_no = getString("ManageData", "person_no");
			log("我的人员编码：" + my_person_no)
			// 获取本地存储的权限菜单列表
			var permissionMenu = Utils.stringToJson(getString("ManageData", "permission"))
			for (var x = 0; x < jsonList.length; x++) {
				if (my_person_no === jsonList[x].code) {

						// 将平台性能监控,插入权限菜单,做统一控制
						permissionMenu.unshift({
							id: 2020082701,
							name: '平台性能监控',
							identitier: 'PTXNJK'
						})
					
				}
				log("平台性能监控：" + jsonList[x].code)
			}
			// 重新赋值,保存到本地
			saveString("ManageData", "permission", Utils.jsonToString(permissionMenu));
		

		
			
		}, function(error) {
			log('error ' + error);
		});
	}
	//上传点击量数据
	function uploadClickCounts(){
		log("1111111111")
		var phoneNumber = getString("ManageData", "phone");
		if (!getString(phoneNumber, "tjdata")) {
			return;
		}
		var dataList = getString(phoneNumber, "tjdata");
		if (dataList.length == 0) {
			return;
		}
		var nowTime = new Date().getTime();
		var time = getTime();
		var item = new Object();
		item.phone = phoneNumber;
		item.list = getString(phoneNumber, "tjdata");
		log("item:" + Utils.jsonToString(item))
		requestM.post(URL_YWLTJ_UPLOAD, {
			"sendID" : SENDID,
			"timestamp" : time,
			"msgBody" : Utils.jsonToString(item),
			"dataDigest" : createKey(item, time)
		}, function(result) {
			log('上传成功')
			log("resultsssssss:" + Utils.jsonToString(result))
			var result = Utils.stringToJson(result)
			if (result.resCode == "A00001" && result.msg == "success") {
				saveString(phoneNumber, "uploadTime", nowTime);
				cleanAll();
			}
		}, function(error) {
			log("失败了:" + error)
		});
	}
	
	Array.prototype.indexOf = function(val) { 
		for (var i = 0; i < this.length; i++) { 
			if (this[i] == val) return i; 
		} 
		return -1; 
	};
	Array.prototype.remove = function(val) { 
		var index = this.indexOf(val); 
		if (index > -1) { 
			this.splice(index, 1); 
		} 
	};
	




     Emp.page.render();