/**
 * 接口请求:成本库
 */



/*
 * 页面时间接口
 */
const requestDefaultPeriod = (data) => {
    return interface1({
        url: '/fiveboard/ap/app/queryDefaultPeriod',
        method: 'get',
        params: data,
    });
};


//-----------------------------------------总体
/*
 * 总体-表格数据接口 、 总体-要素动因及各环节表格
 */
const requestTableData = (data) => {
    return interface1({
        url: '/fiveboard/ap/app/unitCost',
        method: 'get',
        params: data,
    });
};

/*
 * 总体-地图、总体-省级-地图      五大环节-省级地图
 */
const requestMapData = (data) => {
    return interface1({
        url: '/fiveboard/ap/app/unitCostMap',
        method: 'get',
        params: data,
    });
};


/*
 * 总体-地图弹窗、总体-省级-地图弹窗
 */
const requestMapSelectedData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryGlobalMapPop',
		method: 'get',
		params: data,
	});
};

/*
 * 总体-单位成本变化趋势-全国
 */
const requestLineData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/unitCostTrendLine',
		method: 'get',
		params: data,
	});
};

/*
 * 总体-对比分析-全国
 */
const requestRadarData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/unitCostRadar',
		method: 'get',
		params: data,
	});
};

/*
 * 总体-省级-环节件均成本、要素动因     地市级-环节件均成本、要素动因
 */
const requestTableDataProv = (data) => {
   return interface1({
        url: '/fiveboard/ap/app/unitCostProvince',
        method: 'get',
        params: data,
    });
};

/*
 * 总体-省级-成本变化趋势   地市级-成本变化趋势      五大环节-省级-地市级-成本变化趋势图
 */
const requestLineDataPro = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/unitCostTrendLineByProvCity',
		method: 'get',
		params: data,
	});
};

/*
 * 总体-省级-对比分析 、 地市级-对比分析
 */
const requestRadarDataPro = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/unitCostRadarProvince',
		method: 'get',
		params: data,
	});
};






//----------------------------------五大环节接口


/*
 * 全国 -件均成本、要素动因       全国-国内航空单位成本    指标展示-全国-环节件均成本
 */
const requestSegmentTableData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryGlobalSegmentUnitCostByItemCode',
		method: 'get',
		params: data,
	});
};
/*
 * 全国 -件均成本对比   与总体-全国对比分析是同一接口
 */
//const requestRadarData = (data) => {
//	return interface1({
//		url: '/fiveboard/ap/app/unitCostRadar',
//		method: 'get',
//		params: data,
//	});
//};

/*
 * 全国-件均成本分布地图
 */
const requestSegmentMapData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/appUnitCost',
		method: 'get',
		params: data,
	});
};

/*
 * 全国-件均成本分布地图弹窗
 */
const requestSegmentMapSelectedData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryMapPop',
		method: 'get',
		params: data,
	});
};
/*
 * 全国-件均成本趋势  与 总体-单位成本变化趋势-全国一样
 */
//const requestLineData = (data) => {
//	return interface1({
//		url: '/fiveboard/ap/app/unitCostTrendLine',
//		method: 'get',
//		params: data,
//	});
//};

/*
 * 全国-件均成本构成  省级-地市级-件均成本构成
 */
const requestSegmentPieData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryCostPieChart',
		method: 'get',
		params: data,
	});
};


/*
 * 省级-地市级-分环节件均成本、要素动因
 */
const requestSegmentTableDataPro = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryProvinceSegmentUnitCostByItemCode',
		method: 'get',
		params: data,
	});
};

/*
 * 省级-地市级-成本变化趋势图
 */
//const requestLineDataPro = (data) => {
//	return interface1({
//		url: '/fiveboard/ap/app/unitCostTrendLineByProvCity',
//		method: 'get',
//		params: data,
//	});
//};


/*
 * 省级-地图
 */
const requestMapUnitProvData = (data) => {
    return interface1({
        url: '/fiveboard/ap/app/appUnitCostProvince',
        method: 'get',
        params: data,
    });
};

/*
 * 省级-地市级-件均成本对比
 */
const requestSegmentRadarDataPro = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/unitItemBar',
		method: 'get',
		params: data,
	});
};

/*
 * 省级-地市级-件均成本构成
 */
//const requestSegmentPieData = (data) => {
//	return interface1({
//		url: '/fiveboard/ap/app/queryCostPieChart',
//		method: 'get',
//		params: data,
//	});
//};


/*
 * 省级-地市级-件均成本分布地图弹窗
 */
const requestSegmentMapSelectedDataPro = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryMapPopProvince',
		method: 'get',
		params: data,
	});
};

/*
 * 全国-国内航空单位成本
 */
//const requestSegmentTableData = (data) => {
//	return interface1({
//		url: '/fiveboard/ap/app/queryGlobalSegmentUnitCostByItemCode',
//		method: 'get',
//		params: data,
//	});
//};





//--------------------------------------  指标展示

/*
 * 全国-环节件均成本
 */
//const requestSegmentTableData = (data) => {
//	return interface1({
//		url: '/fiveboard/ap/app/queryGlobalSegmentUnitCostByItemCode',
//		method: 'get',
//		params: data,
//	});
//};


/*
 *省级-环节件均成本
 */
const requestSegmentTableDataProv = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryProvSegmentUnitCostByItemCode',
		method: 'get',
		params: data,
	});
};

/*
 * 全国-省-环节件均成本指标说明弹窗
 */
const requestItemDescData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryItemDesc',
		method: 'get',
		params: data,
	});
};

/*
 * 全国-省级-指标排名
 */
const requestRangeData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryProvRangeByItemCode',
		method: 'get',
		params: data,
	});
};

/*
 * 全国-省级-目标差异图表
 */
const requestDiffChartData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryProvTargetDiffCharByItemCode',
		method: 'get',
		params: data,
	});
};

/*
 * 全国-省级-目标差异列表
 */
const requestDiffTableData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryProvTargetDiffTableByItemCode',
		method: 'get',
		params: data,
	});
};



/*
 * 全国-省级-同比环比
 */
const requestCompareData = (data) => {
	return interface1({
		url: '/fiveboard/ap/app/queryProvComputeDiffCharByItemCode',
		method: 'get',
		params: data,
	});
};





