Vue.component('pagination', {
	data() {
		return {

		}
	},
	props: {
		total: Number, // 总数
		currentPage: Number, // 当前页数
		pageCount: Number, // 总页数
		// 模式，1-全部显示，2-仅显示页，3-仅显示当前页
		mode: {
			type: Number,
			default: 1
		}
		
	},
	template: `
		<div class="paging" style="padding: 5px 8px;background-color: red;position: fixed;z-index: 9999;bottom: 20px;left: 50%;transform: translateX(-50%);text-align: center;border-radius: 25px;font-size: 12px;background-color: rgba(0,0,0,.6);color: #fff;">
			<span v-if="mode == 1 || mode == 2"> {{ currentPage }} </span>  
			<span v-if="mode == 3"> 第 {{ currentPage }} 页</span> 
			<span v-if="mode == 1 || mode == 2"> / {{ pageCount }} 页</span>  
			<span v-if="mode == 1"> , 总计 : {{ total }} 条</span>
		</div>
	`
})