/**
 * 2020/11/18
 * 接口请求: 五大看板-成本-车管
 */

/*
 * 车辆运营成本
 */
const vehicleManagementCost = (data) => {
    return interface1({
        url: '/fiveboard/transcost/queryCost',
        method: 'get',
        params: data,
    })
};
const requestQueryByMonth = (data) => {
    return interface1({
        url: 'bsv/landVehicleOperateCostIndex/queryByMonth',
        method: 'get',
        params: data,
    })
};

/*
 * 百公里成本
 */
const requestCostPerHandredKm = (data) => {
    return interface1({
        url: 'bsv/hundredskilometerscost/queryByProCode',
        method: 'get',
        params: data,
    })
};

/*
 * 吨公里成本
 */
const requestCostPerTonKm = (data) => {
    return interface1({
        url: 'bsv/tonkilometerscost/queryByProCode',
        method: 'get',
        params: data,
    })
};

/*
 * 载运率
 */
const requestCostCarryRate = (data) => {
    return interface1({
        url: '/fiveboard/transcost/queryRate',
        method: 'get',
        params: data,
    })
};

