/**
 * 2020/11/18
 * 接口请求: 五大看板-市场-扫码投递支付
 */

/*
 * 投递扫码支付入口
 */
const queryPostData = (data) => {
    return interface1({
        url: '/fiveboard/postpay/queryPostData',
        method: 'get',
        params: data,
    })
};

/*
 * 投递支付收款情况
 */
const queryDeliveryPay = (data) => {
    return interface1({
        url: '/fiveboard/postpay/queryDeliveryPay',
        method: 'get',
        params: data,
    })
};

/*
 * 现金收款缴存情况
 */
const queryCollectionPay = (data) => {
    return interface1({
        url: '/fiveboard/postpay/queryCollectionPay',
        method: 'get',
        params: data,
    })
};

/*
 * 现金妥投缴款概率
 */
const queryVotePay = (data) => {
    return interface1({
        url: '/fiveboard/postpay/queryVotePay',
        method: 'get',
        params: data,
    })
};

/*
 * 投递支付收款排名
 */
const queryDeliveryPayRank = (data) => {
    return interface1({
        url: '/fiveboard/postpay/queryDeliveryPayRank',
        method: 'get',
        params: data,
    })
};

/*
 * 现金收款缴存排名
 */
const queryCollectionPayRank = (data) => {
    return interface1({
        url: '/fiveboard/postpay/queryCollectionPayRank',
        method: 'get',
        params: data,
    })
};

/*
 * 现金妥投缴款率排名
 */
const queryVotePayRank = (data) => {
    return interface1({
        url: '/fiveboard/postpay/queryVotePayRank',
        method: 'get',
        params: data,
    })
};

