/**
 * 接口请求: 五大看板-服务体系
 */

/*
 * 服务体系首页
 */
const requestCitiesSUS = (data) => {
    return interface1({
        url: '/fiveboard/speedinglimit/getCitiesSpeedUpSummary',
        method: 'get',
        params: data,
    });
};
const getPkptimelyDetailByAreaCode = (data) => {
    return interface1({
        url: '/fiveboard/pkptimelyx/getPkptimelyDetailByAreaCode',
        method: 'get',
        params: data,
    });
};
//服务体系汇总
const getServiceSystemStatics = (data) => {
    return interface1({
        url: '/fiveboard/servicesystem/statics/getServiceSystemStatics',
        method: 'get',
        params: data,
    });
};

//散户订单及时揽收成功率
// --按区域查询散户订单及时揽收成功率
const selectCustomOrderTimely = (data) => {
    return interface1({
        url: '/fiveboard/retailorder/selectCustomOrderTimely',
        method: 'get',
        params: data,
    });
};
//--散户订单及时揽收成功率-最差揽投部
const selectSuccessfulCollectionByCode = (data) => {
    return interface1({
        url: '/fiveboard/retailorder/selectSuccessfulCollectionByCode',
        method: 'get',
        params: data,
    });
};
//--散户订单及时揽收成功率-PDA直派率
const selectPdaDirectFactionByCode = (data) => {
    return interface1({
        url: '/fiveboard/pdaDirect/selectPdaDirectFactionByCode',
        method: 'get',
        params: data,
    });
};

//--散户订单及时揽收成功率趋势图
const selectServiceAgreeTrend = (data) => {
    return interface1({
        url: '/fiveboard/retailorder/selectServiceAgreeTrend',
        method: 'get',
        params: data,
    });
};


//--散户订单及时揽收成功率-PDA直派率趋势图
const selectPdaDirectFactionTrendByDate = (data) => {
    return interface1({
        url: '/fiveboard/pdaDirect/selectPdaDirectFactionTrendByDate',
        method: 'get',
        params: data,
    });
};

//协议客户及时揽收成功率
//--按区域查询协议客户及时揽收成功率
const getAgreeCustomDetailByArea = (data) => {
    return interface1({
        url: '/fiveboard/agreeCustom/getAgreeCustomDetailByArea',
        method: 'get',
        params: data,
    });
};

//--协议客户及时揽收成功率-最差揽投部
const getTheWorstAgreeCustom = (data) => {
    return interface1({
        url: '/fiveboard/agreeCustom/getTheWorstAgreeCustom',
        method: 'get',
        params: data,
    });
};
//--协议客户及时揽收成功率-PDA直派率
const getPdaAgree = (data) => {
    return interface1({
        url: '/fiveboard/agreeCustom/getPdaAgree',
        method: 'get',
        params: data,
    });
};
//--协议客户及时揽收成功率趋势图
const getAgreeCustomTrending = (data) => {
    return interface1({
        url: '/fiveboard/agreeCustom/getAgreeCustomTrending',
        method: 'get',
        params: data,
    });
};
//协议客户及时揽收成功率-PDA直派率趋势图
const getPdaTrending = (data) => {
    return interface1({
        url: '/fiveboard/agreeCustom/getPdaTrending',
        method: 'get',
        params: data,
    });
};

//异常邮件及时解决率
//--异常邮件及时解决率趋势图
const selectErrorMailTimelyTrendVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/errormail/selectErrorMailTimelyTrendVoByDate',
        method: 'get',
        params: data,
    });
};
//--按区域查询异常邮件及时解决率
const selectErrorMailTimelyVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/errormail/selectErrorMailTimelyVoByDate',
        method: 'get',
        params: data,
    });
};
//--异常邮件及时解决率-最差处理中心
const selectWorstCaseProcessingCenterVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/errormail/selectWorstCaseProcessingCenterVoByDate',
        method: 'get',
        params: data,
    });
};
//--异常邮件及时解决率-最差揽投部
const selectWorstCollectAbnormalMailVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/errormail/selectWorstCollectAbnormalMailVoByDate',
        method: 'get',
        params: data,
    });
};

/*
 * 智能跟单异常发生率 (按区域)
 */
/*
 * --区域 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getIntelligenceByArea = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getIntelligenceByArea',
        method: 'get',
        params: data,
    });
};
/*
 * --最差揽投部 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getTheWorstDept = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getTheWorstDept',
        method: 'get',
        params: data,
    });
};
/*
 * --最差处理中心 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getTheWorstHandleCenter = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getTheWorstHandleCenter',
        method: 'get',
        params: data,
    });
};
/*
 * --重点管控异常 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getTheControlsAbnormal = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getTheControlsAbnormal',
        method: 'get',
        params: data,
    });
};
/*
 * --智能跟单异常发生率排名 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getIntelligenceRank = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getIntelligenceRank',
        method: 'get',
        params: data,
    });
};
/*
 * --智能跟单异常发生率趋势图 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getIntelligenceTrend = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getIntelligenceTrend',
        method: 'get',
        params: data,
    });
};


/*
 * 智能跟单异常发生率 --- (按机构查询)
 */
/*
 * --智能跟单异常发生率-最差处理中心-按机构查询明细 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getHandleCenterAbnormal = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getHandleCenterAbnormal',
        method: 'get',
        params: data,
    });
};
/*
 * --智能跟单异常发生率-最差揽投部-按机构查询明细 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getWorstDeptAbnormal = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getWorstDeptAbnormal',
        method: 'get',
        params: data,
    });
};
/*
 * --智能跟单异常发生率-重点管控异常-按异常情形查询明细  //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getControlsAbnormalDetailByReason = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getControlsAbnormalDetailByReason',
        method: 'get',
        params: data,
    });
};
/*
 * --重点管控环节 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getControlsPart = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getControlsPart',
        method: 'get',
        params: data,
    });
};
/*
 * --重点管控环节-Top10机构 //全部：0 特快：1 快包：2 国际ems：3 国际包裹：4
 */
const getDeptTop10ByPart = (data) =>
{
    return interface1({
        url: '/fiveboard/servicesystem/intelligence/getDeptTop10ByPart',
        method: 'get',
        params: data,
    });
};





/*
 * 问题邮件一次及时解决率趋势图
 */
const getProblemMailTrending = (data) => {
    return interface1({
        url: '/fiveboard/problemmail/getProblemMailTrending',
        method: 'get',
        params: data,
    });
};
/*
 * 问题邮件一次及时解决率区域查询
 */
const getProblemMailDetailByArea = (data) => {
    return interface1({
        url: '/fiveboard/problemmail/getProblemMailDetailByArea',
        method: 'get',
        params: data,
    });
};

/*
 * 问题邮件一次及时解决率最差区域客服查询
 */
const getProblemMailTheWorstAreaCustomer = (data) => {
    return interface1({
        url: '/fiveboard/problemmail/getProblemMailTheWorstAreaCustomer',
        method: 'get',
        params: data,
    });
};
/*
 * 问题邮件一次及时解决率最差协同客服
 */
const getProblemMailTheWorstTeamCustomer = (data) => {
    return interface1({
        url: '/fiveboard/problemmail/getProblemMailTheWorstTeamCustomer',
        method: 'get',
        params: data,
    });
};
/*
 * 问题邮件一次及时解决率客户投诉无效处理率
 */
const getProblemMailCustomComplain= (data) => {
    return interface1({
        url: '/fiveboard/problemmail/getProblemMailCustomComplain',
        method: 'get',
        params: data,
    });
};
/*
 * 问题邮件一次及时解决率排名
 */
const getProblemMailRankingByArea = (data) => {
    return interface1({
        url: '/fiveboard/problemmail/getProblemMailRankingByArea',
        method: 'get',
        params: data,
    });
};




/*
 * 理赔及时率趋势图查询
 */
const getClaimTimelyRateTrend = (data) => {
    return interface1({
        url: '/fiveboard/settlement/queryClaimTimelyRateTrend',
        method: 'get',
        params: data,
    });
};


/*
 * 理赔及时率区域查询
 */
const getClaimTimelyRateByArea = (data) => {
    return interface1({
        url: '/fiveboard/settlement/queryClaimTimelyRateByArea',
        method: 'get',
        params: data,
    });
};

/*
 * 理赔及时率最差区域客服查询
 */
const getClaimTimelyRateWorstArea = (data) => {
    return interface1({
        url: '/fiveboard/settlement/queryClaimTimelyRateWorstArea',
        method: 'get',
        params: data,
    });
};
/*
 * 理赔及时率保价业务量占比
 */
const getInsureMailVolume = (data) => {
    return interface1({
        url: '/fiveboard/settlement/queryInsureMailVolume',
        method: 'get',
        params: data,
    });
};
/*
 * 理赔及时率排名查询
 */
const getClaimTimelyRateRank= (data) => {
    return interface1({
        url: '/fiveboard/settlement/queryClaimTimelyRateRank',
        method: 'get',
        params: data,
    });
};
/*
 *  客户投诉率
 */
/*
 * --区域
 */
const selectCustomcomplainVoByDate= (data) => {
    return interface1({
        url: '/fiveboard/customcomplain/selectCustomcomplainVoByDate',
        method: 'get',
        params: data,
    });
};
/*
 * --最差处理中心
 */
const selectWorstHandleComplainVoByDate= (data) => {
    return interface1({
        url: '/fiveboard/customcomplain/selectWorstHandleComplainVoByDate',
        method: 'get',
        params: data,
    });
};
/*
 * --最差揽投部
 */
const selectWorstCollectComplainVoByDate= (data) => {
    return interface1({
        url: '/fiveboard/customcomplain/selectWorstCollectComplainVoByDate',
        method: 'get',
        params: data,
    });
};
/*
 * --重点管控投诉
 */
const selectKeyControlComplainVoByDate= (data) => {
    return interface1({
        url: '/fiveboard/customcomplain/selectKeyControlComplainVoByDate',
        method: 'get',
        params: data,
    });
};
/*
 * --客户投诉率排名
 */
const selectCustomcomplainRankVoByDate= (data) => {
    return interface1({
        url: '/fiveboard/customcomplain/selectCustomcomplainRankVoByDate',
        method: 'get',
        params: data,
    });
};
/*
 * --客户投诉率-最差处理中心-Top10投诉要点
 */
const getComplainPointTop10ByHandleCenter= (data) => {
    return interface1({
        url: '/fiveboard/customcomplain/getComplainPointTop10ByHandleCenter',
        method: 'get',
        params: data,
    });
};
/*
 * --客户投诉率-最差揽投部-Top10投诉要点
 */
const getComplainPointTop10ByDept= (data) => {
    return interface1({
        url: '/fiveboard/customcomplain/getComplainPointTop10ByDept',
        method: 'get',
        params: data,
    });
};
/*
 * --客户投诉率-重点管控异常-Top10机构
 */
const selectKeyControlLinksByDate= (data) => {
    return interface1({
        url: '/fiveboard/customcomplain/selectKeyControlLinksByDate',
        method: 'get',
        params: data,
    });
};
/*
 * --客户投诉率趋势图
 */
const selectCustomcomplainTrendVoByDate= (data) => {
    return interface1({
        url: '/fiveboard/customcomplain/selectCustomcomplainTrendVoByDate',
        method: 'get',
        params: data,
    });
};
/*
 * 散户订单及时揽收成功率排名
 */
const selectSuccessfulCollectionRankByDate = (data) => {
    return interface1({
        url: '/fiveboard/retailorder/selectSuccessfulCollectionRankByDate',
        method: 'get',
        params: data,
    });
};
/*
 * 协议客户及时揽收成功率排名
 */
const getAgreeCustomRankingByArea = (data) => {
    return interface1({
        url: '/fiveboard/agreeCustom/getAgreeCustomRankingByArea',
        method: 'get',
        params: data,
    });
};
/*
 * 异常邮件及时解决率排名
 */
const selectErrorMailTimelyRankVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/errormail/selectErrorMailTimelyRankVoByDate',
        method: 'get',
        params: data,
    });
};
