var useTrend = {
	props: ['show','currentTab','month','monthType'],
	data(){
		return {
			active: 0,
		   	children: [
		   	           {
		   	        	   name: '全部',
		   	        	   level: 0,
		   	           },{
		   	        	   name: '总部',
		   	        	   level: 1,
		   	           },{
		   	        	   name: '省',
		   	        	   level: 2,
		   	           },{
		   	        	   name: '市',
		   	        	   level: 3,
		   	           },
		   	           ],
		};
	},
    template: `
    	<div>
			<van-tabs :class="[currentTab === 2 ? 'blue-van-tabs' : 'blue-no']" v-model="active">
				<van-tab v-for="(item,i) in children" :title="item.name">
					<trend
						:show="show && active === i"
						:month="month"
						:month-type="monthType"
						:level="item.level"
					/>
				</van-tab>
			</van-tabs>
    	</div>
    `,
};