var regionalHot = {
	props: ['show','d','dt','m','mt'],
	data(){
		return {
			active: 0,
		};
	},
	watch: {
	},
	methods: {
		changedType: function(changedType){
			if(this.show){
				this.active = changedType == 'day' ? 0 : 1;
			}
		},
		selectDate: function(arg){
			this.active = arg;
		},
	},
	mounted() {
		let w = document.documentElement.clientWidth || document.body.clientWidth;
		let h = document.documentElement.clientHeight || document.body.clientHeight;
		h -= (w*100) / 375 * 0.45;
		this.$refs.refRH.style.height = h + 'px';
	},
    template: `
    	<div ref="refRH" style="position:relative;background:#FFF;">
			<div v-show="active == 0">
				<regional
					:show="show && active == 0"
					:month="d"
					:monthType="dt"
					:parent-show="show"
				/>
			</div>
			<div v-show="active == 1">
				<regional
					:show="show && active == 1"
					:month="m"
					:monthType="mt"
					:parent-show="show"
				/>
			</div>
			<div style="background-color:#FFF;width:100%;padding: 0.1rem 0rem;position:absolute;bottom:0px;left:0px;z-index:10;">
				<div class="dateParent">
					<span :class="[active == 0 ? 'dateSelected' : 'dateUnSelected']" style="border-radius: 8px 0 0 8px;" @click="selectDate(0)">日</span>
					<span :class="[active == 1 ? 'dateSelected' : 'dateUnSelected']" style="border-radius: 0 8px 8px 0;" @click="selectDate(1)">月</span>
				</div>
			</div>
    	</div>
    `,
};