var productTrend = {
	props: ['show','month','monthType','productType'],
	data(){
		return {
			active: 1,
		};
	},
	watch: {
	},
	methods: {
		switchScope: function(i){
			this.active = i;
		},
	},
	created() {
	},
	mounted() {
	},
    template: `
    	<div style="background: #FFF;">
			<div style="width:100%;height:1px;background:#E5E5E5"></div>
			<p style="display: none;line-height: 0.18rem;margin: 0.12rem 0.12rem 0.04rem 0.12rem;">
				<span style="font-size:0.1rem;color:#333;">
					次日递率/全程时限达成率
				</span>
				<span style="display: inline-flex;border: 1px solid #E0E0E0;border-radius: 0.09rem;padding: 0px 5px;align-items: center;">
					<span :style="{fontSize:'0.1rem',color:active == 0 ? '#3377FF' : '#333'}" @click="switchScope(0)">
						(ABC-ABC)
					</span>
					<div style="width:1px;height: 0.1rem;background: #E0E0E0;margin: 0px 4px"></div>
					<span :style="{fontSize:'0.1rem',color:active == 1 ? '#3377FF' : '#333'}" @click="switchScope(1)">
						(ABCD-ABCD)
					</span>
				</span>
			</p>
			<van-tabs v-model="active">
				<van-tab>
					<trend
						:show="show && active == 0"
						:m="month"
						:mt="monthType"
						:product-type="productType"
						scope-services="A"
						@switchScope="switchScope"
						:active="active"
						/>
				</van-tab>
				<van-tab>
					<trend
						:show="show && active == 1"
						:m="month"
						:mt="monthType"
						:product-type="productType"
						scope-services="B"
						@switchScope="switchScope"
						:active="active"
						/>
				</van-tab>
			</van-tabs>
    	</div>
    `,
};