var productType = {
	components: {
		'card-a': cardA,
		'card-b': cardB,
		'run-text': runText,
	},
	props: ['show','m','mt','productType'],
	data(){
		return {
			month: '',
			monthType: '',
		    runShow: false,
		    runMsg: '当前日期的数据暂未更新呢！',
		   	noData:false,
		   	isShowDialog:false,
		   	dialogTitle: '',
		   	dialogList: [],
		   	list: [],
		   	adaptA: ['A20','A15','A16'],
		   	nameMap: {
		   		'A01': '特快长三角全程时限达成率',
		   		'A02': '快包长三角全程时限达成率',
		   		'A03': '特快华北区域全程时限达成率',
		   		'A04': '快包华北区域全程时限达成率',
		   		'A05': '特快华南区域全程时限达成率',
		   		'A06': '快包华南区域全程时限达成率',
		   		'A07': '特快东北区域全程时限达成率',
		   		'A08': '快包东北区域全程时限达成率',
		   		'A09': '特快西南区域全程时限达成率',
		   		'A10': '快包西南区域全程时限达成率',
		   		'A11': '特快中部区域全程时限达成率',
		   		'A12': '快包中部区域全程时限达成率',
		   		'A13': '特快西北区域全程时限达成率',
		   		'A14': '快包西北区域全程时限达成率',
		   		'A15': '特快省内互寄次日递率',
		   		'A16': '快包省内互寄次日递率',
		   		'A20': '特快62城市次日递率',
		   	},
		   	targetMap: {
		   		'B': {
		   			'A20': 85,
		   		},
		   		'K': {
		   			
		   		},
		   	},
		   	fwfwMap: {
		   		'A': "(ABC-ABC)",
		   		'B': "(ABCD-ABCD)",
		   	},
		   	descMap: {
		   		'A01': {'des': ['城市范围：江苏、浙江、上海、安徽','服务范围：ABCD-ABCD（含同城）','投递类型：妥投-含节假日视同妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A02': {'des': ['城市范围：江苏、浙江、上海、安徽','服务范围：ABCD-ABCD（含同城）','投递类型：妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A03': {'des': ['城市范围：北京、天津、河北、山西、山东','服务范围： ABCD-ABCD（含同城）','投递类型：妥投-含节假日视同妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A04': {'des': ['城市范围：北京、天津、河北、山西、山东','服务范围： ABCD-ABCD（含同城）','投递类型：妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A05': {'des': ['城市范围：福建、广东、广西、海南','服务范围： ABCD-ABCD (含同城)','投递类型：妥投-含节假日视同妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A06': {'des': ['城市范围：福建、广东、广西、海南','服务范围： ABCD-ABCD (含同城)','投递类型：妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A07': {'des': ['城市范围：辽宁、吉林、黑龙江、内蒙古','服务范围： ABCD-ABCD (含同城)','投递类型：妥投-含节假日视同妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A08': {'des': ['城市范围：辽宁、吉林、黑龙江、内蒙古','服务范围： ABCD-ABCD (含同城)','投递类型：妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A09': {'des': ['城市范围：重庆、四川、贵州、云南','服务范围： ABCD-ABCD (含同城)','投递类型：妥投-含节假日视同妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A10': {'des': ['城市范围：重庆、四川、贵州、云南','服务范围： ABCD-ABCD (含同城)','投递类型：妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A11': {'des': ['城市范围：江西、河南、湖北、湖南','服务范围： ABCD-ABCD (含同城)','投递类型：妥投-含节假日视同妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A12': {'des': ['城市范围：江西、河南、湖北、湖南','服务范围： ABCD-ABCD (含同城)','投递类型：妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A13': {'des': ['城市范围：西藏、陕西、甘肃、青海、宁夏、新疆','服务范围： ABCD-ABCD (含同城)','投递类型：妥投-含节假日视同妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A14': {'des': ['城市范围：西藏、陕西、甘肃、青海、宁夏、新疆','服务范围： ABCD-ABCD (含同城)','投递类型：妥投','统计方式：投递','标准计算方式：按投递日','按时限标准计算达成率。数据源为全程时限达成率（通报）','总体统计：分母中按时限标准妥投量/总妥投邮件量','按出口城市统计：分母中按时限标准妥投量/出口城市收寄到方案内所有城市妥投邮件总量','按进口城市统计：分母中按时限标准妥投量/方案内所有城市寄达到进口城市妥投邮件总量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['当天更新T-1数据']},
		   		'A15': {'des': ['服务范围： ABC-ABC (含同城)。(按截邮后纳入次日统计)按收寄统计','全国统计：所有省内互寄邮件中，当日收寄且当日及次日妥投邮件量/当日收寄的省内互寄邮件量','省统计值：出口省省内互寄邮件中，当日收寄且当日及次日妥投邮件量/当日收寄的出口省省内互寄邮件量','市统计值：出口地市省内互寄邮件中，当日收寄且当日及次日妥投邮件量/当日收寄的本省出口地市省内互寄邮件量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['按日统计时，展示T-1日统计结果，指标数据为T-4日收寄邮件的次日递率']},
		   		'A16': {'des': ['服务范围： ABC-ABC (含同城)。(按截邮后纳入次日统计)按收寄统计','全国统计：所有省内互寄邮件中，当日收寄且当日及次日妥投邮件量/当日收寄的省内互寄邮件量','省统计值：出口省省内互寄邮件中，当日收寄且当日及次日妥投邮件量/当日收寄的出口省省内互寄邮件量','市统计值：出口地市省内互寄邮件中，当日收寄且当日及次日妥投邮件量/当日收寄的本省出口地市省内互寄邮件量'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['按日统计时，展示T-1日统计结果，指标数据为T-4日收寄邮件的次日递率']},
		   		'A20': {'des': ['服务范围：(A-A)即A类机构到A类机构(不含同城)。按收寄统计','总体统计：当日收寄且当日及次日妥投量/当日收寄邮件量','按出口城市统计：出口城市到方案内所有寄达城市,当日收寄且当日及次日妥投/出口城市方案内出口的当日收寄邮件总量','按出口、进口城市统计：出口城市到进口方案内,当日收寄且当日及次日妥投/出口城市方案内当日收寄邮件总量','按进口城市统计：进口次日递率=当日收寄且当日及次日妥投邮件量/当日收寄邮件量(其他61城市)'],'from': ['新一代'],'totle': ['日/\周/\月'],'update': ['按日统计时,展示T-1日统计结果,指标数据为T-4日收寄邮件的次日递率']},
		   	},
		   	imageMap: {
		   		'A01': '../../image/timeLimit/icon_csj.png',
		   		'A02': '../../image/timeLimit/icon_csj.png',
		   		'A03': '../../image/timeLimit/icon_hb.png',
		   		'A04': '../../image/timeLimit/icon_hb.png',
		   		'A05': '../../image/timeLimit/icon_hn.png',
		   		'A06': '../../image/timeLimit/icon_hn.png',
		   		'A07': '../../image/timeLimit/icon_db.png',
		   		'A08': '../../image/timeLimit/icon_db.png',
		   		'A09': '../../image/timeLimit/icon_xn.png',
		   		'A10': '../../image/timeLimit/icon_xn.png',
		   		'A11': '../../image/timeLimit/icon_zb.png',
		   		'A12': '../../image/timeLimit/icon_zb.png',
		   		'A13': '../../image/timeLimit/icon_xb.png',
		   		'A14': '../../image/timeLimit/icon_xb.png',
		   		'A15': '../../image/timeLimit/icon_snhj.png',
		   		'A16': '../../image/timeLimit/icon_snhj.png',
		   		'A20': '../../image/timeLimit/icon_cs62.png',
		   	},
		};
	},
	watch: {
		show: function(val){
			if(this.show){
				//子页面各自维护日期，切换时将这个日期显示到标题栏
				try{
		       		Emp.execute("setDefaultData('" + this.month + "','" + this.monthType + "')");
		       	}catch(error){
		       	}
			}
			
			if(this.show && (this.list.length == 0 || this.noData)){
				this.initData();
			}
			this.runShow = this.noData && this.show;
		},
		m: function(){
			if(!this.m){
				return;
			}
			this.month = this.m;
			this.monthType = this.mt;
		},
		month: function(val,oldVal){
			if(!oldVal && val){
				//4.26开始第一次请求不用传日期，返参中给日期赋值，所以空->值时不加载
				return;
			}
			this.initData();
		},
		noData: function(){
			this.runShow = this.noData && this.show;
		},
	},
	methods: {
	    closeDialog(){
	    	this.isShowDialog = false
	    	Emp.execute('setAlertState(2)');
	    },
	    descClick(item){
			this.dialogTitle = item.name;
			this.dialogList = item.desc;
			this.isShowDialog = true;
	    	Emp.execute("setAlertState(1,'"+this.productType+"')");
	    },
	    itemClick(item){
	    	let m = this.month;
	    	if(item.id === 'A15' || item.id === 'A16'){
	        	let url = "/fiveSystemKanban/timeLimitSystem/importantUp/sendEach2.html";
				let p = {
					month: item.m,
					monthType: this.monthType,
					productType: this.productType,
					keyareaId: item.id,
					keyareaName: item.name,
				};
	         	Emp.execute("$M.page.goTo('"+url+"','"+JSON.stringify(p)+"', false)");
	    	}else{
	        	let url = "/fiveSystemKanban/timeLimitSystem/importantUp/impExport.html";
				let p = {
					month:item.m,
					monthType: this.monthType,
					productType: this.productType,
					keyareaId: item.id,
					keyareaName: item.name,
				};
	         	Emp.execute("$M.page.goTo('"+url+"','"+JSON.stringify(p)+"', false)");
	    	}
	    },
	    closeRun(){
	    	this.runShow = false;
	    },
	    initData(){
 	    	let params = {
 	    		dateType: this.getMT(),
 	    		countDate: this.month,
 	    		businessTypes: this.productType,
 			}
 	    	requestImportantUpIndex(params).then(({data}) => {
 			   	if(!data){
 			   		this.noData = true;
 					return;
 			   	}
 			   	let arr = JSON.parse(data);
 			   	let list = [];
 			   	let latestMonth = '';
 			   	let latestMonthType = '';
 			   	arr.forEach((e,i) => {
 			   		if(!latestMonth){
 			   			latestMonth = e.countDate;
 			   			latestMonthType = this.getMTR(e.dateType);
 			   		}else{
 			   			let ifThan = new Date(latestMonth) > new Date(e.countDate);
 			   			latestMonth = ifThan ? latestMonth : e.countDate;
 			   		}
 			   		
 			   		let it = {};
 			   		if(list.length > 0 && list[list.length - 1].id === e.keyareaId){
 			   			it = list.pop();
			 			it.sjz2 = e.limitOntimerate;
			 			it.hb2 = e.roundRate;
			 			it.zj2 = e.bestRate;
			 			it.zjmc2 = e.bestName;
			 			it.fwfw2 = this.fwfwMap[e.scopeServices];
 			   		}else{
 			 			it.sjz = e.limitOntimerate;
 			 			it.hb = e.roundRate;
 			 			it.mbz = e.targetRate ? e.targetRate : this.targetMap[this.productType][e.keyareaId];
 			 			it.zj = e.bestRate;
 			 			it.zjmc = e.bestName;
 			 			it.id = e.keyareaId;
 			 			it.rank = e.ranking ? e.ranking : '';
 			 			it.fwfw = this.fwfwMap[e.scopeServices];
 			 			it.name = this.nameMap[e.keyareaId];
 			 			it.image = this.imageMap[e.keyareaId];
 			 			it.desc = this.descMap[e.keyareaId];
 			 			it.m = e.countDate;
 			 			it.tip62 = '当前数据日期为' + e.countDate;
 			   		}
 			   		
 			   		if(e.keyareaId != 'A15' && e.keyareaId != 'A16'){
 			   			//21.04.06需求调整，重点区域提速移除省内互寄，移除服务范围ABC-ABC
 			   			list.push(it);
 			   		}
 			   	});
 			   	list.forEach(e => {
 			   		if(latestMonth == e.m && (!this.month || this.month == e.m)){
 			   			e.tip62 = '';
 			   		}else if(e.id == 'A20'){
 			   			e.tip62 += '(按收寄统计)';
 			   		}
 			   	})
		       	if(!this.month){
 		       		this.month = latestMonth;
 		       		this.monthType = this.getMTR(latestMonthType);
 		       	}
	       		try{
		       		Emp.execute("setDefaultData('" + this.month + "','" + this.monthType + "')");
		       	}catch(error){
		       	}
 			   	this.list = list;
 			   	this.noData = false;
 			}).catch(err => {
 			  	this.noData = true;
 			  	console.log(err)
 			});
	    },
	    getMT(){
    		if(this.monthType === 'day') return 'D';
    		if(this.monthType === 'month') return 'M';
    		if(this.monthType === 'week') return 'W';
    		if(this.monthType === 'sevenDay') return 'W';
    		return this.monthType;
	    },
	    getMTR(arg){
	    	if(arg === 'D') return 'day';
	    	if(arg === 'M') return 'month';
	    	if(arg === 'W') return 'week';
	    	if(arg === 'W') return 'sevenDay';
	    	return arg;
	    },
	},
	created() {
		let method = 'closeImportantUpDialog' + this.productType;
		window[method] = () => {
			this.closeDialog();
		}
	},
	mounted(){
		let w = document.documentElement.clientWidth || document.body.clientWidth;
		let h = document.documentElement.clientHeight || document.body.clientHeight;
		this.$refs.pType.style.height = (h - (w*100) / 375 * 0.4) + 'px';
		
		this.month = this.m;
		this.monthType = this.mt;
		
		if(this.show){
			this.initData();
		}
	},
    template: `
    	<div>
			<div v-show="!noData" ref="pType" style="overflow-y:auto;box-sizing: border-box;background-color: #F6F6F6;padding: 0.12rem 0.12rem;">
				<div v-for="item in list">
					<card-a
						v-if="adaptA.indexOf(item.id) >= 0"
						:item="item"
						@desc-click="descClick"
						@item-click="itemClick"
						>
					</card-a>
					<card-b
						v-else
						:item="item"
						@desc-click="descClick"
						@item-click="itemClick"	
						>
					</card-b>
				</div>
				<xk-dialog @func="closeDialog" :visible='isShowDialog' :title="dialogTitle" :data-list="dialogList"></xk-dialog>
			</div>
			<div v-if="noData || runShow">
				<run-text img-url="../../" :msg="runMsg" :is-show="runShow" @close="closeRun"></run-text>
				<div class="noData" v-if="noData">
					<img src="../../image/nodata.png" alt="暂无数据" />
					<h3>暂无数据</h3>
				</div>
			</div>
    	</div>
    `,
};