var sendEach = {
	props: ['show','m','mt','productType','keyareaId','isinject','tableHeight'],
	data(){
		return {
			tipShow: false,
			msg: '当前日期的数据暂未更新呢！',
			noData: false,
			month: '',
			monthType: '',
			level: 1,
			code: '',
	        list: [],
			chartlist:[],
	        cacheList: {},
	        cachecharList:{},
	        cacheCode: {},
	        specialName: [],
	        color1:"#2092EB",
	        color2:"#2092EB",
	        legend: [
		 				{
							name: '实际值',
						},
					],
			valueName: ['次日递率(%)'],
			echartsName: '',
			tablecolumn: [],
		};
	},
	watch: {
		show: function(val){
			if(this.show){
				//子页面各自维护日期，切换时将这个日期显示到标题栏
				setTimeout(()=>{
					try{
						Emp.execute("setDefaultDate('" + this.month + "','" + this.monthType + "','" + this.productType + "')");
					}catch(error){}
				},1);
			}
			if(this.show){
			    if(this.productType === "B" && this.keyareaId === 'A15'){
			    	try{
			    		Emp.execute("getStatistics('01-004-0001-01-14','特快省内互寄次日递率')");
			    	}catch(error){}
			    }else if(this.productType === "K" && this.keyareaId === 'A16'){
			    	try{
			    		Emp.execute("getStatistics('01-004-0001-01-15','快包省内互寄次日递率')");
			    	}catch(error){}
			    }
			}
			if(this.show && (this.noData || this.list.length == 0)){
				this.initData();
			}
		},
		isinject: function(){
			if(this.show && this.isinject){
				this.initData();
			}
		},
		m: function(){
			
			if(!this.m){
				return;
			}
//			alert("556")
			this.month = this.m;
			this.monthType = this.mt;
		},
		month: function(val,oldVal){
//			alert("8888")
			if(oldVal){
				//如果之前有日期，切换日期后清楚缓存
				this.cacheList = {};
				this.cachecharList={};
			}
			if(!oldVal && val){
				this.initData();
				return;
			}
			
			if(!this.show){
				this.list = [];
				return;
			}
			
			this.initData();
		},
		mt: function(){
			this.initData();
		},
		noData(val) {
			this.tipShow = val;
		}
	},
	methods: {
		drillDown: function (data){
			this.cacheCode[this.level] = this.code;
        	this.level += 1;
        	this.code = data.row.nameCode;
        	this.initData();
        },
        sortList: function(list){
        	this.list = list;
        },
        goBack(){
            if (this.level == 1){
            	 return;
            }
            this.level -= 1;
            this.code = this.cacheCode[this.level];
            this.list = this.cacheList[this.level];
            this.chartlist = this.cachecharList[this.level];
            if(this.list && this.list.length > 0&&this.chartlist&&this.chartlist.length>0){
            	var cachdata = {};
            	cachdata.tableList=this.list;
            	cachdata.echartData=this.chartlist;
            	this.noData = false;
            	this.setData(cachdata);
            }else{
            	this.list=[];
            	this.chartlist=[];
            	this.initData();
            }
        },
        initColumn(){
			let w = document.documentElement.clientWidth || document.body.clientWidth;
			w = w - 60 - 72 - (w*100) / 375 * 0.28;
			w /= 2;
    		return [
	 	    	 	{
			 		    		label: '区域',
			 		    	    key: 'name',
			 		    	    isDrillDown: true,
								width:w*0.4
			 		    	},{
			 		    		label: '实际值|(%)',
			 		    	    key: 'sjz',
			 		    	    sortable: 'custom',
			 		    	    align: 'right',
			 		    	    isNumber: true,
			 		    	    width:w*0.7
			 		    	},{
			 		    		label: '环比|(%)',
			 		    	    key: 'hb',
			 		    	    sortable: 'custom',
			 		    	    align: 'right',
			 		    	    isNumber: true,
								subByZero:true,
								width:w*0.6
			 		    	},{
								label: '全国平均值|(%)',
								key: 'mbz',
								align: 'center',
								isNumber: true,
								width:w*0.5
							},{
								label: '与全国平均值差距(%)',
								key: 'ymbcj',
								align: 'center',
								isNumber: true,
                                isProgress:true,
                                width:w*0.5
							},{
								label: '排名',
								key: 'paiming',
								align: 'center',
								sortable: 'custom',
								isNumber: true,
								width:w*0.51
							}
	 	    	];
    	},
        registerListener() {
//         	let dom = this.$refs.refSE;
//     		let w = document.documentElement.clientWidth || document.body.clientWidth;
//         	let h = document.documentElement.clientHeight || document.body.clientHeight;
//         	let overHeight = h / 2 + 20;
//         	let tableHeight = h - (w*100) / 375 * 0.4;
// //			window.onscroll = () =>{
// //				let scrollTop = dom.getBoundingClientRect().top;
// //				console.log(scrollTop)
// //				if (Math.floor(scrollTop) <= overHeight * -1) {
// //					this.tableHeight = h;
// //				} else {
// //					this.tableHeight = null;
// //				}
// //			}
//         	dom.addEventListener('scroll', () => {
//                 let scrollTop = dom.scrollTop;
//                 if (Math.floor(scrollTop) >= Math.floor(overHeight)) {
//                     dom.scrollTop = overHeight;
//                     this.tableHeight = tableHeight;
//                 } else if (Math.floor(scrollTop) < Math.floor(overHeight)) {
//                     this.tableHeight = null;
//                 }
//             })
			let id= (this.productType==='B'?0:1)
			let windowScrollTop = document.getElementsByClassName('el-table')[id].getBoundingClientRect().top;
			let fullTabNav = document.getElementsByClassName('van-tabs__wrap')[0]
			window.onscroll = () =>{
				let dom = document.getElementsByClassName('el-table')[id];
				let windowHeight = document.documentElement.clientHeight || document.body.clientHeight;
				let scrollTop = dom.getBoundingClientRect().top;
				let tabNavHeight = 0;
				if (fullTabNav) {
					tabNavHeight = fullTabNav.getBoundingClientRect().height
				}
				console.log(Math.floor(scrollTop), tabNavHeight)
				if (Math.floor(scrollTop) <= tabNavHeight) {
					console.log('到顶了~~~')
				this.$emit('change-height',windowHeight-tabNavHeight+2)
					// this.tableHeight = windowHeight-tabNavHeight;

				} else if (Math.floor(scrollTop) > tabNavHeight) {
					this.$emit('change-height',null)
					// this.tableHeight = null;
				}
			}
        },
	    initData(){
			//获取趋势
			let p1 = new Promise((resolve, reject) => {
				let params = {
					dateType: localStorage.getItem('dateType')?this.getLOCALMT(localStorage.getItem('dateType')):this.getMT(),
					countDate: localStorage.getItem('countDate')?localStorage.getItem('countDate'):this.month,
					businessTypes: this.productType,
					areaLevel: this.level,
					areaCode: this.code,
				}
				console.log('----p-',params)
				getProSelfPostTrend(params).then(({ data }) => {
					resolve(data)
				}).catch(err => {
					reject(err)
				})

			})
			//获取表格
			let p2 = new Promise((resolve, reject) => {
				let params = {
					dateType:localStorage.getItem('dateType')?this.getLOCALMT(localStorage.getItem('dateType')):this.getMT(),
					countDate: localStorage.getItem('countDate')?localStorage.getItem('countDate'):this.month,
					businessTypes: this.productType,
					areaLevel: this.level,
					areaCode:  this.code,
				}
				console.log('----p-',params)
				requestImportantUpSend(params).then(({ data }) => {
					resolve(data)
				}).catch(err => {
					reject(err)
				})

			})
			Promise.all([p1, p2]).then((result) => {
				var data = {}
				if(result[1]){
					data.tableList = result[1]
				}else{
					data.tableList = '无数据'
					console.log('tableList无数据')
				}
				if(result[0]){
					data.echartData = result[0]
				}else{
					data.echartData = '无数据'
					console.log('echartData无数据')
				}
				console.log('数据',data)
				this.setData(data)

			}).catch((error) => {
				// alert(error)
				console.log(error)
				this.noData = true;
			})
	    },
	    setData(data){
			if (!data || (data.tableList == '无数据' || data.echartData == '无数据')) {
				if(!this.month){
	       			try{
//	       				alert(this.month + " - " + this.productType);
	       				Emp.execute("setDefaultDate('"+localStorage.getItem('countDate')+"','"+localStorage.getItem('dateType')+"','"+this.productType+"')");
	       			}catch(error){
	       			}
	       		}
				this.noData = true;
				return;
			}
	       	let tablelist = JSON.parse(data.tableList);
			console.log("tablelist",tablelist)
			let chalist = JSON.parse(data.echartData);
			console.log("chalist",chalist)
	       	let maxYmbcj = 0;
        	let minYmbcj = 0;
	       	this.specialName = [];
			tablelist.forEach((e,i) => {
	       		if(!this.month){
	       			this.month = e.countDate;
	       			this.monthType = this.getMTR(e.dateType);
	       			try{
//	       				alert(this.month + " - " + this.productType);
	       				Emp.execute("setDefaultDate('" + this.month + "','" + this.monthType + "','" + this.productType + "')");
	       			}catch(error){
	       			}
	       		}
		   		e.name = this.convertToName(e.areaName);
		   		if(e.areaCode == '999999'){
		   			//时限体系，全国的areaCode是999999
		   			e.areaCode = '100000';
		   		}
	    		e.nameCode = e.areaCode;
        		e.sjz = this.convertToRate(e.nextDayRate);
        		e.hb = this.convertToRate(e.roundRate);
        		e.mbz = this.convertToRate(e.targetRate);
        		//全国平均值(目标值)进度条展示
        		e.mbzProgress = this.convertToRate(e.targetRate);
        		e.ymbcj = this.convertToRate(e.disTargetRate);
				e.paiming = Number(e.ranking)===0?'-':Number(e.ranking)

        		maxYmbcj = Number(maxYmbcj > e.ymbcj ? maxYmbcj : e.ymbcj);
        		minYmbcj = Number(minYmbcj < e.ymbcj ? minYmbcj : e.ymbcj);
        		
        		e.value = e.mbz;
        		e.value2 = e.sjz;
	    		
	    		if(getLevelFromPermission(this.level) >= 3){
	    			e.notDrill = true;
	    		}
	    		
	       		if(i === 0){
	       			this.specialName.push(e.name);
	       		}
	      	})
			tablelist.forEach(e => {
				//最大值以100
        		if(e.ymbcj && e.ymbcj > 0){
        			e.ymbcjProgress = e.ymbcj<=3.1?(3.1 * 100 / maxYmbcj):(e.ymbcj * 100 / maxYmbcj);
        		}else if(e.ymbcj && e.ymbcj < 0){
        			e.ymbcjProgress = e.ymbcj>=-1.6?(-1.6 * 100 / minYmbcj):(e.ymbcj * 100 / minYmbcj);
        		}else{
        			e.ymbcjProgress = 0;
        		}
        	});
			//加载按区域排序
			tablelist = tablelist.sort((a, b) => a.nameCode > b.nameCode ? 1 : -1);


			chalist.forEach((e,i) => {
			 	e.name = this.convertToName(e.areaName);
			 	if(e.areaCode == '999999'){
			 		//时限体系，全国的areaCode是999999
			 		e.areaCode = '100000';
			 	}
				e.nameCode = e.areaCode;
				e.sjz = this.convertToRate(e.nextDayRate);
				e.value2 = e.sjz;
			 })

	      	console.log(tablelist)
	      	this.list = tablelist;
			this.chartlist = chalist;
            this.cacheList[this.level] = data.tableList;
            this.cachecharList[this.level] = data.echartData;
   			this.echartsName = this.specialName[0];
	        this.$nextTick(() => {
	            this.$refs.linebar.initDefault();
	        });
			//恢复页面状态
	        this.$refs.table.$refs.tableActive.clearSort();
	        this.tablecolumn[0].label = getNameFromPermission(this.level,false);
	        this.noData = false;
	    },
	    getMT(){
    		if(this.monthType === 'day') return 'D';
    		if(this.monthType === 'month') return 'M';
    		if(this.monthType === 'week') return 'W';
    		if(this.monthType === 'sevenDay') return 'W';
    		return this.monthType;
	    },
	    getLOCALMT(arg){
	    	if(arg === 'day') return 'D';
	    	if(arg === 'month') return 'M';
	    	if(arg === 'week') return 'W';
	    	if(arg === 'sevenDay') return 'W';
	    	return arg;
	    },
	    getMTR(arg){
	    	if(arg === 'D') return 'day';
	    	if(arg === 'M') return 'month';
	    	if(arg === 'W') return 'week';
	    	if(arg === 'W') return 'sevenDay';
	    	return arg;
	    },
        notEmpty(arg){
        	if(arg === undefined || arg === '' || arg == null){
        		return false;
        	}else{
        		return true;
        	}
        },
        convertToName(arg){
        	return this.notEmpty(arg) ? arg : '其他';
        },
        convertToRate(arg){
        	return this.notEmpty(arg) ? (arg * 100).toFixed(1) : '-';
        },
        convertToW(arg){
        	return this.notEmpty(arg) ? Math.round(arg / 10000) : '-';
        },
		// 关闭提示
		close() {
			this.tipShow = false;
		}
	},
	created() {
		let m = 'goBack' + this.productType;
		window[m] = () => {
			if(!this.show){
				return;
			}
	        if (this.level == 1) {
	            console.log('返回普元');
	        	try {
	                Emp.execute('goBack()');
	            } catch (e) {
	            }
	            return;
	        }
	        this.goBack();
	    };
	},
	mounted() {
//		let w = document.documentElement.clientWidth || document.body.clientWidth;
//    	let h = document.documentElement.clientHeight || document.body.clientHeight;
//		let dh = h - (w*100) / 375 * 0.4;
//		this.$refs.refSE.style.height = dh + 'px';
		
		this.tablecolumn=this.initColumn();
		
		this.registerListener();
		
		if(this.show && this.isinject){
			this.initData();
		}
		
		if(this.show){
		    if(this.productType === "B" && this.keyareaId === 'A15'){
		    	Emp.execute("getStatistics('01-004-0001-01-14','特快省内互寄次日递率')");
		    }else if(this.productType === "K" && this.keyareaId === 'A16'){
		    	Emp.execute("getStatistics('01-004-0001-01-15','快包省内互寄次日递率')");
		    }
		}
	},
    template: `
    	<div style="background: #FFF;">
			<div ref="refSE" v-show="!noData" style="background: #FFF;overflow-y: auto;">
				<line-bar-box
					ref="linebar"
					:list="chartlist"
					:legend="legend"
					:value-name="valueName"
					:echart-name="echartsName"
					:special-name="specialName"
					:color-t='color1'
					:color-y='color2'
					>
				</line-bar-box>
				<drill-down-box
					ref="table"
					:list="list"
					:tablecolumn="tablecolumn"
					:table-height="tableHeight"
					:special-name="specialName"
					isNo="true"
					pageTitle="省内互寄"
					@drilldown="drillDown"
					@sort-list="sortList"
					>
				</drill-down-box>
			</div>
			<!-- 暂无数据 -->
			<div v-show="noData">
				<run-text img-url="../../" :msg="msg" :is-show="tipShow" @close="close"></run-text>
				<div class="noData">
					<img src="../../image/nodata.png" alt="暂无数据" />
					<h3>暂无数据</h3>
				</div>
			</div>
    	</div>
    `,
};