// 页面数据
let pageData = {
    name: '投递部看板', // 
    code: 'tdbkb', // 标识码，用于存储本地数据等标识
    xzqh:'',
    sumLevel:'',
    orgCode:''
};

// 数据列表
const list =  [
    {
        id: 'zyqk',
        index: 0,
        title: '作业情况',
        isdelete: false,
        isshow: true,
        isarrival: false,
        component: {
            data() {
                return {
                    cpnName: 'zyqkBox', // 组件名
                    drillRightList: [
                        { name: '国内特快', value: '1' },
                        { name: '国内快包', value: '2' }
                    ]
                }
            },
            props: {
                data: Object
            },
            methods: {
                initBar(sumLevel,orgCode){
                    let data_ori = {
                        xData: ['收寄量', '收寄封发量', '收寄发运量'],
                        legend: '邮件数量',
                        values: [0, 0, 0],
                        colors: ['#2699F4', '#75C3EC'],
                        name: '数量',
                        xFontSize: 9
                    }
                    let params = {
                        distCode:  orgCode,
                         // distCode: '11000020',
                         orgCode:'',
                         sumLevel: sumLevel === '1' || sumLevel === '2' ? '1' : Number(sumLevel) - 1,
                         dataDate: dayjs().format('YYYY-MM-DD'),
                         
                     };
                     const msgbody1 = JSON.stringify(params)
                     var interface = axios.create({
                         'Access-Control-Allow-Origin': '*',
                         baseURL: board_url,
                         timeout: 10000,
                     })
                     interface.get('dpk/postPackShipmentControllerLtb', {
                         params: {
                             'sendID': '00000001',
                             'timestamp': timestamp,
                             'msgBody': msgbody1,
                             'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                         }
                     }).then(({data}) => {
                         console.log(params, '作业情况')
                         console.log('data3',data)
                         let data1=data.data
                         data_ori.values[0]=0
                         data_ori.values[1]=data1[0].sealedNum
                         data_ori.values[2]=data1[0].trafficNum
                         this.$refs[this.cpnName].initBar(data_ori)
                     }).catch(err =>{
                         console.log(err)
                        this.$refs[this.cpnName].initBar(data_ori)
                     })
                },
                // 切换下拉选项
                changeRightDrill(val) {
                    this.drillRightList.forEach((item, key) => {
                        if(item.value == val){
                            this.drillRightList.splice(key,1)
                            this.drillRightList.unshift(item)
                        }
                    })
                    // 以下请求接口
                },
            },
            mounted(){
               // this.initBar()
            },
            template:   `<drill-box 
                            :title="data.title"
                            :is-show-right="false"
                            :drill-right="drillRightList"
                            :defalut-right-label="drillRightList[0].name"
                            :boder="true"
                            :is-one-title="true"
                            @getrightval="changeRightDrill"
                        >
                            <bar-box 
                                :ref="cpnName"
                                :id-name="cpnName" 
                            />
                            <slot></slot>
                        </drill-box>`
        },
        // 二级菜单数据
        list: [
            {
                id: 'sjclsc',
                index: 0,
                title: '收寄处理时长',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            cpnName: 'sjclscBox',

                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {
                        initPie() {
                            const data = [
                                {
                                    value: 0,
                                    name: '收寄平均时长',
                                    itemStyle: {
                                        color: "#00A1E9"
                                    },
                                },
                                {
                                    value: 0,
                                    name: '发运平均时长',
                                    itemStyle: {
                                        color: "#2F4553"
                                    },
                                },

                                {
                                    value: 0,
                                    name: '封发平均时长',
                                    itemStyle: {
                                        color: "#61A0A9"
                                    },
                                }
                            ]
                            this.$refs[this.cpnName].initPie(data)
                        }
                    },
                    mounted() {
                        this.initPie()
                    },
                    template: `<drill-box 
                                    :title="data.title"
                               >
                                    <pie-box 
                                        :ref="cpnName"
                                        :id-name="cpnName"
                                        center-text="总平均时长"
                                    />
                               </drill-box>`
                }
            },
            {
                id: 'ccxltj',
                index: 0,
                title: '处理效率统计',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            cpnName: 'ccxltjBox',
                            cpnNameList: [
                                { label: '揽收及时率', value: '0', color: '#1D95F4' },
                                { label: '特快及时妥投率', value: 0, color: '#4CD997' },
                                { label: '快包当日妥投率', value: 0, color: '#F1DF57' },
                                { label: '及时赶发率', value: 0, color: '#AF61F2' },
                            ]
                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {
                       init() {
                        for(let [key, item] of this.cpnNameList.entries()) {
                            this.$refs[`${this.cpnName}`][key].initLiquid(item.value, item.color)
                        }
                       },
                       getDate(sumLevel,orgCode){
                            let params = {
                                distCode:  orgCode,
                                // distCode: '11000020',
                                orgCode:'',
                                sumLevel: sumLevel === '1' || sumLevel === '2' ? '1' : Number(sumLevel) - 1,
                                dataDate: dayjs(new Date(new Date())).format('YYYY-MM-DD'),
                                
                            };
                            const msgbody1 = JSON.stringify(params)
                            var interface = axios.create({
                                'Access-Control-Allow-Origin': '*',
                                baseURL: board_url,
                                timeout: 10000,
                            })
                            interface.get('dpk/pickupTimelyRateLtb', {
                                params: {
                                    'sendID': '00000001',
                                    'timestamp': timestamp,
                                    'msgBody': msgbody1,
                                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                                }
                            }).then(({data}) => {
                                console.log(params, '处理效率统计')
                                console.log('data4',data)
                                let data1=data.data;
                                if(data1.length==0){
                                    this.cpnNameList[0].value='-'
                                }
                                 //赋值cpnNameList
                                this.cpnNameList[0].value=parseInt(data1[0].pickupRate) 
                                this.init()
                              
                            }).catch(err =>{
                                console.log(err);
                                this.init()
                            })
                            
                       }
                    },
                    mounted(){
                        this.init()
                    },
                    template: `<drill-box :title="data.title" style="margin-top: 15px">
                                    <div style="display: flex;">
                                        <div v-for="(item,key) in cpnNameList" style="flex:1;font-size:12px; color:#676767;border-left: 1px dashed #e6e6e6;margin-left:-1px;">
                                            <div style="border-bottom: 1px dashed #e6e6e6; text-align: center;"><p>{{item.label}}</p></div>
                                            <liquid-box 
                                                :ref="cpnName"
                                                :id-name="cpnName + key"
                                            />
                                        </div>
                                    </div>
                               </drill-box>`
                }
            },
            {
                id: 'yjltj',
                index: 1,
                title: '邮件量统计',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            cpnName: 'zyqyjltjBox', // 组件名
                            drillRightList: [
                                { name: '国内特快', value: '2' },
                                { name: '国内快包', value: '3' },
                            ],
                            yjltj_select:'国内特快'

                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {
                        initBar(value,xzqh,sumLevel,orgCode){
                            this.yjltj_select=value==2?'国内特快':'国内快包'
                            //请求数据
                            let data_obj ={
                                'recvNum':0,
                                'hypoNum':0,
                                'propVoteNum':0,
                                'notPropVoteNum':0,
                                'depoNum':0,
                                'turnbackNum':0,
                            }
                            let data_value = {
                                xData: ['投递接收邮件量', '下段量','妥投量统计','未妥投量统计','昨日存局量','转退邮件量'],
                                values: [0, 0, 0, 0, 0, 0],
                                legend: '邮件数量',
                                colors: ['#2699F4', '#75C3EC'],
                                name: '数量',
                                xFontSize: 9,
                                xRotate: 30
                            }
                            let params = {
                               distCode:  orgCode,
                                // distCode: '11000020',
                                orgCode:'',
                                provCode:sumLevel === '3' ? xzqh : '',
                                cityCode:sumLevel === '4' ? xzqh : '',
                                countyCode:sumLevel === '5' ? xzqh : '',
                                sumLevel: sumLevel === '1' || sumLevel === '2' ? '1' : Number(sumLevel) - 1,
                                // sumLevel: sumLevel,
                                sumFg: '1',
                                dataDate: dayjs().format('YYYY-MM-DD'),
                                mailType:value,
                                
                            };
                            const msgbody1 = JSON.stringify(params)
                            var interface = axios.create({
                                'Access-Control-Allow-Origin': '*',
                                baseURL: board_url,
                                timeout: 10000,
                            })
                            interface.get('dpk/queryWorkDlvNumInvestment', {
                                params: {
                                    'sendID': '00000001',
                                    'timestamp': timestamp,
                                    'msgBody': msgbody1,
                                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                                }
                            }).then(({data}) => {
                                console.log(params, '邮件量统计')
                                console.log('data2',data)
                                const _data=data.data[0];
                                let val=[];
                                for(var codeName of Object.keys(_data)){
                                    switch(codeName){
                                        case 'recvNum':
                                            // val.push(_data[codeName])
                                            data_obj.recvNum=_data[codeName]
                                            break;
                                        case 'depoNum':
                                            // val.push(_data[codeName])
                                            data_obj.depoNum=_data[codeName]
                                            break;
                                        case 'hypoNum':
                                            // val.push(_data[codeName])
                                            data_obj.hypoNum=_data[codeName]
                                            break;
                                        case 'turnbackNum':
                                            // val.push(_data[codeName])
                                            data_obj.turnbackNum=_data[codeName]
                                            break;
                                        case 'propVoteNum':
                                            // val.push(_data[codeName])
                                            data_obj.propVoteNum=_data[codeName]
                                            break;
                                        case 'notPropVoteNum':
                                            // val.push(_data[codeName])
                                            data_obj.notPropVoteNum=_data[codeName]
                                            break;
                                        default :
                                            break;
                                    }
                                }
                                for(var codeName of Object.keys(data_obj)){
                                    val.push(data_obj[codeName])
                                }
                                data_value.values=val
                                this.$refs[this.cpnName].initBar(data_value)
                                
                            }).catch(err =>{
                                console.log(err);
                                this.$refs[this.cpnName].initBar(data_value)
                            })
                        },
                        // 切换下拉选项
                        changeRightDrill(val) {
                            this.initBar(val,pageData.xzqh,pageData.sumLevel,pageData.orgCode)
                            this.yjltj_select=val==2?'国内特快':'国内快包'
                            // this.drillRightList.forEach((item, key) => {
                            //     if(item.value == val){
                            //         this.drillRightList.splice(key,1)
                            //         this.drillRightList.unshift(item)
                            //     }
                            // })
                            // 以下请求接口
                        }
                    },
                    mounted(){
                       // this.initBar()
                    },
                    template:   `<drill-box 
                                    :title="data.title"
                                    :is-show-right="true"
                                    :drill-right="drillRightList"
                                    :defalut-right-label="yjltj_select"
                                    @getrightval="changeRightDrill"
                                >
                                    <bar-box 
                                        :ref="cpnName"
                                        :id-name="cpnName" 
                                    />
                                    <slot></slot>
                                </drill-box>`
                },
            },
            {
                id: 'tjyj',
                index: 1,
                title: '退件预警',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            cpnName: 'tjyjBox', // 组件名

                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {

                    },
                    mounted(){
                    },
                    template:   `<base-box 
                                    :title="data.title"
                                    :is-show-bottom="false"
                                    style="border-top:1px solid #e6e6e6;"
                                >
                                    <div style="height:100px;line-height:100px;text-align:center;font-size:35px;font-weight:900;color:#1d95f4;">
                                        --
                                    </div>
                                </base-box>`
                },
            },
            {
                id: 'tdclsc',
                index: 0,
                title: '投递处理时长',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            cpnName: 'tdclscBox',

                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {
                        initPie() {
                            const data = [
                                {
                                    value: 0,
                                    name: '投递平均时长',
                                    itemStyle: {
                                        color: "#00A1E9"
                                    },
                                },
                                {
                                    value: 0,
                                    name: '下段平均时长',
                                    itemStyle: {
                                        color: "#61A0A9"
                                    },
                                }
                            ]
                            this.$refs[this.cpnName].initPie(data)
                        }
                    },
                    mounted() {
                        this.initPie()
                    },
                    template: `<drill-box 
                                    :title="data.title"
                               >
                                    <pie-box 
                                        :ref="cpnName"
                                        :id-name="cpnName"
                                        center-text="总平均时长"
                                    />
                               </drill-box>`
                }
            },
            {
                id: 'rjltltj',
                index: 0,
                title: '人均揽投量统计',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            cpnName: 'rjltltjBox',
                            dataList: [
                                {
                                    name: '总揽收量',
                                    value: '--'
                                },
                                {
                                    name: '现费揽收量',
                                    value: '--'
                                },
                                {
                                    name: '现费揽收收入',
                                    value: '--'
                                },
                                {
                                    name: '人均揽收量',
                                    value: '--'
                                },
                                {
                                    name: '人均现费揽收量',
                                    value: '--'
                                },
                                {
                                    name: '人均现费揽收收入',
                                    value: '--'
                                },
                                {
                                    name: '人均投递量统计',
                                    value: '--',
                                    isStrong: true
                                },
                                {
                                    name: '当日妥投率',
                                    value: '--',
                                    isStrong: true
                                },
                                {
                                    name: '三日妥投率',
                                    value: '--',
                                    isStrong: true
                                },
                            ]
                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {

                    },
                    mounted() {

                    },
                    template: `<base-box 
                                    :title="data.title"
                                    :list="dataList"
                                    :item-num="3"
                                    item-width="33.33%"
                                    :is-show-bottom="false"
                                    style="border-top:1px solid #e6e6e6;"
                               >
                               </base-box>
                               `
                }
            },

        ]
    },
    {
        id: 'ycjk',
        index: 0,
        title: '异常监控',
        isdelete: false,
        isshow: true,
        isarrival: false,
        component: {
            data() {
                return {
                    cpnName: 'ycjkBox',
                    dataList: [
                        {
                            name: '揽投部出口逾期',
                            value: '--',
                            code:'1',
                            isStrong: true,
                            isBiggerNum: true
                        },
                        {
                            name: '投递逾期量',
                            code:'2',
                            value: '--',
                            isStrong: true,
                            isBiggerNum: true
                        },
                        {
                            name: '已下段未投递',
                            code:'3',
                            value: '0',
                            isStrong: true,
                            isBiggerNum: true
                        },
                        {
                            name: "已下段未反馈",
                            code:'notFeedbackNum',
                            value: '0',
                            isStrong: true,
                            isBiggerNum: true
                        },
                        {
                            name: '揽投部有收无发量',
                            code:'4',
                            value: '--',
                            isStrong: true,
                            isBiggerNum: true
                        },
                        {
                            name: '已解车未下段',
                            code:'notHandNum',
                            value: '--',
                            isStrong: true,
                            isBiggerNum: true
                        }

                    ]
                }
            },
            props: {
                data: Object
            },
            methods: {
                init_data(xzqh,sumLevel,orgCode){
                    pageData.xzqh=xzqh;
                    pageData.sumLevel=sumLevel;
                    pageData.orgCode=orgCode;
                    let params = {
                        distCode:  orgCode,
                        // distCode: '11000020',
                        orgCode:'',
                        provCode:sumLevel === '3' ? xzqh : '',
                        cityCode:sumLevel === '4' ? xzqh : '',
                        countyCode:sumLevel === '5' ? xzqh : '',
                        sumLevel: sumLevel === '1' || sumLevel === '2' ? '1' : Number(sumLevel) - 1,
                        // sumLevel: sumLevel,
                        sumFg: '1',
                        dataDate: dayjs().format('YYYY-MM-DD'),
                        mailType:'1',
                        
                    };
                    const msgbody1 = JSON.stringify(params)
                    var interface = axios.create({
                        'Access-Control-Allow-Origin': '*',
                        baseURL: board_url,
                        timeout: 10000,
                    })
                    interface.get('dpk/queryWorkDlvNumInvestment', {
                        params: {
                            'sendID': '00000001',
                            'timestamp': timestamp,
                            'msgBody': msgbody1,
                            'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                        }
                    }).then(({data}) => {
                        console.log(params, '异常监控')
                       console.log('data',data)
                       if(data.data.length==0){
                        this.dataList.forEach(e =>{
                            e.value='-'
                        })
                       }
                        const _data=data.data[0];
                        this.dataList.forEach(e =>{
                            for(var codeName of Object.keys(_data)){
                                e.code == codeName ? e.value=_data[codeName] : '0'
                            }
                        })
                    }).catch(err =>{
                        console.log(err);
                    })
                }
            },
            mounted(){
               
            },
            template: `<main-box 
                            :title="data.title"
                            style="margin-top:15px;"
                        >
                           
                            <base-box 
                                :list="dataList"
                                :item-num="3"
                                item-width="33.33%"
                                :is-show-bottom="false"
                            />
                        </main-box>
                        `
        }
    },
    {
        id: 'yjbj',
        index: 0,
        title: '预警报警',
        isdelete: false,
        isshow: true,
        isarrival: false,
        component: {
            data() {
                return {

                }
            },
            props: {
                data: Object
            },
            methods: {

            },
            mounted(){

            },
            template: `<main-box 
                            :title="data.title"
                            style="margin-top:15px;"
                        >
                            <slot></slot>
                        </main-box>`
        },
        list: [
            {
                id: 'yjddl',
                index: 0,
                title: '预计到达量',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            drillRightList: [
                                { name: '进口', value: 1 },
                                { name: '出口', value: 2 },
                            ],
                            dataList: [
                                { name: 'T+0', value: '--'},
                                { name: 'T+1', value: '--'},
                                { name: 'T+2', value: '--'},
                            ]
                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {
                        changeRightDrill(val) {
                            this.drillRightList.forEach((item, key) => {
                                if(item.value == val){
                                    this.drillRightList.splice(key,1)
                                    this.drillRightList.unshift(item)
                                }
                            })
                        }
                    },
                    mounted(){

                    },
                    template: `<drill-box 
                                    :title="data.title"
                                    :is-show-right="true"
                                    :drill-right="drillRightList"
                                    :defalut-right-label="drillRightList[0].name"
                                    :back-color="'#FFF'"
                                    @getrightval="changeRightDrill"
                                >
                                    <base-box 
                                        :list="dataList"
                                        :item-num="3"
                                        item-width="33.33%"
                                        :is-show-bottom="false"
                                    />
                                </drill-box>`
                }

            },
            {
                id: 'yjjsl',
                index: 0,
                title: '预计接收量',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            drillRightList: [
                                { name: '进口', value: 1 },
                                { name: '出口', value: 2 },
                            ],
                            dataList: [
                                { name: '24小时内接收邮件量', value: '--'},
                                { name: '24小时外接收邮件量', value: '--'},
                            ]
                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {
                        changeRightDrill(val) {
                            this.drillRightList.forEach((item, key) => {
                                if(item.value == val){
                                    this.drillRightList.splice(key,1)
                                    this.drillRightList.unshift(item)
                                }
                            })
                        }
                    },
                    mounted(){

                    },
                    template: `<drill-box 
                                    :title="data.title"
                                    :back-color="'#FFF'"
                                >
                                    <base-box 
                                        :list="dataList"
                                        :item-num="2"
                                        item-width="50%"
                                        :is-show-bottom="false"
                                    />
                                </drill-box>`
                }

            },
            {
                id: 'dfyjyjzl',
                index: 0,
                title: '待发邮件预警总量',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {

                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {

                    },
                    mounted(){

                    },
                    template:  `<base-box 
                                    :title="data.title"
                                    :is-show-bottom="false"
                                    style="border-top:1px solid #e6e6e6;"
                                >
                                    <span slot="icon" class="iconfont icon-kongzhitai"></span>
                                    <div style="height:100px;line-height:100px;text-align:center;font-size:30px;font-weight:900;color:#1d95f4;">
                                        --
                                    </div>
                                </base-box>`
                }

            },
        ]

    },
    {
        id: 'ryjk',
        index: 0,
        title: '人员监控',
        isdelete: false,
        isshow: true,
        isarrival: false,
        component: {
            data() {
                return {

                }
            },
            props: {
                data: Object
            },
            methods: {

            },
            mounted() {

            },
            template: `<main-box 
                            :title="data.title"
                            style="margin-top:15px;"
                       >
                           <slot></slot>
                       </main-box>`
        },
        list: [
            {
                id: 'zgqk',
                index: 0,
                title: '在岗情况',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            cpnName: 'zgqkBox',
                            drillLeftList: [
                                { name: '一班次', value: 1 },
                                { name: '二班次', value: 2 },
                                { name: '三班次', value: 3 },
                                { name: '四班次', value: 4 },
                            ],
                            drillRightList: [
                                { name: '揽收', value: 1 },
                                { name: '揽收2', value: 2 }
                            ],
                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {
                        initBar(){
                            const data = {
                                xData: ['应到人数', '实到人数', '未到数'],
                                values: [0, 0, 0],
                                colors: ['#2699F4', '#75C3EC'],
                                legend: '人数',
                                name: '人数',
                                xFontSize: 9
                            }
                            this.$refs[this.cpnName].initBar(data)
                        },
                        changeLeftDrill(val) {
                            this.drillLeftList.forEach((item, key) => {
                                if(item.value == val){
                                    this.drillLeftList.splice(key,1)
                                    this.drillLeftList.unshift(item)
                                }
                            })
                        },
                        changeRightDrill(val) {
                            this.drillRightList.forEach((item, key) => {
                                if(item.value == val){
                                    this.drillRightList.splice(key,1)
                                    this.drillRightList.unshift(item)
                                }
                            })
                        }
                    },
                    mounted() {
                        this.initBar()
                    },

                    template: `<drill-box 
                        :title="data.title"
                        :is-show-left="true"
                        :drill-left="drillLeftList"
                        :defalut-left-label="drillLeftList[0].name"
                        :is-show-right="true"
                        :drill-right="drillRightList"
                        :defalut-right-label="drillRightList[0].name"
                        @getleftval="changeLeftDrill"
                        @getrightval="changeRightDrill"
                        style="border-bottom:1px solid #e6e6e6;"
                    >
                        <bar-box 
                            :ref="cpnName"
                            :id-name="cpnName" 
                        />
                        <slot></slot>
                    </drill-box>`

                }
            },
            {
                id: 'zyxl',
                index: 0,
                title: '作业效率',
                isdelete: false,
                isshow: true,
                isarrival: false,
                component: {
                    data() {
                        return {
                            dataList: [
                                { name: '上一小时品均投递效率', value: '--' },
                                { name: '小时环比', value: '--', isRale: true },
                            ]
                        }
                    },
                    props: {
                        data: Object
                    },
                    methods: {
                        changeRightDrill(val) {
                            this.drillRightList.forEach((item, key) => {
                                if(item.value == val){
                                    this.drillRightList.splice(key,1)
                                    this.drillRightList.unshift(item)
                                }
                            })
                        }
                    },
                    mounted(){

                    },
                    template: `<drill-box 
                                    :title="data.title"
                                    :back-color="'#FFF'"
                                >
                                    <base-box 
                                        :list="dataList"
                                        :item-num="2"
                                        item-width="50%"
                                        :is-show-bottom="false"
                                    />
                                </drill-box>`
                }

            },
        ]
    },
    {
        id: 'zdxm',
        index: 0,
        title: '重点项目',
        isdelete: false,
        isshow: true,
        isarrival: false,
        component: {
            data() {
                return {
                    cpnName: 'zdxmBox',

                }
            },
            props: {
                data: Object
            },
            methods: {
                initPie() {
                    const data = [
                        { value: 0, name: '大学生档案', itemStyle: { color: '#00A1E9'} },
                        { value: 0, name: '身份证', itemStyle: { color: '#2F4553'} },
                        { value: 0, name: '贵重邮件', itemStyle: { color: '#61A0A9'} },
                        { value: 0, name: '国际邮件', itemStyle: { color: '#D38265'} },
                        { value: 0, name: '约投挂号', itemStyle: { color: '#91C7AF'} },
                        { value: 0, name: '高招邮件', itemStyle: { color: '#749F83'} },
                        { value: 0, name: '银行卡函', itemStyle: { color: '##CA8623'} },
                        { value: 0, name: '公安网上车管', itemStyle: { color: '#BDA299'} },
                        { value: 0, name: '苹果产品', itemStyle: { color: '#6F7074'} },
                    ]
                    this.$refs[this.cpnName].initPie(data)
                }
            },
            mounted() {
                this.initPie()
            },
            template: `<main-box 
                            :title="data.title"
                            style="margin-top:15px;"
                       >
                            <pie-box 
                                :ref="cpnName"
                                :id-name="cpnName"
                                box-height="420px"
                                :margin-top="150"
                            />
                       </main-box>`
        }
    },


]


// 子组件集合
const allChildCpns = {}
for (item of list) {
    allChildCpns[item.id] = item.component
    let {list: clist} = item
    if(clist) {
        for(ii of clist) {
            allChildCpns[ii.id] = ii.component
        }
    }
}

