//作业情况
Vue.component('workCase', {
    data() {
        return {
            Vshow: true,
            productCode: 'B',
			productList: [
				{ name: '特快专递', val: 'B' },
				{ name: '快递包裹', val: 'K' }
			],
        }
    },
    props: {
        data: Object
    },
    methods: {
        
    },
    mounted() {
        
    },
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    
                    <slot></slot>
               </main-box>`
});

// 作业情况---车辆接发监控
Vue.component('cljfjk', {
    data() {
        return {
            dataList: [
                {
                    name: '实时待卸',
                    value: '0'
                }, {
                    name: '已卸',
                    value: '0'
                }, {
                    name: '已发车辆数',
                    value: '0'
                }
            ]
        }
    },
    methods: {
        // 接口调用
        getData(xzqh, level, org_no) {
            // alert(level+'123')
            const path = 'dpk/carReceiveDispatchStatisticsProc'
            let params = {
                distCode: org_no,
                orgCode: '',
                sumLevel: '',
                sumFg: '1',
                // dataDate: '2020-09-03',//dayjs().format('YYYY-MM-DD'),
                dataDate: dayjs().format('YYYY-MM-DD'),
            }
            const msgbody1 = JSON.stringify(params)
            console.log(msgbody1)
            var interface1 = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                // baseURL: 'http://192.168.112.82/bsv-app/',
                timeout: 10000
            });
            interface1.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({ data }) => {
                console.log('车辆接发监控', data)
                if (data.resCode !== 'A00001' || data.data === '[]'|| data.data.length == 0) {
                    // alert('00')
                    this.dataList[0].value = '-'
                    this.dataList[1].value = '-'
                    this.dataList[2].value = '-'
                    return;
                } else {
                    // 全国
                    var list = data.data
                    for (var i = 0; i < this.dataList.length; i++) {
                        this.dataList[i].value = list[0].unseal
                    }
                    this.dataList[0].value = list[0].unseal
                    this.dataList[1].value = list[0].sealed
                    this.dataList[2].value = list[0].depart
                    console.log(list)
                }
            }).catch(err => {
                console.log(err)
                this.list = [];
            });
        },
        // 下钻
        drillDown(v) {
            console.log(v);
            // Emp.execute(`toPC_cljfjk_xiazuan('${v}')`);
        }
    },
    props: {
        data: Object
    },
    mounted() {
    },
    template: `<base-box :title="data.title" :list="dataList" @drilldown="drillDown">

               </base-box>`
});

// 作业情况---当前未卸车
Vue.component('cswxc', {
    data() {
        return {
            dataList: [
                {
                    name: '0-12小时',
                    value: '0',
                }, {
                    name: '12-24小时',
                    value: '0'
                }, {
                    name: '24-48小时',
                    value: '0'
                }, {
                    name: '48小时以上',
                    value: '0'
                }
            ]
        }
    },
    methods: {
        // 接口调用
        getData(xzqh, level, org_no) {
            const path = 'dpk/queryCarControlPc'
            // alert(xzqh)
            // alert(level)
            let params = {
                distCode: '',//区域代码
                sumLevel: level,//1-全国2-省...
                sumFg: "1",//1汇总，2下钻
                dataDate: dayjs().format('YYYYMMDD'),
                // PickupSection: '',
                orgCode: org_no,
                provCode: '',//
                cityCode: '',//
                // CountyCode: CountyCode//
            }
            const msgbody1 = JSON.stringify(params)
            // alert("1")
            //    alert(msgbody1, '123')
            var interface1 = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                // baseURL: 'http://192.168.112.82/bsv-app/',
                timeout: 10000
            });
            interface1.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({ data }) => {
                console.log('超时未卸车', params)
                console.log(data, 'lll');
                // alert(JSON.stringify(data))
                if (data.data.length==0) {
                    // alert("1") 
                    this.dataList[0].value = '-'
                    this.dataList[1].value = '-'
                    this.dataList[2].value = '-'
                    this.dataList[3].value = '-'
                    return;
                } else {
                    // 全国
                    // var list = data.data
                    // for (var i = 0; i < this.dataList.length; i++) {
                    //     this.dataList[i].value = list[0].unseal
                    // }
                    // this.dataList[0].value = list[0].unseal
                    // this.dataList[1].value = list[0].sealed
                    // this.dataList[2].value = list[0].depart
                    // console.log(list)
                    // alert(JSON.stringify(data.data), 'ccccclll');
                    // let data = data.data[0]
                    // alert(data.data[0].overtime1)
                    this.dataList[0].value = data.data[0].overtime1
                    this.dataList[1].value = data.data[0].overtime2
                    this.dataList[2].value = data.data[0].overtime3
                    this.dataList[3].value = data.data[0].overtime4
                }
            }).catch(err => {
                console.log(err)
                this.list = [];
            });
        },
        // 下钻
        drillDown(index) {
            // alert(index)
            console.log('下钻');
            //下钻跳转
            this.$emit('drilldown', index)
            // Emp.execute("toTimeoutCarCenter()") 
        }
    },
    props: {
        data: Object
    },
    template: `<base-box 
                    :title="data.title" 
                    :list="dataList" 
                    @drilldown="drillDown"
               />`
});

// 作业情况----作业量折线图
Vue.component('zylzxt', {
    data() {
        return {
            drillLeft: [
                {
                    value: 0,
                    name: '特快专递'
                },
                {
                    value: 1,
                    name: '快递包裹'
                }
            ],
            drillRight: [
                {
                    value: 0,
                    name: '邮件接收量'
                },
                {
                    value: 1,
                    name: '邮件发运量'
                },
                {
                    value: 2,
                    name: '邮件处理量'
                }
            ],
            defalutLeftLabel: '特快专递',
            defalutRightLabel: '邮件接收量',
            dataList: [
                {
                    name: '接收量',
                    value: '--'
                },
                {
                    name: '上一小时接收量',
                    value: '--'
                },
                {
                    name: '环比',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        getLeftVal(val) {
            const arr = ['特快专递', '快递包裹']
            this.defalutLeftLabel = arr[Number(val)]
            this.initLine();
        },
        getRightVal(val) {
            const arr = ['邮件接收量', '邮件发运量', '邮件处理量']
            this.defalutRightLabel = arr[Number(val)]
            this.initLine();
        },
        drillDown(index) {
            console.log('下钻');
        },
        initLine(data) {
            let level = '';
            let xzqh = '';
            for (let key in data) {
                this[key] = data[key]
            }
            console.log(data, '2222')
            // 初始化折线图
            const legend = ['今日', '昨日'];
            const legendSet = [30, 45];
            const color = ['#1D95F4', '#1AE54B']
            let path = '';
            let params = {};
            if (this.defalutRightLabel === '邮件接收量') {
                path = 'dpk/queryProcRecvMailLine';
                params = {
                    //distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                    distCode: '',
                    orgCode: this.org_no,
                    //sumLevel: this.level === '6'  ? '6' : Number(this.level) + 1,
                    sumLevel: '',
                    sumFg: '1',
                    lineType: '2',
                    dataDate: dayjs().format('YYYY-MM-DD'),
                };
            } else if (this.defalutRightLabel === '邮件发运量') {
                path = 'dpk/queryProcSendMailLine';
                params = {
                    distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                    orgCode: this.org_no,
                    sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) + 1,
                    sumFg: '1',
                    lineType: '2',
                    dataDate: dayjs().format('YYYY-MM-DD'),
                };
            } else if (this.defalutRightLabel === '邮件处理量') {
                path = 'dpk/queryProcWorkLine';
                params = {
                    //distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                    distCode: '',
                    orgCode: this.org_no,
                    //sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) + 1,
                    sumLevel: '',
                    sumFg: '1',
                    lineType: '2',
                    dataDate: dayjs().format('YYYY-MM-DD'),
                };
                /*} else if(this.defalutLeftLabel==='快递包裹'&&this.defalutRightLabel==='邮件接收量'){
                    path = 'dpk/queryProcRecvMailLine';
                    params = {
                        //distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                        distCode: '',
                        orgCode: this.org_no,
                        //sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) + 1,
                        sumLevel: '',
                        sumFg: '1',
                        lineType: '3',
                        dataDate: dayjs().format('YYYY-MM-DD'),
                    };
                } else if(this.defalutLeftLabel==='快递包裹'&&this.defalutRightLabel==='邮件发运量'){
                    path = '';
                    params = {
    
                    };
                } else if(this.defalutLeftLabel==='快递包裹'&&this.defalutRightLabel==='邮件处理量'){
                    path = 'dpk/queryProcWorkLine';
                    params = {
                        //distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                        distCode: '',
                        orgCode: this.org_no,
                        //sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) + 1,
                        sumLevel: '',
                        sumFg: '1',
                        lineType: '3',
                        dataDate: dayjs().format('YYYY-MM-DD'),
                    };*/
            }
            const msgbody1 = JSON.stringify(params)
            var interface1 = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000
            });
            interface1.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({ data }) => {
                console.log(params, '作业量折线图')
                console.log(data, "作业量折线图", this.defalutLeftLabel, this.defalutRightLabel)
                if (data.resCode == 'E00001') {
                    if (this.defalutRightLabel === '邮件接收量') {
                        this.dataList[0].name = '接收量';
                        this.dataList[1].name = '上一小时接收量';
                        this.dataList[0].value = '-'
                        this.dataList[1].value = '-'
                        this.dataList[2].value = '-' + "%"
                    } else if (this.defalutRightLabel === '邮件发运量') {
                        this.dataList[0].name = '发运量';
                        this.dataList[1].name = '上一小时发运量';
                        this.dataList[0].value = '-'
                        this.dataList[1].value = '-'
                        this.dataList[2].value = '-' + "%"
                    } else if (this.defalutRightLabel === '邮件处理量') {
                        this.dataList[0].name = '处理量';
                        this.dataList[1].name = '上一小时处理量';
                        this.dataList[0].value = '-'
                        this.dataList[1].value = '-'
                        this.dataList[2].value = '-' + "%"
                    }
                    const x_data = ['00:00', '01:00', '02:00', '03:00', '04:00', '05:00', '06:00', '07:00', '08:00', '09:00', '10:00', '11:00',
                        '12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00', '19:00', '20:00', '21:00', '22:00', '23:00', '24:00'];
                    const values = [[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
                    [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]];
                    this.$refs.zxt.initLine(legend, x_data, values, legendSet, color);
                    return;
                }
                let dataArr = [];
                let yesDataArr = [];
                if (this.defalutRightLabel === '邮件接收量') {
                    // DpkRecvMailDto
                    dataArr = data.data[0].dpkRecvMailDto;
                    yesDataArr = data.data[1].dpkRecvMailDto;
                } else if (this.defalutRightLabel === '邮件发运量') {
                    // DpkProcSendMailDto
                    dataArr = data.data[0].dpkProcSendMailDto;
                    yesDataArr = data.data[1].dpkProcSendMailDto;
                } else if (this.defalutRightLabel === '邮件处理量') {
                    // DpkProcWorkDto
                    dataArr = data.data[0].dpkProcWorkDto;
                    yesDataArr = data.data[1].dpkProcWorkDto;
                }
                let yesData = [];
                if (yesDataArr != null && data.data[1].lineType == '2') {
                    yesData = yesDataArr.sort((b, a) => b.dataDate > a.dataDate ? 1 : -1)
                } else {
                    yesData = []
                }
                let newData = [];
                if (dataArr != null && data.data[0].lineType == '1') {
                    newData = dataArr.sort((b, a) => b.dataDate > a.dataDate ? 1 : -1)
                } else {
                    newData = []
                }
                let today = newData;
                let yestoday = yesData;
                let times = [];
                let todayObj = {}
                let yestodayObj = {}
                let t = ''
                let todayData = []
                let yestodayData = []
                let x_data = []
                let values = []
                yesData.splice(24, 1);
                console.log(newData.length, yesData.length)
                if (newData.length === 0 && yesData.length === 0) {
                    if (this.defalutRightLabel === '邮件接收量') {
                        this.dataList[0].name = '接收量';
                        this.dataList[1].name = '上一小时接收量';
                        this.dataList[0].value = '-'
                        this.dataList[1].value = '-'
                        this.dataList[2].value = '-' + "%"
                    } else if (this.defalutRightLabel === '邮件发运量') {
                        this.dataList[0].name = '发运量';
                        this.dataList[1].name = '上一小时发运量';
                        this.dataList[0].value = '-'
                        this.dataList[1].value = '-'
                        this.dataList[2].value = '-' + "%"
                    } else if (this.defalutRightLabel === '邮件处理量') {
                        this.dataList[0].name = '处理量';
                        this.dataList[1].name = '上一小时处理量';
                        this.dataList[0].value = '-'
                        this.dataList[1].value = '-'
                        this.dataList[2].value = '-' + "%"
                    }
                    x_data = ['00:00', '01:00', '02:00', '03:00', '04:00', '05:00', '06:00', '07:00', '08:00', '09:00', '10:00', '11:00',
                        '12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00', '19:00', '20:00', '21:00', '22:00', '23:00', '24:00']
                    values = [[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
                    [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]];
                    this.$refs.zxt.initLine(legend, x_data, values, legendSet, color)
                    return;
                }
                if (data != null & data.data != null) {
                    if (data.data.length > 0) {
                        today.forEach(e => {
                            if (dayjs().subtract(1, 'day').format("YYYY-MM-DD")
                                == e.dataDateStr) {
                                t = 0
                            } else if (dayjs().format("YYYY-MM-DD")
                                == e.dataDateStr) {
                                t = (parseInt(e.frequency) + 1).toString();
                            }
                            times.push(t);
                            if (this.defalutRightLabel === '邮件接收量') {
                                todayObj[t] = e.recvMailTotal
                            } else if (this.defalutRightLabel === '邮件发运量') {
                                todayObj[t] = e.totalNum
                            } else if (this.defalutRightLabel === '邮件处理量') {
                                todayObj[t] = e.processNum
                            }
                        });
                        yestoday.forEach(e => {
                            if (dayjs().subtract(2, 'day').format("YYYY-MM-DD")
                                == e.dataDateStr) {
                                t = 0
                            } else if (dayjs().subtract(1, 'day').format("YYYY-MM-DD")
                                == e.dataDateStr) {
                                t = (parseInt(e.frequency) + 1).toString();
                            }
                            times.push(t);
                            if (this.defalutRightLabel === '邮件接收量') {
                                yestodayObj[t] = e.recvMailTotal
                            } else if (this.defalutRightLabel === '邮件发运量') {
                                yestodayObj[t] = e.totalNum
                            } else if (this.defalutRightLabel === '邮件处理量') {
                                yestodayObj[t] = e.processNum
                            }
                        });
                        // console.log(todayObj)
                        let filterTime = new Set(times);
                        const sortTimes = [...filterTime].sort((a, b) => Number(a) - Number(b))
                        // console.log(sortTimes);
                        const newTimes = [0, "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24"];
                        // 并集
                        let unionTimes = newTimes.concat(sortTimes.filter(function (val) { return !(newTimes.indexOf(val) > -1) }))
                        // console.log(unionTimes)
                        unionTimes.forEach(e => {
                            if (todayObj[e] === undefined) todayObj[e] = 0
                            if (yestodayObj[e] === undefined) yestodayObj[e] = 0
                        });
                        let xData = Object.keys(todayObj)
                        todayData = Object.values(todayObj)
                        yestodayData = Object.values(yestodayObj);
                        x_data = xData.map(e => {
                            if (e.length === 1) return `0${e}:00`
                            else return `${e}:00`
                        })
                        // console.log(todayData, this.defalutLeftLabel, this.defalutRightLabel)
                        // console.log(yestodayData, this.defalutLeftLabel, this.defalutRightLabel)
                        values = [todayData, yestodayData]
                        this.$refs.zxt.initLine(legend, x_data, values, legendSet, color)
                    } else {
                        this.$refs.zxt.initLine(legend, x_data, values, legendSet, color)
                    }
                } else {
                    this.$refs.zxt.initLine(legend, x_data, values, legendSet, color)
                }
                var arr = newData;
                console.log(arr);
                console.log(arr[0]);
                var compare = function (obj1, obj2) {
                    var val1 = obj1.createTime;
                    var val2 = obj2.createTime;
                    if (val1 < val2) {
                        return 1;
                    } else if (val1 > val2) {
                        return -1;
                    } else {
                        return 0;
                    }
                }
                console.log("数组对象排序：");
                var sortArr = arr.sort(compare);
                // console.log(sortArr);

                if (newData.length === 0) {
                    if (this.defalutRightLabel === '邮件接收量') {
                        this.dataList[0].name = '接收量';
                        this.dataList[1].name = '上一小时接收量';
                        this.dataList[0].value = '-'
                        this.dataList[1].value = '-'
                        this.dataList[2].value = '-' + "%"
                    } else if (this.defalutRightLabel === '邮件发运量') {
                        this.dataList[0].name = '发运量';
                        this.dataList[1].name = '上一小时发运量';
                        this.dataList[0].value = '-'
                        this.dataList[1].value = '-'
                        this.dataList[2].value = '-' + "%"
                    } else if (this.defalutRightLabel === '邮件处理量') {
                        this.dataList[0].name = '处理量';
                        this.dataList[1].name = '上一小时处理量';
                        this.dataList[0].value = '-'
                        this.dataList[1].value = '-'
                        this.dataList[2].value = '-' + "%"
                    }
                } else if (this.defalutRightLabel === '邮件接收量') {
                    var strMailTotal = 0;
                    for (let i = 1; i < todayData.length; i++) {
                        strMailTotal += Number(todayData[i]);
                    }
                    console.log(strMailTotal)
                    this.dataList[0].name = '接收量';
                    this.dataList[1].name = '上一小时接收量';
                    this.dataList[0].value = strMailTotal
                    this.dataList[1].value = sortArr[0].lastHourrecvMailTotal
                    this.dataList[2].value = sortArr[0].ringRatio + "%"
                } else if (this.defalutRightLabel === '邮件发运量') {
                    var strTotalNum = 0;
                    for (let i = 1; i < todayData.length; i++) {
                        strTotalNum += parseInt(todayData[i]);
                    }
                    console.log(strTotalNum)
                    this.dataList[0].name = '发运量';
                    this.dataList[1].name = '上一小时发运量';
                    this.dataList[0].value = strTotalNum
                    this.dataList[1].value = sortArr[0].lastHourSendTotal
                    this.dataList[2].value = sortArr[0].ringRatio + "%"
                } else if (this.defalutRightLabel === '邮件处理量') {
                    var strProcessNum = 0;
                    for (let i = 1; i < todayData.length; i++) {
                        strProcessNum += Number(todayData[i]);
                    }
                    console.log(strProcessNum)
                    this.dataList[0].name = '处理量';
                    this.dataList[1].name = '上一小时处理量';
                    this.dataList[0].value = strProcessNum
                    this.dataList[1].value = sortArr[0].lastHourProcessNum
                    this.dataList[2].value = sortArr[0].ringRatio + "%"
                }
            }).catch(err => {
                console.log(err);
                if (this.defalutRightLabel === '邮件接收量') {
                    this.dataList[0].name = '接收量';
                    this.dataList[1].name = '上一小时接收量';
                    this.dataList[0].value = '-'
                    this.dataList[1].value = '-'
                    this.dataList[2].value = '-' + "%"
                } else if (this.defalutRightLabel === '邮件发运量') {
                    this.dataList[0].name = '发运量';
                    this.dataList[1].name = '上一小时发运量';
                    this.dataList[0].value = '-'
                    this.dataList[1].value = '-'
                    this.dataList[2].value = '-' + "%"
                } else if (this.defalutRightLabel === '邮件处理量') {
                    this.dataList[0].name = '处理量';
                    this.dataList[1].name = '上一小时处理量';
                    this.dataList[0].value = '-'
                    this.dataList[1].value = '-'
                    this.dataList[2].value = '-' + "%"
                }
                const x_data = ['00:00', '01:00', '02:00', '03:00', '04:00', '05:00', '06:00', '07:00', '08:00', '09:00', '10:00', '11:00',
                    '12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00', '19:00', '20:00', '21:00', '22:00', '23:00'];
                const values = [[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
                [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]];
                this.$refs.zxt.initLine(legend, x_data, values, legendSet, color);
                return;
            });
        },
    },
    mounted() {

    },
    template: `<drill-box 
          			:title="data.title" 
                    :is-show-left="false"
                    :is-show-right="true"
                    :drill-left="drillLeft"
                    :drill-right="drillRight"
                    :defalut-left-label="defalutLeftLabel"
                    :defalut-right-label="defalutRightLabel"
                    @getleftval="getLeftVal"
                    @getrightval="getRightVal"
               >
               <base-box 
                   :is-show-title="false"
                   :list="dataList" 
                   @drilldown="drillDown"
               />
               <line-box
                   ref="zxt"
                   unit=""
                   :is-show-data-zoom="true"
                   :id-name="'zyqk_zylzxt'"
               />
          </drill-box>`
});

// 作业情况-----出口集包率
Vue.component('ckjbl', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {
        drillDown() {
            console.log('下钻');
        },
        initLiquid() {
            this.$refs.ckjbl.initLiquid(0, '#00c685')
        }
    },
    mounted() {
        this.initLiquid()
    },
    template: `<base-box :title="data.title" style="border-top: 1px solid #e6e6e6;">
                    <liquid-box 
                        ref="ckjbl"
                        :id-name="'zyqk_ckjbl'"
                        @drilldown="drillDown"
                    />
               </base-box>`
});

// 作业情况-----处理时长
Vue.component('clsc', {
    data() {
        return {
            dataList: [
                {
                    name: '平均单件处理时长',
                    value: '--'
                }, {
                    name: '昨日环比',
                    value: '--'
                }, {
                    name: '单件最长处理时长',
                    value: '--'
                }, {
                    name: '最短处理时长',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(index) {
            console.log(`下钻${index}`);
        }
    },
    mounted() {
    },
    template: `<base-box 
                    :title="data.title" 
                    :list="dataList"
                    :item-width="'50%'"
                    :item-num="2"
                    style="border-top: 1px solid #e6e6e6;">
                    
               </base-box>`
});

// 作业情况-----处理时长分布
Vue.component('clscfb', {
    data() {
        return {
            dataList: [
                {
                    name: '0-3小时',
                    value: '--'
                }, {
                    name: '3-6小时',
                    value: '--'
                }, {
                    name: '6-12小时',
                    value: '--'
                }, {
                    name: '12小时以上',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(index) {
            console.log(`下钻${index}`);
        }
    },
    mounted() {
    },
    template: `<base-box 
                    :title="data.title" 
                    :list="dataList"
               >
                    
               </base-box>`
});


// 作业情况-----卸车效率监控
Vue.component('xcxljk', {
    data() {
        return {
            dataList: [
                {
                    name: '卸车平均时长',
                    value: '--'
                }, {
                    name: '平均卸车效率',
                    value: '--'
                }, {
                    name: '单小时最高效率',
                    value: '--'
                }, {
                    name: '最低效率',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(index) {
            console.log(`下钻${index}`);
        }
    },
    mounted() {
    },
    template: `<base-box 
                    :title="data.title" 
                    :list="dataList"
                    :item-width="'50%'"
                    :item-num="2"
               >
                    
               </base-box>`
});

// 作业情况-----装车效率监控
Vue.component('zcxljk', {
    data() {
        return {
            dataList: [
                {
                    name: '装车平均时长',
                    value: '--'
                }, {
                    name: '平均装车效率',
                    value: '--'
                }, {
                    name: '单小时最高效率',
                    value: '--'
                }, {
                    name: '最低效率',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(index) {
            console.log(`下钻${index}`);
        }
    },
    mounted() {
    },
    template: `<base-box 
                    :title="data.title" 
                    :list="dataList"
                    :is-show-bottom="false"
                    :item-width="'50%'"
                    :item-num="2"
               >
                    
               </base-box>`
});

// 异常监控
Vue.component('ycjk', {
    data() {
        return {
            wjsfj: '--',
            yjwcl: '--'
        }
    },
    props: {
        data: Object
    },
    methods: {},
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <div style="display: flex; justify-content: space-between; color: #1d95f4; font-weight: bold">
                        <div style="width: 100%; border-right: 1px solid #e6e6e6">
                            <div style="text-align: center; border-bottom: 1px dashed #e6e6e6">
                                <p>未及时分拣</p>
                            </div>
                            <div style="text-align: center; line-height: 40px">
                                <p>{{wjsfj}}</p>
                            </div>
                        </div>
                        <div  style="width: 100%">
                            <div style="text-align: center; border-bottom: 1px dashed #e6e6e6">
                                <p>处理中心有进无出量</p>
                            </div>
                            <div style="text-align: center; line-height: 40px">
                                <p>{{yjwcl}}</p>
                            </div>
                        </div>
                    </div>
                    <slot></slot>
               </main-box>`
});


// 异常监控---处理效率统计
Vue.component('clxltj', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {
        initLiquid() {
            this.$refs.fjjccl.initLiquid(0, 'yellow')
            this.$refs.fjjsrl.initLiquid(0, 'red')
        },
        drillDownCcl() {
            console.log('差错率');
        },
        drillDownSrl() {
            console.log('收容率');
        }
    },
    mounted() {
        this.initLiquid()
    },
    template: `<base-box 
                    :title="data.title" 
                    :back-color="'#DEEBF4'"
               >
                    <div style="display: flex;">
                        <div style="width: 100%; border-right: 1px dashed #e6e6e6;">
                            <div style="border-bottom: 1px dashed #e6e6e6; text-align: center">
                            	<p>分拣机差错率</p>
                            </div>
                            <liquid-box 
                                ref="fjjccl"
                                :id-name="'fjjccl'"
                                @drilldown="drillDownCcl"
                            ></liquid-box>
                        </div>
                        <div style="width: 100%;">
                            <div style="text-align: center; border-bottom: 1px dashed #e6e6e6;">
                            	<p>分拣机收容率</p>
                            </div>
                            <liquid-box 
                                ref="fjjsrl"
                                :id-name="'fjjsrl'"
                                @drilldown="drillDownSrl"
                            ></liquid-box>
                        </div>
                    </div>
               </base-box>`
});

// 异常监控----未及时赶发
Vue.component('wjsgf', {
    data() {
        return {
            dataList: [
                {
                    name: '-1-0小时',
                    value: '--'
                }, {
                    name: '0-6小时',
                    value: '--'
                }, {
                    name: '6-12小时',
                    value: '--'
                }, {
                    name: '12-24小时',
                    value: '--'
                }, {
                    name: '超24小时',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(index) {
            console.log(`下钻${index}`);
        }
    },
    mounted() {
    },
    template: `<base-box 
                    style="border-top: 1px solid #e6e6e6"
                    :title="data.title" 
                    :list="dataList"
                    :is-show-bottom="false"
               >
                    
               </base-box>`
});

// 预警报警
Vue.component('yjbj', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {},
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <slot></slot>
               </main-box>`
});


// 预警报警----车辆接发预警
Vue.component('cljfyj', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '一干'
                },
                {
                    value: 1,
                    name: '二干'
                },
                {
                    value: 3,
                    name: '其他'
                }
            ],
            defalutRightLabel: '一干',
            dataList: [
                {
                    name: '预计3h内接收车辆',
                    value: '--'
                },
                {
                    name: '预计12h内接收车辆',
                    value: '--'
                },
                {
                    name: '预计24h内接收车辆',
                    value: '--'
                },
                {
                    name: '预计3h发车辆',
                    value: '--'
                },
                {
                    name: '预计6h发车辆',
                    value: '--'
                },
                {
                    name: '够量直达路向',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        getRightVal(val) {
            const arr = ['一干', '二干', '其他'];
            this.defalutRightLabel = arr[Number(val)]
            console.log(val);
        },
        drillDown(val) {
            console.log('下钻' + val);
        }
    },
    template: `<drill-box 
                        :title="data.title" 
                        :is-show-right="true"
                        :drill-right="drillRight"
                        :defalut-right-label="defalutRightLabel"
                        :back-color="'#FFF'"
                        @getrightval="getRightVal"
               >
                    <base-box 
                        style="border-top: 1px solid #e6e6e6"
                        :is-show-title="false"
                        :list="dataList" 
                        :item-width="'33.33%'"
                        :item-num="3"
                        @drilldown="drillDown"
                    />
                    
                    
               </drill-box>`
});

// 预警报警----预计接收量
Vue.component('yjjsl', {
    data() {
        return {
            dataList: [
                {
                    name: '接收邮件量',
                    value: '--'
                },
                {
                    name: '车数',
                    value: '--'
                }
            ],
            dataListUp: [
                {
                    name: '接收邮件量',
                    value: '--'
                },
                {
                    name: '车数',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(val) {
            console.log('下钻');
        },
        drillDownUp(val) {
            console.log('下钻');
        }
    },
    template: `<drill-box 
                        :title="data.title" 
                        :back-color="'#FFF'"
               >
                    <div style="display: flex; border-top: 1px dashed #e6e6e6">
                        <base-box 
                            style="width: 100%; border-right: 1px dashed #e6e6e6"
                            :title="'24小时以内'"
                            :is-title="false"
                            :list="dataList" 
                            @drilldown="drillDown"
                        />
                        <baseBox 
                            style="width: 100%"
                            :title="'24小时以上'"
                            :is-title="false"
                            :list="dataListUp" 
                            @drilldown="drillDownUp"
                        />
                    </div>     
               </drill-box>`
});


// 预警报警----够量直达报警
Vue.component('glzdbj', {
    data() {
        return {
            dataList: [
                {
                    name: '已够量路向数',
                    value: '--'
                },
                {
                    name: '24小时预计够量路向数',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(val) {
            console.log('下钻');
        }
    },
    template: `<base-box 
                    :title="data.title"
                    :list="dataList" 
                    @drilldown="drillDown"
                />`
});

// 预警报警----超时车未到
Vue.component('glzdbj', {
    data() {
        return {
            dataList: [
                {
                    name: '本局承运的车辆',
                    value: '--'
                },
                {
                    name: '超过计划时间1小时未到达对端局的车辆',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(val) {
            console.log('下钻');
        }
    },
    template: `<base-box 
                    :title="data.title"
                    :list="dataList"
                    :is-show-bottom="false" 
                    @drilldown="drillDown"
                />`
});


// 设备监控
Vue.component('sbjk', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {},
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <slot></slot>
               </main-box>`
});

// 设备监控-----设备异常情况
Vue.component('sbycqk', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {},
    template: `<base-box :title="data.title">
                    <div style="color: red; background-color: #FEE0E0; width: 100%; height: 40px; padding: 0 5px; line-height: 40px">
                        <i class="el-icon-warning"></i>
                        &nbsp;xxxx分拣机存在异常，请及时查看！
                    </div>
               </base-box>`
});

// 设备监控-----供件效率
Vue.component('gjxl', {
    data() {
        return {
            dataList: [
                {
                    name: '小时平均处理效率',
                    value: '--'
                },
                {
                    name: '小时环比',
                    value: '--',
                    isRale: true
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(val) {
            console.log('下钻');
        }
    },
    template: `<base-box 
                    :title="data.title"
                    :list="dataList"
                    @drilldown="drillDown"
               >
                    
               </base-box>`
});

// 设备监控-----上机供件量
Vue.component('sjgjl', {
    data() {
        return {
            dataList: [
                {
                    name: '小时平均处理效率',
                    value: '--'
                },
                {
                    name: '小时环比',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        initPie() {
            const data = [{
                value: 0,
                name: '分拣机落格量',
                itemStyle: {
                    color: "#299BE8"
                },
            }, {
                value: 0,
                name: '分拣机收容量',
                itemStyle: {
                    color: "#CC7033"
                },
            }];
            this.$refs.pie.initPie(data)
        }
    },
    mounted() {
        this.initPie()
    },
    template: `<drill-box 
                    :title="data.title"
               >
                    <pie-box 
                        ref="pie"
                        :id-name="'sbjk_sjgjl'"
                    />
               </drill-box>`
});

// 场院管理
Vue.component('cygl', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {},
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <slot></slot>
               </main-box>`
});


// 场院管理----垛口占用率
Vue.component('dkzyl', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {
        drillDown() {
            console.log('下钻');
        },
        initLiquid() {
            this.$refs.dkzyl.initLiquid(0, '#00c685')
        }
    },
    mounted() {
        this.initLiquid()
    },
    template: `<base-box 
                    :title="data.title"
               >
                    <liquid-box 
                        style="border-top: none"
                        ref="dkzyl"
                        :id-name="'cygl_dkzyl'"
                        @drilldown="drillDown"
                    />
               </base-box>`
});


// 场院管理----院内车辆进出监控
Vue.component('yncljcjk', {
    data() {
        return {
            dataList: [
                {
                    name: '当前场内停留车数',
                    value: '--'
                },
                {
                    name: '平均停留时间',
                    value: '--'
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(val) {
            console.log('下钻');
        }
    },
    template: `<base-box 
                    style="border-top: 1px solid #e6e6e6"
                    :title="data.title"
                    :list="dataList"
                    :is-show-bottom="false"
                    @drilldown="drillDown"
               >
                    
               </base-box>`
});


// 运力管理
Vue.component('ylgl', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {
        initBar() {
            const data = {
                xData: ['派车已响应', '已发运', '派车未响应'],
                legend: '车辆数',
                values: [0, 0, 0],
                colors: ['#2699F4', '#75C3EC'],
                name: '车辆数(单位:辆)',
                xFontSize: 12
            }
            this.$refs.ylglBar.initBar(data)
        }
    },
    mounted() {
        this.initBar()
    },
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <bar-box 
                        ref="ylglBar"
                        :id-name="'ylglBar'" 
                    />
               </main-box>`
});


// 人员监控
Vue.component('ryjk', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {

    },
    mounted() {

    },
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <slot></slot>
               </main-box>`
});


// 人员监控---在岗情况
Vue.component('zgqk', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '一班组'
                },
                {
                    value: 1,
                    name: '二班组'
                }
            ],
            defalutRightLabel: '一班组',
        }
    },
    props: {
        data: Object
    },
    methods: {
        getRightVal(val) {
            const arr = ['一班组', '二班组'];
            this.defalutRightLabel = arr[Number(val)]
            console.log(val);
        },
        initBar() {
            const data = {
                xData: ['应到人数', '实到人数', '未到人数'],
                legend: '人数',
                values: [0, 0, 0],
                colors: ['#2699F4', '#75C3EC'],
                name: '人数(单位:人)',
                xFontSize: 12
            }
            this.$refs.zgqkBar.initBar(data)
        }
    },
    mounted() {
        this.initBar()
    },
    template: `<drill-box 
                    :title="data.title"
                    :is-show-right="true"
                    :drill-right="drillRight"
                    :back-color="'#75C3EC'"
                    :defalut-right-label="defalutRightLabel"
                    @getrightval="getRightVal"
               >
                    <bar-box 
                        ref="zgqkBar"
                        :id-name="'ryjk_zgqk'" 
                    />
               </drill-box>`
});


// 人员监控---作业效率
Vue.component('zyxl', {
    data() {
        return {
            dataList: [
                {
                    name: '小时平均处理效率(汇总)',
                    value: '--'
                },
                {
                    name: '小时环比',
                    value: '--',
                    isRale: true
                }
            ]
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(val) {
            console.log('下钻');
        }
    },
    template: `<base-box 
                    style="border-top: 1px solid #e6e6e6"
                    :title="data.title"
                    :list="dataList"
                    @drilldown="drillDown"
               >
                    
               </base-box>`
});

// 人员监控---PDA设备登录情况
Vue.component('sbdlqk', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '一班组'
                },
                {
                    value: 1,
                    name: '二班组'
                }
            ],
            defalutRightLabel: '一班组',
            value: '--'
        }
    },
    props: {
        data: Object
    },
    methods: {
        getRightVal(val) {
            const arr = ['一班组', '二班组'];
            this.defalutRightLabel = arr[Number(val)]
            console.log(val);
        }
    },
    template: `<drill-box 
                    :title="data.title"
                    :is-show-right="true"
                    :drill-right="drillRight"
                    :back-color="'#FFF'"
                    :defalut-right-label="defalutRightLabel"
                    @getrightval="getRightVal"
               >
                    <div style="text-align: center; color: #249BF5; border-top: 1px dashed #e6e6e6; font-size: 20px; font-weight: bold">
                        <p>{{value}}</p>
                    </div>
               </drill-box>`
});
