/**2021/1/6
 * 作者: LWJ
 * 功能: 质量指标-航班正确率, 内部处理及时率下钻表格配置
 * 参数说明:
 */
const deal = [
    {
        name: '序号',
        key: 'no',
        sort: false,
        align: 'center',
        width: 35
    },
    {
        name: '省份',
        key: 'name',
        sort: true,
        align: 'left',
        width: 65
    },
    {
        name: '实际值(%)',
        key: 'dealRate',
        sort: true,
        width: '65',
    },

    {
        name: '目标值(%)',
        key: 'target',
        sort: false,
        width: '65',
    },
    {
        name: '与目标值<br>差值(%)',
        key: 'targetDiff',
        sort: false,
        width: 65,
        fontColor : (row) =>{
            return (Number(row.targetDiff) > 0) ? '#54D499':
                ((Number(row.targetDiff) < 0)? '#cb081d' : '#000000')
        }
    },
    {
        name: '环比(%)',
        key: 'dealRingRate',
        sort: false,
        width: 55,
        align: 'center',
        fontColor : (row) =>{
            return (Number(row.dealRingRate) > 0) ? '#54D499':
                ((Number(row.dealRingRate) < 0)? '#cb081d' : '#000000')
        }
    },
];

const plane = [
    {
        name: '省份',
        key: 'name',
        sort: true,
        fixed: 'left',
        align: 'center',
        width: 80
    },
    {
        name: '计划编制<br>完整率(%)',
        key: 'planRate',
        sort: true,
        align: 'center',
    },
    {
        name: '应串联局<br>对数',
        key: 'seriesYes',
        sort: true,
        align: 'center',
    },
    {
        name: '应串联局<br>对数环比',
        key: 'seriesYesRing',
        sort: false,
        align: 'center',
    },
    {
        name: '未串联局<br>对数',
        key: 'seriesNo',
        sort: true,
        align: 'center',
    },
    {
        name: '未串联局<br>对数环比',
        key: 'seriesNoRing',
        sort: false,
        align: 'center',
    },
];

const queryTableColumn = {
    deal,
    plane
};
