// 页面数据
let pageData = {
    // name: '投递部看板', // 
    // code: 'tdbkb', // 标识码，用于存储本地数据等标识
    xzqh:'',
    sumLevel:'',
    // orgCode:''
};
//全程时限
Vue.component('qcsx', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {},
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <slot></slot>
               </main-box>`
});

//分环节时限
Vue.component('fhjsx', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {},
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <slot></slot>
               </main-box>`
});

//省内时限
Vue.component('snsx', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {},
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <slot></slot>
               </main-box>`
});

//时限趋势图
Vue.component('sxqst', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '按日'
                },
                {
                    value: 1,
                    name: '按周'
                },
                {
                    value: 2,
                    name: '按月'
                }
            ],
            defalutRightLabel: '按日',
            drillLeft: [
                {
                    value: 0,
                    name: '全程时限准时率'
                }
            ],
            defalutLeftLabel: '全程时限准时率'
        }
    },
    methods: {
        getRightVal(val) {
            const arr = this.drillRight.map(i => i.name);
            this.defalutRightLabel = arr[Number(val)]
        },
        getLeftVal(val) {
            const arr = this.drillLeft.map(i => i.name);
            this.defalutLeftLabel = arr[Number(val)]
        },
        initLine() {
            //初始化折线图
            const legend = ['特快', '快包'];
            const xData = ['02:00', '03:00', '04:00', '05:00', '06:00', '当前'];
            const values = [
                [0, 0, 0, 0, 0, 0],
                [0, 0, 0, 0, 0, 0]
            ];
            const legendSet = [15, 45];
            const color = ['#1D95F4', '#1AE54B']
            this.$refs.zxt.initLine(legend, xData, values, legendSet, color)
        }
    },
    props: {
        data: Object
    },
    mounted(){
        this.initLine()
    },
    template: `<drill-box 
                        :title="data.title" 
                        style="margin-bottom: 15px"
                        :is-show-right="true"
                        :is-show-left="true"
                        :drill-right="drillRight"
                        :drill-left="drillLeft"
                        :defalut-right-label="defalutRightLabel"
                        :defalut-left-label="defalutLeftLabel"
                        :back-color="'#DEEBF4'"
                        :is-one-title="true"
                        :boder="true"
                        @getrightval="getRightVal"
                        @getleftval="getLeftVal"
               >
                    <line-box
                        ref="zxt"
                        :is-show-data-zoom="false"
                        :unit="'时长'"
                        :id-name="'sxqst_line'"
                    />
               </drill-box>`
});


//分环节时限----出口准时率
Vue.component('ckzsl', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '出口准时率'
                }
            ],
            defalutRightLabel: '出口准时率'
        }
    },
    methods: {
        getRightVal(val) {
            const arr = this.drillRight.map(i => i.name);
            this.defalutRightLabel = arr[Number(val)]
        },
        drillDownBk(){

        },
        drillDownKb(){

        },
        initLiquid() {
            this.$refs.bkckzsl.initLiquid(0, 'yellow')
            this.$refs.kbckzsl.initLiquid(0, 'red')
        },
    },
    props: {
        data: Object
    },
    mounted(){
        this.initLiquid()
    },
    template: `<drill-box 
                        :title="data.title" 
                        style="margin-bottom: 15px"
                        :is-show-right="true"
                        :drill-right="drillRight"
                        :defalut-right-label="defalutRightLabel"
                        :back-color="'#FFF'"
                        @getrightval="getRightVal"
               >
                    <div style="display: flex; border-top: 1px dashed #e6e6e6">
                        <div style="width: 100%;">
                            <div style="text-align: center; font-weight: bold; font-size: 16px"><p>特快出口准时率</p></div>
                            <liquid-box 
                                ref="bkckzsl"
                                :id-name="'bkckzsl'"
                                @drilldown="drillDownBk"
                            ></liquid-box>
                        </div>
                        <div style="width: 100%;">
                            <div style="text-align: center; font-weight: bold; font-size: 16px"><p>快包出口准时率</p></div>
                            <liquid-box 
                                ref="kbckzsl"
                                :id-name="'kbckzsl'"
                                @drilldown="drillDownKb"
                            ></liquid-box>
                        </div>
                    </div>
               </drill-box>`
});

//分环节时限----全程时长统计
Vue.component('qcsctj', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '快包'
                }
            ],
            defalutRightLabel: '快包',
            list: [
                {
                    title: '出口段时长',
                    value: '-',
                    color: 'red',
                    rate: '-',
                    total: '-'
                },
                {
                    title: '一干运输时长',
                    value: '-',
                    color: 'green',
                    rate: '-',
                    total: '-'
                },
                {
                    title: '进口段时长',
                    value: '-',
                    color: 'red',
                    rate: '-',
                    total: '-'
                }
            ]
        }
    },
    methods: {
        getRightVal(val) {
            const arr = this.drillRight.map(i => i.name);
            this.defalutRightLabel = arr[Number(val)]
        }
    },
    props: {
        data: Object
    },
    mounted(){
    },
    template: `<drill-box 
                        :title="data.title" 
                        :is-show-right="true"
                        :drill-right="drillRight"
                        :defalut-right-label="defalutRightLabel"
                        @getrightval="getRightVal"
               >
                    <div style="height: 70px; width: 100%; display: flex; justify-content: space-between; align-items: center">
                        <div 
                            v-for="(i, index) in list" style="height: 70px; padding: 0 9px; width: 100%" 
                            :style="{'borderRight': index !== 2 ? '1px dashed #e6e6e6' : ''}"
                        >
                              <div style="display: flex; justify-content: space-between;line-height: 35px">
                                    <span style="font-size: 12px">{{i.title}}</span>
                                    <span :style="{color: i.color, 'fontWeight': 'bold'}">
                                        <i :class="[i.color === 'green' ? 'el-icon-caret-down' : 'el-icon-caret-top']"></i>
                                        {{i.value}}
                                    </span>
                              </div>
                              <div style="display: flex; justify-content: space-between;line-height: 35px">
                                    <span :style="{color: i.color, 'fontWeight': 'bold'}">{{i.total}}</span>
                                    <span :style="{color: i.color, 'fontWeight': 'bold'}">
                                        <i :class="[i.color === 'green' ? 'el-icon-caret-down' : 'el-icon-caret-top']"></i>
                                        {{i.rate}}
                                    </span>
                              </div>
                        </div>
                    </div>
               </drill-box>`
});



//全程时限----重点区域次日递率
Vue.component('zdqycrdl', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '特快'
                },
                {
                    value: 1,
                    name: '快包'
                }
            ],
            defalutRightLabel: '特快',
            defalutVal:0,
            list: [
                {
                    name: '长三角',
                    color: '#F1DF57',
                    company: '%',
                    fontSize: 15,
                    value: 0,
                    code:'7808287706970063215'
                },{
                    name: '珠三角',
                    color: '#006BBD',
                    company: '%',
                    fontSize: 15,
                    value: 0,
                    code:'7808287706970063216'
                },{
                    name: '京津冀地市',
                    color: '#B062F3',
                    company: '%',
                    fontSize: 15,
                    value: 0,
                    code:'3cf9bf7e-373d-4db2-948e-1e455bfb11b1'
                },{
                    name: '川渝区域',
                    color: '#00A546',
                    company: '%',
                    fontSize: 15,
                    value: 0,
                    code:'02c54af4-e540-4ba5-b607-8eb3033d1bea'
                },{
                    name: '中四省互寄',
                    color: '#F19147',
                    company: '%',
                    fontSize: 15,
                    value: 0,
                    code:'2758ed29-ee09-4ad4-955a-c3137d9a121a'
                },{
                    name: '东三省',
                    color: '#813CBB',
                    company: '%',
                    fontSize: 15,
                    value: 0,
                    code:'4fbbf17a-e100-429f-8ba4-3a4809ba8d87'
                },{
                    name: '西北',
                    color: '#1A95F3',
                    company: '%',
                    fontSize: 15,
                    value: 0,
                    code:'4bf58528-0c37-470f-bb46-493f67571bdd'
                },{
                    name: '62重点城市',
                    color: '#4CD997',
                    company: '%',
                    fontSize: 15,
                    value: 0,
                    code:'1611448333681819650'
                },
            ]
        }
    },
    methods: {
        getRightVal(val) {
            console.log(val)
            this.defalutVal=val
            this.initEcharts(val)
            const arr = this.drillRight.map(i => i.name);
            this.defalutRightLabel = arr[Number(val)]
        },
        initEcharts(val){
            let params = {
                planCode: '',
                sumLevel:'1',
                // dataDate: '20201216',
                dataDate: dayjs(new Date().getTime()-1000*60*60*24).format('YYYYMMDD'),
                dataType:'D',
                businessType:val == 0?'B':'K',
             };0
             const msgbody1 = JSON.stringify(params)
            console.log('data4',msgbody1)
             var interface = axios.create({
                 'Access-Control-Allow-Origin': '*',
                 baseURL: board_url,
                 timeout: 10000,
             })
             interface.get('dpk/queryNextDayDelRatePc', {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log('data4',data)
                if(data.data.length == 0){
                    for (let i = 0; i < this.list.length; i++){
                        this.list[i].value=0
                        this.$refs['qcsx-crdl'][i].initBar(this.list[i])
                    }
                    return
                }
                data.data.forEach((item,index)=>{
                    this.list.forEach(e =>{
                        if(e.code == item.planCode){
                            e.value=Number(item.rate).toFixed(0)
                        }
                    })
                })
                console.log(this.list)
                for (let i = 0; i < this.list.length; i++){
                    this.$refs['qcsx-crdl'][i].initBar(this.list[i])
                }
            }).catch(err =>{
                console.log(err)
                for (let i = 0; i < this.list.length; i++){
                    this.$refs['qcsx-crdl'][i].initBar(this.list[i])
                }
            })
            
        },
        drillDown(item){
            console.log(item)
            if(item.value == 0) return
            item.type=this.defalutVal
            Emp.execute("zdqycrdl(" + JSON.stringify(item)+ ")")
            
        }
    },
    props: {
        data: Object
    },
    mounted(){
        // this.initEcharts()
    },
    template: `<drill-box 
                        :title="data.title" 
                        :is-show-right="true"
                        :drill-right="drillRight"
                        :defalut-right-label="defalutRightLabel"
                        @getrightval="getRightVal"
               >
                    <div style="display: flex; flex-wrap: wrap;">
                        <div 
                                v-for="(i, index) in list" style="width: 25%; text-align: center; box-sizing: border-box; padding-top: 15px" 
                                :class="{'borderDashed': index !== 3 && index !== 7, 'borderBottom': index < 4}"
                                @click=drillDown(i)
                        >
                            <span>{{i.name}}</span>
                            <annular-box 
                                :id-name="'qcsx-crdl' + index"
                                :contains-sty="{
                                    width: '100%',
                                    height: '100px'
                                }"
                                ref="qcsx-crdl"
                            />
                        </div>
                    </div>
               </drill-box>`
});


//全程时限----重点区域时限准时率
Vue.component('zdqysxzsl', {
    data() {
        return {
            cpnName: 'qcsx-sxzsl',
            drillRight: [
                {
                    value: 'B',
                    name: '特快'
                },
                {
                    value: 'K',
                    name: '快包'
                },
            ],
            defalutRightLabel: '特快',
            businessType:'B',
            list: [
                {
                    name: '长三角',
                    color: '#F1DF57',
                    value: 0,
                    code:"7808287706970063215"
                },{
                    name: '珠三角',
                    color: '#006BBD',
                    value: 0,
                    code:"7808287706970063216",
                },{
                    name: '京津冀-地市',
                    color: '#B062F3',
                    value: 0,
                    code:"3cf9bf7e-373d-4db2-948e-1e455bfb11b1",
                },{
                    name: '川渝区域',
                    color: '#00A546',
                    company: '%',
                    fontSize: 15,
                    value: 0,
                    code:"02c54af4-e540-4ba5-b607-8eb3033d1bea",
                },{
                    name: "中四省互寄",
                    color: '#F19147',
                    value: 0,
                    code:"2758ed29-ee09-4ad4-955a-c3137d9a121a"
                },{
                    name: '东三省',
                    color: '#813CBB',
                    value: 0,
                    code:"4fbbf17a-e100-429f-8ba4-3a4809ba8d87",
                },{
                    name: '西北',
                    color: '#1A95F3',
                    value: 0,
                    code:"4bf58528-0c37-470f-bb46-493f67571bdd",
                },{
                    name: "62重点城市",
                    color: '#4CD997',
                    value: 0,
                    code:"1611448333681819650"
                },
            ]
        }
    },
    methods: {
        getRightVal(val) {
            console.log(val);
            this.businessType = val;
            const arr = this.drillRight.filter(i=>i.value === val);
            this.defalutRightLabel = arr[0].name;
            this.initEcharts(val);
            console.log(this.defalutRightLabel)
        },
        initEcharts(businessType){
            let params = {
                planCode: '',
                sumLevel:'1',
                //dataDate: '20201219',
                dataDate: dayjs(new Date().getTime()-1000*60*60*24).format('YYYYMMDD'),
                dateType:'D',
                businessType:businessType,

            };
            const msgbody1 = JSON.stringify(params)
            console.log('ddddd',msgbody1)
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 10000,
            })
            interface.get('dpk/queryAreaExchangePunctualityPc', {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log('区域互寄',data);
                if(data.resCode === 'C00001' && data.data.length>0){
                    data.data.forEach((item,index)=>{
                        this.list.forEach(e =>{
                            if(e.code == item.planCode){
                                e.value=Number(item.rate).toFixed(0)
                            }
                        })
                    })
                    for (let i = 0; i < data.data.length; i++){
                        this.$refs[this.cpnName][i].initLiquid(this.list[i].value, this.list[i].color)
                    }
                }else{
                    for (let i = 0; i < this.list.length; i++){
                        this.$refs[this.cpnName][i].initLiquid(this.list[i].value, this.list[i].color)
                    }
                }


            }).catch(err =>{
                console.log(err)
                for (let i = 0; i < this.list.length; i++){
                    this.$refs[this.cpnName][i].initLiquid(this.list[i].value, this.list[i].color)
                }
            })

        },
        xiazuan(item) {
            console.log(item);
            if(item.value=='0') return;
            item.type = this.businessType;
            Emp.execute("zdqyzsl_xz(" + JSON.stringify(item)+ ")")
        }
    },
    props: {
        data: Object
    },
    mounted(){
        this.initEcharts('B')
    },
    template: `<drill-box 
                        :title="data.title" 
                        :is-show-right="true"
                        :drill-right="drillRight"
                        :defalut-right-label="defalutRightLabel"
                        @getrightval="getRightVal"
               >
                    <div style="display: flex; flex-wrap: wrap;">
                        <div @click="xiazuan(i)"
                                v-for="(i, index) in list" style="width: 25%; text-align: center; box-sizing: border-box; padding-top: 15px" 
                                :class="{'borderDashed': index !== 3 && index !== 7, 'borderBottom': index < 4}"
                        >
                            <span>{{i.name}}</span>
                            <liquid-box 
                                :ref="cpnName"
                                :id-name="cpnName + index"
                            />
                        </div>
                    </div>
               </drill-box>`
});

//最差或最怎么样的省份
Vue.component('mostProvence', {
    data() {
        return {

        }
    },
    methods: {

    },
    props: {
        data: Object
    },
    mounted(){
       
    }, 
    template: `<div style="text-align: center; width: 100%; padding: 0 8px">
                    <p style="font-size: 20px; color: #666666; font-weight: bold">{{data.title}}</p>
                    <div  v-for="item in data.list" :style="{ display:  item.value ? 'flex' : 'inline' }" style=" justify-content: space-between; line-height: 25px; font-size: 12px">
                        <span  style="text-align:left;">{{item.name}}</span>
                        <span v-if="item.value? true : false">{{item.value}}</span>
                    </div>
               </div>`
});

//全程时限----全程时限准确率
Vue.component('qcsxzql', {
    data() {
        return {
            cpnName: 'qcsx-qcsxzsl',
            drillRight: [
                {
                    value: 0,
                    name: '特快专递'
                },
                {
                    value: 1,
                    name: '快递包裹'
                }
            ],
            defalutRightLabel: '特快专递',
            defalutVal : 0,
            timeRate: {
                value: 0,
                color: '#006BBD'
            },
            mostLostProvence: {
                title: '最差省份',
                list: [
                   
                ]
            },
            mostLostLoad: {
                title: '最差线路',
                list: [
                   
                ]
            }
        }
    },
    methods: {
        getRightVal(val) {
            this.defalutVal=val
            this.initEcharts(val,pageData.xzqh,pageData.sumLevel)
            const arr = this.drillRight.map(i => i.name);
            this.defalutRightLabel = arr[Number(val)]
        },
        initEcharts(val,orgCode,sumLevel){
            if(sumLevel == 3) this.mostLostProvence.title='最差城市'
            else if(sumLevel == 4) this.mostLostProvence.title='最差区县'
            else if(sumLevel == 5 || sumLevel == 6) this.mostLostProvence.title='最差机构'
            this.mostLostProvence.list=[]
            this.mostLostLoad.list=[] 
            pageData.xzqh=orgCode;
            pageData.sumLevel=sumLevel;
            let params = {
                distCode:  orgCode,
                sumLevel: sumLevel === '1' || sumLevel === '2' ? '1' : Number(sumLevel) - 1,
                dataDate: dayjs(new Date().getTime()-1000*60*60*24).format('YYYYMMDD'),
                // dataDate: '20201220',
                dateType:'D',
                businessType:val == 0?'B':'K',
                // countRange:sumLevel === '1' || sumLevel === '2' ? '2' : Number(sumLevel) ,
                countRange:'1' ,
             };
             const msgbody1 = JSON.stringify(params)
             console.log(msgbody1)
             var interface = axios.create({
                 'Access-Control-Allow-Origin': '*',
                 baseURL: board_url,
                 timeout: 10000,
             })
             interface.get('dpk/queryAlllinePunctualityPc', {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log('data3',data)
                if(data.data.length == 0){
                    this.$refs[this.cpnName].initLiquid(0, this.timeRate.color)
                    this.mostLostProvence.list.push({name:'无'})
                    this.mostLostLoad.list.push({name:'无'})
                    return
                }
                this.timeRate.value=Number(data.data[0].rate).toFixed(0)
                this.mostLostProvence.list=data.data.filter(item => {return item.flag == '2'}).splice(0,3)
              
                this.mostLostProvence.list.forEach(item =>{
                    item.name=item.distName
                    item.value =Number(item.rate).toFixed(2) +'%' 
                })
                if( this.mostLostProvence.list.length == 0){
                    this.mostLostProvence.list.push({name:'无'})
                }
                this.mostLostLoad.list=data.data.filter(item => {return item.flag == '3'}).splice(0,3)
                this.mostLostLoad.list.forEach(item =>{
                    item.name=item.lineName
                    item.value =Number(item.rate).toFixed(2) +'%' 
                })
                if( this.mostLostLoad.list.length == 0){
                    this.mostLostLoad.list.push({name:'无'})
                }
                console.log(this.mostLostProvence)
                this.$refs[this.cpnName].initLiquid(this.timeRate.value, this.timeRate.color)
               
            }).catch(err =>{
                this.$refs[this.cpnName].initLiquid(0, this.timeRate.color)
                console.log(err)
            })
           
        },
        drillDownBk(index){
            console.log( this.defalutVal)
            let value= this.defalutVal+''
            // console.log(pageData.sumLevel)
            if(this.timeRate.value == 0 || pageData.sumLevel>3) return
            Emp.execute("qcsxzsl('" +  value + "')")
        }
    },
    props: {
        data: Object
    },
    mounted(){
        // this.initEcharts()
    },
    template: `<drill-box 
                        :title="data.title" 
                        :is-show-right="true"
                        :drill-right="drillRight"
                        :defalut-right-label="defalutRightLabel" 
                        @getrightval="getRightVal"
               > 
                    <div style="display: flex; justify-content: space-between">
                        <div style="width: 100%; text-align: center; box-sizing: border-box; padding: 0 8px" >
                           
                            <liquid-box 
                                style="position: relative;
                                top: 50%;
                                transform: translateY(-50%);"
                                :ref="cpnName"
                                :id-name="cpnName"
                                @drilldown="drillDownBk"
                            />
                        </div>
                        <most-provence 
                            style="width: 100%"
                            :data="mostLostProvence"
                        />
                        <most-provence 
                            style="width: 100%"
                            :data="mostLostLoad"
                        />
                    </div>
               </drill-box>`
});


//全程时限----全程时限N日递率
Vue.component('qcsxnrdl', {
    data() {
        return {
        	drillRight: [
        		{
        	     	value: '1',
        	      	name: '全部'
        		},
        		{
        	    	value: '2',
        	    	name: '省际'
        	   	},
        	  	{
        	   		value: '3',
        	     	name: '省内'
        	    },
        	   	{
        	    	value: '4',
        	    	name: '同城'
        	   	},
        	 ],
        	defalutRightLabel: '全部',
            range:'1',
            activeName: 'K',
            xzqh:'',
            level:'',
            list: [
                {
                    name: 'T+0',
                    value: '-'
                },
                {
                    name: 'T+1',
                    value: '-'
                },
                {
                    name: 'T+2',
                    value: '-'
                },
                {
                    name: 'T+3',
                    value: '-'
                },
                {
                    name: 'T+4以上',
                    value: '-'
                }
            ]
        }
    },
    methods: {
    	getRightVal(val) {
            this.range = val;
            const arr = this.drillRight.map(i => i.name);
            this.defalutRightLabel = arr[Number(val-1)];
            this.initData(this.range,this.activeName);
        },
        handleClick(tab, event) {
            //console.log(tab.name, event);
            this.initData(this.range,tab.name);
        },
        drillDownKb(index) {
        	if(this.level >= "4"){
        		try {
        			Emp.execute('qcsxnrdl_toast(\'暂不支持下钻\')')
                } catch (e) {
                }
            	return;
            }
            console.log(index);
            //if(index != '0') return;
            var item = {};
            item.range = this.range;
            item.type = 'K';
            item.name='快包';
            item.index=index;
            try {
            	Emp.execute("qcsxnrdl_xz('"+JSON.stringify(item)+"')")
            } catch (e) {
            }
        },
        drillDownBk(index) {
        	if(this.level >= "4"){
        		try {
        			Emp.execute('qcsxnrdl_toast(\'暂不支持下钻\')')
                } catch (e) {
                }
            	return;
            }
            console.log(index);
            //if(index != '0') return;
            var item = {};
            item.range = this.range;
            item.type = 'B';
            item.name='特快';
            item.index=index;
            try {
            	Emp.execute("qcsxnrdl_xz('"+JSON.stringify(item)+"')")
            } catch (e) {
            }
        },
        getLevelAndXzqh(xzqh,level){
            this.xzqh = xzqh;
            this.level = level;
            this.initData('1','K');
        },
        initData(range,mailType){
            this.list = [
                         {
                             name: 'T+0',
                             value: '-'
                         },
                         {
                             name: 'T+1',
                             value: '-'
                         },
                         {
                             name: 'T+2',
                             value: '-'
                         },
                         {
                             name: 'T+3',
                             value: '-'
                         },
                         {
                             name: 'T+4以上',
                             value: '-'
                         }
                     ];
            let sumLevel = '';
            if(this.level === '1' || this.level === '2'){
                sumLevel = '1';
            } else {
                sumLevel = Number(this.level)-1 +'';
            }
            //console.log(range)
            let params = {
            	distCode: this.xzqh,
            	businessType: mailType,
                //dataDate: '20210110',
                dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                dateType:'D',
                sumFg:'1',
                sumLevel:sumLevel,
                countRange: this.range,
            };
            const msgbody1 = JSON.stringify(params);
            console.log(msgbody1)
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 10000,
            })
            interface.get('dpk/queryOmnidistanceTlmDevratePc', {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log('全程时限N日递率统计',data);
                if(data.data.length == 0){
                	this.list[0].value = '0';
                    this.list[1].value = '0';
                    this.list[2].value = '0';
                    this.list[3].value = '0';
                    this.list[4].value = '0';
                    return
                }
                data.data.forEach(item=>{
                    if(item.countRange === range){
                        this.list[0].value = item.rate0;
                        this.list[1].value = item.rate1;
                        this.list[2].value = item.rate2;
                        this.list[3].value = item.rate3;
                        this.list[4].value = item.rate4;
                    }
                });
            }).catch(err =>{
                console.log(err)
            })
        }
    },
    props: {
        data: Object
    },
    mounted(){
    },
    template: `<drill-box 
                        :title="data.title" 
                        :is-show-right="true"
                        :drill-right="drillRight"
                        :defalut-right-label="defalutRightLabel"
                        @getrightval="getRightVal"
               >
                    <el-tabs :stretch="true" v-model="activeName" @tab-click="handleClick">
                        <el-tab-pane label="快包" name="K">
                            <base-box-plus 
                                :is-show-title="false"
                                :list="list"
                                @drilldown="drillDownKb"
                            />
                        </el-tab-pane>
                        <el-tab-pane label="特快" name="B">
                            <base-box-plus 
                                :is-show-title="false"
                                :list="list"
                                @drilldown="drillDownBk"
                            />
                        </el-tab-pane>
                    </el-tabs>
               </drill-box>`
});


//全程时限----全程平均时长
Vue.component('qcpjsc', {
    data() {
        return {
            drillRight: [
                {
                    value: '1',
                    name: '全部'
                },
                {
                    value: '2',
                    name: '省际'
                },
                {
                    value: '3',
                    name: '省内'
                },
                {
                    value: '4',
                    name: '同城'
                },
            ],
            defalutRightLabel: '全部',
            range:'1',
            activeName: 'K',
            xzqh:'',
            level:'',
            list: [
                {
                    name: '平均时长(小时)',
                    value: '0',
                    isBiggerNum:true
                },
                {
                    name: '同比(小时递增)',
                    value: '0',
                    isBiggerNum:true
                },
                {
                    name: '环比(小时递增)',
                    value: '0',
                    isBiggerNum:true
                }
            ]
        }
    },
    methods: {
        getRightVal(val) {
            this.range = val;
            const arr = this.drillRight.map(i => i.name);
            this.defalutRightLabel = arr[Number(val-1)];
            this.initData(this.range,this.activeName);
        },
        handleClick(tab, event) {
            //console.log(tab.name, event);
            this.initData(this.range,tab.name);
        },
        drillDownKb(index) {
            console.log(index);
            if(index != '0') return;
            var item = {};
            item.range = this.range;
            item.type = 'K';
            item.name='快包'
            Emp.execute("qcpjsc_xz('"+JSON.stringify(item)+"')")
        },
        drillDownBk(index) {
            console.log(index);
            if(index != '0') return;
            var item = {};
            item.range = this.range;
            item.type = 'B';
            item.name='特快'
            Emp.execute("qcpjsc_xz('"+JSON.stringify(item)+"')")
        },
        getLevelAndXzqh(xzqh,level){
            this.xzqh = xzqh;
            this.level = level;
            this.initData('1','K');
        },
        initData(range,mailType){
            this.list = [
                {
                    name: '平均时长(小时)',
                    value: 0,
                    isBiggerNum:true
                },
                {
                    name: '同比(小时递增)',
                    value: 0,
                    isBiggerNum:true
                },
                {
                    name: '环比(小时递增)',
                    value: 0,
                    isBiggerNum:true
                }
            ];
            let proCode = '';
            let cityCode = '';
            let countyCode = '';
            let orgCode = '';
            let sumLevel = '';
            if(this.level === '1' || this.level === '2'){
                sumLevel = '1';
            }else if(this.level === '3'){
                sumLevel = '2';
                proCode = this.xzqh;
            }else if (this.level === '4'){
                sumLevel = '3';
                proCode = this.xzqh.substring(0,2)+'0000';
                cityCode = this.xzqh;
            } else{
                sumLevel = Number(this.level)-1 +'';
                proCode = this.xzqh.substring(0,2)+'0000';
                cityCode = this.xzqh.substring(0,4)+'00';
            }
            //console.log(range)
            let params = {
                businessType:mailType,
                // dataDate:'20201218',
                dataDate: dayjs(new Date().getTime()-1000*60*60*24).format('YYYYMMDD'),
                dateType:'D',
                sumFg:'1',
                sumLevel:sumLevel,
                countRange:'',
                sendProvCode:proCode,
                sendCityCode:cityCode,
                sendCountyCode:countyCode,

            };
            const msgbody1 = JSON.stringify(params);
            console.log(msgbody1)
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 10000,
            })
            interface.get('dpk/allAverageTimeStatisticsPC', {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log('平均时长',data);
                data.data.forEach(item=>{
                    if(item.countRange === range){
                        this.list[0].value = item.aveHour;
                        this.list[1].value = item.yoyHour;
                        this.list[2].value = item.momHour;
                    }
                });
                this.list.forEach((i,index)=>{
                    if(index>0){
                        if(i.value>0){
                            i.isTop = true;
                            i.color = 'green'
                        }else if(i.value<0){
                            i.isTop = false;
                            i.color = 'red'
                        }
                    }
                })

            }).catch(err =>{
                console.log(err)
            })
        }
    },
    props: {
        data: Object
    },
    mounted(){

    },
    template: `<drill-box 
                        :title="data.title" 
                        :is-show-right="true"
                        :drill-right="drillRight"
                        :defalut-right-label="defalutRightLabel"
                        @getrightval="getRightVal"
               >
                    <el-tabs :stretch="true" v-model="activeName" @tab-click="handleClick">
                        <el-tab-pane label="快包" name="K">
                            <base-box-plus 
                                :is-show-title="false"
                                :list="list"
                                @drilldown="drillDownKb"
                            />
                        </el-tab-pane>
                        <el-tab-pane label="特快" name="B">
                            <base-box-plus 
                                :is-show-title="false"
                                :list="list"
                                @drilldown="drillDownBk"
                            />
                        </el-tab-pane>
                    </el-tabs>
               </drill-box>`
});

//全程时限----省际路线省内进口段时长
Vue.component('sjlxsnjkdsc', {
    data() {
        return {
            list: [
                {
                    name: '进口段时长标准(小时)',
                    value: '-'
                },
                {
                    name: '进口段计划时长(小时)',
                    value: '-',
                },
                {
                    name: '进口段平均时长(小时)',
                    value: '-',
                    color: 'green'
                },
                {
                    name: '超时率',
                    value: '-'
                },
                {
                    name: '环比',
                    value: '-',
                    color: 'green',
                    isTop: false
                }
            ]
        }
    },
    methods: {
        drillDown(index) {
            console.log(index);
        }
    },
    props: {
        data: Object
    },
    mounted(){
    },
    template: `<base-box-plus 
                    style="border-top: 1px solid #e6e6e6"
                    :title="data.title"
                    :list="list"
                    :nameSty="{
                        height: '56px'
                    }"
                    @drilldown="drillDown"
               />`
});

//全程时限----省际路线省内出口段时长
Vue.component('sjlxsnckdsc', {
    data() {
        return {
            list: [
                {
                    name: '出口段时长标准(小时)',
                    value: '-'
                },
                {
                    name: '出口段计划时长(小时)',
                    value: '-',
                },
                {
                    name: '出口段平均时长(小时)',
                    value: '-',
                    color: 'red'
                },
                {
                    name: '超时率',
                    value: '-'
                },
                {
                    name: '环比',
                    value: '-',
                    color: 'red',
                    isTop: true
                }
            ]
        }
    },
    methods: {
        drillDown(index) {
            console.log(index);
        }
    },
    props: {
        data: Object
    },
    mounted(){
    },
    template: `<base-box-plus 
                    style="border-top: 1px solid #e6e6e6"
                    :title="data.title"
                    :list="list"
                    :nameSty="{
                        height: '56px'
                    }"
                    @drilldown="drillDown"
               />`
});


//省内时限----省内互寄准时率
Vue.component('snhjzsl', {
    data() {
        return {
            cpnName: 'snhj-snhjzsl',
            barRef: 'snhj-transverse-bar',
            timeRate: {
                value: 0,
                color: '#006BBD'
            },
            mostLostProvence: {
                title: '最差省份',
                list: []
            },
            list: [],
            drillRight: [
                {
                    value: 0,
                    name: '特快专递'
                },
                {
                    value: 1,
                    name: '快递包裹'
                }
            ],
            defalutRightLabel: '特快专递',
        }
    },
    methods: {
        getRightVal(val) {
            //this.defalutVal=val
            this.initEcharts(val,pageData.xzqh,pageData.sumLevel)
            const arr = this.drillRight.map(i => i.name);
            this.defalutRightLabel = arr[Number(val)]
        },
        
        initEcharts(val,orgCode,sumLevel){
            if(sumLevel == 3) this.mostLostProvence.title='最差城市'
            else if(sumLevel == 4) this.mostLostProvence.title='最差区县'
            else if(sumLevel == 5 || sumLevel == 6) this.mostLostProvence.title='最差机构'
            this.mostLostProvence.list=[]
            // this.mostLostLoad.list=[] 
            pageData.xzqh=orgCode;
            pageData.sumLevel=sumLevel;
            let params = {
                distCode:  orgCode,
                sumLevel: sumLevel === '1' || sumLevel === '2' ? '1' : Number(sumLevel) - 1,
                dataDate: dayjs(new Date().getTime()-1000*60*60*24).format('YYYYMMDD'),
                // dataDate: '20201215',
                dateType:'D',
                businessType:val == 0?'B':'K',
                // countRange:sumLevel === '1' || sumLevel === '2' ? '2' : Number(sumLevel) ,
                countRange:'3' ,
                sumFg:'1'
             };
             const msgbody1 = JSON.stringify(params)
             console.log(msgbody1)
             var interface = axios.create({
                 'Access-Control-Allow-Origin': '*',
                 baseURL: board_url,
                 timeout: 10000,
             })
             interface.get('dpk/queryAlllinePunctualityPc', {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log('data5',data)
                if(data.data.length == 0){
                    this.$refs[this.cpnName].initLiquid(0, this.timeRate.color)
                    this.mostLostProvence.list.push({name:'无'})
                    return
                }
                this.timeRate.value=Number(data.data[0].rate).toFixed(0)
                this.mostLostProvence.list=data.data.filter(item => {return item.flag == '2'}).splice(0,3)
                this.mostLostProvence.list.forEach(item =>{
                    item.name=item.distName
                    item.value =Number(item.rate).toFixed(2) +'%' 
                })
                if( this.mostLostProvence.list.length == 0){
                    this.mostLostProvence.list.push({name:'无'})
                }
                this.list=JSON.parse(JSON.stringify(data.data.filter(item =>{return item.flag == 2} ))) 
                this.list.forEach(item =>{
                    item.name=item.distName
                    item.value =Number(item.rate).toFixed(2) 
                })
                
                this.list.sort((a,b)=>{
                    return a.value - b.value
                })
                // this.mostLostLoad.list=data.data.filter(item => {return item.flag == '3'}).splice(0,3)
                // this.mostLostLoad.list.forEach(item =>{
                //     item.name=item.lineName
                //     item.value =Number(item.rate).toFixed(0) +'%' 
                // })
                console.log(this.mostLostProvence)
                this.$nextTick(() => {
                    this.$refs[this.cpnName].initLiquid(this.timeRate.value, this.timeRate.color)
                    this.$refs[this.barRef].initLine()
                })
               
            }).catch(err =>{
                this.$refs[this.cpnName].initLiquid(0, this.timeRate.color)
                this.$refs[this.barRef].initLine()
                console.log(err)
            })
           
        },
        
        // initEcharts_intLine(){
        //      this.$refs[this.cpnName].initLiquid(this.timeRate.value, this.timeRate.color);
        //     this.$refs[this.barRef].initLine()
        // }
    },
    props: {
        data: Object
    },
    mounted(){
        // this.initEcharts()
    },
    template: `<drill-box 
                        :title="data.title" 
                        :is-show-right="true"
                        :drill-right="drillRight"
                        :defalut-right-label="defalutRightLabel"
                        @getrightval="getRightVal"
               >
                    <div style="display: flex; justify-content: space-between; border-bottom: 1px solid #e6e6e6">
                        <div style="width: 60%; text-align: center; box-sizing: border-box; padding: 8px" >
                            <liquid-box 
                                :contains="{
                                    height: '140px',
                                    width: '170px'
                                }"
                                :ref="cpnName"
                                :id-name="cpnName"
                            />
                        </div>
                        <most-provence 
                            style="width: 40%"
                            :data="mostLostProvence"
                        />
                    </div>
                    <transverse-bar-box 
                            style="margin: 20px 0"
                            :ref="barRef"
                            :list="list"
                            :title="data.title"
                            :x-max="100"
                            :targe-num="90"
                    />
               </drill-box>`
});


//省内时限----省内互寄N日递率
Vue.component('snhjnrdl', {
    data() {
        return {
            cpnName: 'snhj-snhjncdl',
            barRef: 'snhj-transverseBar',
            timeRate: {
                value: 0,
                color: '#006BBD'
            },
            mostLostPro: {
                title: '最差省份',
                list: [
					{
					    name: '--',
					    value: '0%'
					}, {
					    name: '--',
					    value: '0%'
					}, {
					    name: '--',
					    value: '0%'
					}
				]
            }, 
            list: [],
            drillRight: [
             	{
                    name: 'T+0',
                    value: '0'
                },
                {
                    name: 'T+1',
                    value: '1'
                },
                {
                    name: 'T+2',
                    value: '2'
                },
                {
                    name: 'T+3',
                    value: '3'
                },
                {
                    name: 'T+4以上',
                    value: '4'
                }
        	],
        	defalutRightLabel: 'T+0',
        	drillLeft: [
        		{
                    value: 0,
                    name: '特快专递'
                },
                {
                    value: 1,
                    name: '快递包裹'
                }
        	],
        	defalutLeftLabel: '特快专递',
        	businessType: 'B',
        	order: '0',
        }
    },
   methods: {
	   getLeftVal(vals) {
           const arr = this.drillLeft.map(i => i.name);
           this.defalutLeftLabel = arr[Number(vals)]
           console.log(this.defalutLeftLabel)
           this.initEcharts(pageData.xzqh,pageData.sumLevel)
       },
        getRightVal(val) {
            const arr = this.drillRight.map(i => i.name);
            this.defalutRightLabel = arr[Number(val)]
            console.log(this.defalutRightLabel)
            this.initEcharts(pageData.xzqh,pageData.sumLevel)
        },
        
        initEcharts(orgCode,sumLevel){
        	if(this.defalutLeftLabel === '特快专递') {
         	   this.businessType = 'B'
            } else {
         	   this.businessType = 'K'
            }
        	if(this.defalutRightLabel === 'T+0') {
        		this.order = '0'
        	} else if (this.defalutRightLabel === 'T+1') {
        		this.order = '1'
        	} else if (this.defalutRightLabel === 'T+2') {
        		this.order = '2'
        	} else if (this.defalutRightLabel === 'T+3') {
        		this.order = '3'
        	} else if (this.defalutRightLabel === 'T+4以上') {
        		this.order = '4'
        	}   
            if(sumLevel == 3) this.mostLostPro.title='最差城市'
            else if(sumLevel == 4) this.mostLostPro.title='最差区县'
            else if(sumLevel == 5 || sumLevel == 6) this.mostLostPro.title='最差机构'
            pageData.xzqh=orgCode;
            pageData.sumLevel=sumLevel;
            let params = {
                distCode: orgCode,
                sumLevel: sumLevel === '1' || sumLevel === '2' ? '1' : Number(sumLevel) - 1,
                dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                //dataDate: '20210110',
                dateType: 'D',
                businessType: this.businessType,
                countRange: '3' ,
                sumFg: '1',
                order: this.order,             
             };
             const msgbody1 = JSON.stringify(params)
             console.log('省内互寄N日递率',msgbody1)
             var interface = axios.create({
                 'Access-Control-Allow-Origin': '*',
                 baseURL: board_url,
                 timeout: 10000,
             })
             interface.get('dpk/queryOmnidistanceTlmDevrateApp', {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log('省内互寄N日递率',data)
                if(data.data.length == 0){
                    this.mostLostPro.list[0].name = '无';
                    this.mostLostPro.list[0].value = '';
                    this.mostLostPro.list[1].name = '';
                    this.mostLostPro.list[1].value = '';
                    this.mostLostPro.list[2].name = '';
                    this.mostLostPro.list[2].value = '';
                    this.list = [];
                    this.$nextTick(() => {
                        this.$refs[this.cpnName].initLiquid(0, this.timeRate.color)
                        this.$refs[this.barRef].initLine()
                    })
                    return;
                }
                if(sumLevel >= '4' || data.data.length == 1){
                	if(this.defalutRightLabel === 'T+0') {
                    	this.timeRate.value = data.data[0].rate0.toFixed(0);
                	} else if (this.defalutRightLabel === 'T+1') {
                		this.timeRate.value = data.data[0].rate1.toFixed(0);
                	} else if (this.defalutRightLabel === 'T+2') {
                		this.timeRate.value = data.data[0].rate2.toFixed(0);
                	} else if (this.defalutRightLabel === 'T+3') {
                		this.timeRate.value = data.data[0].rate3.toFixed(0);
                	} else if (this.defalutRightLabel === 'T+4以上') {
                		this.timeRate.value = data.data[0].rate4.toFixed(0);
                	} 
                	this.mostLostPro.list[0].name = '无';
                    this.mostLostPro.list[0].value = '';
                    this.mostLostPro.list[1].name = '';
                    this.mostLostPro.list[1].value = '';
                    this.mostLostPro.list[2].name = '';
                    this.mostLostPro.list[2].value = '';
                    this.list = [];
                    console.log(this.timeRate.value)
                    this.$nextTick(() => {
                        this.$refs[this.cpnName].initLiquid(this.timeRate.value, this.timeRate.color)
                        this.$refs[this.barRef].initLine()
                    })
                    return;
                }
                if(this.defalutRightLabel === 'T+0') {
                	this.timeRate.value = data.data[0].rate0.toFixed(0);
                	this.list=JSON.parse(JSON.stringify(data.data));
                	this.list.splice(0,1);
                    this.list.forEach(item =>{
                        item.name = item.distName;
                        item.value =Number(item.rate0).toFixed(2);
                    })
                    this.list.sort((a,b)=>{
	                    return a.value - b.value
	                })
	                this.mostLostPro.list[0].name = this.list[0].distName;
                	this.mostLostPro.list[1].name = this.list[1].distName;
                	this.mostLostPro.list[2].name = this.list[2].distName;
                	this.mostLostPro.list[0].value = this.list[0].rate0.toFixed(2)+'%';
                	this.mostLostPro.list[1].value = this.list[1].rate0.toFixed(2)+'%';
                	this.mostLostPro.list[2].value = this.list[2].rate0.toFixed(2)+'%';
            	} else if (this.defalutRightLabel === 'T+1') {
            		this.timeRate.value = data.data[0].rate1.toFixed(0);
                	this.list=JSON.parse(JSON.stringify(data.data));
                	this.list.splice(0,1);
                    this.list.forEach(item =>{
                        item.name = item.distName;
                        item.value =Number(item.rate1).toFixed(2);
                    })
                    this.list.sort((a,b)=>{
	                    return a.value - b.value
	                })
	                this.mostLostPro.list[0].name = this.list[0].distName;
                	this.mostLostPro.list[1].name = this.list[1].distName;
                	this.mostLostPro.list[2].name = this.list[2].distName;
                	this.mostLostPro.list[0].value = this.list[0].rate1.toFixed(2)+'%';
                	this.mostLostPro.list[1].value = this.list[1].rate1.toFixed(2)+'%';
                	this.mostLostPro.list[2].value = this.list[2].rate1.toFixed(2)+'%';
            	} else if (this.defalutRightLabel === 'T+2') {
            		this.timeRate.value = data.data[0].rate2.toFixed(0);
                	this.list=JSON.parse(JSON.stringify(data.data));
                	this.list.splice(0,1);
                    this.list.forEach(item =>{
                        item.name = item.distName;
                        item.value =Number(item.rate2).toFixed(2);
                    })
                    this.list.sort((a,b)=>{
	                    return a.value - b.value
	                })
	                this.mostLostPro.list[0].name = this.list[0].distName;
                	this.mostLostPro.list[1].name = this.list[1].distName;
                	this.mostLostPro.list[2].name = this.list[2].distName;
                	this.mostLostPro.list[0].value = this.list[0].rate2.toFixed(2)+'%';
                	this.mostLostPro.list[1].value = this.list[1].rate2.toFixed(2)+'%';
                	this.mostLostPro.list[2].value = this.list[2].rate2.toFixed(2)+'%';
            	} else if (this.defalutRightLabel === 'T+3') {
            		this.timeRate.value = data.data[0].rate3.toFixed(0);
                	this.list=JSON.parse(JSON.stringify(data.data));
                	this.list.splice(0,1);
                    this.list.forEach(item =>{
                        item.name = item.distName;
                        item.value =Number(item.rate3).toFixed(2);
                    })
                    this.list.sort((a,b)=>{
	                    return a.value - b.value
	                })
	                this.mostLostPro.list[0].name = this.list[0].distName;
                	this.mostLostPro.list[1].name = this.list[1].distName;
                	this.mostLostPro.list[2].name = this.list[2].distName;
                	this.mostLostPro.list[0].value = this.list[0].rate3.toFixed(2)+'%';
                	this.mostLostPro.list[1].value = this.list[1].rate3.toFixed(2)+'%';
                	this.mostLostPro.list[2].value = this.list[2].rate3.toFixed(2)+'%';
            	} else if (this.defalutRightLabel === 'T+4以上') {
            		this.timeRate.value = data.data[0].rate4.toFixed(0);
                	this.list=JSON.parse(JSON.stringify(data.data));
                	this.list.splice(0,1);
                    this.list.forEach(item =>{
                        item.name = item.distName;
                        item.value =Number(item.rate4).toFixed(2);
                    })
                    this.list.sort((a,b)=>{
	                    return a.value - b.value
	                })
	                this.mostLostPro.list[0].name = this.list[0].distName;
                	this.mostLostPro.list[1].name = this.list[1].distName;
                	this.mostLostPro.list[2].name = this.list[2].distName;
                	this.mostLostPro.list[0].value = this.list[0].rate4.toFixed(2)+'%';
                	this.mostLostPro.list[1].value = this.list[1].rate4.toFixed(2)+'%';
                	this.mostLostPro.list[2].value = this.list[2].rate4.toFixed(2)+'%';
            	}  
                console.log(this.timeRate.value)
                this.$nextTick(() => {
                    this.$refs[this.cpnName].initLiquid(this.timeRate.value, this.timeRate.color)
                    this.$refs[this.barRef].initLine()
                })
            }).catch(err =>{
                this.$refs[this.cpnName].initLiquid(0, this.timeRate.color)
                this.$refs[this.barRef].initLine()
                console.log(err)
            })
        },
        
         /*initEcharts_intLine(){
              this.$refs[this.cpnName].initLiquid(this.timeRate.value, this.timeRate.color);
             this.$refs[this.barRef].initLine()
         }*/
    },
    props: {
        data: Object
    },
    mounted(){
        this.initEcharts()
    },
    template: `<drill-box 
			    	:title="data.title" 
			        :is-show-left="true"
			        :is-show-right="true"
			        :drill-right="drillRight"
			       	:defalut-right-label="defalutRightLabel"
					@getrightval="getRightVal"
					:drill-left="drillLeft"
			        :defalut-left-label="defalutLeftLabel"
			        @getleftval="getLeftVal"
		        	>
                    <div style="display: flex; justify-content: space-between; border-bottom: 1px solid #e6e6e6">
                        <div style="width: 60%; text-align: center; box-sizing: border-box; padding: 8px" >
                            <liquid-box 
                                :contains="{
                                    height: '140px',
                                    width: '170px'
                                }"
                                :ref="cpnName"
                                :id-name="cpnName"
                            />
                        </div>
                        <most-provence 
                            style="width: 40%"
                            :data="mostLostPro"
                        />
                        
                    </div>
                    <transverse-bar-box 
                            style="margin: 20px 0"
                            :ref="barRef"
                            :list="list"
                            :title="data.title"
                            :x-max="100"
                            :targe-num="90"
                    />
                </drill-box>`
});


