const result1 = [
    {
        label: '环节',
        key: 'link',
        multiseriate: false,
        width: 80,
        fixed: true,
        isDrillDown: true
    },
    {
        label: '指标',
        key: 'target',
        multiseriate: false,
        width: 110,
        fixed: true
    },
    {
        label: '行业平均分',
        key: 'average',
        multiseriate: false,
        width: 95
    },
    {
        label: 'EMS',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score1'
            },
            {
                label: '排名',
                key: 'rank1'
            },
            {
                label: '环比',
                key: 'ring1'
            }
        ]
    },
    {
        label: '顺丰',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score2'
                
            },
            {
                label: '排名',
                key: 'rank2'
            },
            {
                label: '环比',
                key: 'ring2'
            }
        ]
    },
    {
        label: '得分差距',
        key: 'scoreDisparity',
        multiseriate: false,
        isRing:true,
        width: 80,
    },{
        label: '排名差距',
        key: 'rankDisparity',
        multiseriate: false,
        isRing:true,
        width: 80,
    }, {
        label: '列表设置',
        key: 'setting',
        multiseriate: false,
        headDrillDown: true,
        width: 120,
    },
];

const result2 = [
    {
        label: '企业',
        key: 'enterprise',
        multiseriate: false,
        isDrillDown: true,
        fixed: true,
        width: 95
    },
    {
        label: '总体满意度',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score1'
            },
            {
                label: '排名',
                key: 'rank1'
            },
            {
                label: '环比',
                key: 'ring1'
            }
        ]
    },
    {
        label: '公共满意度',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score2'
            },
            {
                label: '排名',
                key: 'rank2'
            },
            {
                label: '环比',
                key: 'ring2'
            }
        ]
    },
    {
        label: '时限满意度',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score3'
            },
            {
                label: '排名',
                key: 'rank3'
            },
            {
                label: '环比',
                key: 'ring3'
            }
        ]
    }
];

const result3 = [
    {
        label: '企业',
        key: 'enterprise',
        multiseriate: false,
        isDrillDown: true,
        fixed: true,
        width: 95
    },
    {
        label: '受理服务',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score1'
            },
            {
                label: '排名',
                key: 'rank1'
            },
            {
                label: '环比',
                key: 'ring1'
            }
        ]
    },
    {
        label: '揽收服务',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score2'
            },
            {
                label: '排名',
                key: 'rank2'
            },
            {
                label: '环比',
                key: 'ring2'
            }
        ]
    },
    {
        label: '运递服务',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score3'
            },
            {
                label: '排名',
                key: 'rank3'
            },
            {
                label: '环比',
                key: 'ring3'
            }
        ]
    }
];

const result4 = [
    {
        label: '企业',
        key: 'enterprise',
        multiseriate: false,
        isDrillDown: true,
        fixed: true,
        width: 95
    },
    {
        label: '受理服务',
        multiseriate: true,
        columns: [
            {
                label: '普通电话受理',
                key: 'target1'
            },
            {
                label: '环比',
                key: 'ring1'
            },
            {
                label: '统一客服受理',
                key: 'target2'
            },
            {
                label: '环比',
                key: 'ring2'
            },
            {
                label: '公共服务站受理',
                key: 'target3'
            },
            {
                label: '环比',
                key: 'ring3'
            },
            {
                label: '网络受理',
                key: 'target4'
            },
            {
                label: '环比',
                key: 'ring4'
            },
        ]
    }
];

const result5= [
    {
        label: '排名',
        key: 'rank',
        multiseriate: false,
        fixed: true,
        width: 80
    },
    {
        label: '省份',
        key: 'name',
        multiseriate: false,
        isDrillDown: true,
        fixed: true,
        width: 80
    },
    {
        label: '总体满意度',
        key: 'target1',
        multiseriate: false,
        width: 95,
        headDrillDown: true,
    },
    {
        label: '环比',
        key: 'ring1',
        multiseriate: false,
        width: 80
    },
    {
        label: '公共满意度',
        key: 'target2',
        multiseriate: false,
        headDrillDown: true,
        width: 95
    },
    {
        label: '环比',
        key: 'ring2',
        multiseriate: false,
        width: 95
    },
    {
        label: '时限满意度',
        key: 'target3',
        multiseriate: false,
        headDrillDown: true,
        width: 95
    },
    {
        label: '环比',
        key: 'ring3',
        multiseriate: false,
        width: 80
    },
];

const result6 = [
    {
        label: '排名',
        key: 'rank',
        multiseriate: false,
        fixed: true,
        width: 80
    },
    {
        label: '省份',
        key: 'name',
        multiseriate: false,
        isDrillDown: true,
        fixed: true,
        width: 80
    },
    {
        label: '受理服务',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score1'
            },
            {
                label: '排名',
                key: 'rank1'
            },
            {
                label: '环比',
                key: 'ring1'
            }
        ]
    },
    {
        label: '揽收服务',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score2'
            },
            {
                label: '排名',
                key: 'rank2'
            },
            {
                label: '环比',
                key: 'ring2'
            }
        ]
    },
    {
        label: '运递服务',
        multiseriate: true,
        headDrillDown: true,
        columns: [
            {
                label: '得分',
                key: 'score3'
            },
            {
                label: '排名',
                key: 'rank3'
            },
            {
                label: '环比',
                key: 'ring3'
            }
        ]
    }
];

const result7 = [
    {
        label: '排名',
        key: 'rank',
        multiseriate: false,
        fixed: true,
        width: 80
    },
    {
        label: '省份',
        key: 'name',
        multiseriate: false,
        isDrillDown: true,
        fixed: true,
        width: 80
    },
    {
        label: '受理服务',
        multiseriate: true,
        columns: [
            {
                label: '普通电话受理',
                key: 'target1'
            },
            {
                label: '环比',
                key: 'ring1'
            },
            {
                label: '统一客服受理',
                key: 'target2'
            },
            {
                label: '环比',
                key: 'ring2'
            },
            {
                label: '公共服务站受理',
                key: 'target3'
            },
            {
                label: '环比',
                key: 'ring3'
            },
            {
                label: '网络受理',
                key: 'target4'
            },
            {
                label: '环比',
                key: 'ring4'
            },
        ]
    }
];

const result_73citydb1 =[
    {
        label: '二级指标',
        key: 'twoTarget',
        multiseriate: false,
        width: 80,
        fixed: true,
        align:'left',
        isShow:true,
        isDrillDown: false
    },
    {
        label: '三级指标',
        key: 'threeTarget',
        multiseriate: false,
        isShow:true,
        align:'left',
        width: 110,
        fixed: true
    },
   
    {
        label: '四级指标',
        key: 'fourTarget',
        multiseriate: false,
        align:'left',
        width: 130,
        // fixed: true
    },
    {
        label: '全国平均分',
        key: 'average',
        multiseriate: false,
        width: 110,
    },
    {
        label: '北京',
        multiseriate: true,
        headDrillDown: false,
        columns: [
            {
                label: '得分',
                key: 'score1'
            },
            {
                label: '排名',
                key: 'rank1'
            },
            {
                label: '环比',
                key: 'ring1'
            }
        ]
    },
    {
        label: '上海',
        multiseriate: true,
        headDrillDown: false,
        columns: [
            {
                label: '得分',
                key: 'score2'
                
            },
            {
                label: '排名',
                key: 'rank2'
            },
            {
                label: '环比',
                key: 'ring2'
            }
        ]
    },
    {
        label: '得分差距',
        key: 'scoreDisparity',
        multiseriate: false,
        isRing:true,
        width: 80,
    },{
        label: '排名差距',
        key: 'rankDisparity',
        multiseriate: false,
        isRate:true,
        width: 80,
    }, {
        label: '列表设置',
        key: 'setting',
        headDrillDown: true,
        multiseriate: false,
        width: 120,
    },
]

const result_73citydb2 =[
    {
        label: '地市',
        key: 'enterprise',
        multiseriate: false,
        width: 80,
        fixed: true,
        isDrillDown: false,
    },
    {
        label: '2019年73重点城市服务满意度对标方案环节得分情况',
        // key: 'twoTarget',
        multiseriate: true,
        width: 500,
        headDrillDown: true,
        // fixed: true,
        isDrillDown: true,
        columns: [
           
            {
                label: '受理服务',
                key: 'hj1',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score1'
                    },
                    {
                        label: '排名',
                        key: 'rank1'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring1'
                    }
                ]
            },
            {
                label: '揽收服务',
                key: 'hj2',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score2'
                    },
                    {
                        label: '排名',
                        key: 'rank2'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring2'
                    }
                ]
            },
            {
                label: '投递服务',
                key: 'hj3',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score3'
                    },
                    {
                        label: '排名',
                        key: 'rank3'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring3'
                    }
                ]
            },
            {
                label: '售后服务',
                key:'hj4',
                headDrillDown: true,
                multiseriate: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score4'
                    },
                    {
                        label: '排名',
                        key: 'rank4'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring4'
                    }
                ]
            },
            {
                label: '信息服务',
                key:'hj5',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score5'
                    },
                    {
                        label: '排名',
                        key: 'rank5'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring5'
                    }
                ]
            },
            
            
        ]
    },
    {
        label: '列表设置',
        key: 'setting',
        multiseriate: false,
        headDrillDown: true,
        width: 120,
    },
    
]

const result_73citydbxz2 =[
    {
        label: '地市',
        key: 'enterprise',
        multiseriate: false,
        width: 80,
        fixed: true,
        isDrillDown: false,
    },
    {
        label: '受理服务',
        // key: 'twoTarget',
        multiseriate: true,
        width: 500,
        // headDrillDown: true,
        // fixed: true,
        // isDrillDown: true,
        columns: [
           
            {
                label: '快递员电话受理',
                // key: 'acceptService',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score1'
                    },
                    {
                        label: '排名',
                        key: 'rank1'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring1'
                    }
                ]
            },
            {
                label: '统一客服电话受理',
                // key: 'collectService',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score2'
                    },
                    {
                        label: '排名',
                        key: 'rank2'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring2'
                    }
                ]
            },
           
            
           
            
            
        ]
    },
    {
        label: '列表设置',
        key: 'setting',
        multiseriate: false,
        headDrillDown: true,
        width: 120,
    },
    
]

const result_73citydbxz3 =[
    {
        label: '地市',
        key: 'enterprise',
        multiseriate: false,
        width: 80,
        fixed: true,
        isDrillDown: false,
    },
    {
        label: '2019年73重点城市服务满意度全环节指标得分情况',
        // key: 'twoTarget',
        multiseriate: true,
        width: 500,
        headDrillDown: true,
        // fixed: true,
        isDrillDown: true,
        columns: [
           
            {
                label: '受理服务',
                key: 'hj1',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                //     {
                //         label: '快递员电话受理',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score1'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank1'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring1'
                //             }
                //         ]
                //     },
                //     {
                //         label: '统一客服受理',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score2'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank2'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring2'
                //             }
                //         ]
                //     },
                //     {
                //         label: '营业网点受理',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score3'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank3'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring3'
                //             }
                //         ]
                //     },
                //     {
                //         label: '网络受理',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score4'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank4'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring4'
                //             }
                //         ]
                //     },
                ],
                
            },
            {
                label: '揽收服务',
                key: 'hj2',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                    // {
                    //     label: '上门时限',
                    //     // key: 'collectService',
                    //     multiseriate: true,
                    //     // headDrillDown: true,
                    //     width: 80,
                    //     // fixed: true,
                    //     isDrillDown: false,
                    //     columns: [
                    //         {
                    //             label: '得分',
                    //             key: 'score5'
                    //         },
                    //         {
                    //             label: '排名',
                    //             key: 'rank5'
                    //         },
                    //         {
                    //             label: '环比',
                    //             key: 'ring5'
                    //         }
                    //     ]
                    // },
                    // {
                    //     label: '封装质量',
                    //     // key: 'collectService',
                    //     multiseriate: true,
                    //     // headDrillDown: true,
                    //     width: 80,
                    //     // fixed: true,
                    //     isDrillDown: false,
                    //     columns: [
                    //         {
                    //             label: '得分',
                    //             key: 'score6'
                    //         },
                    //         {
                    //             label: '排名',
                    //             key: 'rank6'
                    //         },
                    //         {
                    //             label: '环比',
                    //             key: 'ring6'
                    //         }
                    //     ]
                    // },
                    // {
                    //     label: '揽收员服务',
                    //     // key: 'collectService',
                    //     multiseriate: true,
                    //     // headDrillDown: true,
                    //     width: 80,
                    //     // fixed: true,
                    //     isDrillDown: false,
                    //     columns: [
                    //         {
                    //             label: '得分',
                    //             key: 'score7'
                    //         },
                    //         {
                    //             label: '排名',
                    //             key: 'rank7'
                    //         },
                    //         {
                    //             label: '环比',
                    //             key: 'ring7'
                    //         }
                    //     ]
                    // },
                    // {
                    //     label: '费用公开透明',
                    //     // key: 'collectService',
                    //     multiseriate: true,
                    //     // headDrillDown: true,
                    //     width: 80,
                    //     // fixed: true,
                    //     isDrillDown: false,
                    //     columns: [
                    //         {
                    //             label: '得分',
                    //             key: 'score8'
                    //         },
                    //         {
                    //             label: '排名',
                    //             key: 'rank8'
                    //         },
                    //         {
                    //             label: '环比',
                    //             key: 'ring8'
                    //         }
                    //     ]
                    // },
                ],
                
            },
            {
                label: '投递服务',
                key: 'hj3',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                //     {
                //         label: '送达时限',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score9'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank9'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring9'
                //             }
                //         ]
                //     },
                //     {
                //         label: '送达质量',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score10'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank10'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring10'
                //             }
                //         ]
                //     },
                //     {
                //         label: '送达范围感知',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score11'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank11'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring11'
                //             }
                //         ]
                //     },
                //     {
                //         label: '派件员服务',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score12'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank12'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring12'
                //             }
                //         ]
                //     },
                //     {
                //         label: '上门投递',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score13'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank13'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring13'
                //             }
                //         ]
                //     },
                //     {
                //         label: '公共服务站投递',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score14'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank14'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring14'
                //             }
                //         ]
                //     },
                //     {
                //         label: '智能快递箱投递',
                //         // key: 'collectService',
                //         multiseriate: true,
                //         // headDrillDown: true,
                //         width: 80,
                //         // fixed: true,
                //         isDrillDown: false,
                //         columns: [
                //             {
                //                 label: '得分',
                //                 key: 'score15'
                //             },
                //             {
                //                 label: '排名',
                //                 key: 'rank15'
                //             },
                //             {
                //                 label: '环比',
                //                 key: 'ring15'
                //             }
                //         ]
                //     },
                ],
                
            },
            {
                label: '售后服务',
                key: 'hj4',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                    {
                        label: '问题邮件集中处理',
                        // key: 'collectService',
                        multiseriate: true,
                        // headDrillDown: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns: [
                            {
                                label: '得分',
                                key: 'score16'
                            },
                            {
                                label: '排名',
                                key: 'rank16'
                            },
                            {
                                label: '环比',
                                key: 'ring16'
                            }
                        ]
                    },
                    {
                        label: '投诉处理',
                        // key: 'collectService',
                        multiseriate: true,
                        // headDrillDown: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns: [
                            {
                                label: '得分',
                                key: 'score17'
                            },
                            {
                                label: '排名',
                                key: 'rank17'
                            },
                            {
                                label: '环比',
                                key: 'ring17'
                            }
                        ]
                    },
                    {
                        label: '损失赔偿',
                        // key: 'collectService',
                        multiseriate: true,
                        // headDrillDown: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns: [
                            {
                                label: '得分',
                                key: 'score18'
                            },
                            {
                                label: '排名',
                                key: 'rank18'
                            },
                            {
                                label: '环比',
                                key: 'ring18'
                            }
                        ]
                    },
                    {
                        label: '发票服务',
                        // key: 'collectService',
                        multiseriate: true,
                        // headDrillDown: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns: [
                            {
                                label: '得分',
                                key: 'score19'
                            },
                            {
                                label: '排名',
                                key: 'rank19'
                            },
                            {
                                label: '环比',
                                key: 'ring19'
                            }
                        ]
                    }
                   
                ],
                
            },
            {
                label: '信息服务',
                key: 'hj5',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                    // {
                    //     label: '物流信息更新及时',
                    //     // key: 'collectService',
                    //     multiseriate: true,
                    //     // headDrillDown: true,
                    //     width: 80,
                    //     // fixed: true,
                    //     isDrillDown: false,
                    //     columns: [
                    //         {
                    //             label: '得分',
                    //             key: 'score20'
                    //         },
                    //         {
                    //             label: '排名',
                    //             key: 'rank20'
                    //         },
                    //         {
                    //             label: '环比',
                    //             key: 'ring20'
                    //         }
                    //     ]
                    // },
                    // {
                    //     label: '全程信息送达',
                    //     // key: 'collectService',
                    //     multiseriate: true,
                    //     // headDrillDown: true,
                    //     width: 80,
                    //     // fixed: true,
                    //     isDrillDown: false,
                    //     columns: [
                    //         {
                    //             label: '得分',
                    //             key: 'score21'
                    //         },
                    //         {
                    //             label: '排名',
                    //             key: 'rank21'
                    //         },
                    //         {
                    //             label: '环比',
                    //             key: 'ring21'
                    //         }
                    //     ]
                    // },
                    // {
                    //     label: '信息安全',
                    //     // key: 'collectService',
                    //     multiseriate: true,
                    //     // headDrillDown: true,
                    //     width: 80,
                    //     // fixed: true,
                    //     isDrillDown: false,
                    //     columns: [
                    //         {
                    //             label: '得分',
                    //             key: 'score22'
                    //         },
                    //         {
                    //             label: '排名',
                    //             key: 'rank22'
                    //         },
                    //         {
                    //             label: '环比',
                    //             key: 'ring22'
                    //         }
                    //     ]
                    // }
                   
                ],
                
            },
        ]
    },
    {
        label: '列表设置',
        key: 'setting',
        multiseriate: false,
        headDrillDown: true,
        width: 120,
    },
    
]

const result_73citydbxz4 =[
    {
        label: '地市',
        key: 'enterprise',
        multiseriate: false,
        width: 120,
        fixed: true,
        isDrillDown: false
    },
   
    {
        label: '统一客服电话受理',
        multiseriate: true,
        headDrillDown: false,
        isDrillDown: false,
        columns: [
            {
                label: '语音导航便捷清晰',
                multiseriate: true,
                width: 80,
                fixed: true,
                isDrillDown: false,
                columns:[
                    {
                        
                        label: '得分',
                        isSort:true,
                        key: 'score1'
                    },
                    {
                        label: '排名',
                        key: 'rank1'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring1'
                    }
                ]
            }
        ]
    },
   {
        label: '列表设置',
        key: 'setting',
        headDrillDown: true,
        multiseriate: false,
        width: 120,
    },
]

const result_73citydbxz5 =[
    {
        label: '地市',
        key: 'enterprise',
        multiseriate: false,
        width: 80,
        fixed: true,
        isDrillDown: false,
    },
   
    {
        label: '2019年73重点城市服务满意度全环节指标得分情况',
        // key: 'twoTarget',
        multiseriate: true,
        width: 500,
        headDrillDown: false,
        // fixed: true,
        isDrillDown: false,
        columns: [
            
            {
                label: '受理服务',
                // key: 'acceptService',
                multiseriate: true,
                headDrillDown: false,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '快递员电话受理',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '服务态度友好',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        
                                        key: 'score1'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank1'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring1'
                                    }
                                ]
                            },
                            {
                                label: '主动询问寄送物品信息',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score2'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank2'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring2'
                                    }
                                ]
                            },
                            {
                                label: '明确承诺上门时间',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score3'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank3'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring3'
                                    }
                                ]
                            },
                        ]
                    },
                    {
                        label: '统一客服电话受理',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '客服下单操作便利快捷',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score4'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank4'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring4'
                                    }
                                ]
                            },
                            {
                                label: '成功下单消息推送及时/详细',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score5'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank5'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring5'
                                    }
                                ]
                            },
                            
                        ]
                    },
                    {
                        label: '营业网点受理',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '可便捷获取附近网点地址和电话',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score6'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank6'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring6'
                                    }
                                ]
                            },
                            {
                                label: '营业员态度友好，耐心答复',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score7'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank7'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring7'
                                    }
                                ]
                            },
                            {
                                label: '业务熟练，能快速完成收寄',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score8'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank8'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring8'
                                    }
                                ]
                            },
                            
                        ]
                    },
                    {
                        label: '网络受理',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '信息填写智能/便捷',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score9'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank9'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring9'
                                    }
                                ]
                            },
                            {
                                label: '成功下单信息告知详细',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score10'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank10'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring10'
                                    }
                                ]
                            },
                           
                            
                        ]
                    }
                ]
            },
            {
                label: '揽收服务',
                // key: 'acceptService',
                multiseriate: true,
                headDrillDown: false,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '上门时限',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '下单后及时电联，告知取件时间',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score11'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank11'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring11'
                                    }
                                ]
                            },
                            {
                                label: '约定时间内上门',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score12'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank12'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring12'
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        label: '封装质量',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '收件当面验视，有问题可给予解释',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score13'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank13'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring13'
                                    }
                                ]
                            },
                            {
                                label: '包装不良主动提醒，易碎/贵重件封装质量好',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score14'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank14'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring14'
                                    }
                                ]
                            },
                            
                        ]
                    },
                    {
                        label: '揽收员服务',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '着装规范整洁',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score15'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank15'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring15'
                                    }
                                ]
                            },
                            {
                                label: '服务态度友好',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score16'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank16'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring16'
                                    }
                                ]
                            },
                            {
                                label: '贵重件提醒保价/旺季告知时限延长',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score17'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank17'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring17'
                                    }
                                ]
                            },
                            
                        ]
                    },
                    {
                        label: '费用公开透明',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '收费标准，无讨价还价',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score18'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank18'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring18'
                                    }
                                ]
                            },
                            {
                                label: '支持多渠道结算',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score19'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank19'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring19'
                                    }
                                ]
                            }
                            
                            
                        ]
                    },
                    
                ]
            },
            {
                label: '投递服务',
                // key: 'acceptService',
                multiseriate: true,
                headDrillDown: false,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '时限感知',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '全程时限明确',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score20'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank20'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring20'
                                    }
                                ]
                            },
                            {
                                label: '预计全程时限内送达',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score21'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank21'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring21'
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        label: '送达质量',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '快件完整，无破损/少件等',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score22'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank22'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring22'
                                    }
                                ]
                            },
                            {
                                label: '易碎/贵重件可配合签收验视',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score23'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank23'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring23'
                                    }
                                ]
                            },
                            
                        ]
                    },
                    {
                        label: '送达范围感知',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '送达范围广',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score24'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank24'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring24'
                                    }
                                ]
                            },
                           
                            
                        ]
                    },
                    {
                        label: '派件员服务',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '联系派件时可打通快递员电话',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score25'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank25'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring25'
                                    }
                                ]
                            },
                            {
                                label: '快递员态度友好/亲切',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score26'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank26'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring26'
                                    }
                                ]
                            }
                            
                            
                        ]
                    },
                    {
                        label: '上门投递',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '派送上门',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score27'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank27'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring27'
                                    }
                                ]
                            },
                            {
                                label: '不便签收时可二次派送',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score28'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank28'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring28'
                                    }
                                ]
                            }
                            
                            
                        ]
                    },
                    {
                        label: '公共服务站投递',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '存放代收点前告知',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score29'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank29'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring29'
                                    }
                                ]
                            },
                            {
                                label: '外包装破损不投代收点',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score30'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank30'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring30'
                                    }
                                ]
                            }
                            
                            
                        ]
                    },
                    {
                        label: '智能快件箱投递',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '投柜前有告知',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score31'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank31'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring31'
                                    }
                                ]
                            },
                            {
                                label: '已投柜件可按要求二次派送上门',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score32'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank32'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring32'
                                    }
                                ]
                            }
                            
                            
                        ]
                    },
                ]
            },
            {
                label: '售后服务',
                // key: 'acceptService',
                multiseriate: true,
                headDrillDown: false,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '问题邮件事中处理',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '快递员/网点可协助查件',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score33'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank33'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring33'
                                    }
                                ]
                            },
                            {
                                label: '外包装破损，投递前联系',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score34'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank34'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring34'
                                    }
                                ]
                            },
                            {
                                label: '已损毁/丢失邮件，主动联系赔偿',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score35'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank35'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring35'
                                    }
                                ]
                            },
                        ]
                    },
                    {
                        label: '投诉服务',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '投诉渠道方便',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score36'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank36'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring36'
                                    }
                                ]
                            },
                            {
                                label: '客服态度亲切，不推诿',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score37'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank37'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring37'
                                    }
                                ]
                            },
                            {
                                label: '投诉处理速度快',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score38'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank38'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring38'
                                    }
                                ]
                            },
                            {
                                label: '投诉处理结果满意',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score39'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank39'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring39'
                                    }
                                ]
                            },
                        ]
                    },
                    {
                        label: '损失赔偿',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '48小时内回复索赔结果',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score40'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank40'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring40'
                                    }
                                ]
                            },
                            {
                                label: '理赔资料要求明确、易获取',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score41'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank41'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring41'
                                    }
                                ]
                            },
                            {
                                label: '支付赔偿款渠道多样',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score42'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank42'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring42'
                                    }
                                ]
                            },
                            
                        ]
                    },
                    {
                        label: '发票服务',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '可按需求及时提供',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score43'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank43'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring43'
                                    }
                                ]
                            }
                            
                        ]
                    }
                   
                ]
            },
            {
                label: '信息服务',
                // key: 'acceptService',
                multiseriate: true,
                headDrillDown: false,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '物流信息更新及时',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '物流信息准确',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score44'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank44'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring44'
                                    }
                                ]
                            },
                            {
                                label: '信息更新及时',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score45'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank45'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring45'
                                    }
                                ]
                            },
                            {
                                label: '未签收原因准确，无虚假',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score46'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank46'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring46'
                                    }
                                ]
                            },
                            {
                                label: '物流信息完整，无倒置',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score47'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank47'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring47'
                                    }
                                ]
                            },
                        ]
                    },
                    {
                        label: '全程信息推送',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '快递员主动推荐ems公众号/APP',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score48'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank48'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring48'
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        label: '信息安全',
                        multiseriate: true,
                        width: 80,
                        // fixed: true,
                        isDrillDown: false,
                        columns:[
                            {
                                label: '个人信息安全',
                                multiseriate: true,
                                width: 80,
                                // fixed: true,
                                isDrillDown: false,
                                columns:[
                                    {
                                        label: '得分',
                                        key: 'score49'
                                    },
                                    {
                                        label: '排名',
                                        key: 'rank49'
                                    },
                                    {
                                        label: '环比',
                                        key: 'ring49'
                                    }
                                ]
                            }
                            
                        ]
                    }
                ]
            },
        ]
    },
    {
        label: '列表设置',
        key: 'setting',
        multiseriate: false,
        headDrillDown: true,
        width: 120,
    },
    
]

const result_20citySatisfaction1 =[
    {
        label: '一级指标',
        key: 'oneTarget',
        multiseriate: false,
        width: 80,
        fixed: true,
        isShow: true,
        isDrillDown: false
    },
    {
        label: '二级指标',
        key: 'TwoTarget',
        multiseriate: false,
        width: 110,
        fixed: true,
        isDrillDown: true
    },
    {
        label: 'EMS',
        multiseriate: true,
        headDrillDown: true,
        isDrillDown: true,
        companyCode:'ems',
        columns: [
            {
                label: '得分',
                key: 'score1'
            },
            {
                label: '环比',
                key: 'ring1'
            }
        ]
    },
    {
        label: '顺丰',
        multiseriate: true,
        headDrillDown: false,
        isDrillDown: true,
        companyCode:'sf',
        columns: [
            {
                label: '得分',
                key: 'score2'
                
            },
            {
                label: '环比',
                key: 'ring2'
            }
        ]
    },
    {
        label: '中通',
        multiseriate: true,
        headDrillDown: false,
        isDrillDown: true,
        companyCode:'zt',
        columns: [
            {
                label: '得分',
                key: 'score3'
                
            },
            {
                label: '环比',
                key: 'ring3'
            }
        ]
    },
     {
        label: '列表设置',
        key: 'setting',
        headDrillDown: true,
        multiseriate: false,
        width: 120,
    },
]

const result_20citySatisxz1 =[
    {
        label: '二级指标',
        key: 'TwoTarget',
        multiseriate: false,
        width: 80,
        fixed: true,
        isShow: true,
        isDrillDown: false
    },
    {
        label: '服务指标',
        key: 'serviceTarget',
        multiseriate: false,
        width: 110,
        fixed: true,
        isDrillDown: false
    },
    {
        label: 'EMS',
        multiseriate: true,
        headDrillDown: false,
        isDrillDown: false,
        columns: [
            {
                label: '得分',
                key: 'score1'
            },
            {
                label: '环比',
                key: 'ring1'
            }
        ]
    },
    {
        label: '顺丰',
        multiseriate: true,
        headDrillDown: false,
        isDrillDown: false,
        columns: [
            {
                label: '得分',
                key: 'score2'
                
            },
            {
                label: '环比',
                key: 'ring2'
            }
        ]
    },
    {
        label: '中通',
        multiseriate: true,
        headDrillDown: false,
        isDrillDown: false,
        columns: [
            {
                label: '得分',
                key: 'score3'
                
            },
            {
                label: '环比',
                key: 'ring3'
            }
        ]
    },
     {
        label: '列表设置',
        key: 'setting',
        headDrillDown: true,
        multiseriate: false,
        width: 120,
    },
]

const result_20citySatisxz2 =[
    
    {
        label: '地市',
        key: 'enterprise',
        multiseriate: false,
        width: 80,
        fixed: true,
        isDrillDown: false,
    },
    {
        label: '服务规范指标(单位:分)',
        multiseriate: false,
        width: 80,
        key: 'zfa3',
        isDrillDown: false,
        multiseriate: true,
        columns:[
            // {
            //     label: '受理环节',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             isSort:true,
            //             key: 'score1'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank1'
            //         },
            //         {
            //             label: '环比',
            //             isSort:true,
            //             key: 'ring1'
            //         }
            //     ]
            // },
            // {
            //     label: '揽收环节',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             isSort:true,
            //             key: 'score2'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank2'
            //         },
            //         {
            //             label: '环比',
            //             isSort:true,
            //             key: 'ring2'
            //         }
            //     ]
            // },
            // {
            //     label: '投递环节',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             isSort:true,
            //             key: 'score3'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank3'
            //         },
            //         {
            //             label: '环比',
            //             isSort:true,
            //             key: 'ring4'
            //         }
            //     ]
            // },
            // {
            //     label: '投递服务',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             key: 'score4'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank4'
            //         },
            //         {
            //             label: '环比',
            //             key: 'ring4'
            //         }
            //     ]
            // },
        ]
    },
    {
        label: '时效指标(单位:小时)',
        multiseriate: false,
        width: 80,
        key: 'zfa4',
        isDrillDown: false,
        multiseriate: true,
        columns:[
            // {
            //     label: '上门揽件时间',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             isSort:true,
            //             key: 'score5'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank5'
            //         },
            //         {
            //             label: '环比',
            //             isSort:true,
            //             key: 'ring5'
            //         }
            //     ]
            // },
            // {
            //     label: '本地分拣时效',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             isSort:true,
            //             key: 'score6'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank6'
            //         },
            //         {
            //             label: '环比',
            //             isSort:true,
            //             key: 'ring6'
            //         }
            //     ]
            // },
            // {
            //     label: '中转运输时效',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             isSort:true,
            //             key: 'score7'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank7'
            //         },
            //         {
            //             label: '环比',
            //             isSort:true,
            //             key: 'ring7'
            //         }
            //     ]
            // },
            // {
            //     label: '末端分拣时效',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             isSort:true,
            //             key: 'score8'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank8'
            //         },
            //         {
            //             label: '环比',
            //             isSort:true,
            //             key: 'ring8'
            //         }
            //     ]
            // },
            // {
            //     label: '派送时效',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             isSort:true,
            //             key: 'score9'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank9'
            //         },
            //         {
            //             label: '环比',
            //             isSort:true,
            //             key: 'ring9'
            //         }
            //     ]
            // },
            // {
            //     label: '派送时效',
            //     // key: 'collectService',
            //     multiseriate: true,
            //     // headDrillDown: true,
            //     width: 80,
            //     // fixed: true,
            //     isDrillDown: false,
            //     columns: [
            //         {
            //             label: '得分',
            //             key: 'score10'
            //         },
            //         {
            //             label: '排名',
            //             key: 'rank10'
            //         },
            //         {
            //             label: '环比',
            //             key: 'ring10'
            //         }
            //     ]
            // },
        ]
    },
    {
        label: '列表设置',
        key: 'setting',
        multiseriate: false,
        headDrillDown: true,
        width: 120,
    },
       
]

const result_73cityperiod1 =[
    {
        label: '管控周期',
        key: 'controlPeriod',
        multiseriate: false,
        width: 80,
        fixed: true,
        isDrillDown: false,
    },
    {
        label: '北京市2015年-2019年73重点城市周期对标环节得分情况',
        total: 'totalName',
        multiseriate: true,
        width: 500,
        headDrillDown: true,
        // fixed: true,
        isDrillDown: true,
        columns: [
           
            {
                label: '总得分',
                // key: 'acceptService',
                multiseriate: true,
                headDrillDown: false,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'cityTotalScore'
                    },
                    {
                        label: '排名',
                        key: 'rank'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'cityTotalRate'
                    }
                ]
            },
            {
                label: '受理服务',
                controlLinkCode: 'hj1',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score2'
                    },
                    {
                        label: '排名',
                        key: 'rank2'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring2'
                    }
                ]
            },
            {
                label: '揽收服务',
                controlLinkCode: 'hj2',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score3'
                    },
                    {
                        label: '排名',
                        key: 'rank3'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring3'
                    }
                ]
            },
            {
                label: '投递服务',
                controlLinkCode: 'hj3',
                headDrillDown: true,
                multiseriate: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score4'
                    },
                    {
                        label: '排名',
                        key: 'rank4'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring4'
                    }
                ]
            },
            {
                label: '售后服务',
                controlLinkCode: 'hj4',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score5'
                    },
                    {
                        label: '排名',
                        key: 'rank5'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring5'
                    }
                ]
            },
            {
                label: '信息服务',
                controlLinkCode: 'hj5',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score6'
                    },
                    {
                        label: '排名',
                        key: 'rank6'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring6'
                    }
                ]
            },
            
            
        ]
    },
    {
        label: '列表设置',
        key: 'setting',
        multiseriate: false,
        headDrillDown: true,
        width: 120,
    },
    
]

const result_73cityperiodxz2 =[
    {
        label: '管控周期',
        key: 'controlPeriod',
        multiseriate: false,
        width: 80,
        fixed: true,
        isDrillDown: false,
    },
    {
        label: '受理服务',
        // key: 'twoTarget',
        multiseriate: true,
        width: 500,
        // headDrillDown: true,
        // fixed: true,
        // isDrillDown: true,
        columns: [
           
            {
                label: '快递员电话受理',
                key: 'key1',
                multiseriate: true,
                headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: true,
                columns: [
                    {
                        label: '得分',
                        isSort:true,
                        key: 'score1'
                    },
                    {
                        label: '排名',
                        key: 'rank1'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring1'
                    }
                ]
            },
            
            
            
        ]
    },
    {
        label: '列表设置',
        key: 'setting',
        multiseriate: false,
        headDrillDown: true,
        width: 120,
    },
]

const result_73cityperiodxz3 =[
    {
        label: '管控周期',
        key: 'controlPeriod',
        multiseriate: false,
        width: 80,
        fixed: true,
        isDrillDown: false,
    },
    {
        label: '2019年73重点城市服务满意度全环节指标得分情况',
        // key: 'twoTarget',
        multiseriate: true,
        width: 500,
        headDrillDown: true,
        // fixed: true,
        isDrillDown: true,
        columns: [
           
            {
                label: '受理服务',
                key: 'hj1',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                   
                ],
                
            },
            {
                label: '揽收服务',
                key: 'hj2',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                   
                ],
                
            },
            {
                label: '投递服务',
                key: 'hj3',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                
                ],
                
            },
            {
                label: '售后服务',
                key: 'hj4',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                
                ],
                
            },
            {
                label: '信息服务',
                key: 'hj5',
                multiseriate: true,
                // headDrillDown: true,
                width: 80,
                // fixed: true,
                isDrillDown: false,
                columns:[
                   
                   
                ],
                
            },
        ]
    },
    {
        label: '列表设置',
        key: 'setting',
        multiseriate: false,
        headDrillDown: true,
        width: 120,
    },
    
]

const result_73cityperiodxz4 =[
    {
        label: '管控周期',
        key: 'controlPeriod',
        multiseriate: false,
        width: 120,
        fixed: true,
        isDrillDown: false
    },
   
    {
        label: '统一客服电话受理',
        multiseriate: true,
        headDrillDown: false,
        isDrillDown: false,
        columns: [
            {
                label: '语音导航便捷清晰',
                multiseriate: true,
                width: 80,
                fixed: true,
                isDrillDown: false,
                columns:[
                    {
                        
                        label: '得分',
                        isSort:true,
                        key: 'score1'
                    },
                    {
                        label: '排名',
                        key: 'rank1'
                    },
                    {
                        label: '环比',
                        isSort:true,
                        key: 'ring1'
                    }
                ]
            },
           
           
        ]
    },
   {
        label: '列表设置',
        key: 'setting',
        headDrillDown: true,
        multiseriate: false,
        width: 120,
    },
]


const TableColumnConfig = {
    result1,
    result2,
    result3,
    result4,
    result5,
    result6,
    result7,
    result_73citydb1,
    result_73citydb2,
    result_73citydbxz2,
    result_73citydbxz3,
    result_73citydbxz4,
    result_73citydbxz5,
    result_20citySatisfaction1,
    result_20citySatisxz1,
    result_20citySatisxz2,
    result_73cityperiod1,
    result_73cityperiodxz2,
    result_73cityperiodxz3,
    result_73cityperiodxz4

};

const result_73citysatisfation5_key = ["fa2hj1zb1z1", "fa2hj1zb1z2", "fa2hj1zb1z3", "fa2hj1zb2z1", "fa2hj1zb2z2", "fa2hj1zb3z1", "fa2hj1zb3z2", "fa2hj1zb3z3", "fa2hj1zb4z1", "fa2hj1zb4z2", "fa2hj2zb1z1", "fa2hj2zb1z2", "fa2hj2zb2z1", "fa2hj2zb2z2", "fa2hj2zb3z1", "fa2hj2zb3z2", "fa2hj2zb3z3", "fa2hj2zb4z1", "fa2hj2zb4z2", "fa2hj3zb1z1", "fa2hj3zb1z2", "fa2hj3zb2z1", "fa2hj3zb2z2", "fa2hj3zb3z1", "fa2hj3zb4z1", "fa2hj3zb4z2", "fa2zhj3b5z1", "fa2zhj3b5z2", "fa2hj3zb6z1", "fa2hj3zb6z2", "fa2hj3zb7z1", "fa2hj3zb7z2", "fa2hj4zb1z1", "fa2hj4zb1z2", "fa2hj4zb1z3", "fa2hj4zb2z1", "fa2hj4zb2z2", "fa2hj4zb2z3", "fa2hj4zb2z4", "fa2hj4zb3z1", "fa2hj4zb3z2", "fa2hj4zb3z3", "fa2hj4zb4z1", "fa2hj5zb1z1", "fa2hj5zb1z2", "fa2hj5zb1z3", "fa2hj5zb1z4", "fa2hj5zb2z1", "fa2hj5zb3z1"]
