/**2020/9/15
 * 作者: LWJ
 * 功能: 首页看板相关接口
 * 参数说明:
 */

//实时订单量
const queryPcOrder = (data) => {
    return interface1({
        url: 'dpk/queryPcOrder',
        method: 'get',
        params: data,
    })
};

//订单昨日量
const queryPcOrderYesSum = (data) => {
    return interface1({
        url: 'dpk/queryPcOrderYesSum',
        method: 'get',
        params: data,
    })
};
//实时订单量
const queryPcOrderSort = (data) => {
    return interface1({
        url: 'dpk/queryPcOrderSort',
        method: 'get',
        params: data,
    })
};
//订单七日内数据
const pcOrderCdpSevenDay = (data) => {
    return interface1({
        url: 'dpk/pcOrderCdpSevenDay',
        method: 'get',
        params: data,
    })
};

// 收寄量
const queryPcPostingData = (data) =>{
    return interface1({
        url:'dpk/queryPost',
        method:'get',
        params:data,
    })
}

// 处理量
const queryPcDealData =(data) =>{
    return interface1({
        url:'/dpk/queryProcessing',
        method:'get',
        params:data,
    })
}

// 处理量-产品
const queryPcDealProductData =(data) =>{
    return interface1({
        url:'/bsv/dpkProces/queryProcessingProduct',
        method:'get',
        params:data,
    })
}
//投递量
const queryDelivery =(data)=>{
    return interface1({
        url:'/dpk/queryDelivery',
        method:'get',
        params:data,
    })
}
//实时运输量
const queryPcTranportCache = (data) => {
    return interface1({
        url: 'bsv/BsvScreenTrafficVolume/fingTranportWayFromRedis',
        method: 'get',
        params: data,
    })
};

//上周运输量统计
const findWeeksNumber = (data) => {
    return interface1({
        url: 'bsv/BsvScreenTrafficVolume/findWeeksNumberFromRedis',
        method: 'get',
        params: data,
    })
};

//运输量下钻统计
const fingTranportWay = (data) => {
    return interface1({
        // url: 'bsv/BsvScreenTrafficVolume/fingTranportWay',
        url: 'bsv/BsvScreenTrafficVolume/fingTranportWayFromRedis',
        method: 'get',
        params: data,
    })
};
//实时收寄量
const queryPcPost = (data) => {
    return interface1({
        url: 'dpk/queryPcPostNumInfoSort',
        method: 'get',
        params: data,
    })
};
//收寄七日内数据
const pcPostCdpSevenDay = (data) => {
    return interface1({
        url: 'dpk/PostCdpSevenDay',
        method: 'get',
        params: data,
    })
};
//实时处理量
const queryProcessing = (data) => {
    return interface1({
        url: 'dpk/pcsWorkloadHsfPcSort',
        method: 'get',
        params: data,
    })
};
//处理七日内数据
const queryPcsWorkDayLine = (data) => {
    return interface1({
        url: 'dpk/queryPcsWorkDayLine',
        method: 'get',
        params: data,
    })
};
//实时投递量
const queryPcdelivery = (data) => {
    return interface1({
        url: 'dpk/queryDeliveryxz',
        method: 'get',
        params: data,
    })
};
//投递七日内数据
const queryDeliveryInfo = (data) => {
    return interface1({
        url: 'dpk/queryDeliveryInfo',
        method: 'get',
        params: data,
    })
};

// 全部优势线路接口
const getAdvRouteInfo = (data) => {
    return interface1({                                           // queryAdvantageRouteInfo
        url: '/bsv/dpkfourlibrary/getQueryAdvantageRouteInfoNew', // /bsv/dpkfourlibrary/getQueryAdvantageRouteInfoNew
        method: 'get',
        params: data,
    })
};
// 规模优势线路柱状图接口
const getScaleRouteBarData = (data) => {
    return interface1({                                           
        url: '/dpkServer/queryScaleAdvantageRouteChart',       
        method: 'get',
        params: data,
    })
};
// 规模优势线路列表接口
const getScaleRoute = (data) => {
    return interface1({                                           
        url: '/dpkServer/queryScaleAdvantageRouteInfo',       
        method: 'get',
        params: data,
    })
};
// 行业库接口
const getQueryRouteInfo = (data) => {
    return interface1({
        url: '/bsv/dpkfourlibrary/queryRouteInfo',
        method: 'get',
        params: data,
    })
};

//获取收藏的菜单数据
const querybyphone = (data) => {
    return interface1({
        url: 'bsv/bsvCollect/querybyphone',
        method: 'get',
        params: data,
    })
};

//获取常用模块列表
const queryModeleByPhone = (data) => {
    return interface1({
        url: 'bsv/bsvmodularclick/query',
        method: 'get',
        params: data,
    })
};

//更新收藏状态
const updateCollectState = (data) => {
    return interface1({ 
        url: 'bsv/bsvCollect/save',
        method: 'get',
        params: data,
    })
};


//获取告警信息 warningMsg/queryNew    BsvOverrateMailNumOfAllCourseApp/query
const getWaningInfo = (data) => {
    return interface1({
        url: 'bsv/BsvOverrateMailNumOfAllCourseApp/query',
        method: 'get',
        params: data,
    })
};

//获取轮播图
const getBanner = (data) => {
    return interface1({
        url: 'bsvweb/newsmanagement/queryTop5News',
        method: 'get',
        params: data,
    })
};

//获取看板数据-----平台组
const getBoardDataByPatform = (data) => {
    return interface1({
    	// url: 'bsvboard/interface/test/getUrlDataFromCache',
        url: 'bsvboard/interface/test/getUrlDataFromCacheNew',
        method: 'get',
        params: data,
    })
};

//获取看板数据-----2小时
const getBoardDaySum = (data) => {
    return interface1({
    	// url: 'bsvboard/interface/test/getDaySum',
        url: 'bsvboard/interface/test/getDaySumNew',
        method: 'get',
        params: data,
    })
};

//订单按时间查询数据
const getOrderByTime = (data) => {
    return interface2({
        url: 'bsvboard/interface/test/getBoardDataForHttpOMS',
        method: 'get',
        params: data,
    })
};

//收寄按时间查询数据
const getPotingByTime = (data) => {
    return interface2({
    	// url: 'bsvboard/interface/test/getBoardDataForHttpPKP',
        url: 'bsvboard/interface/test/getBoardDataForHttpPKPNew',
        method: 'get',
        params: data,
    })
};

//处理按时间查询数据
const getDealByTime = (data) => {
    return interface2({
        url: 'bsvboard/interface/test/getBoardDataForHttpPCS',
        method: 'get',
        params: data,
    })
};

//投递按时间查询数据
const getDeliverByTime = (data) => {
    return interface2({
        url: '/bsvboard/interface/test/getBoardDataForHttpDLV',
        method: 'get',
        params: data,
    })
};


//查询省份数据
const queryAllProv = (data) => {
    return interface1({
        url: 'bsv/fourTimeLimit/queryAllProv',
        method: 'get',
        params: data,
    })
};

//查询所有地市
const queryAllCity = (data) => {
    return interface1({
        url: 'bsv/fourTimeLimit/showCity',
        method: 'get',
        params: data,
    })
};

//查询所有区县
const queryAllCounty= (data) => {
    return interface1({
        url: 'bsv/fourTimeLimit/showCounty',
        method: 'get',
        params: data,
    })
};
// 行业库柱状图
const queryAllEcharts= (data) => {
    return interface1({
        url: 'bsv/dpkfourlibrary/queryIndustryCatchUpRate',
        method: 'get',
        params: data,
    })
};
//end10下钻
const queryAllCheck= (data) => {
    console.log(data,'dadaad')
    return interface1({
        url: 'bsv/dpkfourlibrary/queryLinesEndTen',
        method: 'get',
        params: data,
    })
};

// 优势库柱状图
const queryAllysEcharts= (data) => {
    return interface1({
        url: 'bsv/dpkfourlibrary/querySuperiorRouteBarchart',
        method: 'get',
        params: data,
    })
};

// 是否定时刷新
const isOpenTimer= (data) => {
    return interface1({
        url: 'bsv/paramlist/queryByIdCode',
        method: 'get',
        params: data,
    })
};

const queryMenuState = (data) => {
    return interface1({
        url: 'bsv/bsvCollect/query',
        method: 'get',
        params: data,
    })
};


// 人员维护下钻页面接口
const queryAllysInfo= (data) => {
    // console.log(data)
    return interface1({
        url: 'bsv/Attendance/newFindAttendanceStatisticsAppInfo',
        method: 'get',
        params: data,
    })
};
//精选指标-五大体系
const getJxFivesty=(data)=>{
    return interface1({
        url: 'fiveboard/overallVolume/querySummaryByCode',
        method: 'get',
        params: data,
    })
}
//new精选指标-五大体系
const getNewJxFivesty=(data)=>{
    return interface1({
        url: '/fiveboard/newoverallVolume/querySummaryByCode',
        method: 'get',
        params: data,
    })
}
//精选指标-客户投诉率
const getJxKhts=(data)=>{
    return interface1({
        url: 'fiveboard/overallVolume/querySummaryComplainByCode',
        method: 'get',
        params: data,
    })
}
//精选指标-app
const getJxAppTar=(data)=>{
    return interface1({
        url: 'dpkServer/queryActionScoreAndXyd003Timerate',
        method: 'get',
        params: data,
    })
}