/**2020/8/25
 * 作者: LWJ
 * 功能: 现实时限分析相关接口
 * 参数说明:
 */

//达标分布情况
const findMailSpread = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findMailSpread',
        method: 'get',
        params: data,
    })
};

//汇总
const statLine = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/statLine',
        method: 'get',
        params: data,
    })
};

//未达标线路
const findNotStandardLine = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findNotStandardLine',
        method: 'get',
        params: data,
    })
};

//全程线路时长分布情况
const findWholeSpred = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findNewTwoWholeSpred',
        method: 'get',
        params: data,
    })
};

//不达标环节分布情况和邮件时长环节分析
const findLInkSpread = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findNewLInkSpread',
        method: 'get',
        params: data,
    })
};

//区域达标分布情况
const findAreaMailSpread = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findAreaMailSpread',
        method: 'get',
        params: data,
    })
};


//环节开始接口
const findStartByMonth = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findStartByMonth',
        method: 'get',
        params: data,
    })
};

//环节结束接口
const findEndByMonth = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findEndByMonth',
        method: 'get',
        params: data,
    })
};

//环节时长差异接口
const findDataDifferent = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findDataDifferent',
        method: 'get',
        params: data,
    })
};

//不达标环节分布情况
const findByCountry = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findByCountry',
        method: 'get',
        params: data,
    })
};

//帮助信息文档说明
const findInfor = (data) => {
    return interface1({
        url: 'bsv/bsvTimelimitDisplay/findInfor',
        method: 'get',
        params: data,
    })
};


//时限对比红绿灯-现实/行业-分环节时限-线路对比
const realityline = (data) => {
    return interface1({
        url: 'bsv/fourTimeLimit/realityline',
        method: 'get',
        params: data,
    })
};

//邮政与菜鸟时限对比
const getcainiaocompredgreen = (data) => {
    return interface1({
        url: 'bsv/fourTimeLimit/getcainiaocompredgreen',
        method: 'get',
        params: data,
    })
};


//全国优势线路--线路对比
const lineseg = (data) => {
    return interface1({
        url: 'bsv/fourTimeLimit/lineseg',
        method: 'get',
        params: data,
    })
};

//全国优势线路--详细
const newfindIPkpdlvdetail = (data) => {
    return interface1({
        url: 'bsv/fourTimeLimit/newfindIPkpdlvdetail',
        method: 'get',
        params: data,
    })
};

//邮政与菜鸟时限对比详细
const findOneById = (data) => {
    return interface1({
        url: 'bsv/fourTimeLimit/findOneById',
        method: 'get',
        params: data,
    })
};



//获取颜色信息
const getColorGrading = (data) => {
    return interface1({
        url: 'bsv/fourTimeLimit/getColorGrading',
        method: 'get',
        params: data,
    })
};




