//处理量历史趋势图

Vue.component('lsqst-compoent', {
	data() {
		return {}
	},
	methods: {
		init_lsqst(lsqstList, lssjl_flag,num) {
			let flag = lssjl_flag;
			let legend2 = ['处理量','历史最高处理量'];
			
			let timeList = [];
			let totalList = [];
			let maxTotalList = []
			if (lsqstList != null && lsqstList.length > 0) {
				lsqstList.forEach((e, index) => {
					timeList.push(e.time);
					totalList.push(e.total);
					maxTotalList.push(e.maxTotal)
				})
			}
			if(maxTotalList[0]){
				legend2.some(item=>{
					return item=='历史最高处理量'
				})?'':legend2.push('历史最高处理量')
			}else{
				legend2.some(item=>{
					return item=='历史最高处理量'
				})?legend2.pop():''
			}
			if(totalList[0]){
				legend2.some(item=>{
					return item=='处理量'
				})?'':legend2.push('处理量')
			}else{
				legend2.some(item=>{
					return item=='处理量'
				})?legend2.pop():''
			}
			// console.log(maxTotalList,'opopop');
			let xData2 = [];
			if (flag === "7日内") {
				xData2 = timeList.length > 0 ? timeList : [];
			}
			if (flag === "30日内") {
				xData2 = timeList.length > 0 ? timeList : [];
			}
			if (flag === "12周内") {
				xData2 = timeList.length > 0 ? timeList : [];
			}
			if (flag === "12月内") {
				xData2 = timeList.length > 0 ? timeList : [];
			}
			let series2 = [];
			let echartsColor = ''
			legend2.forEach((e, index) => {
				// alert(e)
				echartsColor = e == '处理量' ? '#1D95F4' : '#f67767'
				let setting = {
					type: 'line',
					data: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
					symbolSize: 10,
					symbol: e == '处理量' ? 'circle':'none',
					itemStyle: {
						normal: {
							color: echartsColor,
							barBorderRadius: 1,
							borderColor: '#fff',
							borderWidth: 2
						}
					},
					lineStyle: {
						normal: {
							color: echartsColor,
							width: 2
						}
					},
					smooth: true
				}
				setting.name = e;
				console.log(maxTotalList,'dsadsa0000000');
				if ( flag === '7日内') {
					if(e=='处理量'){
						// alert('9')
						setting.data = totalList.length > 0 ? totalList : [];
					}else if(e=='历史最高处理量'){
						// alert('0')
						setting.data = maxTotalList.length > 0 ? maxTotalList : [];
					}
					setting.itemStyle.normal.color = echartsColor;
					setting.lineStyle.normal.color = echartsColor;
				}
				if ( flag === '30日内') {
					if(e=='处理量'){

						setting.data = totalList.length > 0 ? totalList : [];
					}else{
						setting.data = maxTotalList.length > 0 ? maxTotalList : [];
					}
					setting.itemStyle.normal.color = echartsColor;
					setting.lineStyle.normal.color = echartsColor;
				}
				if ( flag === '12周内') {
					if(e=='处理量'){

						setting.data = totalList.length > 0 ? totalList : [];
					}else{
						setting.data = maxTotalList.length > 0 ? maxTotalList : [];
					}
					setting.itemStyle.normal.color = echartsColor;
					setting.lineStyle.normal.color = echartsColor;
				}
				if ( flag === '12月内') {
					if(e=='处理量'){

						setting.data = totalList.length > 0 ? totalList : [];
					}else{
						setting.data = maxTotalList.length > 0 ? maxTotalList : [];
					}
					setting.itemStyle.normal.color = echartsColor;
					setting.lineStyle.normal.color = echartsColor;
				}
				series2.push(setting);
			});
			console.log('历史折线图数据————————',xData2, '历史折线图数据————————');
			initLine_2('chart_lsqst', legend2, xData2, series2, flag,num);
		},
	},
	props: {
		title: {
			type: String,
			required: true
		},
		id_name: {
			type: String,
			required: true
		}
	},
	mounted() { },
	template: `
	<div>
		<div class="title">
		    {{ title }}
		    <div style="position: relative;">
		        <slot></slot>
		    </div>
		</div>
		<div id="chart_lsqst" class="border-echaers" style="height:330px"></div>
	</div>
	`
});
//折线图
function initLine_2(chart_lsqst, legend, xData, series, flag,num) {
	console.log(xData,'opop*--------------------');
	var mychart2 = echarts.init(document.getElementById(chart_lsqst))
	mychart2.clear(); 
	let option2 = "";
	option2 = {
		tooltip: {
			confine:true,
			trigger: 'axis',
			axisPointer: {
				type: 'line'
			},
			formatter: function(params){
				console.log(params,'uuuuuuuuuuu')
				// return JSON.stringify(params)
				// var ds = chartTipDataMap[params.name]
				// var tips = "<span style='font-weight: bold;'>"+params.name+"</span><br/>";
				// for(var i=0;i<category.length;i++){
				// 	tips = tips+category[i]+": "+ds[i]+"<br/>"
				// }
				// return tips;
				if(params[1]&&params[0]){
					// alert('0')
					var seriesName = params[0].seriesName
					if (flag == '12周内' || flag == '12月内') {
						seriesName = "日均处理量"
					}
					return ` ${ params[0].name} <br/>
							${ seriesName }: ${ params[0].value} <br/>
	
							${params[1].seriesName }:${ params[1].value}<br/>(历史最高处理量日期${num})
					`
				}else if(params[0].seriesName=='处理量'){
					// alert('1')
					return ` ${ params[0].name} <br/>
							${ params[0].seriesName }: ${ params[0].value} <br/>
					`
				}else{
					// alert('2')
					return `${params[0].seriesName }:${ params[0].value}<br/>(历史最高处理量日期${num})
					`
				}
			}
		},
		legend: {
			data: legend,
			x: 'center',
			y: 'bottom',
			itemGap: 10,
		},
		grid: {
			top: '13%',
			left: '3%',
			right: '4%',
			bottom: '20%',
			containLabel: true
		},
		xAxis: [
			{
				type: 'category',
				data: xData,
				'axisLine': {
					lineStyle: {
						color: '#90979c'
					}
				},
				'splitLine': {
					'show': false
				},
				'axisTick': {
					'show': true
				},
				'splitArea': {
					'show': false
				},
				'axisLabel': {
					'interval': 0,
					'rotate': 40
				}
			}
		],
		yAxis: [
			{
				name: '',
				type: 'value',
				// name: '及时数',
				axisLine: { show: false },
				'axisTick': {
					'show': false
				},
				axisLabel: {
					margin: 5,
					formatter: function (value, index) {
						if (value >= 10000 && value < 100000000) {
							value = value / 10000 + '万'
						} else if (value >= 100000000) {
							value = value / 100000000 + '亿'
						}
						return value
					}
				}
			}
		],
		dataZoom: [{
			type: "slider", // 类型
			xAxisIndex: 0, // 对应的轴
			bottom: "30", // 位置，定位
			startValue: xData.length > 7 ? xData.length - 7 :0,
                endValue:xData.length - 1 ,
			/*maxValueSpan: 6,
			mixValueSpan: 6,*/
			// handleIcon: "M0,0 v9.7h5 v-9.7h-5 Z",
			handleStyle: { // 手柄的样式
				color: "#40bcf9",
				borderColor: "#1fb2fb"
			},
			backgroundColor: "#e2f3ff", // 背景
			dataBackground: { // 数据背景
				lineStyle: {
					color: "#000000"
				},
				areaStyle: {
					color: "#d4d9dd"
				}
			},
			fillerColor: "rgba(31,178,251,0.2)", // 被start和end遮住的背景*/
		}],
		series: series
	}
	mychart2.setOption(option2)
}