	

	/**
	 * 正常页面跳转
	 * path string 路径
	 * params object 参数
	 * */
	function jumpNormal(path, params) {
		var obj = {}
		if (params) {
			obj = Utils.stringToJson(params)
		}
		// alert(Utils.jsonToString(path))
		// alert(Utils.jsonToString(obj))
		// return 
		$M.page.goTo(path, obj, false);
		//$M.page.goTo("/homepage/sxdbPage.html", null, false)

	}

	/**
	 * 需要广播才跳转
	 * name 广播标识名
	 * page 位置索引
	 * from 调用来源，1-搜索，2-分类，
	 * */
	function jumpRadio(name, pageNum, from) {
		Broadcast.send(name, { "page": pageNum });
		if (from == 1) {
			$M.page.goBack()
		}
	}

	// 车辆接发情况监控 触发方法
	function clickBtn() {
		getStatistics("01-005-0001", "车辆接发情况监控")
		var orgLevel = getString("ManageData", "org_level")
		var division = getString("ManageData", "administrative_Division");
		var province = '';
		var city = '';
		if (division) {
			province = division.substring(0, 2) + "0000";
			city = division.substring(0, 4) + "00";
		}
		if (orgLevel == "01" || orgLevel == "02") {//01集团 02板块总部
			var item = {
				"provinceCode": "",
				"cityCode": "",
				"countyCode": "",
				"orgCode": ""
			}
			$M.page.goTo('/monitoring/province.html', item, false);
		} else if (orgLevel == "03") {//省
			var item = {
				"provinceCode": province,
				"cityCode": "",
				"countyCode": "",
				"orgCode": ""
			}
			$M.page.goTo('/monitoring/province.html', item, false);
		} else if (orgLevel == "04") {//市
			var item = {
				"provinceCode": province,
				"cityCode": city,
				"countyCode": "",
				"orgCode": "",
				"lineType": "1,2",
				"transportType": "1",
				"delayFlag": ""
			}
			$M.page.goTo('/monitoring/city.html', item, false);
		} else if (orgLevel == "05") {//05县
			var item = {
				"provinceCode": province,
				"cityCode": city,
				"countyCode": division,
				"orgCode": "",
				"lineType": "1,2",
				"transportType": "1",
				"delayFlag": ""
			}
			$M.page.goTo('/monitoring/center.html', item, false);
		} else {// 06 支局、网点
			var item = {
				"provinceCode": province,
				"cityCode": city,
				"countyCode": division,
				"orgCode": getString("ManageData", "org_no"),
				"lineType": "1,2",
				"transportType": "1",
				"delayFlag": ""
			}
			$M.page.goTo('/monitoring/center.html', item, false);
		}
	}

	// 	运输量统计
	function clickBtn2() {
		getStatistics("01-005-0002", "运输量统计")
		var orgLevel2 = getString("ManageData", "org_level")
		var division2 = getString("ManageData", "administrative_Division");
		var province2 = '';
		var city2 = '';
		if (division2) {
			province2 = division2.substring(0, 2) + "0000";
			city2 = division2.substring(0, 4) + "00";
		}
		if (orgLevel2 == "01" || orgLevel2 == "02") {//01集团 02板块总部
			var item = {
				"provinceCode": "",
				"cityCode": "",
				"countyCode": "",
				"orgCode": ""
			}
			$M.page.goTo('/zhddpage/ysltj.html', item, false);
		} else if (orgLevel2 == "03") {//省
			var item = {
				"provinceCode": province2,
				"cityCode": "",
				"countyCode": "",
				"orgCode": ""
			}
			$M.page.goTo('/zhddpage/shi.html', item, false);
		} else if (orgLevel2 == "04" || orgLevel2 == "05") {//市
			var item = {
				"provinceCode": province2,
				"cityCode": city2,
				"countyCode": "",
				"orgCode": "",
				"lineType": "1,2,3"
			}
			$M.page.goTo('/zhddpage/jigou.html', item, false);

		} else {// 06 中局/机构中心
			var item = {
				"provinceCode": province2,
				"cityCode": city2,
				"countyCode": division2,
				"orgCode": getString("ManageData", "org_no"),
				"lineType": "1,2,3"
			}
			$M.page.goTo('/zhddpage/jigou.html', item, false);
		}
	}

	// 	仓储人效查看
	function clickRxck() {
		getStatistics("01-009-0001", "仓储人效查看")
		var permission = Utils.stringToJson(getString("ManageData",
			"permission"));
		clear();
		var temporaryArr = [];
		for (var i = 0; i < permission.length; i++) {
			temporaryArr.push(permission[i].identitier);
		}
		if (temporaryArr.indexOf("BSVCQGL") >= 0) {
			$M.page.goTo('/homepage/ccgl/rxck2.html', null, false);
		} else {
			$M.page.goTo('/homepage/ccgl/rxck.html', null, false);
		}
	}

	// 	仓储坪效查看
	function clickPxck() {
		getStatistics("01-009-0002", "仓储坪效查看")
		clear();
		var permission = Utils.stringToJson(getString("ManageData",
			"permission"));
		var temporaryArr = [];
		for (var i = 0; i < permission.length; i++) {
			temporaryArr.push(permission[i].identitier);
		}
		if (temporaryArr.indexOf("BSVCQGL") >= 0) {
			$M.page.goTo('/homepage/ccgl/pxck2.html', null, false);
		} else {
			$M.page.goTo('/homepage/ccgl/pxck.html', null, false);
		}
	}

	// 	仓储效益展示
	function clickXyzs() {
		getStatistics("01-009-0003", "仓储效益展示")
		var permission = Utils.stringToJson(getString("ManageData", "permission"));
		//仓储效益
		clear();
		var temporaryArr = [];
		for (var i = 0; i < permission.length; i++) {
			temporaryArr.push(permission[i].identitier);
		}
		// if (temporaryArr.indexOf("BSVCQGL") >= 0) {
		// 	$M.page.goTo('/homepage/ccgl/ccxy2.html', null, false);
		// } else {
		// 	$M.page.goTo('/homepage/ccgl/ccxy.html', null, false);
		// }
		$M.page.goTo('/homepage/ccgl/ccgl_benefits.html', null, false);
	}

	// 时限四库-现实库
	function clickXxk(key, tabPage) {
		log(key)
		log(tabPage)
		var name = ''
		switch (key) {
			case 1:
				name = '全程时限达成率'
				break;
			case 2:

				name = '省际出口时限达成率'
				break;
			case 3:

				name = '省际进口时限达成率'
				break;
			case 4:

				name = '收寄及时率'
				break;
			case 5:

				name = '内部处理及时率'
				break;
			case 6:

				name = '邮车运行准点率'
				break;
			case 7:

				name = '及时妥投率'
				break;
			case 8:

				name = '62城市时限达成率'
				break;
			default:
				break;
		}
		// var xzqh = getString("ManageData", "org_no")
		// var level = getString("ManageData", "org_level")
		var now = key=='5'||key=='6'||key=='7'?new Date(new Date()-2*24 * 60 * 60 * 1000):new Date(new Date()-24 * 60 * 60 * 1000)
		var y = now.getFullYear()
		var m = now.getMonth() + 1
		var d = now.getDate() 
		var date = y + "." + (m < 10 ? "0" + m : m) + "." + (d < 10 ? "0" + d : d)
		// var obj = {
		var obj = {
			name: name,
			key: key,
			dateType: "D",
			date: date,
			product: "B",
			tabPage: tabPage
			// xzqh: xzqh,
			// level: level
		}
		// }
		// alert(obj);
		// return
		if (key == 6) {
			$M.page.goTo('/homepage/html/sdsxkPage/xzPage/ycyyzdl.html', { data: Utils.jsonToString(obj) }, false);
		} else {
			$M.page.goTo('/homepage/html/sdsxkPage/newRealityDrillDown.html', { data: Utils.jsonToString(obj) }, false);
		}
	}

	// 读取基础组权限菜单
	var permissionMenu = getString("ManageData", "permission")

	webview.addEvent("onFinished", function () {
		// 将基础组权限菜单,传递给h5页面(此方法在menu.js)
		webview.execute("savePermissionMenu('" + permissionMenu + "')")

	});

	//h5看板跳转列表
	function handleToTable(val) {
		var number = parseInt(val) + 1;
		$M.page.goTo('/homepage/html/board/homeBoard/drilldown/table.html', {
			num: number
		}, false);
	}
	//h5看板跳转折线图
	function handleToLine(type, val) {
		var number = parseInt(type) + 1;
		$M.page.goTo('/homepage/html/board/homeBoard/drilldown/line.html', {
			type: number,
			num: val
		}, false);
	}
	
	//h5看板跳转列表
	function handleToTableCopy(val) {
		var number = parseInt(val) + 1;
		$M.page.goTo('/homepage/html/board/homeBoard/drilldown/tablecopy.html', {
			num: number
		}, false);
	}
	//h5看板跳转折线图
	function handleToLineCopy(type, val, value) {
		var number = parseInt(type) + 1;
		$M.page.goTo('/homepage/html/board/homeBoard/drilldown/linecopy.html', {
			type: number,
			num: val,
			number: value
		}, false);
	}
	//常用页面获取最近访问时间
	function getLatelyTime(data) {
		
		var params = Utils.stringToJson(data);
		var phone = params['phone'];
		var list = params.list;
		var newList = [];
		for (var i = 0; i < list.length; i++) {
			if (!getString(phone, list[i].modularName)) {
				var queryDate = getTime();
				var queryDate1 = queryDate.split(' ')[0];
				newList.push({ name: list[i].modularName, time: queryDate1, modularNumber: list[i].modularNumber })
			} else {
				newList.push({ name: list[i].modularName, time: getString(phone, list[i].modularName), modularNumber: list[i].modularNumber })
			}
		};
		Broadcast.send("getLatelyTime", { list: newList });
	}


	//跳转告警信息详细
	function gotoWarning(str, count) {
		log(count)
		var params = Utils.stringToJson(str);
		if (getString("warning", "hasLook")) {
			if (getString("warning", "hasLook").indexOf(str) == -1) {
				var message = getString("warning", "hasLook");
				saveString("warning", "hasLook", message + "," + params.title);
			}
		} else {
			saveString("warning", "hasLook", params.title);
		}
		setNotReadCount(count);
		$M.page.goTo("/message/warning_det.html", params, false);
		Broadcast.send("warning_index", {});
	}
	//设置报警信息未读数
	function setNotReadCount(str) {
		var notReadCount = str.split('-')[0];
		var readCount = str.split('-')[1];
		saveString("warning", "hasLookCount", readCount * 1);
		notReadWarning.setValue(notReadCount * 1)
	}

	//首页普元 下拉刷新  通过发送广播触发刷新事件
	function refresh_fun() {
		Broadcast.send("board_refresh", {});
	}

	function standardDrillDown(params) {
		$M.page.goTo('/homepage/html/board/standardTLBase/standardTLBase/drillDown/drillDown.html', params, false)
	}


     Emp.page.render();