/**
 * 菜单本地数据
 * @author qs
 * @time 20200810
 * @desc 用于保存菜单数据
 */


// {
//   modularName: '分类', // 名称
//   modularNumber: '05', // 编号
//   fatherNumber: '999', // 父级编号
//   showState: 1, // 状态（1-启用，2-停用）
//   modular_icon: '', // 图标路径(填绝对路径)
//   modular_path: '', // 跳转路径
//   isNormal: 1, // 是否正常 1-正常，2-需要参数跳转，3-需要广播跳转（默认是1）
//   // isNormal为1时必填，页面跳转的参数，按需要自行定义key，
//   params:{
//     index: 1 // 如页面需要index参数
//   },
//  // isNormal为2时必填，页面上的一个方法名
//   funName: 'clickBtn()', 
//   // isNormal为3时必填，广播跳转需要的参数
//   radioParams: {
//     name: '', // 广播标识名称
//     pageNum: 1 // 广播索引位置
//   },
//   order: 0, // 菜单排序，不设置是0，数值越大越靠前
//   permissionId: '1111114298' // 关联基础组返回的权限菜单id,若不受基础组控制,则不必填(现使用identitier控制)
//   identitier: '' // 关联基础组返回的权限菜单identitier,若不受基础组控制,则不必填
// }


// 菜单数据
const menuData = [{
		modularName: '首页',
		modularNumber: '01',
		fatherNumber: '999',
		showState: 1,
		modular_icon: '',
		modular_path: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPage',
			pageNum: 0
		},
	},
	{
		modularName: '综合看板',
		modularNumber: '01-001',
		fatherNumber: '01',
		showState: 1,
		modular_icon: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPage',
			pageNum: 0
		},
		modular_path: '',
		permissionId: '1111114526',
		identitier: 'BSVZHKB'
	},
	{
		modularName: '首页H5',
		modularNumber: '01-002',
		fatherNumber: '01',
		showState: 1,
		modular_icon: '',
		modular_path: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPage',
			pageNum: 1
		},
		permissionId: '1111115036',
		identitier: 'BSVZHKBH5'
	},
	{
		modularName: '平台性能监控',
		modularNumber: '05-003',
		fatherNumber: '05',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/xnjk_BG.png',
		modular_path: '/gjsj/gjsj.html',

		order: 3,
		permissionId: '2020082701',
		identitier: 'PTXNJK',
		showStateToLeader: 2

	},

	{
		modularName: '体系看板',
		modularNumber: '05-004',
		fatherNumber: '05',
		showState: 1,
		modular_icon: '',
		modular_path: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPageClass',
			pageNum: 1
		},
		order: 4,
		permissionId: '1111114300',
		identitier: 'BSVTXKB'

	},
	{
		modularName: '时限体系',
		modularNumber: '05-004-0001',
		fatherNumber: '05-004',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/sxtx_BG.png',
		modular_path: '/homepage/sxtx.html',
		identitier: ''
	},
	{
		modularName: '特快52城市次日递率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html',
		identitier: ''
	},
	{
		modularName: '特快长三角次日递率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html',
		identitier: ''
	},
	{
		modularName: '特快62城市次日递率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '特快省内互寄次日递率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '特快东三省时限达标率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '特快川渝时限达标率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '特快中部区域时限达标率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '快包长三角次日递率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '快包省内互寄次日递率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '快包东三省时限达标率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '快包川渝时限达标率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '快包中部地区时限达标率',
		modularNumber: '',
		fatherNumber: '05-004-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxtx.html'
	},
	{
		modularName: '科技赋能',
		modularNumber: '05-004-0002',
		fatherNumber: '05-004',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/kjfn_BG.png',
		modular_path: '/kjfnpage/kjfn.html',
		identitier: ''
	},
	{
		modularName: '特快当日电子面单使用率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '特快分拣机分拣率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '特快投递部有效名址率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '特快投递部匹配成功率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '特快投递部匹配准确率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '快包分拣机分拣率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '快包当日电子面单使用率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '快包投递部有效名址率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '快包投递部匹配成功率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '快包投递部匹配准确率',
		modularNumber: '',
		fatherNumber: '05-004-0002',
		showState: 1,
		modular_icon: '',
		modular_path: '/kjfnpage/kjfn.html'
	},
	{
		modularName: '成本体系',
		modularNumber: '05-004-0003',
		fatherNumber: '05-004',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/cbtx_BG.png',
		modular_path: '/cbtxpage/cbtx.html',
		identitier: ''
	},
	{
		modularName: '指挥调度',
		modularNumber: '05-005',
		fatherNumber: '05',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/zhdd.html',
		isNormal: 3,
		radioParams: {
			name: 'goToPageClass',
			pageNum: 1
		},
		order: 5,
		permissionId: '1111116212',
		identitier: 'BSVZHDD'
	},
	{
		modularName: '车辆接发情况监控',
		modularNumber: '05-005-0001',
		fatherNumber: '05-005',
		showState: 1,
		isNormal: 2,
		funName: 'clickBtn()',
		modular_icon: '../../../../res/skins/default/images/txkb/cljf_BG.png',
		modular_path: '',
		identitier: ''
	},
	{
		modularName: '运输量统计',
		modularNumber: '05-005-0002',
		fatherNumber: '05-005',
		showState: 1,
		isNormal: 2,
		funName: 'clickBtn2()',
		modular_icon: '../../../../res/skins/default/images/txkb/ysl_BG.png',
		modular_path: '',
		identitier: ''
	},
	{
		modularName: '邮路运行情况分析',
		modularNumber: '05-005-0003',
		fatherNumber: '05-005',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/ylfx_BG.png',
		modular_path: '/zhddpage/ylyxqkfx.html',
		identitier: ''
	},
	{
		modularName: '调度任务单',
		modularNumber: '05-005-0004',
		fatherNumber: '05-005',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/ddrwd_BG.png',
		modular_path: '/ddrwdpage/ddrwdList.html',
		identitier: ''
	},
	{
		modularName: '预计处理量',
		modularNumber: '05-005-0005',
		fatherNumber: '05-005',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/yjcll_BG.png',
		modular_path: '/yjcllpage/yjcllindex.html',
		identitier: ''
	},
	{
		modularName: '邮路表查询',
		modularNumber: '05-005-0006',
		fatherNumber: '05-005',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/ylbcx_BG.png',
		modular_path: '/zhddpage/ylbcx.html',
		identitier: ''
	},
	{
		modularName: '邮件时限巡查',
		modularNumber: '05-005-0007',
		fatherNumber: '05-005',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/sxxc_BG.png',
		modular_path: '/zhddpage/yjsxxc.html',
		identitier: ''
	},
	{
		modularName: '请示上报',
		modularNumber: '05-005-0008',
		fatherNumber: '05-005',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/ccgl/cqry_BG.png',
		modular_path: '/ddrwdpage/ddqsList.html',
		identitier: ''
	},
	{
		modularName: '通知查阅',
		modularNumber: '05-005-0009',
		fatherNumber: '05-005',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/tzcy_BG.png',
		modular_path: '/zhddpage/tzcy.html',
		identitier: ''
	},
	{
		modularName: '处理中心逾限监控',
		modularNumber: '05-005-0010',
		fatherNumber: '05-005',
		showState: 2,
		modular_icon: '../../../../res/skins/default/images/txkb/yxjk_BG.png',
		modular_path: '/yxjkpage/provinceyxjk.html',
		identitier: ''
	},
	{
		modularName: '调度通知',
		modularNumber: '05-005-0011',
		fatherNumber: '05-005',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/ddtzd_BG.png',
		modular_path: '/zhddpage/ddtzd/ddtzd.html',
		identitier: ''
	},
	{
		modularName: '收寄管理',
		modularNumber: '01-006',
		fatherNumber: '01',
		showState: 1,
		modular_icon: '',
		modular_path: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPage',
			pageNum: 3
		},
		permissionId: '1111114584',
		identitier: 'BSVSJGL'
	},
	{
		modularName: '揽收及时率',
		modularNumber: '01-006-0001',
		fatherNumber: '01-006',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/lsjsl_BG.png',
		modular_path: '/sjglpage/sjgl.html',
		identitier: ''
	},
	{
		modularName: '特快揽收及时率',
		modularNumber: '',
		fatherNumber: '01-006-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/sjglpage/sjgl.html'
	},
	{
		modularName: '快包揽收及时率',
		modularNumber: '',
		fatherNumber: '01-006-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/sjglpage/sjgl.html'
	},

	{
		modularName: '处理管理',
		modularNumber: '01-007',
		fatherNumber: '01',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/clgl.html',
		isNormal: 3,
		radioParams: {
			name: 'goToPage',
			pageNum: 4
		},
		permissionId: '1111115583',
		identitier: 'BSVCLGL'
	},
	{
		modularName: '分拣准确率',
		modularNumber: '01-007-0001',
		fatherNumber: '01-007',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/fjzql_BG.png',
		modular_path: '/zzglpage/zzgl.html',
		identitier: ''
	},
	{
		modularName: '特快进口分拣准确率',
		modularNumber: '',
		fatherNumber: '01-007-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/zzglpage/zzgl.html'
	},
	{
		modularName: '快包进口分拣准确率',
		modularNumber: '',
		fatherNumber: '01-007-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/zzglpage/zzgl.html'
	},

	{
		modularName: '投递管理',
		modularNumber: '01-008',
		fatherNumber: '01',
		showState: 1,
		isNormal: 3,
		modular_icon: '',
		modular_path: '/tdglpage/tdkb.html',
		isNormal: 3,
		permissionId: '',
		radioParams: {
			name: 'goToPage',
			pageNum: 6
		},
		identitier: 'BSVTDGL'
	},
	{
		modularName: '及时妥投率',
		modularNumber: '01-008-0001',
		fatherNumber: '01-008',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/jsttl_BG.png',
		modular_path: '/tdglpage/tdgl.html',
		identitier: ''
	},
	{
		modularName: '特快及时妥投率',
		modularNumber: '',
		fatherNumber: '01-008-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/tdglpage/tdgl.html'
	},
	{
		modularName: '快包及时妥投率',
		modularNumber: '',
		fatherNumber: '01-008-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/tdglpage/tdgl.html'
	},
	{
		modularName: '普邮及时妥投率',
		modularNumber: '',
		fatherNumber: '01-008-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/tdglpage/tdgl.html'
	},
	{
		modularName: '信函及时妥投率',
		modularNumber: '',
		fatherNumber: '01-008-0001',
		showState: 1,
		modular_icon: '',
		modular_path: '/tdglpage/tdgl.html'
	},

	{
		modularName: '仓储管理',
		modularNumber: '05-009',
		fatherNumber: '05',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/ccgl.html',
		isNormal: 3,
		radioParams: {
			name: 'goToPageClass',
			pageNum: 1
		},
		order: 1,
		permissionId: '1111114298',
		identitier: 'BSVCCGL',
		showStateToLeader: 2
	},
	{
		modularName: '仓储人效查看',
		modularNumber: '05-009-0001',
		fatherNumber: '05-009',
		showState: 2,
		isNormal: 2,
		funName: 'clickRxck()',
		modular_icon: '../../../../res/skins/default/images/ccgl/rxck_BG.png',
		modular_path: '',
		permissionId: '1111114305',
		identitier: 'BSVRXCK'
	},
	{
		modularName: '仓储坪效查看',
		modularNumber: '05-009-0002',
		fatherNumber: '05-009',
		showState: 2,
		isNormal: 2,
		funName: 'clickPxck()',
		modular_icon: '../../../../res/skins/default/images/ccgl/pxck_BG.png',
		modular_path: '',
		permissionId: '1111114306',
		identitier: 'BSVPXCK'
	},
	{
		modularName: '仓储效益展示',
		modularNumber: '05-009-0003',
		fatherNumber: '05-009',
		showState: 1,
		isNormal: 2,
		funName: 'clickXyzs()',
		modular_icon: '../../../../res/skins/default/images/ccgl/xyzs_BG.png',
		modular_path: '',
		identitier: ''
	},
	{
		modularName: '平均出库时间',
		modularNumber: '05-009-0004',
		fatherNumber: '05-009',
		showState: 2,
		modular_icon: '../../../../res/skins/default/images/ccgl/cksj_BG.png',
		modular_path: '/homepage/ccgl/cksj.html',
		identitier: ''
	},
	{
		modularName: '仓储效率展示',
		modularNumber: '05-009-0005',
		fatherNumber: '05-009',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/ccgl/xlzs_BG.png',
		modular_path: '/homepage/ccgl/ccEff_ld.html',
		identitier: ''
	},
	{
		modularName: '仓储出勤维护',
		modularNumber: '05-009-0006',
		fatherNumber: '05-009',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/ccgl/cqwh_BG.png',
		modular_path: '/homepage/ccgl/cqwh.html',
		permissionId: '1111114303',
		identitier: 'BSVCQGL'
	},
	{
		modularName: '仓储出勤人员',
		modularNumber: '05-009-0008',
		fatherNumber: '05-009',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/ccgl/cqry_BG.png',
		modular_path: '/homepage/ccgl/cqbb.html',
		permissionId: '1111114304',
		identitier: 'BSVCQRYBB'
	},
	{
	  modularName: '仓储揽收',
	  modularNumber: '05-009-0007',
	  fatherNumber: '05-009',
	  showState: 2,
	  modular_icon: '../../../../res/skins/default/images/ccgl/cqry_BG.png',
	  modular_path: '/homepage/ccgl.html'
	},
	{
		modularName: '仓储量收展示',
		modularNumber: '05-009-0009',
		fatherNumber: '05-009',
		showState: 2,
		modular_icon: '../../../../res/skins/default/images/ccgl/cqry_BG.png',
		modular_path: '/homepage/ccgl/ccls.html',
		identitier: ''
	},
	{
		modularName: '运输管理',
		modularNumber: '01-010',
		fatherNumber: '01',
		showState: 1,
		isNormal: 3,
		modular_icon: '',
		modular_path: '/homepage/ysgl.html',
		isNormal: 3,
		radioParams: {
			name: 'goToPage',
			pageNum: 5
		},
		permissionId: '1111115584',
		identitier: 'BSVYSGL'
	},

	{
		modularName: '订单管理',
		modularNumber: '01-011',
		fatherNumber: '01',
		showState: 1,
		modular_icon: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPage',
			pageNum: 2
		},
		modular_path: '/orderpage/ddgl.html',
		permissionId: '1111115582',
		identitier: 'BSVDDGL'
	},

	{
		modularName: '时限对标',
		modularNumber: '05-012',
		fatherNumber: '05',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxdb.html',
		isNormal: 3,
		radioParams: {
			name: 'goToPageClass',
			pageNum: 1
		},
		order: 6,
		permissionId: '1111115867',
		identitier: 'BSVSXDB'
	},
	{
		modularName: '标准库计划',
		modularNumber: '05-012-0001',
		fatherNumber: '05-012',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/bzkgjcx.png',
		modular_path: '/homepage/sxdb_xz_page.html',
		order: 3,
		params: {
			index: 1
		},
		identitier: ''
	},
	{
		modularName: '时限分析',
		modularNumber: '05-012-0005',
		fatherNumber: '05-012',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/sxfx.png',
		modular_path: '/homepage/sxdb_xz_page.html',
		order: 2,
		params: {
			index: 5
		},
		identitier: ''
	},
	{
		modularName: '邮政与菜鸟时限对比',
		modularNumber: '05-012-0006',
		fatherNumber: '05-012',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/yzcndb.png',
		modular_path: '/homepage/sxdb_xz_page.html',
		order: 1,
		params: {
			index: 6
		},
		identitier: ''
	},
	{
		modularName: '全程时限趋势图',
		modularNumber: '05-012-0002',
		fatherNumber: '05-012',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/qcsxqst.png',
		modular_path: '/homepage/sxdb_xz_page.html',
		order:4,
		params: {
			index: 2
		},
		identitier: ''
	},
	{
		modularName: '全国时限对比红绿灯',
		modularNumber: '05-012-0003',
		fatherNumber: '05-012',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/qgsxhld.png',
		modular_path: '/homepage/sxdb_xz_page.html',
		order: 6,
		params: {
			index: 3
		},
		identitier: '',
		showStateToLeader: 2

	},
	{
		modularName: '全国优势线路红绿灯',
		modularNumber: '05-012-0004',
		fatherNumber: '05-012',
		showState: 1,
		order: 5,
		modular_icon: '../../../../res/skins/default/images/txkb/qgyslxhld.png',
		modular_path: '/homepage/sxdb_xz_page.html',
		params: {
			index: 4
		},
		identitier: '',
		showStateToLeader: 2
	},
	{
		modularName: '预警',
		modularNumber: '02',
		fatherNumber: '999',
		showState: 1,
		modular_icon: '',
		modular_path: '/homepage/sxdb.html',
		isNormal: 3,
		radioParams: {
			name: 'goToPageWarn',
			pageNum: 1
		},
		identitier: ''
	},
	{
		modularName: '时限预警',
		modularNumber: '02-001',
		fatherNumber: '02',
		showState: 1,
		modular_icon: '',
		modular_path: '/message/warning.html',
		isNormal: 3,
		radioParams: {
			name: 'goToPageWarn',
			pageNum: 1
		},
	},
	{
		modularName: '生产预警',
		modularNumber: '02-002',
		fatherNumber: '02',
		showState: 1,
		modular_icon: '',
		modular_path: '/message/warningSC.html',
		isNormal: 3,
		radioParams: {
			name: 'goToPageWarn',
			pageNum: 1
		},
	},
	{
		modularName: '分类',
		modularNumber: '05',
		fatherNumber: '999',
		showState: 1,
		modular_icon: '',
		modular_path: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPageClass',
			pageNum: 1
		},
	},
	{
		modularName: '常用',
		modularNumber: '03',
		fatherNumber: '999',
		showState: 1,
		modular_icon: '',
		modular_path: '/message/warningSC.html',
		isNormal: 3,
		radioParams: {
			name: 'goToPageUsually',
			pageNum: 1
		},
	},
	{
		modularName: '我的',
		modularNumber: '04',
		fatherNumber: '999',
		showState: 1,
		modular_icon: '',
		modular_path: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPageMine',
			pageNum: 1
		},
		identitier: ''
	},
	{
		modularName: '我的设置',
		modularNumber: '04-001',
		fatherNumber: '04',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/mine/icon_6.png',
		modular_path: '/minepage/wdsz.html',
		identitier: ''
	},
	{
		modularName: '问题反馈',
		modularNumber: '04-002',
		fatherNumber: '04',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/mine/icon_16.png',
		modular_path: '/minepage/wtfk_new.html',
		identitier: ''
	},
	{
		modularName: '快速查件',
		modularNumber: '04-003',
		fatherNumber: '04',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/mine/icon_7.png',
		modular_path: '/minepage/kscj.html',
		identitier: ''
	},
	{
		modularName: '中心局地址查询',
		modularNumber: '04-004',
		fatherNumber: '04',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/mine/icon_15.png',
		modular_path: '/zhddpage/zxjcx.html',
		identitier: ''
	},
	{
		modularName: '安全设置',
		modularNumber: '04-005',
		fatherNumber: '04',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/mine/anquan.png',
		modular_path: '/minepage/aqsz.html',
		identitier: ''
	},
	{
		modularName: '通讯录查询',
		modularNumber: '04-006',
		fatherNumber: '04',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/mine/icon_10.png',
		modular_path: '/zhddpage/txlcx.html'
	},
	{
		modularName: '版本更新',
		modularNumber: '04-007',
		fatherNumber: '04',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/mine/icon_8.png',
		modular_path: '/minepage/bbgx.html'
	},
	{
	  modularName: '清除缓存',
	  modularNumber: '04-008',
	  fatherNumber: '04',
	  showState: 1,
	  modular_icon: '/images/mine/icon_11.png',
	  isNormal: 3,
	  radioParams: {
	  	name: 'goToPageMine',
	  	pageNum: 1
	  },
	  modular_path: ''
	},

	{
		modularName: '智能管控',
		modularNumber: '05-001',
		fatherNumber: '05',
		showState: 1,
		modular_icon: '../../../../res/skins/default/images/txkb/zngk_BG.png',
		modular_path: '/zngkpage/zngk.html',
		order: 2,

		permissionId: '1111116215',
		identitier: 'BSVZNGK'
	},

	{
		modularName: '处理中心看板',
		modularNumber: '',
		fatherNumber: '01',
		showState: 1,
		modular_icon: '',
		modular_path: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPage',
			pageNum: 7
		},
		permissionId: '1111118903',
		identitier: 'BSVCLZX'
	},
	{
		modularName: '揽投部看板',
		modularNumber: '',
		fatherNumber: '01',
		showState: 1,
		modular_icon: '',
		modular_path: '',
		isNormal: 3,
		radioParams: {
			name: 'goToPage',
			pageNum: 8
		},
		permissionId: '1111118904',
		identitier: 'BSVLTB'
	},

]

// 菜单角色名称
const roleName = 'BSV'

var permissionMenu = []

// 模拟展示
var permissionMenu2 = [{
	"id": 16,
	"name": "首页",
	"identitier": "16",
	"url": "",
	"resourceLevel": 0,
	"resourceType": "A",
	"parentId": 0,
	"parentIds": "0-16",
	"isMenu": "0",
	"sort": 20,
	"subSystemCode": "BSV"
}]


// 设置基础组获取的权限菜单
function savePermissionMenu(item) {

	// 此处注意转为数组
	let arr = JSON.parse(item)
	let newArr = [...new Map(arr.map(i => [i.identitier, i])).values()];
	permissionMenu = newArr
	// 此处注意转为数组
	//	permissionMenu = JSON.parse(item)
}


/**
 * 过滤无权限的菜单
 * @param {*} data 本地菜单列表
 * @param {*} leaderId 身份标识 1-普通，2-特殊领导
 */
function filterNoAuthMenu(data = [], leaderId = 1) {
	
	const permission = permissionMenu
	
	let list = []
	
	for (let i = 0; i < data.length; i++) {
		// 状态为1显示
		if (data[i].showState != 1) continue

		// 判断是否是特殊领导权限
		if(leaderId == 2) {
			// 是特殊领导权限，则不参加基础菜单比对
			// 字段showStateToLeader存在，且showStateToLeader = 2 说明对领导隐藏此菜单
			// if(!data[i].showStateToLeader || data[i].showStateToLeader != 2) {
			// 	list.push(data[i])
			// }
			if(!data[i].showStateToLeader || data[i].showStateToLeader != 2) {
				list.push(data[i])
			}

		} else {
			// 不是特殊领导权限，继续执行普通用户权限菜单对比
			// 由于UAT跟生产 permissionId不一致，故使用identitier进行判断
			// 没有identitier字段，说明不受基础组控制，直接返回
			if (data[i] && !data[i].identitier) {
				list.push(data[i])
				continue
			}
			
			// 跟基础组返回权限菜单作比较
			for (var j = 0; j < permission.length; j++) {
				// 只比对特定角色具有的菜单
				// if (permission[j].subSystemCode !== roleName)continue;
				// 权限菜单id == 本地菜单permissionId，则显示
				if (permission[j].identitier == data[i].identitier) {
					list.push(data[i])
				};
			}
			
			// 网页调试时，设置isWeb为true
			const isWeb = false
			if(isWeb) {
				list.push(data[i])
			}

		}
	}
	
	return list

}


// 生成树状结构
function toTreeData(data, id = 'modularNumber', pid = 'fatherNumber', topNum = '999', level = '0', children = 'child') {
	var itemArr = []
	level++
	for (var i = 0; i < data.length; i++) {
		var node = data[i]

		if (node && node[pid] && node[pid] == topNum) {
			var newNode = {}
			newNode = node
			// 添加新字段
			newNode.level = level
			newNode.text = node.modularName
			// 以下字段为json与数据库存储字段不一致
			newNode.order = node.order ? node.order * 1 : node.priority * 1
			newNode.modular_icon = node.modular_icon ? node.modular_icon : node.modularIcon
			newNode.modular_path = node.modular_path ? node.modular_path : node.modularPath
			
			// 必需路径不存在时，则过滤掉
			if ((!newNode.isNormal || newNode.isNormal == 1) && (!newNode.modular_path || newNode.modular_path == ''))continue
			// 设置默认图标
			if (!newNode.modular_icon || newNode.modular_icon == '') {
				newNode.modular_icon = '../../../../res/skins/default/images/txkb/yjcll_BG.png'
			}
			if (!newNode.order) {
				newNode.order = 0
			}
			var child = []
			child = toTreeData(data, 'modularNumber', 'fatherNumber', node[id], level)
			
			// 子菜单排序，越大越靠前
			child.sort((a, b) => {
				return b.order - a.order 
			})
			
			child.length >= 0 ? newNode[children] = child : '';
			
			// 移除‘特例2’，即无子菜单时不显示父菜单，不需要展示自己，例如‘其他’
			if(newNode.modularDescribe != '特例2' || child.length > 0) {
				itemArr.push(newNode)
			}
			
			
		}
	}
	return itemArr
}

// 树状结构转一维列表
function treeDataToList(data = [], children = 'child') {
	// 数据深拷贝
	let treeData = JSON.parse(JSON.stringify(data))
	let list = []
	// 循环树形结构
	while (treeData.length != 0) {
		// 截取第一条数item据
		let item = treeData.shift()
		// 获取第一条数据的子节点
		let childList = item[children]
		// 删除不需要的子节点
		delete(item[children])
		// 将本节点放入列表
		list.push(item)
		// 循环子节点
		if (childList) {
			for (let i = 0; i < childList.length; i++) {
				// 将子节点数据，插入数据源，继续循环
				treeData.push(childList[i])
			}
		}
	}
	return list
}



var flagClick = true // 防止快速点击标识
/**
 * 是否为正常形式跳转
 * @params item
 * @params from 调用来源 1-搜索，2-分类
 * @1 isNormal不存在或者 isNormal == 1 正常跳链接
 * @2 isNormal存在且 isNormal == 2 跳转方法，如车辆接发监控
 * @3 isNormal存在且 isNormal == 3 跳转广播，如订单、处理等看板
 */
function isNormalGoto(item, from = 1) {
	
	if (item.isNormal && item.isNormal == 2) {
		
		if(flagClick) {
			flagClick = false
			Emp.execute(item.funName)
			setTimeout(()=> {
				flagClick = true
			},600)
		}
		
	} else if (item.isNormal && item.isNormal == 3) {
		
		// 菜单整合后,字段类型有不同,因此做字段类型判断并转型
		let par
		if(typeof item.radioParams == 'object') {
			par = item.radioParams
		} else {
			par = JSON.parse(item.radioParams)
		}
		
		// 广播
		if(flagClick) {
			flagClick = false
			Emp.execute(`jumpRadio('${par.name}','${par.pageNum}', '${from}')`)
			setTimeout(()=> {
				flagClick = true
			},600)
		}
		
	} else {
		// 菜单整合后,字段类型有不同
		let par = ''
		par = typeof item.params == 'object' ? JSON.stringify(item.params) : item.params
		if(flagClick) {
			flagClick = false
			Emp.execute(`jumpNormal('${item.modular_path}','${par}')`)
			setTimeout(()=> {
				flagClick = true
			},600)
		}
	
	}

}





