Vue.component('order_bfb', {
    data() {
        return {
            list: [
                {
                    num: '0',
                    title: 'WISH平台',
                    rale: '0%'
                },
                {
                    num: '0',
                    title: '协议客户门户',
                    rale: '0%'
                },
                {
                    num: '0',
                    title: '速递国际',
                    rale: '0%'
                },
                {
                    num: '0',
                    title: 'SHIP',
                    rale: '0%'
                },
                {
                    num: '0',
                    title: 'WISH邮',
                    rale: '0%'
                },
                {
                    num: '0',
                    title: 'CN_WUYOUEX',
                    rale: '0%'
                },
            ]
        }
    },
    methods: {
        init_data(data) {
            for (let key in data) {
                this[key] = data[key]
            }
        }
    },
    filters: {
        addSpot(source) {
            if (source.length < 4) return source;
            let arr = [...source];
            let len = arr.length / 3;
            let newArr = [];
            for (let i = 0; i < len; i++) {
                let start = arr.length - 3 * (i + 1)
                let b = []
                if(start < 0) b = arr.slice(0,arr.length % 3);
                else b = arr.slice(start,arr.length-3*i);
                newArr.push(b.join(''));
            }
            return newArr.reverse().join(',');
        }
    },
    template: `<div>
        <div v-for="(i,index) in list" :key="index"
             style="display: flex; justify-content: space-around; width: 100%; font-size: 13px; color: #666666">
            <div style="width: 30%; padding: 0 7px;margin-left:5px">
                <p>{{i.title}}</p>
            </div>
            <div style="width: 70%; display: flex; align-items: center">
                <div style="width: 70%; height: 20px; display: flex; padding: 2px; border-radius: 5px">
                    <div class="dct_item">
                        <div style="height: 100%;" :style="{width: i.rale, 'background-color': index % 2 === 0 ? '#1D95F4' : '#48DCF1'}">
                        </div>
                    </div>
                </div>
                <div style="width: 30%; text-align: right; padding: 0 7px;margin-right:5px">
                    <p style="font-weight: bold; font-size: 15px;">{{i.num | addSpot}}</p>
                </div>
            </div>
        </div>
    </div>`
});
Vue.component('order_bfb2', {
    data() {
        return {
            list: [
               /* {
                    num: '10000',
                    title: '菜鸟',
                    rale: '30%'
                },
                {
                    num: '15000',
                    title: '拼多多',
                    rale: '40%'
                }*/
            ]
        }
    },
    methods: {
        init_data(data) {
            for (let key in data) {
                this[key] = data[key]
            }
        }
    },
    filters: {
        addSpot(source) {
            if (source.length < 4) return source;
            let arr = [...source];
            let len = arr.length / 3;
            let newArr = [];
            for (let i = 0; i < len; i++) {
                let start = arr.length - 3 * (i + 1)
                let b = []
                if(start < 0) b = arr.slice(0,arr.length % 3);
                else b = arr.slice(start,arr.length-3*i);
                newArr.push(b.join(''));
            }
            return newArr.reverse().join(',');
        }
    },
    template: `<div>
        <div v-for="(i,index) in list" :key="index"
             style="display: flex; justify-content: space-around; width: 100%; font-size: 13px; color: #666666">
            <div style="width: 20%; padding: 0 7px;margin-left:7px">
                <p>{{i.title}}</p>
            </div>
            <div style="width: 75%; display: flex; align-items: center">
                <div style="width: 70%; height: 20px; display: flex; padding: 2px; border-radius: 5px">
                    <div class="dct_item">
                        <div style="height: 100%;" :style="{width: i.rale, 'background-color': index % 2 === 0 ? '#1D95F4' : '#48DCF1'}">
                        </div>
                    </div>
                </div>
                <div style="width: 30%; text-align: right; padding: 0 7px;margin-right:7px">
                    <p style="font-weight: bold; font-size: 15px;">{{i.num | addSpot}}</p>
                </div>
            </div>
        </div>
    </div>`
});
Vue.component('order_bfb3', {
    data() {
        return {
            list: [
                /*{
                    num: '10000',
                    title: '菜鸟',
                    rale: '30%'
                },
                {
                    num: '15000',
                    title: '拼多多',
                    rale: '40%'
                }*/
            ]
        }
    },
    methods: {
        init_data(data) {
            for (let key in data) {
                this[key] = data[key]
            }
        }
    },
    filters: {
        addSpot(source) {
            if (source.length < 4) return source;
            let arr = [...source];
            let len = arr.length / 3;
            let newArr = [];
            for (let i = 0; i < len; i++) {
                let start = arr.length - 3 * (i + 1)
                let b = []
                if(start < 0) b = arr.slice(0,arr.length % 3);
                else b = arr.slice(start,arr.length-3*i);
                newArr.push(b.join(''));
            }
            return newArr.reverse().join(',');
        }
    },
    template: `<div>
        <div v-for="(i,index) in list" :key="index"
             style="display: flex; justify-content: space-around; width: 100%; font-size: 13px; color: #666666">
            <div style="width: 20%; padding: 0 7px;margin-left:5px">
	            <el-tooltip placement="top-start" :content="i.title">
	        		<p class="pClass">{{i.title}}</p>
	        	</el-tooltip>
            </div>
            <div style="width: 80%; display: flex; align-items: center">
                <div style="width: 70%; height: 20px; display: flex; padding: 2px; border-radius: 5px">
                    <div class="dct_item">
                        <div style="height: 100%;" :style="{width: i.rale, 'background-color': index % 2 === 0 ? '#1D95F4' : '#48DCF1'}">
                        </div>
                    </div>
                </div>
                <div style="width: 30%; text-align: right; padding: 0 7px;margin-right:5px">
                    <p style="font-weight: bold; font-size: 15px;">{{i.num | addSpot}}</p>
                </div>
            </div>
        </div>
    </div>`
});
Vue.component('order_bfb4', {
    data() {
        return {
            list: [
                {
                    num: '0',
                    title: 'xing honghui',
                    rale: '0%'
                },
                {
                    num: '0',
                    title: 'zoudandan',
                    rale: '0%'
                }
            ]
        }
    },
    methods: {
        init_data(data) {
            for (let key in data) {
                this[key] = data[key]
            }
        }
    },
    filters: {
        addSpot(source) {
            if (source.length < 4) return source;
            let arr = [...source];
            let len = arr.length / 3;
            let newArr = [];
            for (let i = 0; i < len; i++) {
                let start = arr.length - 3 * (i + 1)
                let b = []
                if(start < 0) b = arr.slice(0,arr.length % 3);
                else b = arr.slice(start,arr.length-3*i);
                newArr.push(b.join(''));
            }
            return newArr.reverse().join(',');
        }
    },
    template: `<div>
        <div v-for="(i,index) in list" :key="index"
             style="display: flex; justify-content: space-around; width: 100%; font-size: 13px; color: #666666">
            <div style="width: 25%; padding: 0 7px;margin-left:5px">
            	<el-tooltip placement="top-start" :content="i.title">
                	<p class="pClass">{{i.title}}</p>
                </el-tooltip>
            </div>
            <div style="width: 75%; display: flex; align-items: center">
                <div style="width: 70%; height: 20px; display: flex; padding: 2px; border-radius: 5px">
                    <div class="dct_item">
                        <div style="height: 100%;" :style="{width: i.rale, 'background-color': index % 2 === 0 ? '#1D95F4' : '#48DCF1'}">
                        </div>
                    </div>
                </div>
                <div style="width: 30%; text-align: right; padding: 0 7px;margin-right:5px">
                    <p style="font-weight: bold; font-size: 15px;">{{i.num | addSpot}}</p>
                </div>
            </div>
        </div>
    </div>`
});
Vue.component('gjsfdd_map', {
    data() {
        return {
            value: '2312412',
            color: '#F67767',
            tb: '23141',
            tbl: '15%',
            isUp: true,
            zrtql: '500000',
            zrzl: '500000',
            colors: ['#71C1FF', '#38A0FF', '#1180EC', '#0153B7'],
            splitList: [
                '-',
                '-',
                '-',
                '-'
            ]
        }
    },
    methods: {
        init_data(data) {
            for (let key in data) {
                this[key] = data[key]
            }
        },
        init_echartsMap(mapList) {
        	//const dataArray = [];
        	/*dataMap.forEach((e,index) =>{
        		var param = {
        			name:e.name,
        			value:parseInt(e.value)+"",
        		}
        		dataArray.push(param);
        	})*/
            /*const randomData = () => {
                return Math.round(Math.random() * 1000000 * 0.7);
            }*/
        	const dataMap = [
                 {name: '北京', value: '0'}, {name: '天津', value: '0'},
                 {name: '上海', value: '0'}, {name: '重庆', value: '0'},
                 {name: '河北', value: '0'}, {name: '河南', value: '0'},
                 {name: '云南', value: '0'}, {name: '辽宁', value: '0'},
                 {name: '黑龙江', value: '0'}, {name: '湖南', value: '0'},
                 {name: '安徽', value: '0'}, {name: '山东', value: '0'},
                 {name: '新疆', value: '0'}, {name: '江苏', value: '0'},
                 {name: '浙江', value: '0'}, {name: '江西', value: '0'},
                 {name: '湖北', value: '0'}, {name: '广西', value: '0'},
                 {name: '甘肃', value: '0'}, {name: '山西', value: '0'},
                 {name: '内蒙古', value: '0'}, {name: '陕西', value: '0'},
                 {name: '吉林', value: '0'}, {name: '福建', value: '0'},
                 {name: '贵州', value: '0'}, {name: '广东', value: '0'},
                 {name: '青海', value: '0'}, {name: '西藏', value: '0'},
                 {name: '四川', value: '0'}, {name: '宁夏', value: '0'},
                 {name: '海南', value: '0'}, {name: '台湾', value: '0'}, {name: '南海诸岛', value: '0'}
             ];
        	let splitListData = []
        	if(mapList.length>0){
        		var maxInNumbers;
            	var numArr = [];
            	for(var j=0;j<mapList.length;j++){
            		numArr.push(mapList[j].value)
            	}
            	maxInNumbers = Math.max.apply(Math, numArr);
            	this.splitList = []
    			const splitListFun = (max) => {
    				const pjz = parseInt(max / 4)
    				const tt = Math.pow(10,Number(pjz.toString().length - 2))
    				let new_value = 0;
    				if (pjz % tt === 0){
    					const next = Number(pjz.toString().substring(1,2))
    					if(0 < next && next < 5){
    						new_value = (Number(pjz.toString().substring(0,2)) + 5 - next) * tt
    					}else if (5 < next){
    						new_value = (Number(pjz.toString().substring(0,2)) + 10 - next) * tt
    					}else{
    						new_value = pjz
    					}

    				}else{
    					const next = pjz.toString().substring(1,2)
    					if(next < 5){
    						new_value = (Number(pjz.toString().substring(0,2)) + 5 - next) * tt
    					}else {
    						new_value = (Number(pjz.toString().substring(0,2)) + 10 - next) * tt
    					}
    				}
    				return new_value
    			};

    			
    			const maxVal = mapList.reduce((a,b) => {
    				return Number(a.value) > Number(b.value) ?  a.value :  b.value
    			},0);
    			const avg = Number(splitListFun(Number(maxInNumbers))).toString() === 'NaN' ? '0' : Number(splitListFun(Number(maxInNumbers)))
    			const list1 = [{start: 0, end: avg},
    				{start: avg, end: 2*avg},{start: 2*avg, end: 3*avg},
    				{start: 3*avg}]
    			const list2 = [avg,2*avg,3*avg,4*avg]
    			this.splitList = list2
    			splitListData = list1
                
                for(var i=0;i<dataMap.length;i++){
                	for(var y=0;y<mapList.length;y++){
                		if(dataMap[i].name == mapList[y].name){
                			dataMap[i].value = mapList[y].value+"";
                		}
                	}
                }
        	}
        	
            //alert(JSON.stringify(dataMap));
            /*const splitList = [
                {start: 600000},
                {start: 300000, end: 600000},
                {start: 100000, end: 300000}, {start: 0, end: 100000},
            ]*/
            // 中国地图
            let name = '中国'
            initEcharts(dataMap, name, splitListData, 'china')
        },
    },    
    filters: {
        addSpot(source) {
            if (source.length < 4) return source;
            let arr = [...source];
            let len = arr.length / 3;
            let newArr = [];
            for (let i = 0; i < len; i++) {
                let start = arr.length - 3 * (i + 1)
                let b = []
                if (start < 0) b = arr.slice(0, arr.length % 3);
                else b = arr.slice(start, arr.length - 3 * i);
                newArr.push(b.join(''));
            }
            return newArr.reverse().join(',');
        },
        addW(val){
        	if(val == "-"){
        		return val
        	}
			if (Number(val) >= 10000){
				return '<' + (Number(val) / 10000).toFixed(1) + '万'
			}else return '<' + val
		}
    },

    template: `<div>
            
            <div style=" width: 100%; ">
                <div id="chart1" style="height: 280px; align-items: center;"></div>
                <div style="margin-top:-50px">
                    <div style="width: 280px; margin: 0 auto; display: flex; justify-content: space-between; ">
                        <div v-for="(i,index) in splitList" style="width: 60px; margin: 5px; text-align: center; font-size: 12px">
                            <div style="width: 100%; height: 10px" :style="{'background-color': colors[index]}"></div>
                            {{i|addW}}
                        </div>
                    </div>
                </div>
                
            </div>
        </div>`
});
Vue.component('dd_bt', {
    data() {
        return {
        	list:[],
        }
    },
    methods: {
        init_data(data) {
            for (let key in data) {
                this[key] = data[key]
            }
        },
        init_echartsBt(data) {
        	let arg = [];
        	data.forEach((e, index) => {
        		//console.log(e)
        		let param = {
        			value : parseInt(e.num),
        			name : e.title,　
        		}
        		arg.push(param)
        	})
        	
        	initbt(arg);
        },  
    },    
    filters: {
        addSpot(source) {
            if (source.length < 4) return source;
            let arr = [...source];
            let len = arr.length / 3;
            let newArr = [];
            for (let i = 0; i < len; i++) {
                let start = arr.length - 3 * (i + 1)
                let b = []
                if (start < 0) b = arr.slice(0, arr.length % 3);
                else b = arr.slice(start, arr.length - 3 * i);
                newArr.push(b.join(''));
            }
            return newArr.reverse().join(',');
        }
    },

    template: `<div>
    			<div id="bt" :class="{btClass:true}"></div>
    		  </div>`
});
Vue.component('gjlx_zx', {
    data() {
        return {
            
        }
    },
    methods: {
        init_data(data) {
            for (let key in data) {
                this[key] = data[key]
            }
        },
        init_echartsZx(zxList) {
        	let legend =['总量'];
        	let timeList = [];
        	let totalList = [];
        	if(zxList != null && zxList.length>0){
        		zxList.forEach((e,index) =>{
        			timeList.push(e.time);
        			totalList.push(e.total);
        		})
        	}
        	
        	let yData = totalList.length>0? totalList:[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
            let xData =timeList.length>0 ? timeList:['00:00', '01:00', '02:00', '03:00', '04:00', '05:00', '06:00', '07:00', '08:00', '09:00', '10:00', '11:00', '12:00', '13:00', '14:00', '当前']
            console.log('timeList',zxList)
        	let series = [];
            //legend.forEach((e, index) => {
                let setting = {
                    name: '总量',
                    type: 'line',
                    data: yData,
                    symbolSize: 10,
                    symbol: 'circle',
                    itemStyle: {
                        normal: {
                            color: '#1D95F4',
                            barBorderRadius: 1,
                            borderColor: '#fff',
                            borderWidth: 2
                        }
                    },
                    lineStyle: {
                        normal: {
                            color: '#1D95F4',
                            width: 2
                        }
                    },
                    smooth: true
                }
               // setting.name = e;

                /*if (index === 0) {
                    setting.data = [110, 95, 85, 90, 100, 90, 75]
                    setting.itemStyle.normal.color = '#f57921';
                    setting.lineStyle.normal.color = '#f57921'
                }
                if (index === 1) {
                    setting.data = [90, 80, 75, 80, 85, 90, 70]
                    setting.itemStyle.normal.color = '#f05b9d';
                    setting.lineStyle.normal.color = '#f05b9d'
                }
                if (index === 2) {
                    setting.data = [80, 70, 75, 79, 80, 70, 60]
                    setting.itemStyle.normal.color = '#32a3db';
                    setting.lineStyle.normal.color = '#32a3db'
                }
                if (index === 3) {
                    setting.data = [70, 75, 65, 60, 70, 75, 60]
                    setting.itemStyle.normal.color = '#8552a1';
                    setting.lineStyle.normal.color = '#8552a1'
                }
                if (index === 4) {
                    setting.data = [60, 60, 65, 55, 50, 60, 55]
                    setting.itemStyle.normal.color = '#2b5ca9';
                    setting.lineStyle.normal.color = '#2b5ca9'
                }
                if (index === 5) {
                    setting.data = [50, 45, 45, 50, 55, 40, 45]
                    setting.itemStyle.normal.color = '#45b97c';
                    setting.lineStyle.normal.color = '#45b97c'
                }
                if (index === 6) {
                    setting.data = [30, 35, 35, 30, 25, 20, 20]
                    setting.itemStyle.normal.color = '#1bf78d';
                    setting.lineStyle.normal.color = '#1bf78d'
                }*/
                series.push(setting)
           // })
        	initZx(legend, xData, series);
        },  
    },    
    filters: {
        addSpot(source) {
            if (source.length < 4) return source;
            let arr = [...source];
            let len = arr.length / 3;
            let newArr = [];
            for (let i = 0; i < len; i++) {
                let start = arr.length - 3 * (i + 1)
                let b = []
                if (start < 0) b = arr.slice(0, arr.length % 3);
                else b = arr.slice(start, arr.length - 3 * i);
                newArr.push(b.join(''));
            }
            return newArr.reverse().join(',');
        }
    },

    template: `<div>
    			<div id="zx" style="height: 300px; align-items: center;"></div> 
    		  </div>`
});
