var keyIndica = {
    // el: '#keyIndicators',
    template: `<div class="keyIndicators" id="keyIndicators">
                    <!--                    收寄及时率-->
                    <div class="timCollSuccRate commBox" v-if="timeReceDel.bData">
                        <h3>收寄及时率 <img @click.stop='goDetailTxt("收寄及时率")' src="../fiveSystemKanban/image/total/detail.png" alt=""></h3>
                        <ul>
                            <li>
                                <p>特快</p>
                                <p>{{timeReceDel.bData.codeResult | isTxtNULL}}%</p>
                                <p class="rank">
                                    <span>
                                        <i>环比:</i>
                                        <i :class="Number(timeReceDel.bData.chainRate) < 0 ? 'coRed' : 'cheColorGen'">{{timeReceDel.bData.chainRate | isTxtNULL}}%</i>
                                    </span>
                                    <span>
                                        <i>区县排名:</i>
                                        <i class="cheColorBlu">{{timeReceDel.bData.rankNum | isTxtNULL}}</i>
                                    </span>
                                </p>
                            </li>
                            <li>
                                <p>快包</p>
                                <p>{{timeReceDel.kData.codeResult | isTxtNULL}}%</p>
                                <p class="rank">
                                    <span>
                                        <i>环比:</i>
                                        <i :class="Number(timeReceDel.kData.chainRate) < 0 ? 'coRed' : 'cheColorGen'">{{timeReceDel.kData.chainRate | isTxtNULL}}%</i>
                                    </span>
                                    <span>
                                        <i>区县排名:</i>
                                        <i class="cheColorBlu">{{timeReceDel.kData.rankNum | isTxtNULL}}</i>
                                    </span>
                                </p>
                            </li>
                        </ul>
                    </div>
                    <!--                    及时揽收成功率-->
                    <div class="timCollSuccRate commBox styMarTop" v-if="timeColSusRate.sData">
                        <h3>及时揽收成功率</h3>
                        <ul>
                            <li>
                                <p>
                                    散户订单
                                    <img @click.stop='goDetailTxt("散户订单及时揽收成功率")' src="../fiveSystemKanban/image/total/detail.png" alt="">
                                </p>
                                <p>{{timeColSusRate.sData.codeResult | isTxtNULL}}%</p>
                                <p class="rank">
                                    <span>
                                        <i>环比:</i>
                                        <i :class="Number(timeColSusRate.sData.chainRate) < 0 ? 'coRed' : 'cheColorGen'">{{timeColSusRate.sData.chainRate | isTxtNULL}}%</i>
                                    </span>
                                    <span>
                                        <i>区县排名:</i>
                                        <i class="cheColorBlu">{{timeColSusRate.sData.rankNum | isTxtNULL}}</i>
                                    </span>
                                </p>
                            </li>
                            <li>
                                <p>
                                    协议客户
                                    <img @click.stop='goDetailTxt("协议客户及时揽收成功率")' src="../fiveSystemKanban/image/total/detail.png" alt="">
                                </p>
                                <p>{{timeColSusRate.xData.codeResult | isTxtNULL}}%</p>
                                <p class="rank">
                                    <span>
                                        <i>环比:</i>
                                        <i :class="Number(timeColSusRate.xData.chainRate) < 0 ? 'coRed' : 'cheColorGen'">{{timeColSusRate.xData.chainRate | isTxtNULL}}%</i>
                                    </span>
                                    <span>
                                        <i>区县排名:</i>
                                        <i class="cheColorBlu">{{timeColSusRate.xData.rankNum | isTxtNULL}}</i>
                                    </span>
                                </p>
                            </li>
                        </ul>
                    </div>
                    <!--                    及时妥投率-->
                    <div class="timCollSuccRate commBox styMarTop timeDelRate" v-if="timeDelRate.bData">
                        <h3>及时妥投率 <img @click.stop='goDetailTxt("及时妥投率")' src="../fiveSystemKanban/image/total/detail.png" alt=""></h3>
                        <ul>
                            <li>
                                <p>特快</p>
                                <p>{{timeDelRate.bData.codeResult | isTxtNULL}}%</p>
                                <p class="rank">
                                    <span>
                                        <i>环比:</i>
                                        <i :class="Number(timeDelRate.bData.chainRate) < 0 ? 'coRed' : 'cheColorGen'">{{timeDelRate.bData.chainRate | isTxtNULL}}%</i>
                                    </span>
                                    <span>
                                        <i>区县排名:</i>
                                        <i class="cheColorBlu">{{timeDelRate.bData.rankNum | isTxtNULL}}</i>
                                    </span>
                                </p>
                            </li>
                            <li>
                                <p>快包</p>
                                <p>{{timeDelRate.kData.codeResult | isTxtNULL}}%</p>
                                <p class="rank">
                                    <span>
                                        <i>环比:</i>
                                        <i :class="Number(timeDelRate.kData.chainRate) < 0 ? 'coRed' : 'cheColorGen'">{{timeDelRate.kData.chainRate | isTxtNULL}}%</i>
                                    </span>
                                    <span>
                                        <i>区县排名:</i>
                                        <i class="cheColorBlu">{{timeDelRate.kData.rankNum | isTxtNULL}}</i>
                                    </span>
                                </p>
                            </li>
                        </ul>
                         <span>当前数据日期为 <i>{{ timeDelDate | isTxtNULL }}</i></span>
                    </div>
                    <!--                    同城次日递率-->
                    <div class="timCollSuccRate commBox styMarTop" v-if="nextDayDelRate.bData">
                        <h3>同城次日递率 <img @click.stop='goDetailTxt("同城次日递率")' src="../fiveSystemKanban/image/total/detail.png" alt=""></h3>
                        <ul>
                            <li>
                                <p>特快</p>
                                <p>{{nextDayDelRate.bData.codeResult | isTxtNULL}}%</p>
                                <p class="rank">
                                    <span>
                                        <i>环比:</i>
                                        <i :class="Number(nextDayDelRate.bData.chainRate) < 0 ? 'coRed' : 'cheColorGen'">{{nextDayDelRate.bData.chainRate | isTxtNULL}}%</i>
                                    </span>
                                    <span>
                                        <i>区县排名:</i>
                                        <i class="cheColorBlu">{{nextDayDelRate.bData.rankNum | isTxtNULL}}</i>
                                    </span>
                                </p>
                            </li>
                            <li>
                                <p>快包</p>
                                <p>{{nextDayDelRate.kData.codeResult | isTxtNULL}}%</p>
                                <p class="rank">
                                    <span>
                                        <i>环比:</i>
                                        <i :class="Number(nextDayDelRate.kData.chainRate) < 0 ? 'coRed' : 'cheColorGen'">{{nextDayDelRate.kData.chainRate | isTxtNULL}}%</i>
                                    </span>
                                    <span>
                                        <i>区县排名:</i>
                                        <i class="cheColorBlu">{{nextDayDelRate.kData.rankNum | isTxtNULL}}</i>
                                    </span>
                                </p>
                            </li>
                        </ul>
                    </div>
                    <!--                    智能跟单异常发生率-->
                    <div class="abOcSmDoRa commBox styMarTop" v-if="abnOccRateSmaDoc.bData">
                        <h3>智能跟单异常发生率 <img @click.stop='goDetailTxt("智能跟单异常发生率")' src="../fiveSystemKanban/image/total/detail.png" alt=""></h3>
                        <ul>
                            <li>
                                <span class="mailName">特快</span>
                                <el-progress color="#F74627" :show-text="false" :stroke-width="10" :percentage="abnOccRateSmaDoc.bData.codeResult | isTxtLing"></el-progress>
                                <span>{{abnOccRateSmaDoc.bData.codeResult | isTxtNULL}}%</span>
                                <span class="rusRate">
                                    环比:
                                    <i :class="Number(abnOccRateSmaDoc.bData.chainRate) > 0 ? 'coRed':'coGen'">{{abnOccRateSmaDoc.bData.chainRate | isTxtNULL}}%</i>
                                </span>
                            </li>
                            <li>
                                <span class="mailName">快包</span>
                                <el-progress color="#F74627" :show-text="false" :stroke-width="10" :percentage="abnOccRateSmaDoc.kData.codeResult | isTxtLing"></el-progress>
                                <span>{{abnOccRateSmaDoc.kData.codeResult | isTxtNULL}}%</span>
                                <span class="rusRate">
                                    环比:
                                    <i :class="Number(abnOccRateSmaDoc.kData.chainRate) > 0  ? 'coRed':'coGen'">{{abnOccRateSmaDoc.kData.chainRate | isTxtNULL}}%</i>
                                </span>
                            </li>
                            <li>
                                <span class="mailName">国际EMS</span>
                                <el-progress color="#F74627" :show-text="false" :stroke-width="10" :percentage="abnOccRateSmaDoc.emsData.codeResult | isTxtLing"></el-progress>
                                <span>{{abnOccRateSmaDoc.emsData.codeResult | isTxtNULL}}%</span>
                                <span class="rusRate">
                                    环比:
                                    <i :class="Number(abnOccRateSmaDoc.emsData.chainRate) > 0  ? 'coRed':'coGen'">{{abnOccRateSmaDoc.emsData.chainRate | isTxtNULL}}%</i>
                                </span>
                            </li>
                            <li>
                                <span class="mailName">国际包裹</span>
                                <el-progress color="#F74627" :show-text="false" :stroke-width="10" :percentage="abnOccRateSmaDoc.pclData.codeResult | isTxtLing"></el-progress>
                                <span>{{abnOccRateSmaDoc.pclData.codeResult | isTxtNULL}}%</span>
                                <span class="rusRate">
                                    环比:
                                    <i :class="Number(abnOccRateSmaDoc.pclData.chainRate) > 0  ? 'coRed':'coGen'">{{abnOccRateSmaDoc.pclData.chainRate | isTxtNULL}}%</i>
                                </span>
                            </li>
                        </ul>
                    </div>
                    <!--                    客户投诉率-->
                    <div class="custCompRate commBox styMarTop" v-if="custCompRate.aData">
                        <h3>客户投诉率 <img @click.stop='goDetailTxt("客户投诉率")' src="../fiveSystemKanban/image/total/detail.png" alt=""></h3>
                        <ul>
                            <li>
                                <span>{{custCompRate.aData.codeValue | isTxtNULL}}</span>
                                <p>投诉量(件)</p>
                            </li>
                            <li>
                                <span>{{custCompRate.aData.codeResult | isTxtNULL}}</span>
                                <p>投诉率(‰)</p>
                            </li>
                            <li>
                                <span  :class="Number(custCompRate.aData.chainRate) > 0 ? 'coRed' : 'coGen'">{{custCompRate.aData.chainRate | isTxtNULL}}</span>
                                <p>环比(‰)</p>
                            </li>
                        </ul>
                    </div>
                    <!--                    快包自提率-->
                    <div class="statistics commBox styMarTop" v-if="false">
                        <h3>快包自提率 <img @click.stop='goDetailTxt("快包自提率")' src="../fiveSystemKanban/image/total/detail.png" alt=""></h3>
                        <ul>
                            <li>
                                <p>230</p>
                                <span>妥投量(件)</span>
                            </li>
                            <li>
                                <p>230</p>
                                <span>自提总量(件)</span>
                            </li>
                            <li>
                                <p>230</p>
                                <span>自提率(%)</span>
                            </li>
                            <li>
                                <p>230</p>
                                <span>环比(%)</span>
                            </li>
                        </ul>
                    </div>
                </div>`,
    components: {
    },
    data () {
        return {
            keyIndData: null,
            timeDelDate: '',  // 及时妥投率当前数据日期
            timeReceDel: {
                bData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                kData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
            }, // 收寄及时率
            timeColSusRate: {
                sData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                xData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                }
            }, // 及时揽收成功率
            timeDelRate: {
                bData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                kData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
            }, // 及时妥投率
            nextDayDelRate: {}, // 同城次日递率
            unbCarPunRate: {}, // 解封车准点率
            abnOccRateSmaDoc: {
                bData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                kData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                emsData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                pclData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
            }, // 智能跟单异常发生率
            custCompRate: {
                aData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
            }, // 客户投诉率
        }
    },
    watch: {
    },
    mounted() {
    },
    filters: {
        isTxtNULL(data){
            if(data === '' || data === 'undefined' || data === 'null' || data === null  || data === undefined){
                return '-';
            }else{
                return data;
            }
        },
        isTxtLing(data){
            if(data === '' || data === 'undefined' || data === 'null' || data === null  || data === undefined){
                return 0;
            }else{
                return data;
            }
        },
    },
    methods: {
        goDetailTxt(title) {
            solInvDepManPlaVM.goDetailTxt(title);
        },

        // 揽投部经理看板-重点指标
        isGetKeyTargetSummary() {
            let params1 = {
                dataDate: solInvDepManPlaVM.keyInfDataDate,
                countyCode: solInvDepManPlaVM.contyCode,
                orgCode: solInvDepManPlaVM.orgNo,
                dateType: 'D',
                // countyCode: '110102',
                // dataDate: '2021-09-12',
                // orgCode: '10003218'
            };
            getKeyTargetSummary(params1).then(({data}) => {
                console.log(data);
                // alert(JSON.stringify(params1)+'----重点指标入参');
                // alert(data.data+'----重点指标数据');
                if (data.flag) {
                    solInvDepManPlaVM.keyInfnoData = false;
                    this.keyIndData = JSON.parse(data.data);
                    console.log(this.keyIndData);
                    this.keyIndData.forEach((item, index) => {
                        switch (item.indexType) {
                            case "1":
                                if (item.data.length) {
                                    this.indivDataSort(this.timeReceDel, item, 'timeReceDel');
                                } else {
                                    this.timeReceDel = {
                                        bData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                        kData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                    };
                                }
                                break;
                            case "2":
                                if (item.data.length) {
                                    this.indivDataSort(this.timeColSusRate, item, 'timeReceDel');
                                } else {
                                    this.timeColSusRate = {
                                        sData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                        xData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        }
                                    };
                                }
                                break;
                            case "3":
                                // this.timeDelDate = solInvDepManPlaVM.theDayBefore(2);
                                this.timeDelDate = solInvDepManPlaVM.specifyDayBefore(solInvDepManPlaVM.keyInfDataDate, 1);
                                if (item.data.length) {
                                    this.indivDataSort(this.timeDelRate, item, 'timeDelRate');
                                } else {
                                    this.timeDelRate = {
                                        bData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                        kData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                    };
                                }
                                break;
                            case "4":
                                if (item.data.length) {
                                    this.indivDataSort(this.nextDayDelRate, item, 'nextDayDelRate');
                                } else {
                                    this.nextDayDelRate = {};
                                }
                                break;
                            case "5":
                                if (item.data.length) {
                                    this.indivDataSort(this.unbCarPunRate, item, 'unbCarPunRate');
                                } else {
                                    this.unbCarPunRate = {};
                                }
                                break;
                            case "6":
                                if (item.data.length) {
                                    this.indivDataSort(this.abnOccRateSmaDoc, item, 'abnOccRateSmaDoc');
                                } else {
                                    this.abnOccRateSmaDoc = {
                                        bData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                        kData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                        emsData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                        pclData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                    };
                                }
                                break;
                            case "7":
                                if (item.data.length) {
                                    this.indivDataSort(this.custCompRate, item, 'custCompRate');
                                } else {
                                    this.custCompRate = {
                                        aData: {
                                            bakupCodeValue: '',
                                            chainRate: "",
                                            codeResult: "",
                                            codeValue: "",
                                            prodName: "",
                                            prodType: "",
                                            rankNum: "",
                                        },
                                    };
                                }
                                break;
                        }
                    });
                    this.$forceUpdate();
                    return;
                }
                this.dataInit();
                solInvDepManPlaVM.keyInfnoData = true;
            }).catch(err => {
                this.dataInit();
                solInvDepManPlaVM.keyInfnoData = true;
                console.log(err)
            });
        },

        // 数据初始化
        dataInit () {
            this.keyIndData = null;
            this.timeReceDel = {
                bData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                kData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
            }; // 收寄及时率
            this.timeColSusRate = {
                sData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                xData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                }
            } // 及时揽收成功率
            this.timeDelRate = {
                bData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                kData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
            };
            this.nextDayDelRate = {};
            this.unbCarPunRate = {};
            this.abnOccRateSmaDoc = {
                bData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                kData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                emsData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
                pclData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
            };
            this.custCompRate = {
                aData: {
                    bakupCodeValue: '',
                    chainRate: "",
                    codeResult: "",
                    codeValue: "",
                    prodName: "",
                    prodType: "",
                    rankNum: "",
                },
            };
        },

        // 各项单项数据整理 fatherObj:要赋值的对象  data:赋值的数据
        indivDataSort (fatherObj, data, name) {
            data.data.forEach((item1) => {
                switch (item1.prodType) {
                    case "S":
                        // 散户订单数据
                        fatherObj.sData = item1;
                        break;
                    case "X":
                        // 协议客户数据
                        fatherObj.xData = item1;
                        break;
                    case "B":
                        // 特快
                        fatherObj.bData = item1;
                        // fatherObj.bData = Object.assign({},fatherObj.bData, item1);
                        break;
                    case "K":
                        // 快包
                        fatherObj.kData = item1;
                        break;
                    case "EMS":
                        // 国际EMS
                        fatherObj.emsData = item1;
                        break;
                    case "PCL":
                        // 国际包裹
                        fatherObj.pclData = item1;
                        break;
                    case "A":
                        // 不区分类型
                        fatherObj.aData = item1;
                        break;
                }
            });
            console.log(fatherObj, name);
        }
    }
};