var produOpera = {
    // el: '#produOpera',
    template: `<div class="produOpera" id="produOpera" v-cloak>
                    <div class="nowTime commBox"><span>时间：{{nowDateStr}}</span><span @click="timeRefer"  :class="{refel : refelFlag}">刷新<i></i></span></div>
                    <!--                    揽投统计情况-->
                    <div class="statistics commBox">
                        <h3>揽投统计情况</h3>
                        <ul>
                            <li>
                                <p>{{prodWorkSummary.sendSummary.totalReceiveAmount | isTxtNULL}}</p>
                                <span>总揽收量(件)</span>
                            </li>
                            <li>
                                <p>{{prodWorkSummary.sendSummary.totalReceiveIncome | isTxtNULL}}</p>
                                <span>总揽收收入(元)</span>
                            </li>
                            <li>
                                <p>{{prodWorkSummary.sendSummary.todayTuoTouRate | isTxtNULL}}</p>
                                <span>当日妥投率(%)</span>
                            </li>
                            <li>
                                <p>{{prodWorkSummary.sendSummary.threeDayTuoTouRate | isTxtNULL}}</p>
                                <span>三日妥投率(%)</span>
                            </li>
                        </ul>
                    </div>
                    <!--                    邮件量统计-->
                    <div class="mailVoluStati commBox">
                        <div class="mailVoStaTop">
                            <h3>邮件量统计</h3>
                            <el-dropdown trigger="click" @command="dropdownCommand">
                                <span class="el-dropdown-link">
                                    {{emailName}}<i class="el-icon-caret-bottom"></i>
                                </span>
                                <el-dropdown-menu slot="dropdown">
                                    <el-dropdown-item command="1" :class="{setColor: emailName == '特快'}">特快</el-dropdown-item>
                                    <el-dropdown-item command="2" :class="{setColor: emailName == '快包'}">快包</el-dropdown-item>
                                    <el-dropdown-item command="3" :class="{setColor: emailName == '普邮'}">普邮</el-dropdown-item>
                                    <el-dropdown-item command="4" :class="{setColor: emailName == '国际'}">国际</el-dropdown-item>
                                </el-dropdown-menu>
                            </el-dropdown>
                        </div>
                        <h6>单位：件</h6>
                        <div id="mailEcharts" ref="mailEcharts" class="mailEchart"></div>
                    </div>
                    <!--                    异常监控---第二期隐藏-->
                    <div class="statistics commBox exceMoni istwo">
                        <h3>异常监控</h3>
                        <ul>
                            <li>
                                <p>{{prodWorkSummary.exceptionMonitor.downStageNoSendAmount | isTxtNULL}}</p>
                                <span>已下段未投递(件)</span>
                            </li>
                            <li>
                                <p>{{prodWorkSummary.exceptionMonitor.turnQuitAmount | isTxtNULL}}</p>
                                <span>转退量(件)</span>
                            </li>
                            <li>
                                <p>{{prodWorkSummary.exceptionMonitor.untieCarNoDownStageAmount | isTxtNULL}}</p>
                                <span>已解车未下段(件)</span>
                            </li>
                        </ul>
                    </div>
                    <!--                    异常监控---第二期放开-->
                    <div class="statistics commBox exceMoni" v-if="false">
                        <h3>异常监控</h3>
                        <ul>
                            <li>
                                <p>{{prodWorkSummary.exceptionMonitor.downStageNoSendAmount | isTxtNULL}}</p>
                                <span>已下段未投递(件)</span>
                            </li>
                            <li>
                                <p>{{prodWorkSummary.exceptionMonitor.turnQuitAmount | isTxtNULL}}</p>
                                <span>转退量(件)</span>
                            </li>
                            <li>
                                <p>{{prodWorkSummary.exceptionMonitor.sendReceiveNoSendAmount | isTxtNULL}}</p>
                                <span>揽投部有收无发量(件)</span>
                            </li>
                            <li>
                                <p>{{prodWorkSummary.exceptionMonitor.untieCarNoDownStageAmount | isTxtNULL}}</p>
                                <span>已解车未下段(件)</span>
                            </li>
                        </ul>
                    </div>
                    <!--                    预告-->
                    <div class="notice commBox" v-if="false">
                        <h3>预告</h3>
                        <ul>
                            <li>
                                <p>{{prodWorkSummary.forecast.expectedSendAmount | isTxtNULL}}</p>
                                <span>预计投递量(件)</span>
                            </li>
                        </ul>
                    </div>
                </div>`,
    filters: {
        isTxtNULL(data){
            if(data === '' || data === 'undefined' || data === 'null' || data === null  || data === undefined){
                return '-';
            }else{
                return data;
            }
        },
    },
    data () {
        return {
            refelFlag: true,
            nowDateStr: '-',
            emailName: '特快',
            myChart: {},
            prodWorkSummary: {}, // 生产作业数据
        }
    },
    watch: {
    },
    mounted() {
        this.nowDateStr = this.nowDate();
        // this.isGetProdWorkSummary();
    },
    methods: {
        dropdownCommand (command) {
            console.log(command);
            switch (command) {
                case "1":
                    this.emailName = '特快';
                    break;
                case "2":
                    this.emailName = '快包';
                    break;
                case "3":
                    this.emailName = '普邮';
                    break;
                case "4":
                    this.emailName = '国际';
                    break;
            }
            // 邮件量统计数据整理
            this.prodWorkSummary.emailName = [];
            this.prodWorkSummary.emailNum = [];
            this.prodWorkSummary.emailSummary.forEach((item, index) => {
                if (item.prodType == command) {
                    item.manageContentList.forEach((item1) => {
                        this.prodWorkSummary.emailName.push(item1.codeName);
                        this.prodWorkSummary.emailNum.push(item1.codeResult);
                    })
                }
            })
            //刷新数据
            var option = this.myCharts.getOption();
            option.series[0].data = this.prodWorkSummary.emailNum;
            option.xAxis.data = this.prodWorkSummary.emailName;
            this.myCharts.setOption(option);
            this.myCharts.resize();
            console.log(this.prodWorkSummary);
        },
        // 柱状图初始化
        echartsFun () {
            this.$nextTick(() => {
                const h = document.documentElement.clientHeight || document.body.clientHeight;
                this.$refs['mailEcharts'].style.height = h / 2 + 'px';
                this.myCharts = echarts.init(this.$refs['mailEcharts']);
                // 指定图表的配置项和数据
                var option = {
                    tooltip: {
                        trigger: 'axis',
                        confine: true,
                        axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                            type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
                        },
                    },
                    // legend: {
                    //     data: ['邮件数量']
                    // },
                    xAxis: {
                        type: 'category',
                        nameGap: 30,
                        data: this.prodWorkSummary.emailName,
                        axisLine: {
                            lineStyle: {
                                color: '#90979c'
                            }
                        },
                        splitLine: {
                            show: false
                        },
                        axisTick: {
                            show: false
                        },
                        splitArea: {
                            show: false
                        },
                        axisLabel: {
                            interval: 0,
                            rotate: 40,
                            formatter: (val) => {
                                if (val.length > 8) return val.substring(0, 8) + '...'
                                else return val
                            }

                        }
                    },
                    grid: {
                        left: '4%',
                        right: '4%',
                        top: '5%',
                        // bottom: '5%',
                        height: 260,
                        containLabel: true
                    },
                    yAxis: {
                        type: 'value',
                        // name: "单位:件",
                        // nameTextStyle: {
                        //     fontSize: 12,
                        //     padding: [0, 0, 0, 20],
                        // },
                        axisLine: {
                            show: false
                        },
                        axisTick: {
                            show: false
                        },
                        axisLabel: {
                            interval:0
                            // formatter: (val) => {
                            // }
                        }
                    },
                    series: [
                        {
                            name: '邮件数量',
                            type: 'bar',
                            data: this.prodWorkSummary.emailNum,
                            color: '#0197FF',
                            barWidth: "50%",
                            label: {
                                show: true,
                                position: 'inside',
                                rotate: 0,
                                fontSize: 10,
                            },
                        }
                    ]
                };
                // 使用刚指定的配置项和数据显示图表。
                this.myCharts.setOption(option);
                window.onresize = () => {
                    this.myCharts.resize();
                }
            });
        },
        // 揽投部经理看板-生产作业
        isGetProdWorkSummary() {
            let params1 = {
                dataDate: solInvDepManPlaVM.dataDate,
                dateType: 'D',
                countyCode: solInvDepManPlaVM.contyCode,
                orgCode: solInvDepManPlaVM.orgNo
            };
            getProdWorkSummary(params1).then(({data}) => {
                console.log(data);
                // alert(JSON.stringify(params1)+'---生产作业参数')
                // alert(data.data+'-----生产作业数据');
                if (data.flag) {
                    solInvDepManPlaVM.noData = false;
                    this.prodWorkSummary = JSON.parse(data.data);
                    console.log(this.prodWorkSummary);
                    // 邮件量统计数据整理
                    this.prodWorkSummary.emailName = [];
                    this.prodWorkSummary.emailNum = [];
                    this.prodWorkSummary.emailSummary.forEach((item, index) => {
                        switch (this.emailName) {
                            case "特快":
                                if (item.prodType == 1) {
                                    item.manageContentList.forEach((item1) => {
                                        this.prodWorkSummary.emailName.push(item1.codeName);
                                        this.prodWorkSummary.emailNum.push(item1.codeResult);
                                    })
                                }
                                break;
                            case "快包":
                                if (item.prodType == 2) {
                                    item.manageContentList.forEach((item1) => {
                                        this.prodWorkSummary.emailName.push(item1.codeName);
                                        this.prodWorkSummary.emailNum.push(item1.codeResult);
                                    })
                                }
                                break;
                            case "普邮":
                                if (item.prodType == 3) {
                                    item.manageContentList.forEach((item1) => {
                                        this.prodWorkSummary.emailName.push(item1.codeName);
                                        this.prodWorkSummary.emailNum.push(item1.codeResult);
                                    })
                                }
                                break;
                            case "国际":
                                if (item.prodType == 4) {
                                    item.manageContentList.forEach((item1) => {
                                        this.prodWorkSummary.emailName.push(item1.codeName);
                                        this.prodWorkSummary.emailNum.push(item1.codeResult);
                                    })
                                }
                                break;
                        }
                    })
                    this.echartsFun();
                    return;
                }
                this.prodWorkSummary = {};
                solInvDepManPlaVM.noData = true;
            }).catch(err => {
                this.prodWorkSummary = {};
                solInvDepManPlaVM.noData = true;
                console.log(err)
            });
        },
        // 刷新
        timeRefer () {
            if (!this.refelFlag) return;
            this.nowDateStr = this.nowDate();
            this.isGetProdWorkSummary();
            this.refelFlag = false;
            setTimeout(() => {
                this.refelFlag = true;
            }, 10000)
        },
        // 当前时间
        nowDate () {
            var date = new Date();

            var year = date.getFullYear();        //年 ,从 Date 对象以四位数字返回年份
            var month = date.getMonth() + 1;      //月 ,从 Date 对象返回月份 (0 ~ 11) ,date.getMonth()比实际月份少 1 个月
            var day = date.getDate();             //日 ,从 Date 对象返回一个月中的某一天 (1 ~ 31)

            var hours = date.getHours();          //小时 ,返回 Date 对象的小时 (0 ~ 23)
            var minutes = date.getMinutes();      //分钟 ,返回 Date 对象的分钟 (0 ~ 59)
            var seconds = date.getSeconds();      //秒 ,返回 Date 对象的秒数 (0 ~ 59)

            //获取当前系统时间
            var currentDate = year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconds;

            //修改月份格式
            if (month >= 1 && month <= 9) {
                month = "0" + month;
            }

            //修改日期格式
            if (day >= 0 && day <= 9) {
                day = "0" + day;
            }

            //修改小时格式
            if (hours >= 0 && hours <= 9) {
                hours = "0" + hours;
            }

            //修改分钟格式
            if (minutes >= 0 && minutes <= 9) {
                minutes = "0" + minutes;
            }

            //修改秒格式
            if (seconds >= 0 && seconds <= 9) {
                seconds = "0" + seconds;
            }

            //获取当前系统时间  格式(yyyy-mm-dd hh:mm:ss)
            return year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconds;
        }

    }
};