/**
 * 2020/11/18
 * 接口请求: 五大看板-成本-核心成本
 */

/*
 * 车辆运营成本
 */
const vehicleManagementCost = (data) => {
    return interface1({
        url: '/fiveboard/transcost/queryCost',
        method: 'get',
        params: data,
    })
};
const requestQueryByMonth = (data) => {
    return interface1({
        url: 'bsv/landVehicleOperateCostIndex/queryByMonth',
        method: 'get',
        params: data,
    })
};

/*
 * 百公里成本
 */
const requestCostPerHandredKm = (data) => {
    return interface1({
        url: 'bsv/hundredskilometerscost/queryByProCode',
        method: 'get',
        params: data,
    })
};

/*
 * 吨公里成本
 */
const requestCostPerTonKm = (data) => {
    return interface1({
        url: 'bsv/tonkilometerscost/queryByProCode',
        method: 'get',
        params: data,
    })
};

/*
 * 载运率
 */
const requestCostCarryRate = (data) => {
    return interface1({
        url: '/fiveboard/transcost/queryRate',
        method: 'get',
        params: data,
    })
};
/*
 * 成本体系-核心成本-人工-明细  比率查询
 */
const requsetPersonDetail = (data) => {
    return interface1({
        url: '/fiveboard/corecost/findPersonRateDetailByDate',
        method: 'get',
        params: data,
    })
};

/*
 * 成本体系-核心成本-人工  比率查询
 */
const requsetPerson = (data) => {
    return interface1({
        url: '/fiveboard/corecost/findPersonRateByDate',
        method: 'get',
        params: data,
    })
};

/*
 * 成本体系-核心成本-运输  比率查询
 */
const requsetTrans = (data) => {
    return interface1({
        url: '/fiveboard/corecost/findTransRateByDate',
        method: 'get',
        params: data,
    })
};

/*
 * 成本体系-核心成本-运输  比率查询
 */
const requsetOut = (data) => {
    return interface1({
        url: '/fiveboard/corecost/findOutRateByDate',
        method: 'get',
        params: data,
    })
};