/**
 * 接口请求: 五大看板-市场-资费
 */
/*
 * 资费管理-首页
 */
//1资费管理-首页-边际贡献率汇总（后台：赵达）
const getMarginalContributeRateStatics = (data) => {
    return interface1({
        url: '/fiveboard/marginalcontribute/getMarginalContributeRateStatics',
        method: 'get',
        params: data,
    })
};
//2资费管理-首页-亏损客户汇总（后台：张赛争）
const queryLossCustomSummary = (data) => {
    return interface1({
        url: '/fiveboard/losscustom/queryLossCustomSummary',
        method: 'get',
        params: data,
    })
};
//3资费管理-首页-重量稽核汇总（后台：王太达）
const selectWeightAuditSummaryVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/weightauditorg/selectWeightAuditSummaryVoByDate',
        method: 'get',
        params: data,
    })
};
//4资费管理-首页-边际贡献率汇总(后台：隋鑫鑫)
const getNoPostInfoMailCollect = (data) => {
    return interface1({
        url: '/fiveboard/nopostinfomail/getNoPostInfoMailCollect',
        method: 'get',
        params: data,
    })
};
//5资费管理-首页-单价情况汇总(后台：张赛争)
const queryUnitPriceSummary = (data) => {
    return interface1({
        url: '/fiveboard/unitprice/queryUnitPriceSummary',
        method: 'get',
        params: data,
    })
};
/*
 * 资费管理-首页-二级卡片页面
 */
//6资费管理-首页-二级卡片页面-按产品查询边际贡献率（赵达）
const getMarginalContributeRateByProductType = (data) => {
    return interface1({
        url: '/fiveboard/marginalcontribute/getMarginalContributeRateByProductType',
        method: 'get',
        params: data,
    })
};
//7资费管理-首页-二级卡片页面-按产品查询亏损客户（张赛争）
const queryLossCustomByProduct = (data) => {
    return interface1({
        url: '/fiveboard/losscustom/queryLossCustomByProduct',
        method: 'get',
        params: data,
    })
};
//8资费管理-首页-二级卡片页面-按产品查询重量稽核（王太达）
const selectWeightAuditTypeVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/weightauditorg/selectWeightAuditTypeVoByDate',
        method: 'get',
        params: data,
    })
};

//9资费管理-首页-二级卡片页面-按产品查询无收寄信息邮件(隋鑫鑫)
const getNoPostInfoMailByType = (data) => {
    return interface1({
        url: '/fiveboard/nopostinfomail/getNoPostInfoMailByType',
        method: 'get',
        params: data,
    })
};

//10资费管理-首页-二级卡片页面-按产品查询单价情况（张赛争）
const queryUnitPriceByProduct = (data) => {
    return interface1({
        url: '/fiveboard/unitprice/queryUnitPriceByProduct',
        method: 'get',
        params: data,
    })
};
/*
 * 资费管理-首页-二级卡片页面-图表页面
 */
// -----------边际贡献率图表接口 ------------
//11资费管理-首页-二级卡片页面-图表页面-边际贡献率趋势图（赵达）
const getMarginalContributeRateTrend = (data) => {
    return interface1({
        url: '/fiveboard/marginalcontribute/getMarginalContributeRateTrend',
        method: 'get',
        params: data,
    })
};

//12资费管理-首页-二级卡片页面-图表页面-边际贡献率明细（赵达）
const getMarginalContributeRateDetail = (data) => {
    return interface1({
        url: '/fiveboard/marginalcontribute/getMarginalContributeRateDetail',
        method: 'get',
        params: data,
    })
};

// -----------亏损客户图表接口  ------------
//13资费管理-首页-二级卡片页面-图表页面-亏损客户趋势图（张赛争）
const queryLossCustomTrend = (data) => {
    return interface1({
        url: '/fiveboard/losscustom/queryLossCustomTrend',
        method: 'get',
        params: data,
    })
};
//14资费管理-首页-二级卡片页面-图表页面-按区域查询亏损客户详细情况（张赛争）
const queryLossCustomByArea = (data) => {
    return interface1({
        url: '/fiveboard/losscustom/queryLossCustomByArea',
        method: 'get',
        params: data,
    })
};
//15资费管理-首页-二级卡片页面-图表页面-亏损客户明细（张赛争）
const queryLossCustomDetail = (data) => {
    return interface3({
        url: '/fiveboard/losscustom/queryLossCustomDetail',
        method: 'get',
        params: data,
    })
};
// -----------重量稽核图表接口 ------------

//16资费管理-首页-二级卡片页面-图表页面-按区域查询重量稽核详细情况（王太达）
const selectWeightAuditVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/weightauditorg/selectWeightAuditVoByDate',
        method: 'get',
        params: data,
    })
};
//17资费管理-首页-二级卡片页面-图表页面-重量稽核趋势图（王太达）
const selectWeightAuditTrendVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/weightauditorg/selectWeightAuditTrendVoByDate',
        method: 'get',
        params: data,
    })
};
//18资费管理-首页-二级卡片页面-图表页面-赔偿客户（王太达）
const selectCompensateCustomersVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/weightauditorg/selectCompensateCustomersVoByDate',
        method: 'get',
        params: data,
    })
};
// -----------无收寄信息邮件图表接口 ------------
//19资费管理-首页-二级卡片页面-图表页面-按区域查询无收寄信息邮件详细情况(隋鑫鑫)
const getNoPostInfoMailDetailByArea = (data) => {
    return interface1({
        url: '/fiveboard/nopostinfomail/getNoPostInfoMailDetailByArea',
        method: 'get',
        params: data,
    })
};
//20资费管理-首页-二级卡片页面-图表页面-无收寄信息邮件趋势图(隋鑫鑫)
const getNoPostInfoMailTrendByArea = (data) => {
    return interface1({
        url: '/fiveboard/nopostinfomail/getNoPostInfoMailTrendByArea',
        method: 'get',
        params: data,
    })
};

// -----------单价情况趋势图图表接口 ------------
//21资费管理-首页-二级卡片页面-图表页面-单价情况趋势图（张赛争）
const queryUnitPriceTrend = (data) => {
    return interface1({
        url: '/fiveboard/unitprice/queryUnitPriceTrend',
        method: 'get',
        params: data,
    })
};
//22资费管理-首页-二级卡片页面-图表页面-按区域查询单价详细情况（张赛争）
const queryUnitPriceByArea = (data) => {
    return interface1({
        url: '/fiveboard/unitprice/queryUnitPriceByArea',
        method: 'get',
        params: data,
    })
};

// -----------排名 ------------

//23边际贡献率排名（赵达）
const getMarginalContributeRateRank = (data) => {
    return interface1({
        url: '/fiveboard/marginalcontribute/getMarginalContributeRateRank',
        method: 'get',
        params: data,
    })
};
//24亏损客户排名（张赛争）
const queryLossCustomRank = (data) => {
    return interface1({
        url: '/fiveboard/losscustom/queryLossCustomRank',
        method: 'get',
        params: data,
    })
};
//25重量稽核排名（王太达）
const selectWeightAuditRankVoByDate = (data) => {
    return interface1({
        url: '/fiveboard/weightauditorg/selectWeightAuditRankVoByDate',
        method: 'get',
        params: data,
    })
};
//26无收寄信息邮件排名(隋鑫鑫)
const getNoPostInfoMailRankByArea = (data) => {
    return interface1({
        url: '/fiveboard/nopostinfomail/getNoPostInfoMailRankByArea',
        method: 'get',
        params: data,
    })
};
//27单价情况排名（张赛争）
const queryUnitPriceRank = (data) => {
    return interface1({
        url: '/fiveboard/unitprice/queryUnitPriceRank',
        method: 'get',
        params: data,
    })
};

