/**
 * 接口请求: 五大看板-时限-重点区域提速
 */

/*
 * 2.1重点区域指标
 */
const requestImportantUpIndex = (data) => {
    return interface1({
        url: '/fiveboard/keyAreaSum/querySummary',
        method: 'get',
        params: data,
    });
};
/*
 * 2.2重点区域趋势
 */
const requestImportantUpTrend = (data) => {
    return interface1({
        url: '/fiveboard/keyAreaSum/queryTrend',
        method: 'get',
        params: data,
    });
};
/*
 * 2.3重点区域提速红图
 */
const requestImportantUpRed = (data) => {
    return interface1({
        url: '/fiveboard/keyarealimit/getKeyAreaRedFigure',
        method: 'get',
        params: data,
    });
};
/*
 * 2.5重点区域提速进口
 */
const requestImportantUpImp = (data) => {
    return interface1({
        url: '/fiveboard/keyarealimit/selectKeyareaImportByDate',
        method: 'get',
        params: data,
    });
};
/*
 * 2.4重点区域提速出口
 */
const requestImportantUpExp = (data) => {
    return interface1({
        url: '/fiveboard/keyarealimit/selectKeyarealimitontimerateByDate',
        method: 'get',
        params: data,
    });
};
/*
 * 2.6省内互寄次日递率明细
 */
const requestImportantUpSend = (data) => {
    return interface1({
        url: '/fiveboard/proselfpost/getProSelfPostDetailByAreaCode',
        method: 'get',
        params: data,
    });
};
/*
 * 2.7省内互寄次日递率排名
 */
const requestImportantUpSendRank = (data) => {
    return interface1({
        url: '/fiveboard/proselfpost/getProSelfPostRankingByAreaCode',
        method: 'get',
        params: data,
    });
};
/*
 * 2.7省内互寄次日递率趋势
 */
const getProSelfPostTrend = (data) => {
    return interface1({
        url: '/fiveboard/proselfpost/getProSelfPostTrend',
        method: 'get',
        params: data,
    });
};