// 数字增加千分位
function digitalThousandths(string) {
  string += '';
  if (!string.includes('.')) string += '.';
  return string.replace(/(\d)(?=(\d{3})+\.)/g, function ($0, $1) {
    return $1 + ',';
  }).replace(/\.$/, '');
}
// 获取当前日期的前一个月的月份
// 需引用day.js
function getBeforeOneMonth() {
  let dateArr = dayjs().format('YYYY-MM').split('-');
  // 可查前一个月
  dateArr[0] = dateArr[1] == 1 ? dateArr[0] - 1 : dateArr[0];
  dateArr[1] = dateArr[1] == 1 ? 12 : dateArr[1] - 1;

  return dateArr[0] + '-' + (dateArr[1] < 10 ? '0' + dateArr[1] : dateArr[1]);
}
// 获取当前日期的前两个月的月份
// 需引用day.js
function getBeforeTwoMonth() {
  let dateArr = dayjs().format('YYYY-MM').split('-');
  // 可查前两个月
  dateArr[1] < 3 ? dateArr[0] = dateArr[0] - 1 : dateArr[0];
  dateArr[1] = dateArr[1] < 3 ? (dateArr[1] < 2 ? 11 : 12) : dateArr[1] - 2;

  return dateArr[0] + '-' + (dateArr[1] < 10 ? '0' + dateArr[1] : dateArr[1]);
}
