var customerTop = {
    props: ['date'],
    data() {
        return {
            dataResult:[
                      {incomeMonth:"",incomeRateMonth:"",businessAmountMonth:"",businessAmountRateMonth:"",incomeYear:"",incomeRateYear:"",businessAmountYear:"",businessAmountRateYear:""},
                      {incomeMonth:"",incomeRateMonth:"",businessAmountMonth:"",businessAmountRateMonth:"",incomeYear:"",incomeRateYear:"",businessAmountYear:"",businessAmountRateYear:""},
                      {declineAmountMonth:"",declineAmountYear:""},
                      ],
            areaCode:"",
            areaLevel:"",
            statisticsMonth:"",
            name:"",
        }
    },
    computed: {
      
    },
    template: `
        <div>

    <div  class="panelCard radiu-shadow" @click="topCustomer(0)">
        <p class="panelTitle">
            <span>客户收入TOP20</span>
            <img @click.stop='diaLogTxt(1)' src="../../../../fiveSystemKanban/image/total/detail.png" alt="">
        </p>
        <div class="panelContent" style="padding-bottom: 0.1rem;border-bottom: 1px solid #EEEEEE;">

            <div class="panelContentLeft" style="border-right:1px solid #EEEEEE;">
                <div class="textCenter">
                    <p style="">月收入: </p>
                    <p class="font_blue" >{{isNULL(dataResult[0].incomeMonth) ? "-" : dataResult[0].incomeMonth}}<span class="font_blue_little" >万元</span></p>
                </div>


                <div class="textCenter topDiv">
                    <p style="">月收入增幅: </p>
                    <p class="numDiv">
                        <span :class="isNULL(dataResult[0].incomeRateMonth) ? 'fontBold color333' : (dataResult[0].incomeRateMonth >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{isNULL(dataResult[0].incomeRateMonth) ? "-" : dataResult[0].incomeRateMonth}}%</span>
                    </p>
                </div>

            </div>

            <div class="panelContentRight" >
                <div class="textCenter">
                    <p style="">年收入: </p>
                    <p class="font_blue" >{{isNULL(dataResult[0].incomeYear) ? "-" : dataResult[0].incomeYear}}<span class="font_blue_little" >万元</span></p>
                </div>

                <div class="textCenter topDiv">
                    <p style="">年收入增幅: </p>
                    <p class="numDiv">
                        <span :class="isNULL(dataResult[0].incomeRateYear) ? 'fontBold color333' : (dataResult[0].incomeRateYear >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{isNULL(dataResult[0].incomeRateYear) ? "-" : dataResult[0].incomeRateYear}}%</span>
                    </p>
                </div>
            </div>

        </div>

        <div class="panelContent" >

            <div class="panelContentLeft" style="border-right:1px solid #EEEEEE;">
                <div class="textCenter">
                    <p style=" ">月业务量: </p>
                    <p class="font_blue" >{{isNULL(dataResult[0].businessAmountMonth) ? "-" : dataResult[0].businessAmountMonth}}<span class="font_blue_little" >万件</span></p>
                </div>


                <div class="textCenter topDiv">
                    <p style="">月业务量增幅: </p>
                    <p class="numDiv">
                        <span :class="isNULL(dataResult[0].businessAmountRateMonth) ? 'fontBold color333' : (dataResult[0].businessAmountRateMonth >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{isNULL(dataResult[0].businessAmountRateMonth) ? "-" : dataResult[0].businessAmountRateMonth}}%</span>
                    </p>
                </div>

            </div>

            <div class="panelContentRight">
                <div class="textCenter">
                    <p style="">年业务量: </p>
                    <p class="font_blue" >{{isNULL(dataResult[0].businessAmountYear) ? "-" : dataResult[0].businessAmountYear}}<span class="font_blue_little" >万件</span></p>
                </div>

                <div class="textCenter topDiv" >
                    <p style="">年业务量增幅(%): </p>
                    <p class="numDiv">
                        <span :class="isNULL(dataResult[0].businessAmountRateYear) ? 'fontBold color333' : (dataResult[0].businessAmountRateYear >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{isNULL(dataResult[0].businessAmountRateYear) ? "-" : dataResult[0].businessAmountRateYear}}%</span>
                    </p>
                </div>

            </div>

        </div>
    </div>
    <div  class="panelCard radiu-shadow" @click="topCustomer(1)">
        <p class="panelTitle">
            <span>收入下降TOP20</span>
            <img @click.stop='diaLogTxt(2)' src="../../../../fiveSystemKanban/image/total/detail.png" alt="">
        </p>
        <div class="panelContent" style="padding-bottom: 0.1rem;border-bottom: 1px solid #EEEEEE;">

            <div class="panelContentLeft" style="border-right:1px solid #EEEEEE;">
                <div class="textCenter">
                    <p style="">月收入: </p>
                    <p class="font_blue" >{{isNULL(dataResult[1].incomeMonth) ? "-" : dataResult[1].incomeMonth}}<span class="font_blue_little" >万元</span></p>
                </div>


                <div class="textCenter topDiv">
                    <p style="">月收入增幅: </p>
                    <p class="numDiv">
                        <p :class="isNULL(dataResult[1].incomeRateMonth) ? 'fontBold color333' : (dataResult[1].incomeRateMonth >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{isNULL(dataResult[1].incomeRateMonth) ? "-" : dataResult[1].incomeRateMonth}}%</span>
                    </p>
                </div>

            </div>

            <div class="panelContentRight" >
                <div class="textCenter ">
                    <p style="">年收入: </p>
                    <p class="font_blue" >{{isNULL(dataResult[1].incomeYear) ? "-" : dataResult[1].incomeYear}}<span class="font_blue_little" >万元</span></p>
                    
                </div>

                <div class="textCenter topDiv">
                    <p style="">年收入增幅: </p>
                    <p class="numDiv">
                       <span :class="isNULL(dataResult[1].incomeRateYear) ? 'fontBold color333' : (dataResult[1].incomeRateYear >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{isNULL(dataResult[1].incomeRateYear) ? "-" : dataResult[1].incomeRateYear}}%</span>
                    </p>
                </div>
            </div>

        </div>

        <div class="panelContent" >

            <div class="panelContentLeft" style="border-right:1px solid #EEEEEE;">
                <div class="textCenter">
                    <p style="">月业务量: </p>
                    <p class="font_blue" >{{isNULL(dataResult[1].businessAmountMonth) ? "-" : dataResult[1].businessAmountMonth}}<span class="font_blue_little" >万件</span></p>
                </div>


                <div class="textCenter topDiv">
                    <p style="">月业务量增幅: </p>
                    <p class="numDiv">
                         <span :class="isNULL(dataResult[1].businessAmountRateMonth) ? 'fontBold color333' : (dataResult[1].businessAmountRateMonth >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{isNULL(dataResult[1].businessAmountRateMonth) ? "-" : dataResult[1].businessAmountRateMonth}}%</span>
                    </p>
                </div>

            </div>

            <div class="panelContentRight">
                <div class="textCenter">
                    <p style="">年业务量: </p>
                    <p class="font_blue" >{{isNULL(dataResult[1].businessAmountYear) ? "-" : dataResult[1].businessAmountYear}}<span class="font_blue_little" >万件</span></p>
                </div>

                <div class="textCenter topDiv" >
                    <p style="">年业务量增幅: </p>
                    <span :class="isNULL(dataResult[1].businessAmountRateYear) ? 'fontBold color333' : (dataResult[1].businessAmountRateYear >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{isNULL(dataResult[1].businessAmountRateYear) ? "-" : dataResult[1].businessAmountRateYear}}%</span>
                </div>

            </div>

        </div>
    </div>
    <div  class="panelCard radiu-shadow" @click="topCustomer(2)">
        <p class="panelTitle">
            <span>疑似流失TOP20</span>
            <img @click.stop='diaLogTxt(3)' src="../../../../fiveSystemKanban/image/total/detail.png" alt="">
        </p>
        <div class="panelContent" style="padding-bottom: 0.1rem;">

            <div class="panelContentLeft" style="border-right:1px solid #EEEEEE;">
                <div class="textCenter topDiv">
                    <span class="font_blue" style="width: 100%; ">{{isNULL(dataResult[2].declineAmountMonth) ? "-" : dataResult[2].declineAmountMonth}}</span>
                </div>


                <div class="textCenter topDiv">
                    <p style="width: 100%; text-align: center;">月减收额(万元)</p>
                </div>

            </div>

            <div class="panelContentRight" >
                <div class="textCenter topDiv">
                    <span class="font_blue" style="width: 100%; ">{{isNULL(dataResult[2].declineAmountYear) ? "-" : dataResult[2].declineAmountYear}}</span>
                </div>

                <div class="textCenter topDiv">
                    <p style="width: 100%;text-align: center;">年减收额(万元)</p>
                </div>
            </div>

        </div>
    </div>
	     </div>
    `,
    watch: {
        
    },
    mounted() {
    	//TOP20汇总接口请求，时间，区划/机构号，区划层级
        // this.getTop20Data("2021-08","100000","1");
    },
    methods: {
    	diaLogTxt(i){
    		this.$emit('go-detail-txt', i);
    	},
    	isNULL(data){
            if(data === '' || data === 'undefined' || data === 'null' || data === '{}' || data === null  || data === undefined){
                return true;
            }else{
                return false;
            }
        },
       //TOP20汇总接口请求
        getTop20Data(date,id,level,name){
//        	alert(name);
        	this.areaCode = id;
            this.areaLevel = level;
            this.statisticsMonth = date;
            this.name = name;
        	let p={
        		"statisDate":this.statisticsMonth ? this.statisticsMonth:"",
        		"areaCode":this.areaCode,
        		"areaLevel":this.areaLevel
        	}
        	getTopCollect(p).then((data) => {
            // alert(JSON.stringify(data))
                if(data.flag){
                    this.dataResult=[];
                    //客户收入
        			this.dataResult[0]=data.data.ascentIncome;
                    //收入下降
        			this.dataResult[1]=data.data.declineIncome;
                    //疑似流失
        			this.dataResult[2]=data.data.lossIncome;
        			if (data.data.statisDate){
                        var r = data.data.statisDate.replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
                        vm.setDataFun(r);
                        if(!vm.firstDate) {
                            vm.firstDate = r;
                        }
                        // alert(dataStr);
                    } else {
                        vm.setDataFun();
                    }
        			return data.data.statisDate;
        		}
                vm.setDataFun();
        		// console.log(data)
		    }).catch(err => {
                // alert(JSON.stringify(err)+'-----data2222');
                vm.setDataFun();
		    	console.log(err)
		    });
        },
        // 页面下钻
        topCustomer(type){
            var param = {
                type: type,//类型
                areaCode: this.areaCode,//区划/机构号
                areaLevel: this.areaLevel,//区划层级
                statisticalPeriod: "MONTH",//统计周期 
                statisticsMonth: this.statisticsMonth,//统计月份
                areaname:this.name
            }
           
            let url = "/marketLibrary/marketSystem/KeyCustomers/CustomersTOP20/inSpeedT.html"
            Emp.execute("$M.page.goTo('"+url+"','"+JSON.stringify(param)+"', false)");
        },
    }

};
