var baseCompentsub = {
    props: ['isShow','customerDetail', 'isMax', 'echartShow', 'myMixin', 'pageTitle', 'dateType', 'countDate', 'statisDate', 'businessTypes', 'tabName', 'importRcportType', 'level', 'areaCode','activeNavId','customerDetail'],
    data() {
        return {
            // echart相关
            yName: ["完成率情况(%)", '达标情况'],
            noData: false,
            // 下钻层级控制
            // level: 1,
            maxLevel: 3,
            isMaxLevel: false,
            // 当前页面地区
            // areaCode: '',
            // 表格相关
            tableHeight: null,
            // 数据
            dataCountDate: '',
            dataList: '',
            currentType: '',
            onlyTable: false,
            echartData: '',
            pdaTitle: '',
            headerStatus:false,
            cacheRow:'',
            cacheCode:'',
            // titleRow:'',
        }
    },
    computed: {
        // 表格相关
        tableColumnList: function (val) {
            let userLevel = getAccountLevel();
            console.log(this.pageTitle)
            console.log(vm.level)
            //  console.log(this.tableColumnList[0].label)
            // console.log('tableColumnList',tableColumn[this.pageTitle+'-'+this.tabName])
            var subTitle = this.currentType !== '' ? this.currentType : this.tabName
            var arr = [...tableColumn[this.pageTitle + '-' + subTitle]]
            console.log(arr)
            return tableColumn[this.pageTitle + '-' + subTitle]
        }
    },
    template: `
        <base-compent
            ref="page"
            :no-data="noData"
            :area-code="areaCode"
            :is-max-level="isMaxLevel"
            :table-column-list="tableColumnList"
            :table-height="tableHeight"
            :y-name="yName"
            :statis-Date="statisDate"
            :data-list="dataList"
            :line-title="pageTitle"
            :pda-title="pdaTitle"
            :echart-show='echartShow'
            :cacheCode = 'cacheCode'
            :only-table = 'onlyTable'
            @change-level="changeLevel"
            @change-area-code="changeAreaCode"
            :customer-detail='customerDetail'
        >
        </base-compent>
	`,
    watch: {
        // 监控是否显示
        isShow: function (val) {
            if (val && this.countDate && (!this.dataList || (this.dataCountDate && this.dataCountDate != this.countDate))) {
                this.getData();
            }
        },
        customerDetail: function (val, oldVal) {
            if (val) {
                this.getData();
            }
        },
        //禁止下钻单独表格
        isMax: function (val) {
            if (val) {
                this.isMaxLevel = true
            } else {
                this.isMaxLevel = false
            }
        },
        // 监控当时间变化时, 重新请求
        statisDate: function (val, oldVal) {
            // alert(val+'---statisDate111----'+oldVal);
            if (val) {
                if (vm.level == 1) {
                    // let userLevel = getAccountLevel();
                    // let userCode = getAccountCode();
                    // switch (userLevel) {
                    //     case '01':
                    //     case '02':
                    //         this.maxLevel = 3;
                    //         break;
                    //     case '03':
                    //         this.maxLevel =  2;
                    //         break;
                    //     case '04':
                    //         if (this.tabName == '重点管控投诉' || this.tabName == '重点管控异常'){
                    //             this.maxLevel =  2;
                    //         } else {
                    //         this.maxLevel =  1;
                    //         }
                    //         break;
                    //     default:
                    //         this.maxLevel = 1;
                    //         break;
                    // }
                    // this.isMaxLevel = vm.level == this.maxLevel ? true : false;
                    // this.changeTableColumnLable()
                    // this.tableColumnList[0].label = this.isMaxLevel ? '机构' : getNameFromPermission(this.level, false);

                    // this.$refs.page.$refs.tableBox.isShow = false;
                    // this.$nextTick(() => {
                    //     this.$refs.page.$refs.tableBox.isShow = true;
                    // });
                }
                // vm.tabNewValue = '';
                if (val && oldVal) {
                    // this.getData();
                }
                // this.setTableDown()
            }
        },
        level: function (val) {
            console.log('-----------', val)
            // this.tableColumnList[0].label = this.isMaxLevel ? '机构' : getNameFromPermission(val, false);
            this.changeTableColumnLable()
            this.$refs.page.$refs.tableBox.isShow = false;
            this.$nextTick(() => {
                this.$refs.page.$refs.tableBox.isShow = true;
            });
        }
    },
    mounted() {
        console.log('-------------------------------'+this.customerDetail);
        // alert(this.statisDate+'bbbb');
        if (permissionLevel == '01' || permissionLevel == '02') {
            this.level = 1;
        } else if (permissionLevel == '03') {
            this.level = 2;
        } else if (permissionLevel == '04') {
            this.level = 3;
        }
        this.handleScroll()
        this.setTableDown()
    },
    methods: {
        normalDown() {
            if (this.countDate && this.isShow) {
                let userLevel = getAccountLevel();
                let userCode = getAccountCode();
                console.log('userLevel', userLevel)
                switch (userLevel) {
                    case '01':
                    case '02':
                        if (this.pageTitle == '问题邮件一次及时解决率' || this.pageTitle == '理赔及时率') {
                            this.maxLevel = 2;
                        } else {
                            this.maxLevel = 3;
                        }
                        break;
                    case '03':
                        this.maxLevel = 2;
                        break;
                    case '04':
                        this.maxLevel = 1;
                        break;
                    default:
                        this.maxLevel = 1;
                        break;
                }
                console.log('normalDownnormalDown', this.isMaxLevel)
                this.isMaxLevel = vm.level == this.maxLevel ? true : false;
                this.changeTableColumnLable()
                // this.getData();
            }
        },
        disableDown() {
            this.isMaxLevel = true
            //this.maxLevel = 1
            //this.isMaxLevel = this.level == this.maxLevel ? true : false;
            this.changeTableColumnLable()
            // this.getData();
        },
        twoCenDown() {
            console.log('twoCenDown', vm.level)
            this.maxLevel = 2
            // this.isMaxLevel = this.level == this.maxLevel ? true : false;
            console.log('--------------', this.isMaxLevel)
            this.changeTableColumnLable()
            // this.getData();
        },
        twoDown() {
            this.maxLevel = 2
            // this.getData()
        },
        //改变表头第一列内容
        changeTableColumnLable() {
            // if(this.tabName == 'PDA直派率' && this.level > 1){
            //     alert(1122)
            //     this.tableColumnList[0].label = '区域'
            // }
        },
        // 监控页面滚动体备注
        // handleScroll() {
        //     let topHeight = document.getElementsByClassName('el-row')[0].clientHeight
        //     alert(1)
        //     window.onscroll = function(){
        //         let tableHeight = document.documentElement.clientHeight - topHeight
        //         let dom = document.getElementsByClassName('tableBox')[0];
        //         //到顶部的距离
        //         let scrollTop = dom.getBoundingClientRect().top;
        //         console.log(scrollTop)
        //         console.log(topHeight)
        //         if ((scrollTop-1) <= topHeight) {
        //             if (!this.headerStatus) {

        //                 this.headerStatus = true;
        //                 this.tableHeight = tableHeight;
        //                 // setTimeout(() => {
        //                 //     this.$refs.page.$refs.tableBox.$refs.table.doLayout()
        //                 // }, 300);
        //             }
        //         } else{

        //             this.headerStatus = false;
        //             this.tableHeight = null;
        //         }
        //     }
        // },

        // 监控页面滚动体 (监听dom)
        handleScroll() {
	    		window.onscroll = () =>{
	    			let windowHeight = document.documentElement.clientHeight || document.body.clientHeight;
					this.tableHeight = windowHeight-42; 
				}},

        // 获取首页数据
        getData(type,row) {
            console.log('查询'+vm.level+vm.code)
            this.dataCountDate = this.countDate;
            this.handleType(type,row) //获取首页数据
        },

        // 获取首页数据
        getPageAllData(apiMap, trendApi, p, detailApi,cacheRow) {
            // 获取总体收入
            // alert(vm.code+'---'+ vm.level);
            vm.isGetTotalIncome(vm.code, vm.level);
            //获取趋势
            console.log('当前查询的areaCode',this.code)
            let p1 = new Promise((resolve, reject) => {
                console.log('this.areaCode---',this.code)
                let temp = {
                    // statisDate: this.statisDate,
                    statisDate: vm.statisDate,
                    areaCode: vm.code,
                    areaLevel: vm.level,
                    "orderItem": "",
                    "orderRule": ""
                }
                // alert(JSON.stringify(temp)+'----柱状图');
                var params = {}
                if(p !== 'undefined') {
                    params = Object.assign(temp,p);
                }else{
                    params = p
                }
                console.log('----p-',params)
                trendApi(params).then(({ data }) => {
                    resolve(data)
                }).catch(err => {
                    reject(err)
                })

            })
            //获取表格
            let p2 = new Promise((resolve, reject) => {
                let temp = {
                    // statisDate: this.statisDate,
                    statisDate: vm.statisDate,
                    "orderItem": "",
                    "orderRule": "",
                    statisType: 'all',
                    areaCode: vm.code,
                    areaLevel: vm.level
                }
                this.dataList = [];
                this.$refs.page.tableData = [];
                console.log('cacheRow',cacheRow);
                // alert(JSON.stringify(temp)+'----各地区总收入表格参数');
                var params = {}
                if(p !== 'undefined') {
                    params = Object.assign(temp,p);
                }else{
                    params = p
                }
                // console.log('detailApi---------',detailApi)
                 apiMap(params).then(({ data }) => {
                     resolve(data)
                 }).catch(err => {
                    reject(err)
                 })
            })
            Promise.all([p1, p2]).then((result) => {
                var data = {}
                if(result[1]){
                    // alert(JSON.stringify(result[1])+'----各地区总收入表格数据');
                    data.tableList = result[1]
                }else{
                    data.tableList = '无数据'
                    console.log('tableList无数据')
                }
                if(result[0]){
                    // alert(JSON.stringify(result[0])+'----主张图数据');
                    this.$refs.page.staIndex = 0;
                    this.$refs.page.endIndex = 6;
                    data.echartData = result[0]
                }else{
                    data.echartData = '无数据'
                    console.log('echartData无数据')
                }
                this.setData(data)

            }).catch((error) => {
                // alert(error)
                console.log(error)
                this.noData = true;
            })
        },
        handleType(type,cacheRow) {
            var params = {}
            console.log('根据标题处理数据：标题name',this.pageTitle)
            switch (this.pageTitle) {
                case '客户投诉率':
                    // var trendApi = getTotalIncomeByArea;
                    // this.getPageAllData(getIncomeComparison, trendApi, params,type,cacheRow)
                    var trendApi = custTypes.getTotalIncomeByArea;
                    this.getPageAllData(custTypes.getIncomeComparison, trendApi, params,type,cacheRow)
                    break;
                default:
                    break;
            }
        },
        getDownType(type) { //获取下钻类型
            if (type == 1) {
                if (this.tabName == '区域') {
                    this.normalDown()
                } else {
                    this.disableDown()
                }
            } else if (type == 2) {
                if (this.tabName == '区域') {
                    this.normalDown()
                } else {
                    this.twoCenDown()
                }

            } else if (type == 3) {
                if (this.tabName == '区域') {
                    this.normalDown()
                } else if (this.tabName == '重点管控投诉' || this.tabName == '重点管控环节') {
                    this.twoDown()
                } else {
                    this.disableDown()
                }
            }
            this.getData();
        },
        setTableDown() {
            // alert(this.pageTitle);
            switch (this.pageTitle) {
                // Type = 1 //区域下钻 ，其他tab禁止下钻
                // Type = 2 //区域下钻，其他tab下钻一层 到只留table
                // Type = 3 //区域下钻，重点管控投诉，重点管控环节下钻一层
                case '客户投诉率':
                    this.getDownType(2)
                    break;
                default:
                    break;
            }
        },

        setData(data) {
            console.log(data, 'setData');
            //忽略只有表格的echart 空数据判断
            // alert(data.tableList+'----'+data.echartData+'----'+this.onlyTable);
            if(!this.onlyTable){
                if (!data || (data.tableList == '无数据' || data.echartData == '无数据')) {
                    this.noData = true;
                    // return;
                }
            }else{//只有表格 处理table 无数据 显示无数据
                if (data.tableList == '无数据') {
                    this.noData = true;
                    // return;
                }else{
                    data.echartData = '无数据'
                }
            }

            if (JSON.stringify(data) !== '{}') {
                this.noData = false;
                this.dataList = data;
                console.log(this.dataList);
                // alert(JSON.stringify(this.dataList)+'-----setdata');
                this.areaCode = this.areaCode ? this.areaCode : getAccountCode();
            }
        },
        // 表格下钻
        changeLevel(row, isGetData) {
            console.log(row, isGetData, 'isGetData');
            vm.titleRow = row;
            this.$refs.page.myChart.clear();
            // this.tableColumnList = tableColumn['重点管控投诉']
            // this.currentType = '重点管控投诉'
            //只保留表格
            if (vm.level == 1) {
                vm.code = row.row.province;
                tableColumn['客户投诉率-区域'][0].key = 'cityName';
                // if (vm.code == "110000" || vm.code == "310000" || vm.code == "120000" || vm.code == "500000") {
                if (vm.code == "110000" || vm.code == "310000" || vm.code == "120000") {
                    tableColumn['客户投诉率-区域'][0].key = 'countyName';
                }
            } else if(vm.level == 2){
                vm.code = row.row.city;
                tableColumn['客户投诉率-区域'][0].key = 'countyName';
            }
            vm.cousrArr[vm.level] = row.row;
            // console.log(vm.cousrArr, 'cousrArr');
            vm.level = vm.level + 1;
            // 记得放开
            // Emp.execute("$M.contextData.setValue('level','"+this.level+"')");

            // vm.areaNameKey = 'cityName';
            // console.log(tableColumn, 111);
            // console.log('要下钻', vm.level)
            this.isMaxLevel = true
            var type = this.tabName +'详情'

            // 如果是当前月份下钻，日期置为空
            // var dataArr = vm.statisDate.split('-');
            // var dataStr = dataArr[0]+'-'+dataArr[1];
            // if (dataStr == vm.nowYearMon) {
            //     vm.statisDate = '';
            // }
            this.handleType(type,row)
        },
        
        // 返回上一层时更改areaCode
        changeAreaCode(areaCode, isGetData) {
            console.log('返回上一层时更改areaCode',areaCode)
            vm.code = areaCode;
            if (isGetData) {
                this.getData();
            }
        },
        // 是否为直辖市
        isCen(areaCode) {
            console.log('-----------------areaCode', areaCode)
            let code = areaCode.slice(0, 2);
            return code == '11' || code == '12' || code == '31' || code == '50';
        }
    }

};
