var secondaryPage = {
	props: [ 'tableColumnList',  'yName', 'dataList', 'isMaxLevel',  'isSetting','areaCode', 'countDate'],
	data() {
		return {
			tipShow: false,
			isLoadMore:true,
			msg: '当前日期的数据暂未更新呢！',
			areaLevel: '',
			beforeAreaCode: '',
			tableData: [],
			// 缓存数据
			cacheData: {},
			tableSortCache: {},
			tableHeight:null
		}
	},
	// template: `
	// 	<div>
	// 		<table-box
	// 		ref="tableBox"
	// 		:table-column-list="tableColumnList"
	// 		:table-data="tableData"
	// 		:table-height="tableHeight"
	// 		:is-setting="isSetting"
	// 		:divide-code="areaCode"
	// 		:divide-code-level="areaLevel"
	// 		:is-max-level="isMaxLevel"
	// 		:provided-drill-down="providedDrillDown"
	// 		@change-table-column="changeTableColumn"
	// 		@sort-list="sortTableData"
	// 		>
	// 		</table-box>
	// 	</div>
	// `,
	template: `
		<div id="tabID">
			<drill-down-box
			ref="tableBox"
			:is-load-more="isLoadMore"
			@load-more="loadMore"
			:tablecolumn="tableColumnList"
			:list="tableData"
			:isNo="true"
			:table-height="tableHeight"
			:is-setting="isSetting"
			:divide-code="areaCode"
			:divide-code-level="areaLevel"
			:is-max-level="isMaxLevel"
			@drilldown="providedDrillDown"
			@sort-list="sortTableData"
			@sort-change="sortChange"
			>
			</drill-down-box>
		</div>
	`,
	watch: {
		noData(val) {
			this.tipShow=false;
			this.tipShow = val;
			if (val) {
				this.beforeAreaCode = '';
			}
		},
		dataList(val) {
			if (val) {
				this.setData();
			}
		}
	},
	mounted() {
		//this.tableColumnList[0].label = getNameFromPermission(this.level,false);
		let windowHeight = document.documentElement.clientHeight || document.body.clientHeight;
		this.tableHeight = windowHeight - 41.8;
		// this.tableHeight = windowHeight - 41.8;
		// this.registerListener();
	},
	methods: {
		// 表格组件排序变化
		sortChange(data) {
			console.log(data, 'tableSortCache');
			this.tableSortCache = data || {};
			// vm.orderItem = this.tableSortCache.prop;
			// vm.pageNum = 1;
			// vm.dataList = [];
			// vm.pageNum = 1;
			// vm.pageTotal = 0;
			// vm.pageNumMax = 0;
			// if (this.tableSortCache.order == "descending") {
			// 	vm.orderRule = 'DESC';
			// } else if (this.tableSortCache.order == "ascending") {
			// 	vm.orderRule = 'ASC';
			// } else {
			// 	vm.orderRule = '';
			// 	vm.orderItem = '';
			// }
			// vm.getData();
		},
		tableSortCac () {
			const {
				prop,
				order
			} = this.tableSortCache;
			if (prop && order) {
				this.$refs.tableBox.$refs.tableActive.sort(prop, order);
			}
		},
		registerListener() {
			let dom = document.getElementById('tabID');
			let topHeight = document.getElementById('tabID').clientHeight;
			// alert(topHeight);
			dom.onscroll = () =>{
				let scrollTop = dom.scrollTop;
				if (scrollTop >= (topHeight - 1)) {
					this.tableHeight = dom.clientHeight;
				} else if (scrollTop < (topHeight - 1)) {
					this.tableHeight = null;
				}
			}
			// alert(topHeight);
		},
		// 数据处理
		setData() {
			// 数据预处理
			let sortData = this.dataList;
			console.log(sortData, 'sortData');
			let sortObj = {};
			// this.tableColumnList.forEach(columnItem => {
			// 	if (columnItem.isProgress) {
			// 		// 从小到大排序
			// 		sortData.sort((a, b) => {
			// 			return Number(a[columnItem.prop]) - Number(b[columnItem.prop]);
			// 		})
			// 		sortObj[columnItem.prop] = {
			// 			min: sortData[0][columnItem.prop] ? sortData[0][columnItem.prop] : 0,
			// 			max: sortData[sortData.length-1][columnItem.prop] ? sortData[sortData.length-1][columnItem.prop] : 0
			// 		}
			// 	}
			// })
			// echart相关
			let average = 0;
			let barJson = {
				yName: this.yName,
				xValue: [],
				barValue: [],
				lineValue: [],
				//默认 左边'机构名称' 字号大小
				titleTextSize : 14
			};
			// 数据判空
			let data = this.dataList;
			data.forEach((item, index) => {
				// if(this.isCen(item.orgCode) && item.regionalLevel == 4) {
				// 	item.level = 3;
				// } else {
				// 	item.level = item.regionalLevel;
				// }
				
				this.tableColumnList.forEach(columnItem => {
					if (columnItem.children) {
						columnItem.children.forEach(child => {
							let childProp = child.prop;
							item[childProp] = item[childProp] === null ? '' : ((item[childProp] ? item[childProp] : 0) * 100).toFixed(2);
						})
					}
					let prop = columnItem.prop;
					// 填充数据
					if (columnItem.isProgress) {
						if (item[prop] > 0) {
							item[prop + 'Progress'] = (sortObj[prop].max && sortObj[prop].max != 0) ? ((item[prop] / sortObj[prop].max) * 100).toFixed(0) : 0;
						} else {
							item[prop + 'Progress'] = (sortObj[prop].min && sortObj[prop].min != 0) ? ((item[prop] / sortObj[prop].min) * 100).toFixed(0) : 0;
						}
					}
					if(prop == 'customerName') {
						item[prop] = item[prop] ? item[prop] : '其它';
					}else if(prop == 'effectiveTotal' || prop == 'successTotal') {
						item[prop] = item[prop] === null ? '' : ((item[prop] ? item[prop] : 0) * 1);
					} else if(prop == 'num') {
						item[prop] = index + 1;
					} else {
						// console.log(item[prop]);
						item[prop] = item[prop] === null ? '' : ((item[prop] ? item[prop] : 0) * 1).toFixed(2);
					}
					
				})
				if (index==0) {
					//平均值直线
					barJson.average = item.target;
					this.areaLevel = item.level;
					barJson.title = item.orgName;
					this.beforeAreaCode = item.parentOrgCode ? item.parentOrgCode : '999999';
				} else {
					//平均值直线
					barJson.average = item.target;
					//x轴
					barJson.xValue.push(item.orgName);
					//年平均值
					barJson.barValue.push(item.successRate);
					
					barJson.lineValue.push(barJson.average);
				}
				item.incomeMonth=Number(item.incomeMonth).toFixed(2);
				item.businessAmountMonth=Number(item.businessAmountMonth).toFixed(2);
				item.businessAmountRateMonth=Number(item.businessAmountRateMonth).toFixed(2);
				item.incomeYear=Number(item.incomeYear).toFixed(2);
				item.incomeRateYear=Number(item.incomeRateYear).toFixed(2);
				item.businessAmountYear=Number(item.businessAmountYear).toFixed(2);
				item.businessAmountRateYear=Number(item.businessAmountRateYear).toFixed(2);
			})
			this.renderPage(data, barJson);
			// // 缓存数据
			// this.cacheData[this.areaCode + this.countDate + this.areaLevel] = {
			// 	"beforeAreaCode": this.beforeAreaCode,
			// 	"areaLevel" : this.areaLevel,
			// 	"tableData": data,
			// 	"barJson": barJson,
			// 	"dataList": this.dataList
			// }
		},
		// 渲染页面
		renderPage(data, barJson) {
			// 表格
			this.tableData = data;
			// console.log(vm.scrollTop, 'scrollTop')
			// alert(vm.scrollTop+'---- scrollTop');
			setTimeout(() => {
				this.$refs.tableBox.$refs.tableActive.bodyWrapper.scrollTop = vm.scrollTop;
			}, 500);
			// this.$refs.tableBox.$refs.tableActive.clearSort();
			// 柱状图
			// this.$nextTick(() => {
			// 	this.getBarChart(barJson);
			// });
		},
		// 表格下钻
        providedDrillDown(row) {
			row.pageStatisDate = vm.statisDate; // 页面传过去得日期
			row.level = vm.level;
			row.areaCode = vm.areaCode;
			row.customerDetail = vm.customerDetail;
			console.log(row);
			// alert(JSON.stringify(row)+'----row');
			// alert(vm.level+'----'+vm.areaCode);
			Emp.execute("goToCustomersDetail('" + JSON.stringify(row) + "')");
		},
		// 返回上一层
		upLevel() {
			// 如果没有，应该去取另外一个tab里的beforeAreaCode
			if(!this.beforeAreaCode){
				let pageTab = this.$parent.$parent.$refs.pageTab;
				for(var i = 0; i < pageTab.length; i++) {
					if (pageTab[i].$refs.page.beforeAreaCode) {
						this.areaCode = pageTab[i].$refs.page.beforeAreaCode;
						this.areaLevel = pageTab[i].$refs.page.areaLevel - 1;
						break;
					}
				}
				this.getCacheData();
			} else {
				this.areaCode = this.beforeAreaCode;
				this.areaLevel = this.areaLevel - 1;
				//alert("99"+this.areaLevel);
				this.getCacheData();
			}
		},
		getCacheData() {
			const cacheData = this.cacheData[this.areaCode + this.countDate + this.areaLevel];
			// 获取数据，重新渲染页面
			if(cacheData) {
				this.beforeAreaCode = cacheData.beforeAreaCode;
				this.areaLevel = cacheData.areaLevel;
				//alert("88a"+this.areaLevel);
				this.$emit('change-area-code', this.areaCode, false);
				this.renderPage(cacheData.tableData, cacheData.barJson);
			} else {
				//alert("88b"+this.areaCode);
				this.beforeAreaCode = this.areaCode;
				this.$emit('change-area-code', this.areaCode, true);
			}
			this.$refs.tableBox.$refs.tableActive.clearSort();
		},
		// 表格列表设置
		changeTableColumn(data) {
			this.tableColumnList = data;
			this.$emit("change-table-column", data);
		},
		// 柱状图
        getBarChart(data) {
			let json = {
				title: data.title,
				legendData: [
				{
					name: '目标值'
				}, {
					name: '实际值',
					icon: 'image://data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAFAAAAAoAQMAAABTru9CAAAABlBMVEUAxIL3RidNALHZAAAAE0lEQVQY02NgAIH/IMAwyhw6TABNs8c5rOzZTgAAAABJRU5ErkJggg=='
				}],
				yName: data.yName,
				average: data.average,
				xValue: data.xValue,
				barName: '实际值',
				barValue: data.barValue,
				lineName: '目标值',
				lineValue: data.lineValue,
				titleTextSize :data.titleTextSize
			};

			if(json.title.length >12){
				json.titleTextSize = 10.5;

				let txt=data.title.substring(0,10);
				let txtt=data.title.substring(10,data.title.lengt);
				json.title=txt+'\n'+txtt;
			}
			let myChart = echarts.init(this.$refs.echart);
			let option = averageBarOption(json);

            myChart.setOption(option, true);
            myChart.on('legendselectchanged', function (params) {
				let option = this.getOption();
				let name = params.name;
                if (!params.selected[name]) {
                    // false 的时候
                    let isTure = [];
                    for(var item in params.selected){
                        if (params.selected[item]) {
                            isTure.push(item)
                        };
                    }
                    if (isTure.length > 0) {
                        option.legend[0].selected[name] = false;
                    } else {
                        option.legend[0].selected[name] = true;
                    }
                } else {
                    // true 的时候
                    option.legend[0].selected[name] = true;
				}
				if (name == '实际值' && option.legend[0].selected['实际值']) {
					option.legend[0].data[1].icon = 'image://data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAFAAAAAoAQMAAABTru9CAAAABlBMVEUAxIL3RidNALHZAAAAE0lEQVQY02NgAIH/IMAwyhw6TABNs8c5rOzZTgAAAABJRU5ErkJggg==';
				} else if (name == '实际值' && !option.legend[0].selected['实际值']) {
					option.legend[0].data[1].icon = 'image://data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAFAAAAAoAQMAAABTru9CAAAABlBMVEXMzMzv7++Y3rQzAAAAE0lEQVQY02P4DwL2IIJhlDl0mADDfHCAiQlelgAAAABJRU5ErkJggg==';
				}
                this.setOption(option)
            });
		},
		// 表格数据排序
		sortTableData(data) {
			this.tableData = data;
		},
		// 关闭提示
		close() {
			this.tipShow = false;
		},
		// 是否为直辖市
		isCen(areaCode){
			let code = areaCode.slice(0,2);
			return code == '11' || code == '12' || code == '31' || code == '50';
		},
		//下拉分页
		loadMore(){
			console.log("加载更多...");
			vm.scrollTop = this.$refs.tableBox.$refs.tableActive.bodyWrapper.scrollTop;
			// console.log(vm.pageNum, vm.pageNumMax, 888);
			if(vm.pageNum >= vm.pageNumMax){
                return;
            }
            // this.$refs.table.$refs.tableActive.clearSort();
            vm.pageNum++;
			vm.getData();
            // this.$emit('getPageNoParams',this.pageNo)
		},
	}

};