Vue.component('server_qgfwzs', {
	data() {
		return {
			level: '',
			xzqh: '',
			seleteDate: '',
			provinceName: '',
			dateCode: '',
			orgLevel: '',
			org_code: '',
			curr: 1,
			isVisibilty: '',
			// flag: '', 
			code: '',
			name: '',
			org_level: '',
			// 点击地图获取各省份的code、level
			code2: '',
			level2: '',
			name2: '',
			mychart2: null,
			maxNum: '', // 接收得分中的最大值
			scoreArray: [], // 存放所有的得分
			alertScore: '', // 警戒得分（环节）	String	alertScore
			standScore: '', // 达标得分（环节）	String	standScore
			challScore: '', // 挑战得分（环节）	String	challScore
			list1: []
		}
	},
	props: {
		loginCode: String,
		loginLevel: String
	},
	methods: {
		// 返回上级
		goBack() {
			this.curr -= 1;
			console.log(this.curr)
			const list = this.sendMessage();
			console.log(list[2], list[1], 'lsit[2], lsit[1]')
		},
		sendMessage() {
			let list = [];
			if (this.curr == 1) {
				list[0] = '全国';
				list[1] = '1';
				list[2] = '999999';
			} else {
				list[0] = this.provinceName;
				list[1] = this.orgLevel;
				list[2] = this.org_code;
			}
			// console.log(list, 'lsitlsitslit')
			this.$emit('func', list)
			return list;
		},
		toPreWeb(distName, distCode, distLevel, fName) {
			this.$emit('getlink', {
				distName,
				distCode,
				distLevel,
				fName
			})
		},
		// 获取挑战值，预警值、达标值
		initLinkInfos() {
			vant.Toast.loading({
				message: '加载中...',
				forbidClick: true,
				duration: 10000
			});
			this.alertScore = "";
			this.standScore = "";
			this.challScore = "";
			this.list1 = [] // #eb0000
			getLinkInfos().then(({ data }) => {
				// console.log( "各环节信息",data )
				if (data.length !== 0) {
					this.alertScore = data[0].alertScore;
					this.standScore = data[0].standScore;
					this.challScore = data[0].challScore;
					this.list1 = [
                        { min: 0, max: 1 * this.alertScore, label: '<' + 1 * this.alertScore + '分', color: '#eb0000', },
						{ min: 1 * this.alertScore, max: 1 * this.standScore, label: '<' + 1 * this.standScore + '分', color: '#ffdb27', },
						{ min: 1 * this.standScore, max: 1 * this.challScore, label: '<' + 1 * this.challScore + '分', color: '#05c917', },
						{ min: 1 * this.challScore, label: '>=' + 1 * this.challScore + '分', color: '#187b28' }
					]
				} else {
					this.alertScore = "_";
					this.standScore = "_";
					this.challScore = "_";
					this.list1 = [
                        { min: 0, max: 1 * this.alertScore, label: '<_分', color: '#eb0000' },
						{ min: 1 * this.alertScore, max: 1 * this.standScore, label: '<_分', color: '#ffdb27' },
						{ min: 1 * this.standScore, max: 1 * this.challScore, label: '<_分', color: '#05c917' },
						{ min: 1 * this.challScore, label: '>=_分', color: '#187b28' }]
				}
				vant.Toast.clear()
			}).catch(err => {
				console.log(err)
			})
		},
		// 请求地图数据
		initMapData(xzqh, lev, selecteDate, dateCode, linkCode) {
			
			let _this = this;
			console.log('lev-----', lev)
			let params = {
				distCode: lev == '1' ? '999999' : '',
				provCode: lev == '2' ? xzqh : '',
				cityCode: lev == '3' ? xzqh : '',
				orgCode: '',
				sumLevel: lev,
				dateType: dateCode,
				beginDate: selecteDate, // 20210201,		// 查询开始时间
				endDate: selecteDate, // 查询结束时间
				sumFg: '2' // 汇总标识   汇总-1 下钻-2
			}
			let mapList = [];
            function successCallBack(data) {
				console.log(params, 'map_params')
				// console.log('地图：', data)
				let url = '';
				if (lev == '1') {
					for (i = 0; i < data.length; i++) {
						var item = {};
						item.name = data[i].provName;
						item.code = data[i].provCode;
						item.value = data[i].score;
						item.level = data[i].sumLevel;
						item.date = selecteDate;
						item.dateType = dateCode;
						item.fatherName = '全国',
						item.fatherCode = '999999'
						mapList.push(item)
					}
					_this.initEcharts(list1 = this.list1, mapList, '',  );
				} else if (lev * 1 >= 2) {
					mapList = [];
					for (i = 0; i < data.length; i++) {
						var item = {};
						item.provName = data[i].provName;
						item.provCode = data[i].provCode;
						item.name = data[i].cityName;
						item.value = data[i].score;
						item.code = data[i].cityCode;
						item.level = data[i].sumLevel;
						item.date = selecteDate;
						item.dateType = dateCode;
						mapList.push(item)
					}
					if (lev == '2')
						url = `../homepage/html/js/sj_board/json/100000/${xzqh}.js`
					if (lev == '3') {
						console.log(lev, xzqh, 'xzqh, lev')
						url =
							`../homepage/html/js/sj_board/json/100000/${xzqh.substring(0, 2) + '0000'}/${xzqh}.js`
					}
					if (lev == '4') url =
						`../homepage/html/js/sj_board/json/100000/${xzqh.substring(0, 2) + '0000'}/${xzqh.substring(0, 4) + '00'}.js`
					// 重新初始化数据
					let listdata = [];
					const testFun = (path, callback) => {
						var head = document.getElementsByTagName('head')[0];
						var script = document.createElement('script');
						script.type = 'text/javascript';
						script.src = path;
						head.appendChild(script);
						if (! /*@cc_on!@*/ false) {
							script.onload = function() {
								console.log("非ie");
								callback();
							}
						} else {
							script.onreadystatechange = function() {
								if (script.readystate === "loaded" || script.readState ===
									'complate') {
									console.log("ie");
									callback();
								}
							}
						}
					}
					testFun(url, function() {
						console.log("已经加载完成")
						// alert(i.properties.adcode)
						mapobj.features.forEach(i => {
							// console.log(i, "3333333")
							// 替换了北京110100，天津120100，上海310100，重庆500100等4个直辖市的地图json，
							// 其中新地图json中中不包含adcode字段，但其中的id与原地图中的adcode含义一致，
							// 为防止字段找不到而报错，因此转换字段
							i.properties.adcode = i.properties.adcode ? i.properties.adcode : i.properties.id;
							listdata.push({
								name: i.properties.name,
								code: i.properties.adcode + '',
								value: 0,
								level: lev * 1 + 1,
								date: '',
								dateType: '',
								fatherCode: '',
								fatherName: '',
							})
						});
						listdata.forEach(i => {
							for (let j = 0; j < mapList.length; j++) {
								if (mapList[j].code === i.code) {
									i.value = mapList[j].value
									i.level = mapList[j].level
									i.date = mapList[j].date
									i.dateType = mapList[j].dateType
									i.fatherCode = mapList[j].provCode
									i.fatherName = mapList[j].provName
								}
							}
						});
						// console.log(listdata);
						_this.initEcharts(list1 = this.list1, listdata, mapobj, xzqh)
					});
				}
            };
            if (linkCode) {
				console.log('lsslsl', linkCode)
                queryLinkScoreDetailV2(params).then(({ data }) => {
                    successCallBack(data);
                    vant.Toast.clear();
                }).catch(err => {
                    vant.Toast.clear();
                    console.log(err);
                })
            }
            else {
                getServiceMapData(params).then(({ data }) => {
                    successCallBack(data);
                    vant.Toast.clear();
                }).catch(err => {
                    vant.Toast.clear();
                    console.log(err);
                })
            }
		}, 
		// 初始化地图
		initEcharts(list1 = this.list1, mapList, mapJson = '', mapType = 'china', ) {
			console.log(this.loginCode)
			console.log(this.loginLevel)
			let _this = this;
			let option = {
				tooltip: {
					trigger: 'item',
					triggerOn: 'click.prevent',
					formatter: function(params) {
						console.log(params, '点击地图  --params')
						if(_this.loginLevel * 1 === 3) {
							if(params.data.code.substr(0, 2) !== _this.loginCode.substr(0, 2)) { // 只可刷新、下钻当前登录省份
								return
							} 
						}
						if(_this.loginLevel * 1 === 4) {
							if(params.data.code !== _this.loginCode) { // 只可刷新、下钻当前登录地市
								return
							} 
						}
						_this.$parent.changeTemp(1);    // 改变temp;
						_this.$parent.changeTrueFalse() // 显示返回按钮 
						_this.$parent.initQst(params.data.code, params.data.level) // 点击地图刷新数据
						_this.toPreWeb(params.data.name, params.data.code, params.data.level, params.data.fatherName )
						if (params.data == undefined) return;
						if (params.data.level == '2') {
							return `<div style="z-index: 999">
                                        <div style="display: flex; justify-content: space-between">全国&emsp;
                                            <button style="pointer-events: all; background-color: #00c685; border: none"
                                            onclick="goto_province('${params.data.name}','${params.data.code}','${params.data.level}','${params.data.date}','${params.data.dateType}','${params.data.fatherName}','${params.data.fatherCode}',)">查看></button></div><br>
                                            ${params.name + '&nbsp;&nbsp;&nbsp;&nbsp;' + parseFloat(params.value).toFixed(1)}
                                    </div>`
						} else {
							return `<div style="z-index: 999">
                                        <div style="display: flex; justify-content: space-between">${params.data.fatherName}&emsp;
                                            <button style="pointer-events: all; background-color: #00c685; border: none"
                                            onclick="goto_province('${params.data.name}','${params.data.code}','${params.data.level}','${params.data.date}','${params.data.dateType}','${params.data.fatherName}','${params.data.fatherCode}',)">查看></button></div><br>
                                            ${params.name + '&nbsp;&nbsp;&nbsp;&nbsp;' + parseFloat(params.value).toFixed(1)}
                                    </div>`
						}
					},
					confine: true,
					// enterable: true,
					// alwaysShowContent: false,
					position: function(point) {
						return [point[0] + 2, point[1] + 2];
					}
				},
				geo: {
					show: true,
					map: mapType,
					zoom: 1.0, // 地图大小1.2倍
					// roam: true, // 是否开启平游或缩放
					geoIndex: 0,
					top: 30,
					label: {
						show: false,
						position: ['50%', '50%'],
						fontSize: '10'
					},
					itemStyle: {
						normal: {
							areaColor: '#eb0000',
							borderColor: '#000',
							label: {
								show: false
							}
						},
					},
					emphasis: {
						show: false,
						// 选择区域显示颜色
						itemStyle: {
							areaColor: '#fff100'
						}
					},
				},
				series: [{
					// name: '中国 查看>',
					type: 'map',
					map: mapType,
					geoIndex: 0,
					data: mapList
				}],
				// 视觉映射组件
				visualMap: {
					type: 'piecewise',
					splitNumber: 4, // 段数
					pieces: list1,
					itemWidth: '15%',
					itemHeight: '10',
					orient: 'horizontal', // 水平（'horizontal'）或者竖直（'vertical'）
					bottom: '10',
					left: 'center',
					right: '12%',
					selectedMode: 'multiple', // 'multiple'（多选）,'single'（单选）
				},
			};
			mapJson !== '' ? echarts.registerMap(mapType, mapJson) : '';
			let mychart2 = echarts.init(this.$refs.server_map);
			mychart2.clear()
			mychart2.setOption(option, true);
			this.mychart2 = mychart2

		},
	},
	watch: {},
	created() {
		let _this = this;
		window['goPrePage'] = () => {
			_this.goBack()
		}
	},
	mounted() {
		let _this = this;
		// 下钻省份地图
		window.goto_province = function(name, code, level, date, dateType, fatherCode, fatherName, ) {
			_this.$parent.changeTemp(0);
			_this.toPreWeb(name, code, level, fatherName, )
			if (level == '2') {
				// 重新加载省份地图数据
				_this.provinceName = String(name);
				_this.orgLevel = level;
				_this.org_code = code;
				_this.curr += 1;
				_this.sendMessage() // 传递省份名称至父组件
				// _this.$parent.initDrillDownData(code, level, date, dateType)  
			} else {
				// 跳转区划列表页   
				var param = [];
                    param[0] = name;
                    param[1] = code;
                    param[2] = level;
                    param[3] = date;
                    param[4] = dateType;
                    param[5] = fatherCode;
                    param[6] = fatherName;
				Emp.execute("gotoProvince(" + JSON.stringify(param) + ")")
			}
		}
	},
	template: `
            <!-- 地图部分 -->
            <div ref="server_map" class="content-charts" ></div>
            `
})


/**
 * 列表组件
 * 
 */
 Vue.component('custom-table', {
	props: {
		refName: {
			String,
			default: 'dialogTable'
		},
		orgXzqh: String,
		cityCode: String,
		cityLevel: String,
		tableHeight: {
			String,
			default: () => {
				// 获取页面高度
				const h = document.documentElement.clientHeight || document.body.clientHeight
				// 减去上方区域
				return h - 37;
			}
		},
		tableColumn: {
			Array,
			default: () => {
				return []
			}
		},
		moduleList: {
			Array,
			default: () => {
				return []
			}
		},
		showTotal: {
			Boolean,
			default: true
		},
		drillDownKeys: {
			Array,
			default: () => {
				return ['name']
			}
		},
		filterName: {
			Array,
			default: () => {
				return []
			}
		},
		defaultSort: Object,
		onlyDrillName: {
			Array,
			default: () => {
				return []
			}
		},
		rowStyle: {
			type: Object || Function,
			default: () => {
				return {
					'font-size': '14px',
					'line-height': '30px',
				}
			}
		},
		headStyle: {
			Object,
			default: () => {
				return {

				}
			}
		},
		activeFontColor: {
			String,
			default: 'blue'
		}
	},
	data() {
		return {
			dataList: [],
			sortList: [],
			fixedLeft: false
		}
	},
	computed: {
		totalValue() {
			return this.moduleList.find(i => i.nameCode === 'total');
		}
	},
	watch: {
		// 监听数据变化
		moduleList() {
			// 重新渲染list,解决错行问题
			this.$refs['refName'].doLayout();
		},
		moduleList: {
			
			handler(newValue, oldValue) {
				// 排序图标置空
				if(newValue == oldValue) return;
				console.log('zzz', newValue)
				let maxArr = newValue.filter(e => {
					return e.cj >= 0
				})
				maxArr.sort((a, b) => {
					return b.cj - a.cj
				})
				let maxCj = maxArr[0]
				console.log(maxCj, 'max');
				let minArr = newValue.filter(e => {
					return e.cj < 0
				})
				minArr.sort((a, b) => {
					return a.cj - b.cj
				})
				let minCj = minArr[0]
				console.log(minCj, 'min');
				newValue.forEach(e => {
					if (e.cj) {
						if (Number(e.cj).toFixed(3) > 0) {
							e.rate = e.cj / maxCj.cj * 100 + '%'
						} else if (Number(e.cj).toFixed(3) < 0) {
							e.rate = e.cj / minCj.cj * 100 + '%'
						} else {
							e.rate = '0%'
						}
					}
					// e.rate=e.cj>=0?e.cj/maxCj.cj*100+'%':e.cj/minCj.cj*100+'%'
				})
				// console.log(newValue, '处理后');
				this.sortList.forEach(item => {
					const refs = this.$refs[item.key];
					refs.forEach(i => {
						i.style.color = '#FFF'
					})
				});
				if (newValue.length == 0) {
					this.dataList = [];
					return
				}
				const sort = this.defaultSort;
				const total = newValue.find(i => i.nameCode === 'total');
				let data = this.showTotal ? newValue.filter(i => i.nameCode !== 'total') : JSON.parse(JSON.stringify(newValue));
				if (sort) {
					console.log('111');
					let newdata = sort.sort === 'up' ? data.sort((a, b) => a[sort.key] - b[sort.key]) : data.sort((a, b) => b[sort.key] - a[sort.key])
					if (this.showTotal && total) newdata.unshift(total);
					this.dataList = newdata;
				} else {
					if (this.showTotal && total) data.unshift(total);
					this.dataList = data
				};
				this.$refs[this.refName].bodyWrapper.scrollTop = 0;
				this.$refs[this.refName].bodyWrapper.scrollLeft = 0;
			},
			immediate: false
		},
		tableColumn: {
			handler(newValue, oldValue) {
				console.log('更新了', newValue);
				this.sortList.forEach(item => {
				    const refs = this.$refs[item.key];
				    // console.log(refs)
				    refs.forEach(i => {
				        i.style.color = '#FFF'
				    })
				});
				this.getSortList(newValue);
				this.fixedLeft = newValue.some(item => item.fixed === 'left')
			},
			immediate: true
		}
	},
	methods: {
		getSortList(newValue) {
			let sortListNormal = [...newValue.filter(item => item.sort).map(item => {
				return {
					key: item.key,
					sort: 0
				}
			})]
			let childrenList = [...newValue.filter(item => item.children)]; // 二级表头排序配置
			let sortListChildren1 = [], sortListChildren2 = [];
			if(childrenList.length !== 0) {
				sortListChildren1 = [
					...childrenList[0].children.filter(item => item.sort).map(item => {
						return {
							key: item.key,
							sort: 0
						}
				})]
				sortListChildren2 = [
					...childrenList[1].children.filter(item => item.sort).map(item => {
						return {
							key: item.key,
							sort: 0
						}
				})]
				this.sortList = [...sortListNormal, ...sortListChildren1, ...sortListChildren2 ]
			} else this.sortList = [...sortListNormal ]
			console.log('this.sortList----', this.sortList )
			//  this.sortList.forEach(item => {
			//         const refs = this.$refs[item.key];
			//         console.log(refs)
			//         refs.forEach(i => {
			//             i.style.color = '#FFF'
			//         })
			//     });
		},
		getNo(no) {
			if (this.showTotal) return no == 0 ? '' : no;
			else return no + 1
		},
		handleSort(row) {
			if (!row.sort) return;
			// 点击列的key
			const key = row.key;
			// 0默认排序  1升序 2降序
			this.sortList.forEach(item => {
				// console.log(item.key, 'item.key----')
				const refs = this.$refs[item.key];
				refs.forEach(i => {
					i.style.color = '#FFF';
				});
				if (item.key === key) {
					const curkey = key === 'name' ? 'nameCode' : key;
					item.sort++;
					if (item.sort > 2) item.sort = 0;
					if (item.sort === 0) {
						this.sortFun(JSON.parse(JSON.stringify(this.moduleList)))
					}
					if (item.sort === 1) {
						this.sortFun(JSON.parse(JSON.stringify(this.dataList)), {
							key: curkey,
							sort: 'up'
						});
						if (this.fixedLeft) {
							if (row.fixed == 'left' ) {
								this.$refs[item.key][0].style.color = '#fff';
								this.$refs[item.key][1].style.color = '#0197ff'
							} else {
								this.$refs[item.key][2].style.color = '#fff';
								this.$refs[item.key][3].style.color = '#0197ff'
							}
						} else {
							this.$refs[item.key][0].style.color = '#fff';
							this.$refs[item.key][1].style.color = '#0197ff'
						}
					}
					if (item.sort === 2) {
						this.sortFun(JSON.parse(JSON.stringify(this.dataList)), {
							key: curkey,
							sort: 'down'
						});
						if (this.fixedLeft) {
							if (row.fixed === 'left') {
								this.$refs[item.key][0].style.color = '#0197ff';
								this.$refs[item.key][1].style.color = '#fff'
							} else {
								this.$refs[item.key][2].style.color = '#0197ff';
								this.$refs[item.key][3].style.color = '#fff'
							}
						} else {
							this.$refs[item.key][0].style.color = '#0197ff';
							this.$refs[item.key][1].style.color = '#fff'
						}
					}
					if (this.showTotal) this.dataList.unshift(this.totalValue)
				}
			});
		},
		handleClick(i, row) {
			if (this.drillDownKeys.indexOf(i.key) < 0 || this.filterName.some(i => i === row.name) || row.nameCode === 'total' ||
				(this.onlyDrillName.length != 0 && !this.onlyDrillName.some(i => i === row.nameCode))) return;
			console.log('下钻了------', row);
			if(row[i.key] == 0) return;  // 数据为0 return 
			console.log(this.cityLevel, 'cityLevel')
			
			if(+this.cityLevel === 3) { // 省份下钻
				if(i.key == 'name') { 
					if (this.orgXzqh && this.orgXzqh != '000000' && this.orgXzqh != '999999') {
						if (row.nameCode.substr(0, 2) != this.orgXzqh.substr(0, 2)) return;
					}
				}
			}
			else if(+this.cityLevel > 3) {
				if(i.key == 'name' ) { 
					if (this.orgXzqh.substring(0, 2) !== row.nameCode.substring(0, 2)) {
						if (row.nameCode != this.orgXzqh) return;
					}
				}
			}
				
			this.$emit('drilldown', {
				key: i.key,
				row: row
			})
		},
		getColor(i, row) {
			if(row[i.key] == 0) return ''; // 数据为0 置黑色
			if (this.orgXzqh) {
				if (this.orgXzqh != '000000' && this.orgXzqh != '999999') {
					if (i.key == 'name') {
						if(this.cityLevel * 1 === 3) {
							if (row.nameCode.substr(0, 2) !== this.orgXzqh.substr(0, 2)) return ''
						}
						if(this.cityLevel * 1 === 4) {
							if (row.nameCode + '' !== this.orgXzqh + '') return ''
						}
					}
				}
			}
		
			if (i.key == 'name' ) {
				if (row.nameCode == 'total' || this.filterName.some(i => i === row.name) || 
				   (this.onlyDrillName.length != 0 && !this.onlyDrillName.some(i => i === row.nameCode))) return '';
			}
			const rateColor = i.fontColor ? i.fontColor(row) : '';
			return this.drillDownKeys.indexOf(i.key) < 0 ? rateColor : this.activeFontColor
		},
		translateTextAlign(item) {
			const val = item.headAlign ? item.headAlign : item.align;
			const obj = {
				left: 'flex-begin',
				center: 'center',
				right: 'flex-end;'
			};
			return val ? obj[val] : 'flex-end';
		},
		sortFun(newValue, sort = this.defaultSort) {
			let data = this.showTotal ? newValue.filter(i => i.nameCode !== 'total') : newValue;
			if (sort) {
				let newdata = sort.sort === 'up' ? data.sort((a, b) => a[sort.key] - b[sort.key]) : data.sort((a, b) => b[sort.key] - a[sort.key])
				// newdata.unshift(total[0]);
				// Vue.set(this.dataList,newdata);
				this.dataList = newdata;
			} else {
				// Vue.set(this.dataList,data);
				this.dataList = data
			}
		},
		setRowStyle(align) {
			if (Object.prototype.toString.call(this.rowStyle) === '[object Function]') {
				return this.rowStyle(align)
			} else return this.rowStyle
		}
	},
	template: `<div style="padding: 0 5px">
        <el-table
            :ref="refName"
            :data="dataList"
            stripe
            :header-cell-style="{background:'#0197ff',color:'#FFF', height: headStyle['line-height'] ? headStyle['line-height'] : '30px', 'text-align': 'center'}"
            :row-style="{height:'30px'}"
            :height="tableHeight"
            style="width: 100%"
        >
        <template v-for="item in tableColumn">
                <el-table-column
                    :prop="item.key"
                    :align="item.align ? item.align : 'right'"
                    :min-width="item.width"
                    :fixed="item.fixed"
                >
                    <template slot="header" slot-scope="scope">
                        <div class="table-sort" :style="{'justify-content': translateTextAlign(item), ...headStyle}"  @click="handleSort(item)" style="width: 100%;">
                            <span v-html="item.name" style="font-size:12px;font-weight:normal;line-height:20px"  :style="item.colHeadStyle"></span>
                            <div v-if="item.sort" class="table-sort-icon" style="color:#fff">
                                <i class="el-icon-caret-top"  style="position: absolute; top: 3px;" :ref="item.key"></i>
                                <i class="el-icon-caret-bottom"  style="position: absolute; bottom: 3px;" :ref="item.key"></i>
                            </div>
                        </div>
                    </template>
                    <template slot-scope="scope">
                        <div :style="setRowStyle(item.align)" @click="handleClick(item, scope.row)" v-if="item.key !== 'operate'">
                            <span v-if="item.key === 'no'">{{ getNo(scope.$index )}}</span>
                            <div style="position:relative;width:65;padding:6px 0;justify-content:space-between;display:flex" v-else-if="item.key === 'cj'">
                                <span style="position:absolute;height:0;right:0">
                                    {{ item.filter && (item.filter(scope.row[item.key])).toString() != 'NaN' ? item.filter(scope.row[item.key]) : '-' }}
                                </span>
                                <div :style="{opacity:scope.row[item.key] >= 0 || !scope.row[item.key] ? 0.0 : 1}"  style="display:flex;flex-direction:row-reverse;width:50%;rgba(0,0,0,0.5)">
                                    <div :style="{'width':scope.row.rate}" style="background-color:#e45437;">
                                        <span style="opacity:0.0">1</span>
                                    </div>
                                </div>
                                <div :style="{opacity:scope.row[item.key] <= 0 || !scope.row[item.key] ? 0.0 : 1}" style="width:50%;background：rgba(0,0,0,0.5)">
                                    <div :style="{'width':scope.row.rate}" style="background-color:#58c187">
                                        <span style="opacity:0.0">1</span>
                                    </div>
                                </div>
                            </div>
                            <span v-else style="display: block;" :style="{color: getColor(item, scope.row), 'margin-right': item.sort ? '10px' : '0'}">
                                {{item.filter ? item.filter(scope.row[item.key]) : scope.row[item.key]}}
                            </span>
                        </div>
                        <slot v-else :row="scope.row"></slot>
                    </template>
                </el-table-column>
               
            </el-table>
        </template>
    </div>`
});

/**
 * 下拉列表
 * 
 */
Vue.component('select-list', {
	model: {
		prop: 'msg',
		event: 'change'
	},
	props: {
		msg: String,
		dropdownlist: {
			Array,
			default: () => {
				return []
			}
		}
	},
	computed: {
		title() {
			return this.dropdownlist.find(i => i.val === this.msg).name
		}
	},
	methods: {
		handleCommand(command) {
			this.$emit('change', command)
		},
	},
	template: `<div>
                        <el-dropdown 
							trigger="click" 
							size="medium" 
							
							@command="handleCommand" 
						>
                            <span class="el-dropdown-link">
                                {{ title }}
								<i class="el-icon-arrow-down el-icon--right"></i>
                            </span>
                            <el-dropdown-menu slot="dropdown">
                                <el-dropdown-item 
									v-for="item in dropdownlist" 
									
									:command="item.val">
									{{ item.name }}
								</el-dropdown-item>
                            </el-dropdown-menu>
                        </el-dropdown>
                    </div>`
});

/**
 * 深拷贝
 * 
 */
var deepCopy = (obj) => {
	var ret = {}
	for (var key in obj) {
		var value = obj[key]
		ret[key] = typeof value === 'object' ? deepCopy(value) : value
	}
	return ret
}

function cloneDeep(source) {
	// 如果输入的为基本类型，直接返回
	if (!(typeof source === 'object' && source !== null)) return source;
	// 判断输入的为数组还是对象，进行对应的创建
	const target = Array.isArray(source) ? [] : {};
	for (let [key, value] of Object.entries(source)) {
		// 此处应该去除一些内置对象，根据需要可以自己去除，本初只去除了RegExp对象
		if (typeof value === 'object' && value !== null && !(value instanceof RegExp)) target[key] = cloneDeep(value);
		else target[key] = value;
	}
	return target;
}
