var div_main = new Emp.Panel({"layout":"VBox","backgroundImage":"/images/welcom_bg2.jpg","width":"100%","id":"div_main","height":"100%"});
    Emp.page.add(div_main);
		

	$M.includeFile("/common/value.html");
	$M.includeFile("/common/common.html");
	$M.includeFile("/common/commonWelcome.html");
	$M.includeFile("/dialog/dialog.html");
	$M.includeFile("/dialog/loading.html");
	$M.includeFile("/dialog/alterDialog.html");
	$M.includeFile("/common/commonDialog.html");
	//设置沉浸式状态栏
	if ($M.isAndroid) {
		Utils.setNativeFlatStyleColoredBars("#00000000");
	}
	function stringToUnicode(str){
		var res = ''
		for(var i=0;i<str.length;i++){
			res += "\\u"+str.charCodeAt(i).toString(16)
		}
		return res
	}
	
	function bsvLoginStatus(){
		var time = getTime();
		var item = new Object();
		item.name = '';
		item.code = '';
		item.paramHeadId = 'puyuan';
		item.paramHeadCode = 'test';
		item.sor = '';
		item.isAvailable = '';
		requestM.post(URL_LOGIN_STATUS, {
			"sendID" : SENDID,
			"timestamp" : time,
			"msgBody" : Utils.jsonToString(item),
			"dataDigest" : createKey(item, time),
		}, function(result) {
			log("普元:  " + result);
			var jsonResult = Utils.stringToJson(result);
			if (jsonResult.resCode == 'Z00001'){
				autoLogin();
			} else {
				if (jsonResult.data[0].is_available == "1") {
					checkUpdateP();
				} else {
					autoLogin();
				}
			}
		}, function(error) {
			if ($M.isAndroid){
				if(error=="403"){
					toast("当前网络不可用")
				}
			} else {
				if(error=="302"){
					toast("当前网络不可用")
				}
			}
			if(error == "网络不可用，请检查网络设置"){
				toast(error)
			}
			System.exit();
		});
	}

	// 	普元更新检查
	function checkUpdateP() {
		var userID = "all";
		var deviceType = "";
		if ($M.isAndroid) {
			deviceType = "android";
		} else {
			deviceType = "ios";
		}
		log("版本信息：" + Utils.jsonToString($M.Portal.getAppConfig("ManageApp")));
		var appVersion = $M.Portal.getAppConfig("ManageApp").appVersion;
		var apps = [{"id":"ManageApp"+deviceType,"version":appVersion,"type":deviceType},{"id":"ManageApp","version":appVersion,"type":"microapp"}];
		log("更新上传信息：" + Utils.jsonToString(apps));
		// requestM.post(URL_UPDATAFILE_P_UAT, {
		requestM.post(URL_UPDATAFILE_P_SC, {
			"userId" : userID,
			"deviceType" : deviceType,
			"apps" : Utils.jsonToString(apps)
		}, function(result) {
			var jsonResult = Utils.stringToJson(result);
			var jsonResultContent = Utils.stringToJson(jsonResult.result);
			if (jsonResultContent.length > 0) {
				saveString("ManageData", "remember", "");
				saveString("ManageData", "password", "");
				saveString("ManageData", "autologin", "");
				saveString("ManageData", "autologinbyphone", "");
				saveString("ManageData", "loginTime", "");
				updateType = jsonResultContent[0].updateType;
			}
			log("yyyyyyyyyyy:"+result);
			if (jsonResultContent.length == 0) {
				autoLogin();
			}else if(jsonResultContent[0].type == "android" || jsonResultContent[0].type == "ios"){
				updateWay = "normal"
				commonUpdate(jsonResultContent)
			} else if(jsonResultContent[0].type == "microapp"){
				updateWay = "hot"
				commonUpdate(jsonResultContent)
			}
		}, function(error) {
			log("更新失败");
			autoLogin();
		});
	}
	
	var updateWay = "";
	var updateType = 0;
	function commonUpdate(jsonResultContent){
		if(updateWay == "hot"){
			if(jsonResultContent[0].updateType == 3){
				updateLoad(jsonResultContent[0].instURL);
			}else if(jsonResultContent[0].updateType == 1){
				commonFun(jsonResultContent)
			}else if(jsonResultContent[0].updateType == 2){
				commonFun(jsonResultContent)
			}else{
				autoLogin();
			}
		}else if(updateWay == "normal"){
			if(jsonResultContent[0].updateType == 3){
				downLoad(jsonResultContent[0].instURL);
			}else if(jsonResultContent[0].updateType == 1){
				commonFun(jsonResultContent)
			}else if(jsonResultContent[0].updateType == 2){
				commonFun(jsonResultContent)
			}else{
				autoLogin();
			}
		}else{
			autoLogin();
		}
		saveString("ManageData", "version", jsonResultContent[0].ver);
	}
	
	function commonFun(jsonResultContent){
		dialogHud.upDateDialogShow(); // 弹出更新提示框，包括版本号和更新内容 
		btn_submit_updateDialog.addEvent("onClick",function() {
			dialogHud.upDateDialogHidden(); // 隐藏更新的dialog
			if(updateWay=="normal"){
				downLoad(jsonResultContent[0].instURL); // 开始下载应用
			}else if(updateWay=="hot"){
				updateLoad(jsonResultContent[0].instURL);
			}
		});
		var jsonAppInfo = Utils.stringToJson(jsonResultContent[0].updateInfo);
		label_update_version.setValue(jsonResultContent[0].ver);
		var contentArray = jsonAppInfo.split("。");
		for (var i = 0; i < contentArray.length; i++) {
			var label = new $M.Label({
				"value" : contentArray[i],
				"width" : "260",
				"fontSize" : "18",
				"marginTop" : "5",
				"color" : "#000000",
				"singleLine" : false
			});
			div_update_content.add(label);
		}
	}
	//下载任务
	function downLoad(url) {
		if ($M.isIOS) {
			toast("应用将退出,并在下载完成后提示您安装。");
			Utils.browser(url);
			setTimeout(function() {
				System.exit();
			}, 2000);
		} else {
			showProgressDialog1('正在更新...');
			var task = $M.DownLoadManager.createUserTask(url, FILEPATH
					+ "ManageApp.apk");
			task.start();
			task.addEvent("onLoading", function(a, b) {
				if (parseInt(a) == 0) {
					a = 1;
				}
				setProgress1(b / a);
			});
			task.addEvent("onSuccess", function() {
				loadingHud.hideProgress();
				Utils.installNativeApp(FILEPATH + "ManageApp.apk", function() {
					//closeProgressDialog1();
					System.exit();
				}, function() {
					closeProgressDialog1();
					System.exit();
				});
			});
			task.addEvent("onFailure", function() {
				closeProgressDialog1();
				alterHud.show("下载更新失败");
				System.exit();
			});
		}
	}

	// 取消更新 (因为是强制更新，所以取消更新会退出应用)
	btn_cancle_updateDialog.addEvent("onClick", function() {
		loadingHud.show("请稍等");
		dialogHud.upDateDialogHidden();
		if(updateType  == 1){
			autoLogin();
		}else {
			System.exit();
		}
	});

	// 下载任务
	function updateLoad(url) {
		showProgressDialog1('正在更新数据...');
		var localfile = FILEPATH + "microapp.zip";
		var task = $M.DownLoadManager.createUserTask(url, localfile);
		task.start();
		task.addEvent("onLoading", function(a, b) {
			if (parseInt(a) == 0) {
				a = 1;
			}
			setProgress1(b / a);
		});
		task.addEvent("onSuccess", function() {
			$M.Portal.install(localfile); // 微应用源码的本地路径
			closeProgressDialog1();
			autoLogin();
		});
		task.addEvent("onFailure", function() {
			closeProgressDialog1();
			alterHud.show("数据更新失败");
			System.exit();
		});
	}

	// 取消更新 (因为是选择更新，所以取消更新后会进入应用)
	btn_cancle_hotUpdateDialog.addEvent("onClick", function() {
		dialogHud.hotUpDateDialogHidden();
		autoLogin();
	});

	// 创建推送服务
	var msg = new $M.MessageService();

	//注册接收消息事件，当收到消息时该方法会被执行
	$M.page.addEvent("onMsgReceive", function(type) {
		log(type);
	});

	// 全局变量，存储推送内容，跳转传参
	var pam_arr = [];

	$M.page.addEvent("onLoad", function(param) {
		log(URL)
		if(URL == 'http://192.168.112.82/'){
			autoLogin();
			return;
		} else {
			bsvLoginStatus();
			// 启动消息服务
			var initor = new $M.Init();
			initor.startMsgService(function() {
				log('success');
			}, function() {
				log("fail");
			});
			regist(param);
		}	
	});

	//注册设备
	function regist(param) {
		msg.registerToken(function() {
			log("----------注册成功----------");
			createMsg(param);
		}, function() {
			log("----------注册失败----------");
		});
	}

	function createMsg(param) {
		// 注册推送消息组  应用名、与后端绑定的推送type、注册推送页
		msg.insertMsgConfig("ManageApp", "ZDXX", "/welcome.html"); // 指调消息推送
		msg.insertMsgConfig("ManageApp", "APPXX", "/welcome.html"); // App消息推送
		msg.insertMsgConfig("ManageApp", "message", "/welcome.html"); // 未解车消息推送
		msg.insertMsgConfig("ManageApp", "BSVZNGK", "/welcome.html"); // 智能管控推送
		msg.insertMsgConfig("ManageApp", "BSVYJGJ", "/welcome.html"); // 预警告警推送
		msg.insertMsgConfig("ManageApp", "BSVBJXX", "/welcome.html"); // 报警信息推送
		// msg.insertMsgConfig("ManageApp", "BSVDPKZNTS", "/welcome.html"); // DPK智能推送
		msg.insertMsgConfig("ManageApp", "BSVDPKLZZ", "/welcome.html"); // 路长制推送
		msg.insertMsgConfig("ManageApp", "BSVFWYJ", "/welcome.html"); // 服务预警推送
		msg.insertMsgConfig("ManageApp", "BSVFJJTS", "/welcome.html"); // 分拣机推送
		msg.insertMsgConfig("ManageApp", "BSVAPPDIV", "/welcome.html"); // 自定义消息推送
		msg.insertMsgConfig("ManageApp", "PATCHBSVAPP", "/welcome.html"); // 调度通知推送
		msg.insertMsgConfig("ManageApp", "SCYJBSV", "/welcome.html"); // 指调生产预警推送
		msg.subscribe("ZDXX", function(){
			log("消息订阅成功1");
		},function(){
			log("消息订阅失败");
		})
		/* msg.subscribe("APPXX", function(){
		   	log("消息订阅成功2");
		},function(){
      		log("消息订阅失败");
		}) */
		msg.subscribe("message", function(){
		   	log("消息订阅成功3");
		},function(){
      		log("消息订阅失败");
		})
		/* msg.subscribe("BSVZNGK", function(){
		   	log("消息订阅成功4");
		},function(){
      		log("消息订阅失败");
		})
		msg.subscribe("BSVYJGJ", function(){
		   	log("消息订阅成功5");
		},function(){
      		log("消息订阅失败");
		})
		msg.subscribe("BSVBJXX", function(){
		   	log("消息订阅成功6");
		},function(){
      		log("消息订阅失败");
		})
		msg.subscribe("BSVDPKZNTS", function(){
		   	log("消息订阅成功7");
		},function(){
      		log("消息订阅失败");
		}) */
		pam_arr = param;
	}

	var phoneType1 = ""
	if ($M.isAndroid) {
		phoneType1 = 2;
	} else if ($M.isIOS) {
		phoneType1 = 3;
	}
	//自动登录验证
	function autoLogin() {
		loadingHud.hide();
		var phoneNum = getString("ManageData", "phone");
		if(getString(phoneNum, "isGesturePwd") == true){
			$M.page.goTo("/gesturePwdForLogin.html", pam_arr, true);
			return;
		}
		if (getString("ManageData", 'autologinbyphone') == 1) {
			// 			$M.page.goTo("/index.html", null, true);
			var time = getTime();
			var item = new Object();
			item.phone = getString("ManageData", "phone");
			item.phoneType = phoneType1;
			item.tokenID = Utils.getMessageToken();
			item.verifyCode = "";
			requestM.post(URL_LOGIN_PHONE, {
				"sendID" : SENDID,
				"timestamp" : time,
				"msgBody" : Utils.jsonToString(item),
				"dataDigest" : createKey(item, time)
			}, function(result) {
				loadingHud.hide();
				log("登录返回结果：" + result);
				var json = Utils.stringToJson(result);
				var jsonObj = Utils.stringToJson(json.obj);
				if (json.resCode == "A00001"&&json.obj.resourceList.length!=0) {
					// 菜单权限验证-s
					// 验证登录权限,包括特殊领导权限,BSV,BSVADMIN角色
					if (!checkauth(jsonObj)) {
						loadingHud.hide();
						$M.page.goTo("/login.html", null, true);
					}
					checkIsShowPTXNJK()
					saveString("ManageData", "permission", Utils.jsonToString(jsonObj.resourceList));
					// 菜单权限验证-e
					Emp.contextData.setValue("online", "true");
					$M.page.goTo("/index.html", pam_arr, true);
				} else {
					saveString("ManageData", "autologinbyphone", "");
					saveString("ManageData", "loginTime", "");
					$M.page.goTo("/login.html", null, true);
				}
			}, function(error) {
				loadingHud.hide();
				toast("获取自动验证登录数据出错");
				$M.page.goTo("/login.html", null, true);
			});
		} else {
			loadingHud.hide();
			$M.page.goTo("/login.html", null, true);
		}
	}
	$M.page.addEvent('onPressBackKeySystem', function() {
		System.exit();
	});

     Emp.page.render();