	
	var SENDID = "00000001";//发送方ID
	var KEY = "83d7b121e335";//验证码

	//本地存储
	function saveString(table, key, str) {
		var pref = new $M.Preferences();
		pref.open(table);
		pref.put(key, str);
	}
	function getString(table, str) {
		var pref = new $M.Preferences();
		pref.open(table);
		return pref.get(str);
	}

	//接口连接  
	var requestM = {
		post : function(url, param, successFn, failureFn) {
			log("创建连接" + Utils.jsonToString(param));
			if (!Utils.isNetworkAvailable()) {
				failureFn("网络不可用，请检查网络设置");
			} else {
				log(url);
				var ajax = new $M.Ajax();
				ajax.setAction(url);
				ajax.setTimeout(5);
				var strLog = "";
				strLog = url + "?";
				for ( var key in param) {
					ajax.add(key, param[key]);
					log(key + "," + param[key]);
					strLog += key + "=" + param[key] + "&";
				}
				log("请求接口： " + strLog);
				ajax.submit(function(result) {
					successFn(result);
				}, function(error) {
					failureFn(error);
				});
			}
		}
	}
	//生成验证码
	function createKey(param, time) {
		var str = "";
		str = Utils.jsonToString(param) + KEY + time;
		//验证码
		var dataDigest = Utils.base64Encode(Utils.md5(str));
		dataDigest = dataDigest.replace("\n", "");
		return dataDigest;
	}

	//获取当前时间 
	function getTime() {
		var myDate = new Date();
		var year = myDate.getFullYear().toString();
		var month = (myDate.getMonth() + 1) < 10 ? "0"
				+ (myDate.getMonth() + 1).toString() : (myDate.getMonth() + 1)
				.toString();
		var day = myDate.getDate() < 10 ? "0" + myDate.getDate().toString()
				: myDate.getDate().toString();
		var hour = myDate.getHours() < 10 ? "0" + myDate.getHours().toString()
				: myDate.getHours().toString();
		var minutes = myDate.getMinutes() < 10 ? "0"
				+ myDate.getMinutes().toString() : myDate.getMinutes()
				.toString();
		var seconds = myDate.getSeconds() < 10 ? "0"
				+ myDate.getSeconds().toString() : myDate.getSeconds()
				.toString();
		return year + "-" + month + "-" + day + " " + hour + ":" + minutes
				+ ":" + seconds;
	}

	//创建文件夹
	function createDir() {
		var file = new $M.File(FILEPATH);
		if (!file.exists()) {
			file.mkdir();
		}
	}

	//重新初始化日历
	function clear() {
		Emp.contextData.setValue("position1", "");
		Emp.contextData.setValue("start", "");
		Emp.contextData.setValue("indexDate", "");
		Emp.contextData.setValue("datestart", "");
		Emp.contextData.setValue("cutoff", "");
		Emp.contextData.setValue("starts", "");
		Emp.contextData.setValue("weekdate", "");
		Emp.contextData.setValue("weekindex", "");
		Emp.contextData.setValue("date", "");
		Emp.contextData.setValue("index", "");
		Emp.contextData.setValue("dateover", "");
		Emp.contextData.setValue("monthindex", "");
		Emp.contextData.setValue("month", "");
		Emp.contextData.setValue("startmonthindex", "");
		Emp.contextData.setValue("startmonth", "");
		Emp.contextData.setValue("endmonthindex", "");
		Emp.contextData.setValue("endmonth", "");
		saveString('savedate', 'savedate', '');
		saveString('savedate', 'savedate2', '');
	}

	//2020.8.6处理连点延迟工具方法
	Emp.Delay = { 
		start : function(time) {
			if (time == null) {
				toast("无延迟")
				return;
			}
			Emp.openUIEventDelay(time);
		},
		cancel : function() {
			Emp.closeUIEventDelay();
		}
	}

	Emp.ListViewDelay = {
		start : function(listview, time) {
		
			if (listview == null) {
				toast('无控件');
				return;
			}
			if (!time) {
				toast("无延迟")
				return;
			}
			if (Emp.isAndroid) {  
				listview.setMintime(time);
			}
		},
		cancel : function() {
			if (Emp.isAndroid()) {
				listview.setMintime("0");
			}
		}
	}

     Emp.page.render();