let server1 = {
	requestSegmentMapData: function(params){
		return new Promise(function(resolve, reject){
		    let value = {
		    	success: true,
	       		result: [
	       		    {
	       		        "ORGCODE":"M54-P",
	       		        "ORGNAME":"西藏",
	       		        "CURRENTVAL":0.91,
	       		        "MEASNAME":"元/件次",
	       		        "AVGNATION":0.43,
	       		        "INDVAL":0.24
	       		    },
	       		    {
	       		        "ORGCODE":"M15-P",
	       		        "ORGNAME":"内蒙古",
	       		        "CURRENTVAL":0.7,
	       		        "MEASNAME":"元/件次",
	       		        "AVGNATION":0.43,
	       		        "INDVAL":0.24
	       		    }
	       		],
	    	}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	requestSegmentMapDataPro: function(params){
		return new Promise(function(resolve, reject){
			let value = {
				success: true,
				result: [
				    {
				        "ORGCODE":"M1507-P",
				        "ORGNAME":"赤峰市",
				        "CNT":5,
				        "AVGNATION":3,
				    },
				    {
				        "ORGCODE":"M1513-P",
				        "ORGNAME":"兴安盟",
				        "CNT":2,
				        "AVGNATION":3,
				    },
				    {
				        "ORGCODE":"M1513-P",
				        "ORGNAME":"林芝市",
				        "CNT":2,
				        "AVGNATION":3,
				    }
				],
			}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	requestSegmentRadarDataPro: function(params){
		return new Promise(function(resolve, reject){
			let value = {
					success: true,
					result: [
					         {
					             "PERCENTAGELABEL": "本省实际",
					             "PERVAL": "3.78",
					             "MEASNAME": "元/件"
					         },
					         {
					             "PERCENTAGELABEL": "本省目标",
					             "PERVAL": "3.71",
					             "MEASNAME": "元/件"
					         },
					         {
					             "PERCENTAGELABEL": "全国平均",
					             "PERVAL": "1.84",
					             "MEASNAME": "元/件"
					         },
					         {
					             "PERCENTAGELABEL": "全国最优",
					             "PERVAL": "1.12",
					             "MEASNAME": "元/件"
					         },
					         {
					             "PERCENTAGELABEL": "同类省份",
					             "PERVAL": "2.76",
					             "MEASNAME": "元/件"
					         },
					         {
					             "PERCENTAGELABEL": "行业电商",
					             "PERVAL": "0.80",
					             "MEASNAME": "元/件"
					         }
					     ],
			}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	requestSegmentLineDataPro: function(params){
		return new Promise(function(resolve, reject){
			let value = {
					success: true,
					result: {
				        "S4": [ // 运输
				                {
				                    "val": "0.17",
				                    "month": "01月",
				                    "year": "2020年"
				                },
				                {
				                    "val": "0.7",
				                    "month": "02月",
				                    "year": "2020年"
				                },
				            ],
				        "S3": [
				                {
				                    "val": "0.47",
				                    "month": "01月",
				                    "year": "2020年"
				                },
				                {
				                    "val": "0.6",
				                    "month": "02月",
				                    "year": "2020年"
				                },
				            ],
				        },
			}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	requestSegmentPieData: function(params){
		return new Promise(function(resolve, reject){
			let value = {
					success: true,
					result: [
					         {
					             "listData":[
					                 [
					                     {
					                         "人工成本":0.17
					                     },
					                     {
					                         "-其中劳务承揽":0.06
					                     }
					                 ],
					                 [
					                     {
					                         "业务成本":0.21
					                     },
					                     {
					                         "-其中业务外包成本":0.17
					                     }
					                 ],
					                 [
					                     {
					                         "资产成本":0.05
					                     }
					                 ]
					             ],
					             "itemCode":"CTMS201",
					             "sum":0.43
					         }
					     ],
			}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	requestSegmentMapSelectedData: function(params){
		return new Promise(function(resolve, reject){
			let value = {
					success: true,
					result: [
					         {
					             "sequentialValueB":{
					                 "val":"4.8%",
					                 "color":-1,
					                 "arrow":-1
					             },
					             "soyValueB":{
					                 "val":"3.9%",
					                 "color":-1,
					                 "arrow":-1
					             },
					             "aocValueB":{
					                 "val":"34.2%",
					                 "color":1,
					                 "arrow":1
					             },
					             "spValueB":{
					                 "val":"29.3%",
					                 "color":1,
					                 "arrow":1
					             },
					             "rank":26,
					             "soyValue":"0.58"
					         }
					     ],
			}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	requestSegmentMapSelectedDataPro: function(params){
		return new Promise(function(resolve, reject){
			let value = {
					success: true,
					result: [
					         {
					             "TITLE": "北京怀柔-收寄环节件均成本",
					             "CURRENT_VAL": 6.3405,
					             "RN": 1,
					             "SOY_TARGET_MYLTIPLE": '2.6%',
					             "SOY_TARGET_COLOR": -1,
					             "SOY_TARGET_ARROW": -1,
					             "SOY_LMD_MYLTIPLE": "2.6%",
					             "SOY_LMD_COLOR": -1,
					             "SOY_LMD_ARROW": -1,
					             "SOY_AD_MYLTIPLE": "69.7%",
					             "SOY_AD_COLOR": 1,
					             "SOY_AD_ARROW": 1
					         }
					     ],
			}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	requestMapSelectedData: function(params){
		return new Promise(function(resolve, reject){
			let value = {
					success: true,
					result: [
					         {
					             "ITEM_CODE":"CTMS101",
					             "MEAS_NAME":"元/件",
					             "SOY_VALUE":"3.41",
					             "T1_VALUE":"13.8%",
					             "ARROW":1,
					             "COLOR":1
					         },
					         {
					             "ITEM_CODE":"CTMS201",
					             "MEAS_NAME":"元/件次",
					             "SOY_VALUE":"0.58",
					             "T1_VALUE":"3.9%",
					             "ARROW":-1,
					             "COLOR":-1
					         },
					         {
					             "ITEM_CODE":"CTMS301",
					             "MEAS_NAME":"元/吨公里",
					             "SOY_VALUE":"0.91",
					             "T1_VALUE":"3.7%",
					             "ARROW":-1,
					             "COLOR":-1
					         }
					     ],
			}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	requestSegmentTableData: function(params){
		return new Promise(function(resolve, reject){
			let value = {
					success: true,
					result: [
					         {
					             "ITEM_CODE":"CTMS201",
					             "CURRENT_VAL":"0.41",
					             "MEAS_NAME":"元/件次",
					             "BEST_TYPE":"1",
					             "COMPUTE_ARROW":-1,
					             "COMPUTE_COLOR":1,
					             "COMPUTE_RATE":"1.8%",
					             "ARRIVE_PROV_NUM":18,
					             "NOT_ARRIVE_PROV_NUM":13,
					             "LOWEST_VALUE":"0.33",
					             "LOWEST_VALUE_ORG_NAME":"浙江",
					             "LOWEST_COLOR":1,
					             "HIGHEST_VALUE":"0.91",
					             "HIGHEST_VALUE_ORG_NAME":"西藏",
					             "HIGHEST_COLOR":0,
					             "ARRIVE_BEST_ORG_NAME":"山东",
					             "ARRIVE_BEST_ARROW":-1,
					             "ARRIVE_BEST_VALUE":"61.7%",
					             "ARRIVE_BEST_COLOR":1,
					             "ARRIVE_WORST_ORG_NAME":"西藏",
					             "ARRIVE_WORST_ARROW":1,
					             "ARRIVE_WORST_VALUE":"56.9%",
					             "ARRIVE_WORST_COLOR":0
					         }
					     ],
			}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	requestSegmentTableDataPro: function(params){
		return new Promise(function(resolve, reject){
			let value = {
					success: true,
					result: [
					         {
					             "ITEM_CODE": "CTMS201",
					             "ITEM_NAME": "内部处理",
					             "CURRENT_VAL": "0.59",
					             "COMPARE_VAL": "0.2%",
					             "COMPARE_VAL_COLOR": 0,
					             "COMPARE_VAL_ARROW": 1,
					             "COMPARE_T_VAL": "0.9%",
					             "COMPARE_T_VAL_COLOR": 1,
					             "COMPARE_T_VAL_ARROW": -1,
					             "PROVICE_RANK": 26,
					             "BEST_MIN": "0.60",
					             "BEST_MIN_NAME": "天津中心局",
					             "BEST_MAX": "0.60",
					             "BEST_MAX_NAME": "天津中心局",
					             "REMARK": null
					         }
					     ],
			}
			setTimeout(()=>{
				resolve(value);
			},700);
		});
	},
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
};