# loadingHud Usage


### include

```
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<script>
		$M.includeFile("/common/loadingHud/default.html");
	</script>
</head>
```


### show hud

```
loadingHud.show([text[, cancellable]])


### show cancellable hud

loadingHud.show(null, true)
```

### hide hud 

```
loadingHud.hide()
```

### show hud with custom text

```
loadingHud.show("正在加载")
// if not set, the default text is "请等待"
```

### use hud in network request

```
loadingHud.show()
request(url, function(result){
	// your custom code here
	...
	// hide the hud
	loadingHud.hide()
}, function(error){
	// handle network error here
	...
	// hide the hud
	loadingHud.hide()
})
```
