Vue.component('filter-item',{
	data() {
		return {

		}
	},
	props: {
		// 标题
		title: {
			type: String,
			default: ''
		},
		// 是否显示右侧箭头选项
		showRightOption: {
			type: Boolean,
			default: false
		},
		
		// 标题右侧显示内容
		titleRightOption: {
			type: String,
			default: '全部'
		}
		
		
	},
	created() {
		console.log('filter-item')
		
	},
	
	methods: {
		// 点击全部分类，显示选项框
		showOptionsBox() {
			console.log('点全部')
			this.$emit('show-options-box');	
		},
		
		
	},
	
	template:`
		<div class="filter-item">
			<div class="filter-title">
				<div class="title-text"> {{ title }} </div>
				<div v-if="showRightOption" class="title-right-option" @click="showOptionsBox"> 
					<span>{{ titleRightOption }}</span>
				</div>
			</div>
			
			<slot></slot>	
		</div>
	`
})