/**
 * 调度通知模块接口
 */ 


// 发送通知列表
const querySendList = (params) => {
	return interface1({
		url: '/dispatch/showDispatchMsgRelease',
		method: 'get',
		params
	})
}

// 接收通知列表
const queryReceiveList = (params) => {
	return interface1({
		url: '/dispatch/showDispatchMsgReceive',
		method: 'get',
		params
	})
}

// 查询签约率详情
const querySignRate = (params) => {
	return interface1({
		url: '/dispatch/dispatchMsgSignRate',
		method: 'get',
		params
	})
}

// 反馈
const feedbackIt = (params) => {
	return interface1({
		url: '/dispatch/replyMessage',
		method: 'get',
		params
	})
}

// 签收
const signIt = (params) => {
	return interface1({
		url: '/dispatch/signDispatchMsgPc',
		method: 'get',
		params
	})
}

// 获取通知类型
const queryCategory = (params) => {
	return interface1({
		url: "/dispatch/getSchedulingClass",
		method: 'get',
		params
	})
}

// 附件下钻
const download = (params) => {
	const abc =  interface1({
		url: "/dispatch/download",
		method: 'get',
		params
	})
	
	console.log('abc')
	console.log(abc)
	
}

// 获取文件下载链接
const getDownloadUrl = (params) => {
	
	const ipUrl  = baseUrl 
	const interfaceUrl = 'bsv-app/dispatch/download'
	const sendID = sendIDQS
	const key = keyQS
	const timestamp = dayjs().format('YYYY-MM-DD HH:mm:ss')
	const msgBody = JSON.stringify(params)
	const dataDigest = base64.encode(hex_md5(msgBody + key + timestamp)) 
	


	const downloadUrl = `${ipUrl}${interfaceUrl}?sendID=${sendID}&timestamp=${timestamp}&msgBody=${msgBody}&dataDigest=${dataDigest}`
	
	
	return encodeURI(downloadUrl) 
}
