var div_top = new Emp.Panel({"width":"100%","id":"div_top","height":"1"});
    Emp.page.add(div_top);
	var div2 = new Emp.Panel({"layout":"VBox","width":"100%","id":"div2","height":"-2"});
    var navHCtrl = new Emp.Panel({"backgroundColor":"#ffffff","width":"100%","id":"navHCtrl","height":"0"});
            div2.add(navHCtrl);
        var navControl = new Emp.Panel({"layout":"HBox","backgroundColor":"#ffffff","hAlign":"left","width":"100%","id":"navControl","vAlign":"middle","height":"45"});
    var div3 = new Emp.Panel({"hAlign":"center","width":"45","id":"div3","vAlign":"middle","height":"100%"});
	div3.addEvent('onClick',clickLeftBtn);
    var leftButton = new Emp.Image({"src":"/images/icon_arrow_left.png","width":"25","id":"leftButton","height":"25"});
            div3.add(leftButton);
                navControl.add(div3);
        var titleControl = new Emp.Label({"fontBond":"true","width":"100%","fontSize":"18","id":"titleControl","value":"","height":"-2"});
            navControl.add(titleControl);
        var tipIcon = new Emp.Panel({"hAlign":"center","display":"true","width":"35","id":"tipIcon","vAlign":"middle","height":"100%"});
	tipIcon.addEvent('onClick',goToDescription);
    var img4 = new Emp.Image({"src":"/images/zd_warn.png","width":"18","id":"img4","height":"18"});
            tipIcon.add(img4);
                navControl.add(tipIcon);
                div2.add(navControl);
        var div5 = new Emp.Panel({"backgroundColor":"#e5e5e5","width":"100%","id":"div5","height":"1"});
            div2.add(div5);
        Emp.page.add(div2);
	var div6 = new Emp.Panel({"backgroundColor":"#ffffff","width":"100%","id":"div6","height":"100%"});
    var webview = new Emp.WebView({"width":"100%","id":"webview","height":"100%"});
            div6.add(webview);
        Emp.page.add(div6);
		 
    $M.includeFile("/common/watermarkpage.html");
	$M.includeFile("/common/common.html");
	$M.includeFile("/common/value.html");
	$M.includeFile("/dialog/alterDialog.html");
	$M.includeFile("/common/popwindows.html");
	$M.includeFile("/dialog/loading.html");
	$M.includeFile("/common/cycommon.html");
	Utils.setStatusBarStyle("default")


	// 	设置沉浸式状态栏

	if ($M.isAndroid) {
		div_top.setBackgroundColor(COLOR_WHITE);
		Utils.setNativeFlatStyleColoredBars(COLOR_WHITE);
		div_top.setHeight(STATUEHEIGHTANDROID);
	} else {
		if (Utils.isIphoneXseries()) {
			div_top.setHeight(STATUEHEIGHTIPHONEX);
		} else {
			div_top.setHeight(STATUEHEIGHTIOS);
		}
	}
	var paramOBj = null, pageType = null

	// 这是描述页面类型
	var descType;
	var title;
	var url;
	var month;
	/* 
	 * 页面入参type=1:成本-车管百公里成本,2:成本-车管吨公里成本,3:成本-车管载运率
	 */
	var type;
	
	$M.page.addEvent("onLoad", function(param) {
		if(param && param.type){
			type = Number(param.type);
		}else{
			type = 1;
		}
		if(param && param.month){
			month = param.month;
		}else{
			month = getBeforeTwoMonth();
		}
		switch(type){
			case 1:
				title = "百公里成本 ";
				url = "local://fiveSystemKanban/costingSystem/cheGuanPlatform/costPerHandredKm.htm";
				descType = 0;
				getStatistics("01-004-0003-01-01-01", "成本-车管平台运输成本-总体看板-百公里成本")
			break;
			case 2:
				title = "吨公里成本 ";
				url = "local://fiveSystemKanban/costingSystem/cheGuanPlatform/costPerTonKm.htm";
				descType = 1;
				getStatistics("01-004-0003-01-01-02", "成本-车管平台运输成本-总体看板-吨公里成本")
			break;
			case 3:
				title = "运载率 ";
				url = "local://fiveSystemKanban/costingSystem/cheGuanPlatform/costCarryRate.htm";
				descType = 2;
				getStatistics("01-004-0003-01-01-03", "成本-车管平台运输成本-总体看板-运载率")
			break;
		}            
	    titleControl.setValue(title + month);
		webview.setUrl(url);
	});

	// 调取时间控件
	function getBeforeTwoMonth() {
	  var day = new Date().getDate();
	  var dateArr = new Date().format('yyyy-MM').split('-');
	  // 可查前两个月
	  dateArr[1] < 3 ? dateArr[0] = dateArr[0] - 1 : '';
	  dateArr[1] = dateArr[1] < 3 ? (dateArr[1] < 2 ? 11 : 12) : dateArr[1] - 2;
	
	  return dateArr[0] + '-' + (dateArr[1] < 10 ? '0' + dateArr[1] : dateArr[1]);
	}

	webview.addEvent("onFinished", function () {
		webview.execute("setParams('" + month + "')");
	})

	function showtoast(msg){
		alterHud.show(msg);
	}
	function closeLoad(){
		loadingHud.hide()
	}

	function loading(){
		loadingHud.show("正在加载");
	}

    function clickLeftBtn(){
        webview.execute("goBack()")
    }
 	function goBack(){
        $M.page.goBack();
    }
    
    $M.page.addEvent('onPressBackKeySystem', function() {
    	clickLeftBtn(); 
    });

    function goToDescription(){
    	var p = {
    		type : descType,
    		name : title,
    	};
        $M.page.goTo('/fiveSystemKanban/common/description.html', p, false);
    }


     Emp.page.render();