/**
 * 接口请求: 五大看板-科技赋能-电子面单使用率
 */

/*
 * 2.1科技赋能汇总 - 张赛争
 */
const requestTechnologyPowerIndex = (data) => {
    return interface1({
        url: '/fiveboard/techassemble/queryTechData',
        method: 'get',
        params: data,
    });
};

/*
 * 2.2按区域查询电子面单使用率 - 张赛争
 */
const requestElectronicBillByRegion = (data) => {
    return interface1({
        url: '/fiveboard/electronicface/queryElectronicFaceSheetRateByArea',
        method: 'get',
        params: data,
    });
};

/*
 * 2.3按产品查询电子面单使用率 - 张赛争
 */
const requestElectronicBillByProduct = (data) => {
    return interface1({
        url: '/fiveboard/electronicface/queryElectronicFaceSheetRateByProduct',
        method: 'get',
        params: data,
    });
};

/*
 * 2.4按行业查询电子面单使用率汇总 - 张赛争
 */
const requestElectronicBillByProductAll = (data) => {
    return interface1({
        url: '/fiveboard/electronicface/queryElectronicFaceIndustryRate',
        method: 'get',
        params: data,
    });
};

/*
 * 2.5按行业查询电子面单使用率明细 - 张赛争
 */
const requestElectronicBillByIndustry = (data) => {
    return interface1({
        url: '/fiveboard/electronicface/queryElectronicFaceIndustryRateDetail',
        method: 'get',
        params: data,
    });
};

/*
 * 2.6电子面单使用率排名 - 张赛争
 */
const requestElectronicBillSort = (data) => {
    return interface1({
        url: '/fiveboard/electronicface/queryElectronicFaceRank',
        method: 'get',
        params: data,
    });
};

/*
 * 2.7TOP10纸质面单 - 张赛争
 */
const requestPaperBillTop10 = (data) => {
    return interface1({
        url: '/fiveboard/paperface/getPaperFaceFormTOP10',
        method: 'get',
        params: data,
    });
};

