/**
 * 接口请求: 五大看板-科技赋能-访问量
 */

/*
 * 2.1区域热度 (王太达)
 */
const requestRegionalHot = (data) => {
    return interface1({
        url: '/fiveboard/pageviewarea/selectPageViewAreaDtoByDate',
        method: 'get',
        params: data,
    });
};

/*
 * 2.2热门菜单,查看热门菜单信息（张赛争）
 */
const requestHotKanban = (data) => {
	return interface1({
		url: '/fiveboard/pageviewmenu/queryPopularMenu',
		method: 'get',
		params: data,
	});
};

/*
 * 2.3使用趋势 (王太达)
 */
const requestUseTrend = (data) => {
	return interface1({
		url: '/fiveboard/pageviewarea/selectUsageTrendVoByDate',
		method: 'get',
		params: data,
	});
};

/*
 * 2.4访问量汇总(菜单),用于热门菜单页面首部（张赛争）
 */
const requestHotDetail = (data) => {
	return interface1({
		url: '/fiveboard/pageviewmenu/queryPvTotalMenu',
		method: 'get',
		params: data,
	});
};

/*
 * 2.5按行政区划统计访问量报表,按行政区划统计（赵达）
 */
const requestTableByArea = (data) => {
	return interface1({
		url: '/a/app/getAreaStaticsByDate',
		method: 'get',
		params: data,
	});
};

/*
 * 2.6按用户统计访问量报表,按用户统计（赵达）
 */
const requestTableByUser = (data) => {
	return interface1({
		url: '/a/app/getUserStaticsByDate',
		method: 'get',
		params: data,
	});
};

/*
 * 2.7访问量汇总(区域),用于区域热度和使用趋势页面首部 (王太达)
 */
const requestRegionalUseDetail = (data) => {
	return interface1({
		url: '/fiveboard/pageviewarea/selectAccessSummaryDtoByDate',
		method: 'get',
		params: data,
	});
};

/*
 * 2.8菜单列表,用于热门菜单页面下拉框（张赛争）
 */
const requestHotKanbanMenu = (data) => {
	return interface1({
		url: '/fiveboard/pageviewmenu/queryMenuList',
		method: 'get',
		params: data,
	});
};

/*
 * 2.9菜单列表,查询首页访问量汇总信息（张赛争）
 */
const requestVisitHome = (data) => {
	return interface1({
		url: '/fiveboard/pageviewmenu/queryPvTotalHomepage',
		method: 'get',
		params: data,
	});
};

/*
 * 2.10菜单列表,查看热门菜单人均日访问量Top10信息（张赛争）
 */
const requestHotKanbanPer = (data) => {
	return interface1({
		url: '/fiveboard/pageviewmenu/queryPopularMenuPer',
		method: 'get',
		params: data,
	});
};


