/**
 * 此组件为成本体系-车辆运营成本指标页面数据格组件
 * 此组件需引入rem.js页面
 * @author caohuixuan
 * @time  20201120
 */
//成本体系-车辆运营成本指标     caohuixuan-20201120
var costCardCom=Vue.component('cost-card', {
    data() {
        return {
            upColor: '#FA2525', // 上升颜色
            downColor: '#009900', // 下降颜色
            equalColor:"#3377FF",
            equal1:false,
            equal2:false,
            equal3:false,
        }
    },
    props:{
    	title:{
    		type:String,
    		default:""
    	},
    	identifikey:{
    		type:Number,
    		default:1
    	},
	    datas:{
	    	type:Object,
	        default:{
	    	   "cost":"0",
	    	   "linkCost":"0",
	    	   "selfCost":"0",
	    	   "selfLinkCost":"0",
	    	   "comCost":"0",
	    	   "comLinkCost":"0"
           }
	    }
    },
    methods: {
        setColor(data){
        	if(data==1){
        		if(this.identifikey==1||this.identifikey==2){
        			return this.upColor;
        		}else{
        			return this.downColor;
        		}
        	}else if(data==-1){
        		if(this.identifikey==1||this.identifikey==2){
        			return this.downColor;
        		}else{
        			return this.upColor;
        		}
        	}else if(data==0){
        		return this.equalColor;
        	}
        },
        setImage(data,i){
           if(data==1){
        		if(i==1){
        			this.equal1=false;
        		}else if(i==2){
        			this.equal2=false;
        		}else if(i==3){
        			this.equal3=false;
        		}
        		if(this.identifikey==1||this.identifikey==2){
        			return "../../image/up_red_tra.png";
        		}else{
        			return "../../image/up_green_tra.png";
        		}
        		
        	}else if(data==-1){
        		if(i==1){
        			this.equal1=false;
        		}else if(i==2){
        			this.equal2=false;
        		}else if(i==3){
        			this.equal3=false;
        		}
        		if(this.identifikey==1||this.identifikey==2){
        			return "../../image/down_green_tra.png";
        		}else{
        			return "../../image/down_red_tra.png";
        		}
        	}else if(data==0){
        		if(i==1){
        			this.equal1=true;
        		}else if(i==2){
        			this.equal2=true;
        		}else if(i==3){
        			this.equal3=true;
        		}
        	}
        	//alert(this.equal3 + '---------------' + i)
        },
        detailClick(){
        	//alert(this.datas.cost);
        	this.$emit("dataname1",this.datas);
        },
        iconClick(){
        	this.$emit("icondescript",this.identifikey,this.title);
        }
    },
    filters: {},
    template: `<div @click="detailClick()">
            <div style="margin:0 0.1rem 0.01rem 0.1rem; margin-bottom: 0.02rem;">
            <div>
            </div>
                <div class="second_title_nav " style="height:0.29rem;font-size: 0.14rem;line-height:0.29rem;color:#3377FF;border-top: 0.01rem solid #D1EAFD;border-left: 0.01rem solid #D1EAFD;border-right: 0.01rem solid #D1EAFD;"> 
                    {{title}}
                </div>
                <div style="height:0.9rem;border-left: 0.01rem solid #D2D2D2;border-right: 0.01rem solid #D2D2D2; background-color: #fff; font-size: 0.15rem; font-weight: bold; display: flex; box-sizing: border-box;width: 100%; justify-content: space-around;">
                    <div style="height:0.7rem;width: 50%;margin:0.05rem 0;">
                        <div style="height:0.25rem;vertical-align:middle;">
                            <span style="font-size: 0.14rem;line-height:0.4rem;color: #666666;margin-left:0.1rem">{{title}}</span>
                            <img style="width:0.16rem; height:0.16rem;" src="../../image/description_icon.png" @click.stop="iconClick()">    
                        </div>
                        <div style="height:100%;vertical-align:middle;">
                            <span style="font-size:0.26rem;line-height:0.52rem;color: #3377FF ;margin-left:0.1rem">{{datas.cost}}</span>
                            <span v-if="identifikey!=3" style="font-size:0.12rem;line-height:0.52rem;color: #999999;margin-left:0.1rem">{{identifikey==1?"元/百公里":"元/吨公里"}}</span>
                            <span v-else style="font-size:0.12rem;line-height:0.52rem;color: #999999;margin-left:0.05rem">%</span>
                        </div>
                    </div>
                    <div style="height:0.7rem;width: 50%;margin:0.05rem 0;">
                    <div style="height:0.25rem;vertical-align:middle;">
                        <span style="font-size: 0.14rem;line-height:0.4rem;color: #666666;margin-left:0.1rem">环比</span>
                    </div>
                    <div style="height:100%;vertical-align:middle;">
                        <span style="font-size:0.26rem;line-height:0.52rem;margin-left:0.10rem;" :style="{color:setColor(datas.linkTrend)}">{{datas.linkTrend==-1?"-"+datas.linkCost:datas.linkCost}}</span>
                        <span v-if="identifikey==3" style="font-size:0.12rem;line-height:0.52rem;color: #999999;margin-left:0.05rem;margin-right:0.05rem;">%</span>
                        <img :style="datas.linkTrend!=0 ? 'width:0.16rem; height:0.16rem;' : 'width:0.16rem; height:0.05rem;margin-bottom:0.08rem;'" :src="datas.linkTrend!=0 ? setImage(datas.linkTrend,1) : '../../image/eq_blue.png'" >  
                        
                        <span v-if="identifikey!=3" style="font-size:0.12rem;line-height:0.52rem;color: #999999;">{{identifikey==1?"元/百公里":"元/吨公里"}}</span>
                    </div>
                </div>
                </div>
                <div style="display: flex; box-sizing: border-box;width: 100%; justify-content: space-around; height: 0.86rem;border-left: 0.01rem solid #D2D2D2;border-right: 0.01rem solid #D2D2D2;border-bottom: 0.01rem solid #D2D2D2;">
                <div style="margin-left:0.1rem;margin-right:0.055rem;background-color:#ECF7FF; border-radius:0.06rem;height:0.72rem;width: 100%;font-size: 0.16rem;" >
                   <div style="width:100%;height:auto; position:relative;top: 50%; transform: translateY(-50%);margin-top:-0.05rem;"> 
                    <span style="font-size:0.13rem;line-height:0.18rem;color: #666;margin-left:0.1rem;margin-top:0.06rem;">其中自办</span>
                    <div style="width:100%;height:auto;display:flex;">
                      <div style="width: 100%; height:auto;margin-left:0.10rem;margin-top:0.05rem;" >
                        <div style="height:0.18rem; ">
                            <span style="height:0.18rem;font-weight: bold; font-size:0.18rem;color:#3377FF;">{{datas.selfCost}}</span>
                            <span v-if="identifikey==3" style="font-size:0.12rem;line-height:0.17rem;color: #999999;">%</span>
                        </div>
                        <div v-if="identifikey!=3" style="height:0.15rem;">
                            <span  style="font-size:0.10rem;color: #999999;line-height:0.14rem;">{{identifikey==1?"元/百公里":"元/吨公里"}}</span>
                        </div>
                      </div>
                      <div style="width: 100%; height:100%;margin-left:0.05rem;margin-top:0.05rem;" >
                        <div style="height:0.18rem; ">
                            <span style="height:0.18rem;font-weight: bold; font-size:0.18rem;" :style="{color:setColor(datas.selfLinkTrend)}">{{datas.selfLinkTrend==-1?"-"+datas.selfLinkCost:datas.selfLinkCost}}</span>
                            <span v-if="identifikey==3" style="font-size:0.12rem;line-height:0.17rem;color: #999999;">%</span>
                            <img :style="datas.selfLinkTrend!=0 ? 'width:0.15rem; height:0.16rem;' : 'width:0.16rem; height:0.05rem;margin-bottom:0.08rem;'" :src="datas.selfLinkTrend!=0 ? setImage(datas.selfLinkTrend,2) : '../../image/eq_blue.png'" >  
                            
                        </div>
                        <div v-if="identifikey!=3" style="height:0.15rem;">
                            <span style="font-size:0.1rem;color: #999999;line-height:0.14rem;">{{identifikey==1?"元/百公里":"元/吨公里"}}</span>
                        </div>
                      </div>
                    </div>
                   </div>
                </div>
                <div style="font-size: 0.16rem;margin-right:0.1rem;margin-left:0.055rem;background-color:#ECF7FF;border-radius:0.06rem;height:0.72rem;box-sizing: border-box;width: 100%;vertical-align:middle;" >
                <div style="width:100%;height:auto; position:relative;top: 50%; transform: translateY(-50%);margin-top:-0.05rem;"> 
                <span style="font-size:0.13rem;line-height:0.18rem;color: #666;margin-left:0.1rem;margin-top:0.06rem;">其中委办</span>
                <div style="width:100%;display:flex;">
                  <div style="width: 100%; margin-left:0.1rem;margin-top:0.05rem;" >
                    <div style="height:0.18rem; ">
                        <span style="height:0.18rem;font-weight: bold; font-size:0.18rem;color:#3377FF;" >{{datas.comCost}}</span>
                        <span v-if="identifikey==3" style="font-size:0.12rem;line-height:0.17rem;color: #999999;">%</span>
                    </div>
                    <div v-if="identifikey!=3" style="height:0.15rem;">
                        <span style="font-size:0.1rem;line-height:0.14rem;color: #999999;">{{identifikey==1?"元/百公里":"元/吨公里"}}</span>
                    </div>
                  </div>
                  <div style="width: 100%; height:100%;margin-left:0.05rem;margin-top:0.05rem;" >
                    <div  style="height:0.18rem; ">
                        <span style="height:18rem;font-weight: bold; font-size:0.18rem;"  :style="{color:setColor(datas.comLinkTrend)}">{{datas.comLinkTrend==-1?"-"+datas.comLinkCost:datas.comLinkCost}}</span>
                        <span v-if="identifikey==3" style="font-size:0.12rem;line-height:0.17rem;color: #999999;">%</span>
                      
                        <img :style="datas.comLinkTrend!=0 ? 'width:0.16rem; height:0.16rem;' : 'width:0.16rem; height:0.05rem;margin-bottom:0.08rem;'" :src="datas.comLinkTrend!=0 ? setImage(datas.comLinkTrend,3) : '../../image/eq_blue.png'" >  
                        
                    </div>
                    <div v-if="identifikey!=3" style="height:0.15rem;">
                        <span style="font-size:0.1rem;color: #999999;line-height:0.14rem;">{{identifikey==1?"元/百公里":"元/吨公里"}}</span>
                    </div>
                  </div>
                </div>
                </div>
            </div>
                </div>
            </div>
        </div>`
    })