// 仪表盘
/*
//仪表盘颜色分段
let color = [0.85, 1]; 
//仪表盘数据
let data = {
  name: "车辆运载率",
	value: "20"
};
let option = gaugeOption(color, data);
let myChart = echarts.init(this.$refs[ref][0]);
myChart.setOption(option, true);
*/
function gaugeOption(color, data) {
  return {
    series: [
      {
        name: data.name,
        type: 'gauge',
        radius: '100%',
        min: 0,
        max: 100,
        splitNumber: 4,
        // 仪表盘轴线
        axisLine: {
          lineStyle: {
            width: 9,
            color:
              [
                [color[0], '#FE6573'],
                [color[1], '#1AE642']
              ],
          }
        },
        // 刻度小标记
        axisLabel: {
          distance: 2,
          textStyle: {
            color: '#000',
            fontSize: 9
          }
        },
        // 刻度样式
        axisTick: {
          length: 11,
          lineStyle: {
            color: 'auto',
            shadowColor: '#fff'
          }
        },
        // 分隔线
        splitLine: {
          length: 14,
          lineStyle: {
            width: 2,
            color: 'auto'
          }
        },
        // 指针
        pointer: {
          width: 3,
          length: "75%",
          shadowColor: '#fff'
        },
        title: {
          show: false
        },
        detail: {
          show: false
        },
        data: [data]
      }
    ]
  }
}