var baseCompentsub = {
    props: ['isShow', 'isMax', 'echartShow', 'myMixin', 'pageTitle', 'dateType', 'countDate', 'businessTypes', 'tabName', 'importRcportType', 'level', 'areaCode','activeNavId'],
    data() {
        return {
            // echart相关
            yName: ["完成率情况(%)", '达标情况'],
            noData: false,
            // 下钻层级控制
            // level: 1,
            maxLevel: 3,
            isMaxLevel: false,
            // 当前页面地区
            // areaCode: '',
            // 表格相关
            tableHeight: null,
            // 数据
            dataCountDate: '',
            dataList: '',
            currentType: '',
            onlyTable: false,
            echartData: '',
            pdaTitle: '',
            headerStatus:false,
            cacheRow:'',
            cacheCode:'',
            titleRow:'',
            isReturn:false,
            isRunIn:false,
        }
    },
    computed: {
        // 表格相关
        tableColumnList: function (val) {
            let userLevel = getAccountLevel();
            console.log(this.pageTitle)
            console.log(this.level,'1111111111111111111111111111111111111')
            console.log(userLevel,'2222222222222222222222222222222222')
            console.log(this.maxLevel,'33333333333333333333333333333333333333')
            //  console.log(this.tableColumnList[0].label)
            // console.log('tableColumnList',tableColumn[this.pageTitle+'-'+this.tabName])
            var subTitle = this.currentType !== '' ? this.currentType : this.tabName
            var arr = [...tableColumn[this.pageTitle + '-' + subTitle]]
            console.log(arr)
            if (this.pageTitle == '问题邮件一次及时解决率') {
                if (this.level >= 2){
                    for (var i in arr) {
                        if (arr[i].label == '省份') {
                            arr[i].label = '地市',
                                arr[i].prop = 'cityName'
                        }
                    }
                } else {
                    for (var i in arr) {
                        if (arr[i].label == '地市') {
                            arr[i].label = '省份',
                                arr[i].prop = 'provName'
                        }
                    }
                }
                return arr
            }
            else if (this.pageTitle == '理赔及时满意率') {
                // console.table(arr)
                if(this.dateType == 'D') {
                    arr = arr.filter(column => {
                        return !column.dateType || column.dateType == 'D' 
                    })
                } else if(this.dateType == 'W'){
                    arr = arr.filter(column => {
                        return !column.dateType || column.dateType == 'W' 
                    })
                }else if(this.dateType == 'M'){
                    arr = arr.filter(column => {
                        return !column.dateType || column.dateType == 'M' 
                    })
                }
                console.table(arr)
                if (this.level >= 2) {
                    for (var i in arr) {
                        if (subTitle == '最差区域客服') {
                            if (arr[i].label == '省份') {
                                arr[i].label = '地市',
                                    arr[i].prop = 'cityName'
                            }
                        }
                    }
                }else{
                    for (var i in arr) {
                        if (subTitle == '最差区域客服') {
                            if (arr[i].label == '地市') {
                                arr[i].label = '省份',
                                    arr[i].prop = 'provName'
                            }
                        }
                    }
                }
                return arr
            }
            else if ((this.pageTitle == '智能跟单异常发生率-国际EMS' || this.pageTitle == '智能跟单异常发生率-国际包裹')
                && (this.tabName == '重点管控环节' ||this.tabName == '重点管控投诉')) {
                if (this.maxLevel >= 2 ) {
                    for (var i in arr) {
                        if (arr[i].label == '异常量') {
                            arr[i].label = '发生量'
                        }
                    }
                    return arr
                }
            }
            else if (this.pageTitle == '客户投诉率' && this.tabName == '区域' && (this.isRunIn || userLevel == '04')){

                     arr.splice(5, 1)
                    for (var i in arr) {
                        if (arr[i].label == '日完成(‱)') {
                            arr[i].label = '投诉量'
                            arr[i].prop = 'targetNume'
                        }
                        if (arr[i].label == '与目标差距(‱)') {
                            arr[i].label = '日环比(%)'
                            arr[i].inverted = false
                            arr[i].textColorInverted = true
                            arr[i].prop = 'dayLink'
                        }
                        if (arr[i].label == '月累计(‱)') {
                            arr[i].label = '月累计'
                            arr[i].prop = 'curMonthNume'
                        }
                    }
                return arr
            }
            else if (this.pageTitle == '客户投诉率' && this.tabName == '区域' && this.isReturn)
            {
                        for (var i in arr) {
                            if (arr[i].label == '投诉量') {
                                arr[i].label = '日完成(‱)'
                                arr[i].prop = 'targetValue'
                            }
                            if (arr[i].label == '日环比(%)') {
                                arr[i].label = '与目标差距(‱)'
                                arr[i].inverted = true
                                arr[i].textColorInverted = false
                                arr[i].prop = 'targetValueDiff'
                            }
                            if (arr[i].label == '月累计') {
                                arr[i].label = '月累计(‱)'
                                arr[i].prop = 'curMonthTarget'
                            }
                        }
                return arr
            }
            else if (this.level >= 2 && arr[1].label == '省份') {
                arr.splice(1, 1)
                return arr
            } else if (this.tabName == 'PDA直派率') { //pda 特殊表头处理
                if (this.level > 1) {
                    arr[0].label = '区域'
                } else {
                    arr[0].label = '省份'
                }
                return arr
            }else {

                return tableColumn[this.pageTitle + '-' + subTitle]
            }

        }
    },
    template: `
        <base-compent
            ref="page"
            :no-data="noData"
            :area-code="areaCode"
            :is-max-level="isMaxLevel"
            :table-column-list="tableColumnList"
            :table-height="tableHeight"
            :y-name="yName"
            :data-list="dataList"
            :line-title="pageTitle"
            :pda-title="pdaTitle"
            :echart-show='echartShow'
            :cacheCode = 'cacheCode'
            :only-table = 'onlyTable'
            @change-level="changeLevel"
            @change-area-code="changeAreaCode"
        >
        </base-compent>
	`,
    watch: {
        // 监控是否显示
        isShow: function (val) {
            console.log(val)
            if (val && this.countDate && (!this.dataList || (this.dataCountDate && this.dataCountDate != this.countDate))) {
                this.getData();
            }
        },
        //禁止下钻单独表格
        isMax: function (val) {
            if (val) {
                this.isMaxLevel = true
            } else {
                this.isMaxLevel = false
            }
        },
        // 监控当时间变化时, 重新请求
        countDate: function (val) {
            if (val) {
                if (this.level == 1) {
                    let userLevel = getAccountLevel();
                    let userCode = getAccountCode();
                    switch (userLevel) {
                        case '01':
                        case '02':
                            this.maxLevel = 3;
                            break;
                        case '03':
                            this.maxLevel =  2;
                            break;
                        case '04':
                            if (this.tabName == '重点管控投诉' || this.tabName == '重点管控异常'){
                                this.maxLevel =  2;
                            } else {
                            this.maxLevel =  1;
                            }
                            break;
                        default:
                            this.maxLevel = 1;
                            break;
                    }
                    this.isMaxLevel = this.level == this.maxLevel ? true : false;
                    this.changeTableColumnLable()
                    // this.tableColumnList[0].label = this.isMaxLevel ? '机构' : getNameFromPermission(this.level, false);
                    this.$refs.page.$refs.tableBox.isShow = false;
                    this.$nextTick(() => {
                        this.$refs.page.$refs.tableBox.isShow = true;
                    });
                }
                this.getData();
                this.setTableDown()
            }
        },
        level: function (val) {
            console.log('-----------', val)
            // this.tableColumnList[0].label = this.isMaxLevel ? '机构' : getNameFromPermission(val, false);
            this.changeTableColumnLable()
            this.$refs.page.$refs.tableBox.isShow = false;
            this.$nextTick(() => {
                this.$refs.page.$refs.tableBox.isShow = true;
            });
        }
    },
    mounted() {
        this.handleScroll()
        console.log(this.pageTitle)
        console.log('isMaxLevel-----------', this.isMaxLevel)
        this.setTableDown()

    },
    methods: {
        normalDown() {
            if (this.countDate && this.isShow) {
                let userLevel = getAccountLevel();
                let userCode = getAccountCode();
                console.log('userLevel', userLevel)
                switch (userLevel) {
                    case '01':
                    case '02':
                        this.maxLevel = 3;
                        break;
                    case '03':
                        this.maxLevel = 2;
                        break;
                    case '04':
                        this.maxLevel = 1;
                        break;
                    default:
                        this.maxLevel = 1;
                        break;
                }
                console.log('normalDownnormalDown', this.isMaxLevel)
                this.isMaxLevel = this.level == this.maxLevel ? true : false;
                this.changeTableColumnLable()
                // this.getData();
            }
        },
        disableDown() {
            this.isMaxLevel = true
            //this.maxLevel = 1
            //this.isMaxLevel = this.level == this.maxLevel ? true : false;
            this.changeTableColumnLable()
            // this.getData();
        },
        twoCenDown() {
            console.log('twoCenDown', this.level)
            this.maxLevel = 2
            // this.isMaxLevel = this.level == this.maxLevel ? true : false;
            console.log('--------------', this.isMaxLevel)
            this.changeTableColumnLable()
            // this.getData();
        },
        twoDown() {
            this.maxLevel = 2
            // this.getData()
        },
        //改变表头第一列内容
        changeTableColumnLable() {
            // if(this.tabName == 'PDA直派率' && this.level > 1){
            //     alert(1122)
            //     this.tableColumnList[0].label = '区域'
            // }
        },
        // 监控页面滚动体备注
        // handleScroll() {
        //     let topHeight = document.getElementsByClassName('el-row')[0].clientHeight
        //     alert(1)
        //     window.onscroll = function(){
        //         let tableHeight = document.documentElement.clientHeight - topHeight
        //         let dom = document.getElementsByClassName('tableBox')[0];
        //         //到顶部的距离
        //         let scrollTop = dom.getBoundingClientRect().top;
        //         console.log(scrollTop)
        //         console.log(topHeight)
        //         if ((scrollTop-1) <= topHeight) {
        //             if (!this.headerStatus) {

        //                 this.headerStatus = true;
        //                 this.tableHeight = tableHeight;
        //                 // setTimeout(() => {
        //                 //     this.$refs.page.$refs.tableBox.$refs.table.doLayout()
        //                 // }, 300);
        //             }
        //         } else{

        //             this.headerStatus = false;
        //             this.tableHeight = null;
        //         }
        //     }
        // },

        // 监控页面滚动体 (监听dom)
        // handleScroll() {
        //     let dom = document.getElementById('tabContent');
        //     // let topHeight = document.getElementsByClassName('echart')[0].clientHeight
        //     var self = this
        //     dom.addEventListener('scroll', () => {
        //         let scrollTop = dom.scrollTop;
        //         let topHeight = self.onlyTable? 1 : document.getElementsByClassName('echart')[0].clientHeight;
        //         if (scrollTop >= (topHeight - 1)) {
        //             if (!this.headerStatus) {
        //                 this.headerStatus = true;
        //                 this.tableHeight = dom.clientHeight;
        //                 setTimeout(() => {
        //                     this.$refs.page.$refs.tableBox.$refs.table.doLayout()
        //                 }, 100);
        //             }
        //         } else if (scrollTop < (topHeight - 1)) {
        //             this.headerStatus = false;
        //             this.tableHeight = null;
        //         }
        //     })
        // },
        handleScroll() {
			let windowScrollTop = document.getElementsByClassName('el-table')[0].getBoundingClientRect().top;
			let fullTabNav = document.getElementsByClassName('fullWenTiYiCiAndLeiJiTabNav')[0]
			window.onscroll = () =>{
				let dom = document.getElementsByClassName('el-table')[0];
				let windowHeight = document.documentElement.clientHeight || document.body.clientHeight;
				let scrollTop = dom.getBoundingClientRect().top;
				let tabNavHeight = 0;
				if (fullTabNav) {
					tabNavHeight = fullTabNav.getBoundingClientRect().height
				}
				if (Math.floor(scrollTop) <= tabNavHeight + 1) {
					// if (fullTabNav) {
					// 	window.scrollTo(0, windowScrollTop);
					// }
					this.tableHeight = windowHeight - tabNavHeight;
				} else if (Math.floor(scrollTop) > tabNavHeight) {
					this.tableHeight = null;
				}
			}
		},
        // 根据不同title获取不同数据
        getData(type,row) {
            console.log('查询'+this.level+this.areaCode)
            this.dataCountDate = this.countDate;
            this.handleType(type,row) //根据标题处理逻辑

        },

        getPageAllData(apiMap, trendApi, p, detailApi,cacheRow) {
            //获取趋势
            console.log('当前查询的areaCode',this.areaCode)
            let p1 = new Promise((resolve, reject) => {
                console.log('this.areaCode---',this.areaCode)
                let temp = {
                    countDate: this.countDate,
                    dateType: this.dateType,
                    areaCode: this.areaCode,
                    areaLevel: this.level
                }
                var params = {}
                if(p !== 'undefined') {
                    params = Object.assign(temp,p);
                }else{
                    params = p
                }
                console.log('----p-',params)
                trendApi(params).then(({ data }) => {
                    resolve(data)
                }).catch(err => {
                    reject(err)
                })

            })
             //获取表格
            let p2 = new Promise((resolve, reject) => {
                let temp = {
                    countDate: this.countDate,
                    dateType: this.dateType,
                    areaCode: this.areaCode,
                    areaLevel: this.level
                }
                console.log('cacheRow',cacheRow)
                if(cacheRow){
                    temp.reason = cacheRow.reason
                    temp.part = cacheRow.part
                }
                var params = {}
                if(p !== 'undefined') {
                    params = Object.assign(temp,p);
                }else{
                    params = p
                }
               
                console.log('detailApi---------',detailApi)
                if(detailApi){
                    console.log('detailApi',detailApi)
                    apiMap[detailApi](params).then(({ data }) => {
                        resolve(data)
                   }).catch(err => {
                       reject(err)
                   })
                }else{
                    apiMap[this.tabName](params).then(({ data }) => {
                        resolve(data)
                   }).catch(err => {
                       reject(err)
                   })
                }
            })
            Promise.all([p1, p2]).then((result) => {
                var data = {}
                if(result[1]){
                    data.tableList = result[1]
                }else{
                    data.tableList = '无数据'
                    console.log('tableList无数据')
                }
                if(result[0]){
                    data.echartData = result[0]
                }else{
                    data.echartData = '无数据'
                    console.log('echartData无数据')
                }
                console.log(data)
                this.setData(data)

            }).catch((error) => {
                // alert(error)
                console.log(error)
                this.noData = true;
            })
        },
        handleType(type,cacheRow) {
            var params = {}
            console.log('根据标题处理数据：标题name',this.pageTitle)
            switch (this.pageTitle) {
                case '散户订单及时揽收成功率':
                    var apiMap = {
                        '区域': selectCustomOrderTimely,
                        '最差揽投部': selectSuccessfulCollectionByCode,
                        'PDA直派率': selectPdaDirectFactionByCode
                    }
                    //PDA直派率处理
                    var trendApi = selectServiceAgreeTrend
                    if (this.tabName == 'PDA直派率') {
                        trendApi = selectPdaDirectFactionTrendByDate
                        this.pdaTitle = this.tabName
                    }
                    this.getPageAllData(apiMap, trendApi)
                    break;
                case '协议客户及时揽收成功率':
                    var apiMap = {
                        '区域': getAgreeCustomDetailByArea,
                        '最差揽投部': getTheWorstAgreeCustom,
                        'PDA直派率': getPdaAgree
                    }
                    //PDA直派率处理
                    var trendApi = getAgreeCustomTrending
                    if (this.tabName == 'PDA直派率') {
                        trendApi = getPdaTrending
                        this.pdaTitle = this.tabName
                    }
                    this.getPageAllData(apiMap, trendApi)
                    break;
                case '智能跟单异常发生率-特快':
                    params.pruductCode = '1'; //特快

                    var apiMap = {
                        '区域': getIntelligenceByArea,
                        '最差处理中心': getTheWorstHandleCenter,
                        '最差揽投部': getTheWorstDept,
                        '重点管控异常': getTheControlsAbnormal,
                        '最差处理中心详情':getHandleCenterAbnormal,
                        '最差揽投部详情':getWorstDeptAbnormal,
                        '重点管控异常详情':getControlsAbnormalDetailByReason,
                    }
                    var trendApi = getIntelligenceTrend
                    console.log('---------------',type)
                    this.getPageAllData(apiMap, trendApi, params,type,cacheRow)
                    break;
                case '智能跟单异常发生率-快包':
                    params.pruductCode = '2'; //快包
                    var apiMap = {
                        '区域': getIntelligenceByArea,
                        '最差处理中心': getTheWorstHandleCenter,
                        '最差揽投部': getTheWorstDept,
                        '重点管控异常': getTheControlsAbnormal,
                        '最差处理中心详情':getHandleCenterAbnormal,
                        '最差揽投部详情':getWorstDeptAbnormal,
                        '重点管控异常详情':getControlsAbnormalDetailByReason,
                    }
                    var trendApi = getIntelligenceTrend
                    this.getPageAllData(apiMap, trendApi, params,type,cacheRow)
                    break;
                case '智能跟单异常发生率-国际EMS':
                    params.pruductCode = '3'
                    var apiMap = {
                        '区域': getIntelligenceByArea,
                        '最差处理中心': getTheWorstHandleCenter,
                        '最差揽投部': getTheWorstDept,
                        '重点管控环节': getControlsPart,
                        '重点管控投诉': getTheControlsAbnormal,
                        '重点管控环节详情':getDeptTop10ByPart,
                        '重点管控投诉详情':getDeptTop10ByPart,
                    }
                    var trendApi = getIntelligenceTrend
                    this.getPageAllData(apiMap, trendApi, params,type,cacheRow)
                    break;
                case '异常邮件及时解决率':
                    var apiMap = {
                        '区域': selectErrorMailTimelyVoByDate,
                        '最差处理中心': selectWorstCaseProcessingCenterVoByDate,
                        '最差揽投部': selectWorstCollectAbnormalMailVoByDate
                    }
                    var trendApi = selectErrorMailTimelyTrendVoByDate
                    this.getPageAllData(apiMap, trendApi, params,type,cacheRow)
                    break;
                case '问题邮件一次及时解决率':
                    params.importRcportType = this.importRcportType;
                    var apiMap = {
                        '区域': getProblemMailDetailByArea,
                        '最差区域客服': getProblemMailTheWorstAreaCustomer,
                        '最差协同客服': getProblemMailTheWorstTeamCustomer,
                        '客服有效处理率': getProblemMailCustomComplain
                    }
                    var trendApi = getProblemMailTrending
                    this.getPageAllData(apiMap, trendApi, params)
                    break;
                case '理赔及时满意率':
                    params.importRcportType = this.importRcportType;
                    var apiMap = {
                        '区域': getClaimTimelyRateByArea,
                        '最差区域客服': getClaimTimelyRateWorstArea,
                        '保价业务量占比': getInsureMailVolume
                    }
                    var trendApi = getClaimTimelyRateTrend
                    this.getPageAllData(apiMap, trendApi, params)
                    break;
                case '智能跟单异常发生率-国际包裹':
                    params.pruductCode = '4'
                    var apiMap = {
                        '区域': getIntelligenceByArea,
                        '最差处理中心': getTheWorstHandleCenter,
                        '最差揽投部': getTheWorstDept,
                        '重点管控环节': getControlsPart,
                        '重点管控投诉': getTheControlsAbnormal,
                        '重点管控环节详情':getDeptTop10ByPart,
                        '重点管控投诉详情':getDeptTop10ByPart,
                    }
                    var trendApi = getIntelligenceTrend
                    this.getPageAllData(apiMap, trendApi, params,type,cacheRow)
                    break;
                case '客户投诉率':
                    params.importRcportType = this.importRcportType;
                    var apiMap = {
                        '区域': selectCustomcomplainVoByDate,
                        '最差处理中心': selectWorstHandleComplainVoByDate,
                        '最差揽投部': selectWorstCollectComplainVoByDate,
                        '重点管控投诉': selectKeyControlComplainVoByDate,
                        '最差处理中心详情': getComplainPointTop10ByHandleCenter,
                        '最差揽投部详情': getComplainPointTop10ByDept,
                        '重点管控投诉详情': selectKeyControlLinksByDate,
                    }
                    var trendApi = selectCustomcomplainTrendVoByDate
                    this.getPageAllData(apiMap, trendApi, params,type,cacheRow)
                    break;
                default:
                    break;
            }
        },
        getDownType(type) { //获取下钻类型
            if (type == 1) {
                if (this.tabName == '区域'||this.tabName == '客服有效处理率'||this.tabName == '保价业务量占比') {
                    this.normalDown()
                } else {
                    this.disableDown()
                }
            } else if (type == 2) {
                if (this.tabName == '区域') {
                    this.normalDown()
                } else {
                    this.twoCenDown()
                }

            } else if (type == 3) {
                if (this.tabName == '区域') {
                    this.normalDown()
                } else if (this.tabName == '重点管控投诉' || this.tabName == '重点管控环节') {
                    this.twoDown()
                } else {
                    this.disableDown()
                }
            }
            this.getData();
        },
        setTableDown() {
            switch (this.pageTitle) {
                // Type = 1 //区域下钻 ，其他tab禁止下钻
                // Type = 2 //区域下钻，其他tab下钻一层 到只留table
                // Type = 3 //区域下钻，重点管控投诉，重点管控环节下钻一层
                case '散户订单及时揽收成功率':
                    this.getDownType(1)
                    break;
                case '协议客户及时揽收成功率':
                    this.getDownType(1)
                    break;
                case '智能跟单异常发生率-特快':
                    this.getDownType(2)
                    break;
                case '智能跟单异常发生率-快包':
                    this.getDownType(2)
                    break;
                case '智能跟单异常发生率-国际EMS':
                    this.getDownType(3)
                    break;
                case '异常邮件及时解决率':
                    this.getDownType(1)
                    break;
                case '问题邮件一次及时解决率':
                    this.getDownType(1)
                    break;
                case '理赔及时满意率':
                    this.getDownType(1)
                    break;
                case '智能跟单异常发生率-国际包裹':
                    this.getDownType(3)
                    break;
                case '客户投诉率':
                    this.getDownType(2)
                    break;
                default:
                    break;
            }
        },

        setData(data) {
            //忽略只有表格的echart 空数据判断
            if(!this.onlyTable){
                if (!data || (data.tableList == '无数据' || data.echartData == '无数据')) {
                    this.noData = true;
                    return;
                }
            }else{//只有表格 处理table 无数据 显示无数据
                if (data.tableList == '无数据') {
                    this.noData = true;
                    return;
                }else{
                    data.echartData = '无数据'
                }
            }

            if (JSON.stringify(data) !== '{}') {
                this.noData = false;
                this.dataList = data;
                console.log(this.dataList)
                this.areaCode = this.areaCode ? this.areaCode : getAccountCode();

            }
        },
        // 表格下钻
        changeLevel(row, isGetData) {
            this.titleRow = row;
            // alert('下钻'+row.areaCode)
            // this.areaCode = row.areaCode
            //1-defaultStateList - 区域下钻 其他不变
            //2-secondStateList - 区域下钻 其他下钻只留表格
            //3-internationalList - 区域下钻 重点管控环节、重点管控投诉下钻只保留表格
            var defaultStateList = ['散户订单及时揽收成功率','协议客户及时揽收成功率','异常邮件及时解决率'];
            var secondStateList = ['智能跟单异常发生率-特快','智能跟单异常发生率-快包']
            var internationalList = ['智能跟单异常发生率-国际EMS','智能跟单异常发生率-国际包裹','客户投诉率']
            var wentiandlipeiSecondStateList = ['问题邮件一次及时解决率','理赔及时满意率'];
            if(defaultStateList.includes(this.pageTitle)){
                this.areaCode = row.areaCode;
                this.level = this.level + 1;
                this.isMaxLevel = this.level == this.maxLevel ? true : false;
                    this.getData();
                    this.cacheLevelAndCode()
            }
            else if (secondStateList.includes(this.pageTitle)) {
                // 下钻只显示表格
                //换表头 -- 做显隐 -- 返回处理level
                if (this.tabName == '最差处理中心' || this.tabName == '最差揽投部') {
                    //触发watch变更tableColumnList
                    this.tableColumnList = tableColumn['重点管控异常1']
                    this.currentType = '重点管控异常1'
                    //只保留表格
                    this.setNone({ 'state': false })


                    this.areaCode = row.areaCode;
                    // 只留表格level 不加+1
                    this.level = this.level + 1;
                    console.log('要下钻', this.level)
                    this.isMaxLevel = true

                    var type = this.tabName +'详情'
                    this.handleType(type)

                }
                else if (this.tabName == '重点管控异常') {
                    this.tableColumnList = tableColumn['最差处理中心']
                    this.currentType = '最差处理中心'
                    this.setNone({ 'state': false })
                    this.areaCode = row.areaCode;
                    // 只留表格level 不加+1
                    // this.level = this.level + 1;
                    this.isMaxLevel = true
                    console.log('111=========',this.isMaxLevel)
                    var type = this.tabName +'详情'
                    this.handleType(type,row)

                }
                else if (this.tabName == '重点管控环节') {
                    this.tableColumnList = tableColumn['最差处理中心']
                    this.currentType = '最差处理中心'
                    this.setNone({ 'state': false })
                    this.areaCode = row.areaCode;
                    // 只留表格level 不加+1
                    // this.level = this.level + 1;
                    this.isMaxLevel = true
                    var type = this.tabName +'详情'
                    this.handleType(type)

                }
                else if(this.tabName == '重点管控投诉' ){
                    this.tableColumnList = tableColumn['最差处理中心']
                    this.currentType = '最差处理中心'
                    this.setNone({'state':false})
                    this.areaCode = row.areaCode;
                    // 只留表格level 不加+1
                    this.level = this.level + 1;
                    this.isMaxLevel = true
                    var type = this.tabName +'详情'
                    this.handleType(type)
                }
                else {
                    this.areaCode = row.areaCode;
                    this.level = this.level + 1;
                    this.isMaxLevel = this.level == this.maxLevel ? true : false;
                        this.getData();
                        this.cacheLevelAndCode()

                }
                console.log('this.maxLevel', this.maxLevel)
                console.log('this.isMaxLevel', this.isMaxLevel)
                console.log('当前下钻的=====',this.areaCode)
                console.log('当前的tabname',this.tabName)

                this.cacheLevelAndCode()
            }
            if (wentiandlipeiSecondStateList.includes(this.pageTitle)) {
                this.areaCode = row.areaCode;
                this.level = this.level + 1;
                this.isMaxLevel = this.level == this.maxLevel ? true : false;
                var subTitles = this.currentType !== '' ? this.currentType : this.tabName
                //触发watch变更tableColumnList
                this.tableColumnList = tableColumn[this.pageTitle + '-' + subTitles]
                    this.getData();
                    this.cacheLevelAndCode()
            }
            // 3
            if(internationalList.includes(this.pageTitle)){
                if (this.tabName == '最差处理中心' || this.tabName == '最差揽投部') {
                    //触发watch变更tableColumnList
                    this.tableColumnList = tableColumn['重点管控投诉']
                    this.currentType = '重点管控投诉'
                    //只保留表格
                    this.setNone({ 'state': false })
                    this.areaCode = row.areaCode;
                    this.level = this.level + 1;
                    console.log('要下钻', this.level)
                    this.isMaxLevel = true
                    var type = this.tabName +'详情'

                    this.handleType(type,row)
                }else if(this.tabName == '重点管控环节' || this.tabName == '重点管控投诉'){
                    this.tableColumnList = tableColumn['最差处理中心']
                    this.currentType = '最差处理中心'
                    this.setNone({'state':false})
                    console.log(row)
                    this.areaCode = row.areaCode;
                    // 只留表格level 不加+1
                    // this.level = this.level + 1;
                    this.isMaxLevel = true
                    var type = this.tabName +'详情'
                    console.log('----------'+type,row)
                    this.handleType(type,row)
                }else {
                    this.areaCode = row.areaCode;
                    this.level = this.level + 1;
                    this.isMaxLevel = this.level == this.maxLevel ? true : false;
                    if (this.isMaxLevel) {
                        this.isRunIn = true;
                    }
                        this.getData();
                        this.cacheLevelAndCode()
                }
                this.cacheLevelAndCode()

            }

        },
        setNone(val) {
            if (val.state == false) { //只留表格状态 --- 注：写逻辑注意影响其他页面
                this.onlyTable = true
                document.getElementById('tabContent').style.height = '100%'
                //日历选择器隐藏
                if (typeof Emp !== 'undefined') {
                    Emp.execute("disTimeChoose('" + '1' + "')");
                }
                if(this.pageTitle == '智能跟单异常发生率-国际EMS'){
                    // alert("投递环节");
                    Emp.execute("setTitle('" + this.titleRow.part + ' Top10机构' +  '   '  + this.countDate + "')");
                }
                if(this.pageTitle == '智能跟单异常发生率-国际包裹'){
                    // alert("处理环节");
                    Emp.execute("setTitle('" + this.titleRow.part + ' Top10机构' +  '   '  +  this.countDate + "')");
                }
                if (this.pageTitle == '客户投诉率'){
                    // alert("投诉要点");
                    if (this.tabName == '最差处理中心' || this.tabName == '最差揽投部' ){
                        Emp.execute("setTitle ('" + 'Top10投诉要点' +  '   '  +  this.countDate + "')");
                    }
                    if (this.tabName == '重点管控投诉'){
                    Emp.execute("setTitle ('" + this.titleRow.reason + ' Top10机构' +  '   '  +  this.countDate + "')");
                    }
                }

            } else if (val.state == true) {
                this.onlyTable = false
                //日历选择器开启
                if (typeof Emp !== 'undefined') {
                    Emp.execute("disTimeChoose('" + '2' + "')");
                }
                if(this.pageTitle == '智能跟单异常发生率-国际EMS'){
                    // alert("投递环节");
                    Emp.execute("setTitle('" + '智能跟单异常发生率-国际EMS&' + this.countDate +"')");
                }
                if(this.pageTitle == '智能跟单异常发生率-国际包裹'){
                    // alert("处理环节");
                    Emp.execute("setTitle('" + '智能跟单异常发生率-国际包裹&' + this.countDate +"')");
                }
                if (this.pageTitle == '客户投诉率'){
                    // alert("投诉要点");
                    Emp.execute("setTitle ('" + '客户投诉率' + '  ' + this.countDate +"')");
                }

            }

            this.$emit('set-none', JSON.parse(JSON.stringify(val)));
        },
        cacheLevelAndCode() {
            var levelAndCode = {}
            levelAndCode.level = this.level
            levelAndCode.areaCode = this.areaCode
            levelAndCode.tabName = this.tabName

            this.cacheCode = this.level+'&'+this.areaCode
            console.log('开始缓存areaCode',this.cacheCode)
            console.log('change-level-code', levelAndCode)
            this.$emit('change-level-code', levelAndCode);

        },
        // 页面返回上一层
        upLevel() {
            console.log('当前层级level', this.level)
            console.log('当前层级tabName', this.tabName)

            //独留表格的详情tabName 返回上一级默认选择区域 并且level 不-1
            console.log(this.activeNavId,'当前返回tab');
            var disMinusLevel = ['重点管控异常','重点管控环节','重点管控投诉']
             if(disMinusLevel.includes(this.tabName) && this.onlyTable){
                 var KeyMap = {
                     '重点管控异常':4,
                     '重点管控环节':4,
                     '重点管控投诉':4
                 }
                 this.tableColumnList = this.tabName
                 this.currentType = this.tabName
                 this.$emit('childre-to-nav', KeyMap[this.tabName]);
                this.setNone({ 'state': true })
                // this.level = this.level - 1;
                 this.isMaxLevel = false;
                //返回当前tab页
                 // this.$emit('childre-to-nav', this.activeNavId);
                this.$refs.page.upLevel(this.level);
            }else{
                if (this.level == 1) {
                    if (typeof Emp !== 'undefined') {
                        Emp.execute("goBack()");
                    }
                } else {
                    this.level = this.level - 1;
                    this.isMaxLevel = false;
                    this.$refs.page.upLevel(this.level);
                    //下钻变更 tab个数，返回依然保留返回之前tab
                    if ((this.tabName == '重点管控异常' && this.level == 3)||(this.tabName == '重点管控投诉' && this.level == 3)) {
                        // alert('不处理')
                        this.setNone({ 'state': true, 'flag': 1 })
                    } else {
                        this.isReturn = true
                        this.isRunIn = false
                        this.setNone({ 'state': true })
                    }

                    //处理返回
                   if(['智能跟单异常发生率-特快','智能跟单异常发生率-快包','客户投诉率'].includes(this.pageTitle) && ['最差处理中心','最差揽投部'].includes(this.tabName)) {
                       var KeyMap = {
                           '最差处理中心':2,
                           '最差揽投部':3
                       }
                       this.tableColumnList = tableColumn[this.tabName]
                       this.currentType = this.tabName
                       this.$emit('childre-to-nav', KeyMap[this.tabName]);
                   }else{
                     this.$emit('childre-to-nav',1);
                   }

                }
            }

        },
        // 返回上一层时更改areaCode
        changeAreaCode(areaCode, isGetData) {
            console.log('返回上一层时更改areaCode',areaCode)
            this.areaCode = areaCode;
            this.cacheLevelAndCode()
                this.getData();
        },
        // 是否为直辖市
        isCen(areaCode) {
            console.log('-----------------areaCode', areaCode)
            let code = areaCode.slice(0, 2);
            return code == '11' || code == '12' || code == '31' || code == '50';
        }
    }

};
