var div2 = new Emp.Panel({"layout":"VBox","width":"100%","id":"div2","height":"-2"});
    var div_top = new Emp.Panel({"width":"100%","id":"div_top","height":"1"});
            div2.add(div_top);
        Emp.page.add(div2);
	var surplus = new Emp.Panel({"backgroundColor":"#FFFFFF","width":"100%","id":"surplus","height":"10"});
    Emp.page.add(surplus);
	var div3 = new Emp.Panel({"backgroundColor":"#ffffff","width":"100%","id":"div3","height":"100%"});
    var webview = new Emp.WebView({"width":"100%","id":"webview","height":"100%"});
            div3.add(webview);
        Emp.page.add(div3);
		
	$M.includeFile("/common/watermarkpage.html");
	$M.includeFile("/common/common.html");
	$M.includeFile("/common/value.html");
	$M.includeFile("/dialog/alterDialog.html");
	$M.includeFile("/common/popwindows.html");
	$M.includeFile("/dialog/loading.html");
	$M.includeFile("/common/cycommon.html");
	$M.includeFile("/fiveSystemKanban/js/dateCompent/index.html");
	
	Utils.setStatusBarStyle("default")
	if ($M.isAndroid) {
		Utils.setNativeFlatStyleColoredBars(COLOR_WHITE);
		div_top.setHeight(STATUEHEIGHTANDROID);
		surplus.setHeight(0);
	} else {
		surplus.setHeight(12);
		if (Utils.isIphoneXseries()) {
			div_top.setHeight(STATUEHEIGHTIPHONEX);
		} else {
			div_top.setHeight(STATUEHEIGHTIOS);
		}
	}
	//访问量默认日期是T
	function getDefaultDay(){
		var val = new Date().format('yyyy-MM-dd');
		var p = {
			val : val,
			active: 'day',
		}
		return p;
	}
	//访问量默认月份是M-1
	function getDefaultMonth(){
		var date = new Date();
// 		var hour = date.getHours();
// 		var time = date.getTime() - 24*60*60*1000 * (hour >= 6 ? 1 : 2);
// 		var val = new Date(time).format('yyyy-MM');
		var y = date.getFullYear();
		var m = date.getMonth();
		if(m == 0){
			--y;
			m = 12;
		}
		if(m < 10){
			m = '0' + m;
		}
		var val = y + "-" + m;
		var p = {
			val : val,
			active: 'month',
		}
		return p;
	}
	
	//初始化的月份，如果是当前月，改为上月
	function calcM(){
		if(!mMonth) return;
		var cy = Number(mMonth.substring(0,4));
		var cm = Number(mMonth.substring(5,7));
		if(isCurrentMonth(mMonth)){
			//默认上个月，所以再减个1
			cm--;
			if(cm == 0){
				cy--;
				cm = 12;
			}
			if(cm < 10){
				cm = '0' + cm;
			}
			mMonth = cy + '-' + cm;
		}
	}
	//如果是当日，改为上一日
	function calcD(){
		if(!mDay) return;
		if(isCurrentDay(mDay)){
			var dt = new Date().getTime() - 24*60*60*1000;
			mDay = new Date(dt).format('yyyy-MM-dd');
		}
	}
	
	//入参月份是否当前月，格式2021-06
	function isCurrentMonth(arg){
		return new Date().format('yyyy-MM') == arg;
	}
	
	function isCurrentDay(arg){
		return new Date().format('yyyy-MM-dd') == arg;
	}
	
	var mDay;
	var mDayType;
	var mMonth;
	var mMonthType;
	//记录需要显示的日期是day还是month
	var changedType = 'day';
	
    $M.page.addEvent("onLoad", function (params) {
    	var p = params;
    	if(typeof(p) === 'string'){
    		p = Utils.stringToJson(params);
    	}
    	
    	if(p && p.month){
	    	mMonth = p.month;
	    	mMonthType = 'month';
    	}else if(p && p.day){
    		mMonth = p.day.substring(0,7);
	    	mMonthType = 'month';
    	}else{
    		var m = getDefaultMonth();
	    	mMonth = m.val;
	    	mMonthType = 'month';
    	}
    	
    	if(p && p.day){
    		mDay = p.day;
	    	mDayType = 'day';
    	}else{
    		var d = getDefaultDay();
    		mDay = d.val;
	    	mDayType = 'day';
    	}
    	
    	calcM();
    	calcD();
    	
        webview.setUrl("local://fiveSystemKanban/technologyPower/visits2/visits.htm");
        getStatistics("01-004-0012-001", "访问量");
    });
    
    webview.addEvent("onFinished", function () {
		getAccountPermission();
		setParams();
	})
    
    function setParams(){
    	webview.execute("setParams('"+mDay+"','"+mDayType+"','"+mMonth+"','"+mMonthType+"','"+changedType+"')");
    }
    
    //h5调用，打开时间控件
    function openDateView(d,dType){
        var p = {type: dType, dateCode: d, support:['day','month']};
        dateControl.show(p);
    }
	
	//监听控件返回参数
    dateControl.setDateChangeListener(function (param) {
        log('接受日期组件返回参数' + JSON.stringify(param))
        if (param != null && param != "" && Utils.jsonToString(param) != '{}' && Utils.jsonToString(param) != '"{}"') {
            if (param.active === 'week') {
//                 month = param.val.weekText;
//                 monthType = param.active;
            } else {
            	changedType = param.active;
            	if(param.active == 'day'){
            		if(isCurrentDay(param.val)){
            			toast("请勿选择当日");
						openDateView(mDay,mDayType);
            			return;
            		}
            		mDayType = param.active;
            		mDay = param.val;
            	}else{
            		if(isCurrentMonth(param.val)){
						toast("请勿选择当月");
						openDateView(mMonth,mMonthType);
						return;            		
            		}
            		mMonthType = param.active;
            		mMonth = param.val;
            	}
            }
			setParams();
        }
    });
    
    function loading() {
        loadingHud.show("正在加载");
    };
    /*
	 * 获取账号权限控制字段
	 */	
	function getAccountPermission(){
// 		saveString("ManageData", "org_level",'01')
// 		saveString("ManageData", "xzqh",'100000')
		var level = getString("ManageData", "org_level");
		var code = getString("ManageData", "xzqh");
		webview.execute("getAccountPermission('" + level + "','" + code + "')");
	}
	
	//处理弹窗返回键事件
	var dialogState;
	var dialogCloseMethod;
	function setAlertState(state,m){
		dialogState = state;
		dialogCloseMethod = m;
	}
	
	//返回按钮事件
	function clickLeftBtn() {
		if(dialogState == 1){
			setTimeout(function (){
				webview.execute(dialogCloseMethod + "()");
			},100)
			return;
		}
		webview.execute('goBack()');
		webview.execute('goBackday()');
		webview.execute('goBackmonth()');
		webview.execute('goBack1day()');
		webview.execute('goBack1month()');
		webview.execute('goBack2day()');
		webview.execute('goBack2month()');
// 		$M.page.goBack();
	}
	function goBack(){
		$M.page.goBack();
 	}
 	$M.page.addEvent('onPressBackKeySystem', function () {
        clickLeftBtn();
    });


     Emp.page.render();