var useTrend = {
	props: ['show','d','dt','m','mt'],
	data(){
		return {
			active: 0,
			options: [],
			option: {
				value: '1',
				label: '全部',
			},
		};
	},
	watch: {
	},
	methods: {
		changedType: function(changedType){
			if(this.show){
				this.active = changedType == 'day' ? 0 : 1;
			}
		},
		selectDate: function(arg){
			this.active = arg;
		},
		lvchanged: function(arg){
			this.option = arg;
		},
	},
	mounted() {
		let w = document.documentElement.clientWidth || document.body.clientWidth;
		let h = document.documentElement.clientHeight || document.body.clientHeight;
		h -= (w*100) / 375 * 0.45;
		this.$refs.refRH.style.height = h + 'px';
		
		this.options.push(this.option);
		this.options.push({
			value: '2',
			label: '总部',
		});
		this.options.push({
			value: '3',
			label: '省',
		});
		this.options.push({
			value: '4',
			label: '市',
		});
	},
    template: `
    	<div ref="refRH" style="background:#FFF;overflow-y: auto;">
			<div v-show="active == 0">
				<trend
					:show="show && active == 0"
					:month="d"
					:monthType="dt"
					:options="options"
					:option="option"
					@lvchanged="lvchanged"
				/>
			</div>
			<div v-show="active == 1">
				<trend
					:show="show && active == 1"
					:month="m"
					:monthType="mt"
					:options="options"
					:option="option"
					@lvchanged="lvchanged"
				/>
			</div>
			<div style="background-color:#FFF;width:100%;padding: 0.1rem 0rem;">
				<div class="dateParent">
					<span :class="[active == 0 ? 'dateSelected' : 'dateUnSelected']" style="border-radius: 8px 0 0 8px;" @click="selectDate(0)">日</span>
					<span :class="[active == 1 ? 'dateSelected' : 'dateUnSelected']" style="border-radius: 0 8px 8px 0;" @click="selectDate(1)">月</span>
				</div>
			</div>
    	</div>
    `,
};