/**
 * 弹框组件
 * @author haojingbo
 * @desc 非本人不允许修改及复制
 * @time  2020-12-18
 */
// title 标题 visible 显隐 dataList 数据源 格式如下：
/**{
        'des':['扫码支付率:聚合支付金额/总支付金额*100%;',
        '现金支付率：现金支付金额/总支付金额*100%;',
        '总支付金额：投递收款总金额;',
        '总支付笔数：投递收款总笔数'
    ],
    'from':['新一代寄递平台：财务管理-缴款/归集统计-投递缴款存行统计查询'],
    'totle':['周'],
    'update':['每周更新上周数据']
    }
**/
var xkDialog = {
    props: ['title','visible','dataList'],
    data() {
        return {
            // visible: true
        }
    },
	created() {
		
	},
	mounted() {
	},
    template: `
    <el-dialog
        :title="title"
        :visible.sync="visible"
         width="80%"
        :before-close="close"
        :show-close="false" 
        :lock-scroll="false"
        :append-to-body="true"
        center>
			<div v-if="dataList['des']">
				<h1 style="color:#333333;font-size:0.15rem;font-weight:600;line-height:0.22rem;font-weight:bold;">口径描述:</h1>
				<p style="color:#333333;font-size:0.12rem;font-weight:nomal;line-height:0.18rem;" v-for="(it,i) in dataList['des']">{{it}}</p>
			</div>
			<div v-if="dataList['worth']">
				<h1 style="color:#333333;font-size:0.15rem;font-weight:600;line-height:0.22rem;font-weight:bold;">管理意义:</h1>
				<p style="color:#333333;font-size:0.12rem;font-weight:nomal;line-height:0.18rem;" v-for="(it,i) in dataList['worth']">{{it}}</p>
			</div>
			<div v-if="dataList['rules']">
				<h1 style="color:#333333;font-size:0.15rem;font-weight:600;line-height:0.22rem;font-weight:bold;">计算规则:</h1>
				<p style="color:#333333;font-size:0.12rem;font-weight:nomal;line-height:0.18rem;" v-for="(it,i) in dataList['rules']">{{it}}</p>
			</div>
			<div v-if="dataList['condition']">
				<h1 style="color:#333333;font-size:0.15rem;font-weight:600;line-height:0.22rem;font-weight:bold;">报表查询条件:</h1>
				<p style="color:#333333;font-size:0.12rem;font-weight:nomal;line-height:0.18rem;" v-for="(it,i) in dataList['condition']">{{it}}</p>
			</div>
			<div v-if="dataList['from']">
				<h1 style="color:#333333;font-size:0.15rem;font-weight:600;line-height:0.22rem;font-weight:bold;">数据来源:</h1>
				<p style="color:#333333;font-size:0.12rem;font-weight:nomal;line-height:0.18rem;" v-for="(it,i) in dataList['from']">{{it}}</p>
			</div>
			<div v-if="dataList['totle']">
				<h1 style="color:#333333;font-size:0.15rem;font-weight:600;line-height:0.22rem;font-weight:bold;">统计周期:</h1>
				<p style="color:#333333;font-size:0.12rem;font-weight:nomal;line-height:0.18rem;" v-for="(it,i) in dataList['totle']">{{it}}</p>
			</div>
			<div v-if="dataList['update']">
				<h1 style="color:#333333;font-size:0.15rem;font-weight:600;line-height:0.22rem;font-weight:bold;">数据更新周期:</h1>
				<p style="color:#333333;font-size:0.12rem;font-weight:nomal;line-height:0.18rem;" v-for="(it,i) in dataList['update']">{{it}}</p>
			</div>
		
		
			<span slot="footer" class="dialog-footer">
				<el-button style="padding:0px;width:1.26rem;height:0.31rem;line-height:1;border-radius: 0.05rem;" type="primary" @click="close()">知道了</el-button>
			</span>
	  </el-dialog>`,
 
    watch: {
        // visible:function(val){
           
        //     if(val){
        //         this.scrControl(0)
        //     }else{
        //         this.scrControl(1)
        //     }
        // }
    },
    methods: {
        close() {
           this.$emit('func', false);
        },
        bodyScroll(event){
            event.preventDefault();
        },
        scrControl(t){
            if(t == 0){ //禁止滚动
                document.body.addEventListener('touchmove', this.bodyScroll, { passive: false });
            }else if( t == 1){ //开启滚动
                document.body.removeEventListener('touchmove',this.bodyScroll, {passive: false});
            }
        }
    },
    destroyed() {
        // this.scrControl(1)
    },
};
