//行业对比
Vue.component('industryComparison', {
    data() {
        return {}
    },
    props: {
        data: Object
    },
    methods: {},
    template: `<main-box :title="data.title" style="margin-bottom: 15px">
                    <slot></slot>
               </main-box>`
});

//行业对比--邮政与行业时限比对情况统计
Vue.component('yzyhysxbd', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '菜鸟标准'
                },
                {
                    value: 1,
                    name: '竞品标准'
                }
            ],
            defalutRightLabel: '菜鸟标准',
        }
    },
    props: {
        data: Object
    },
    methods: {
    	getRightVal(val) {
            const arr = ['菜鸟标准', '竞品标准']
            this.defalutRightLabel = arr[Number(val)]
            this.getData();
        },
        getData(data) {
        	let level = '';
            let xzqh = '';
            for (let key in data) {
                this[key] = data[key]
            }
            console.log(data,'邮政与行业')
            let path = '';
            let params = {};
            if (this.defalutRightLabel === '菜鸟标准') {
                path = 'dpk/queryDpkPostalCompareStatis';
                params = {
                    distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                	provCode: '',
                	cityCode: '',
                	dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                    //dataDate: '20201130',
                	standardType: '1',
                	sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) - 1,
                    sumFg: '1',
                };
            } else if (this.defalutRightLabel === '竞品标准') {
                path = 'dpk/queryDpkPostalCompareStatis';
                params = {
                	distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                    provCode: '',
                    cityCode: '',
                    dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                    //dataDate: '20201130',
                    standardType: '2',
                    sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) - 1,
                    sumFg: '1',
                };
            } 
            const msgbody1 = JSON.stringify(params)
            var interface1 = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000
            });
            interface1.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({ data }) => {
            	console.log(data,'邮政与行业')
            	console.log(data.data[0])
            	this.initBar({
            		xData: ['赶超数', '持平数', '落后数'],//catchupCount,fairCount,backupCount
                    legend: '',
                    values: [data.data[0].catchupCount, data.data[0].fairCount, data.data[0].backupCount],
                    name: '数量',
                    xFontSize: 12,
                    xRotate: 0
            	})
            }).catch(err => {
            	this.initBar({
            		xData: ['赶超数', '持平数', '落后数'],//catchupCount,fairCount,backupCount
                    legend: '',
                    values: [0, 0, 0],
                    name: '数量',
                    xFontSize: 12,
                    xRotate: 0
            	})
            })
    	},
        initBar(data) {
            const _this = this;
            let mychart = echarts.init(document.getElementById('yzyhy'));
            var option = option = {
                grid: {
                    top: '15%',
                    left: '3%',
                    right: '4%',
                    bottom: '12%',
                    containLabel: true
                },
                tooltip: {
                    trigger: 'axis',
                    axisPointer: { // 坐标轴指示器，坐标轴触发有效
                        type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
                    },
                    formatter: '{b}: {c}'
                },
                legend: {
                    orient: 'horizontal',
                    bottom: 0,
                    itemWidth: 15,
                    itemHeight: 11,
                    itemGap: 20,
                    borderRadius: 4,
                    textStyle: {
                        color: '#262C41',
                        fontSize: 14
                    },
                    data: [data.legend]
                },
                xAxis: [{
                    type: 'category',
                    color: '#59588D',
                    data: data.xData,
                    axisLabel: {
                        rotate: data.xRotate ? data.xRotate : 0,
                        margin: 20,
                        textStyle: {
                            fontSize: data.xFontSize
                        },
                        formatter: (val) => {
                            if (val.length > 6) return val.substring(0, 6) + '...'
                            else return val
                        }
                    },
                    axisTick: {
                        show: true
                    }
                }],
                yAxis: [{
                    name: data.name,
                    axisLabel: {
                        formatter: '{value}',
                        textStyle: {
                            fontSize: 12
                        },
                    },
                    axisLine: {
                        show: false,
                    },
                    axisTick: {
                        show: false
                    },

                }],
                series: [{
                    name: data.legend,
                    type: 'bar',
                    data: data.values,
                    barWidth: '29px',
                    itemStyle: {
                        normal: {
                            color: function (params) { //展示正值的柱子，负数设为透明
                                let colorArr =[{top:'#81EB7D',bottom:'#30F423'}, {top:'#7EC8EB',bottom:'#2096F4'}, {top:'#EB7D7C',bottom:'#F32626'}]
                                return new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
                                    offset: 0,
                                    color: colorArr[params.dataIndex].bottom // 0% 处的颜色
                                }, {
                                    offset: 1,
                                    color: colorArr[params.dataIndex].top // 100% 处的颜色
                                }], false)
                                //return colorArr[params.dataIndex]
                            },
                            barBorderRadius: [30, 30, 0, 0]
                        },
                    }
                }]
            };
            mychart.setOption(option, true);
        },
    },
    mounted(){
        //this.initBar()
    },
    template: `
               <drill-box 
               		:title="data.title" 
               		:is-show-right="true"
                    :drill-right="drillRight"
                    :defalut-right-label="defalutRightLabel"
                    @getrightval="getRightVal"
                    >
	               	<div style="min-height: 100px;">
	                    <div style="display: flex; justify-content: center; padding: 0 5px">
	                        <div id="yzyhy" style="width: 100%; height: 300px;"></div>
	                    </div>
	                </div>
               </drill-box>`
});

//行业对比-----菜鸟标准全程时限准时率
Vue.component('cnbzqcsxzsl', {
    data() {
        return {
            drillLeft: [
                {
                    value: 0,
                    name: '按日'
                },
                {
                    value: 1,
                    name: '按周'
                },
                {
                    value: 2,
                    name: '按月'
                }
            ],
        	drillRight: [
                {
                	value: 0,
                    name: '特快'
                },
                {
                    value: 1,
                    name: '快包'
                }
            ],
            styTitle :{
                width:'180px',
                minHeight: '40px',
                lineHeight: '20px'
            },
            defalutRightLabel: '特快',
            // defalutRightLabel: '按日',
            dataList: [
                {
                    name: '--',
                    value: '0%'
                }, {
                    name: '--',
                    value: '0%'
                }, {
                    name: '--',
                    value: '0%'
                }
            ],
            targetList: [],
            isShow: true,
            low: '最差省份',
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown() {
            console.log('下钻');
            const data = {
            	distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
            	sumLevel: this.level,
            	defalutRightLabel: this.defalutRightLabel === '特快' ? 'B' : 'K',
            };
            console.log(data);
            try {
                Emp.execute(`drillDownIndAdvBase('${JSON.stringify(data)}')`)
            } catch (e) {

            }
        },
        initLiquid(data) {
        	let level = '';
            let xzqh = '';
            for (let key in data) {
                this[key] = data[key]
            }
            console.log(data,'水球图')
            let path = '';
            let params = {};
            if (this.defalutRightLabel === '特快') {
                path = 'dpk/queryBirdTlmRatePc';
                params = {
                    distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                    provCode: '',
                    dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                    //dataDate: '20201213',
                	dateType: 'D',
                	sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) - 1,
                    sumFg: '1',
                    businessType: 'B',
                    pageSize: '50',
                    pageNo: '1',
                };
            } else if (this.defalutRightLabel === '快包') {
                path = 'dpk/queryBirdTlmRatePc';
                params = {
                    distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                    provCode: '',
                    dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                    //dataDate: '20201213',
                	dateType: 'D',
                	sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) - 1,
                    sumFg: '1',
                    businessType: 'K',
                    pageSize: '50',
                    pageNo: '1',
                };
            }
            const msgbody1 = JSON.stringify(params)
            var interface1 = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000
            });
            interface1.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({ data }) => {
            	console.log(data,'菜鸟标准')
            	console.log(data.data[0].birdRateStr)
            	this.$refs.cnbz.initLiquid(data.data[0].birdRateStr, '#00c685')
            }).catch(err => {
            	this.$refs.cnbz.initLiquid(0, '#00c685')
            })
        },
        getData(data){
        	let level = '';
            let xzqh = '';
            for (let key in data) {
                this[key] = data[key]
            }
            console.log(data,'最差')
            if(this.level == '1' || this.level == '2'){
            	this.low = '最差省份'
            } else if (this.level == '3') {
            	this.low = '最差地市'
            } else if (this.level == '4') {
            	this.low = '最差区县'
            	this.dataList[0].name = '--';
            	this.dataList[0].value = '--%';
            	this.dataList[1].name = '--';
            	this.dataList[1].value = '--%';
            	this.dataList[2].name = '--';
            	this.dataList[2].value = '--%';
            	return;
            } else {
            	this.low = '最差机构'
                this.dataList[0].name = '--';
                this.dataList[0].value = '--%';
                this.dataList[1].name = '--';
                this.dataList[1].value = '--%';
                this.dataList[2].name = '--';
                this.dataList[2].value = '--%';
                return;
            }
            let path = '';
            let params = {};
            if (this.defalutRightLabel === '特快') {
                path = 'dpk/queryBirdTlmRatePc';
                params = {
                    distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                    provCode: '',
                    dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                    //dataDate: '20201213',
                	dateType: 'D',
                	sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) - 1,
                    sumFg: '2',
                    businessType: 'B',
                    pageSize: '50',
                    pageNo: '1',
                };
            } else if (this.defalutRightLabel === '快包') {
                path = 'dpk/queryBirdTlmRatePc';
                params = {
                    distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                    provCode: '',
                    dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                    //dataDate: '20201213',
                	dateType: 'D',
                	sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) - 1,
                    sumFg: '2',
                    businessType: 'K',
                    pageSize: '50',
                    pageNo: '1',
                };
            }
            const msgbody1 = JSON.stringify(params)
            var interface1 = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 10000
            });
            interface1.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({ data }) => {
            	console.log(data,'菜鸟标准')
            	var arr = data.data;
            	function compare(birdRateStr) {
            	    return function(a, b) {
            	        return a[birdRateStr] - b[birdRateStr];
            	    }
            	}
            	arr = arr.sort(compare('birdRateStr'));
            	console.log(arr)
            	this.dataList[0].name = arr[0].distName;
            	this.dataList[0].value = arr[0].birdRateStr + '%';
            	this.dataList[1].name = arr[1].distName;
            	this.dataList[1].value = arr[1].birdRateStr + '%';
            	this.dataList[2].name = arr[2].distName;
            	this.dataList[2].value = arr[2].birdRateStr + '%';
            }).catch(err => {
            	this.dataList[0].name = '--';
            	this.dataList[0].value = '--%';
            	this.dataList[1].name = '--';
            	this.dataList[1].value = '--%';
            	this.dataList[2].name = '--';
            	this.dataList[2].value = '--%';
            })
        },
        getRightVal(val) {
            const arr = ['特快', '快包']
            this.defalutRightLabel = arr[Number(val)]
            this.initLiquid()
            this.getData()
        },
        /*getRightVal(val) {
            const arr = ['按日', '按周', '按月']
            this.defalutRightLabel = arr[Number(val)]
            this.initLiquid()
        },*/
    },
    mounted() {
        //this.initLiquid()
    },
    template: `<drill-box 
                    :title="data.title" 
                    :is-show-left="false"
                    :is-show-right="true"
                    :drill-right="drillRight"
                    :titleSty="styTitle"
                    :defalut-right-label="defalutRightLabel"
                    @getrightval="getRightVal"
                >
                <div style="display: flex; ">
                    <div style="width: 100%;">
                        <div style="color:#666666;text-align: center">
                        	<p>菜鸟标准准时率</p>
                        </div>
                        <liquid-box 
                            ref="cnbz"
                            id-name="cnbzq"
                            @drilldown="drillDown"
                        ></liquid-box>
                    </div>
                    <div style="width: 100%;" v-show="isShow">
                        <div style="color:#666666;  text-align: center">
                        	<p>{{low}}</p>
                        </div>
                        <div style="padding:5px 0; display: flex; color:#858585; justify-content:space-around;" v-for="(item,index) in dataList" :key="index">
                            <div v-text="item.name" style="width: 60px;text-align: left;"></div>
                            <div v-text="item.value" style="width: 60px;text-align: right;"></div>
                        </div>
                    </div>
                </div>      
                </drill-box>
               `
});
//行业对比---全程时长对比图
Vue.component('cqscdbt', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '特快'
                },
                {
                    value: 1,
                    name: '快包'
                },
            ],
            defalutRightLabel: '特快',
        }
    },
    methods: {
        //接口调用
        getData() {

        },
        //下钻
        drillDown(index) {
            console.log('下钻');
        },
        getRightVal(val) {
            const arr = ['快包', '特快']
            this.defalutRightLabel = arr[Number(val)]
        },
        initLine() {
            //初始化折线图
           // console.log('全程时长对比图')
            const legend = ['竞品时长', '邮政产品时长'];
            const xData = ['1月', '2月', '3月', '4月', '5月', '6月','7月','8月'];
            const values = [
                [0,0,0,0,0,0,0,0],
                [0,0,0,0,0,0,0,0],
            ];
            const legendSet = [15, 45];
            const color = ['#1D95F4', '#1AE54B']

            this.$refs.cqs.initLine(legend, xData, values, legendSet, color)
        }
    },
    mounted() {
        this.initLine()
    },
    props: {
        data: Object
    },
    template: `
                <drill-box 
                    :title="data.title" 
                    :is-show-right="true"
                    :drill-right="drillRight"
                    :defalut-right-label="defalutRightLabel"
                    @getrightval="getRightVal"
                >
                    <line-box
                        ref="cqs"
                        :is-show-data-zoom="false"
                        :id-name="'cqsc'"
                        unit="时长"
                    />
                    
                </drill-box>`
});

//行业对比---N日递率对比图
Vue.component('nrdldbt', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: '特快'
                },
                {
                    value: 1,
                    name: '快包'
                },
            ],
            defalutRightLabel: '特快',
        }
    },
    methods: {
        //接口调用
        getData(data) {
        	let level = '';
            let xzqh = '';
            for (let key in data) {
                this[key] = data[key]
            }
            console.log(data,'N日递率对比图')
            let path = '';
            let params = {};
            if (this.defalutRightLabel === '特快') {
                path = 'dpk/queryDpkPassRateCompar';
                params = {
                    distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                	provCode: '',
                	cityCode: '',
                	dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                	//dataDate: '20201130',
                	businessType: 'B',
                	sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) - 1,
                    sumFg: '1',
                };
            } else if (this.defalutRightLabel === '快包') {
                path = 'dpk/queryDpkPassRateCompar';
                params = {
                	distCode: this.level === '1' || this.level === '2' ? '000000' : this.xzqh,
                    provCode: '',
                    cityCode: '',
                    dataDate: dayjs().subtract(1,'day').format('YYYYMMDD'),
                    //dataDate: '20201130',
                    businessType: 'K',
                    sumLevel: this.level === '1' || this.level === '2' ? '1' : Number(this.level) - 1,
                    sumFg: '1',
                };
            } 
            const msgbody1 = JSON.stringify(params)
            var interface1 = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000
            });
            interface1.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': msgbody1,
                    'dataDigest': base64.encode(hex_md5(msgbody1 + data_key + timestamp))
                }
            }).then(({ data }) => {
            	console.log(data,'N日递率')
            	if(this.defalutRightLabel === '特快'){
            		console.log(data.data[0],'N日递率特快')
            		this.initBar({
                        xData: ['T+0', 'T+1', 'T+2', 'T+3','T+4','T+5'],
                        legend: ['邮政产品','竞品值'],
                        values: {
                            data1:[data.data[0].postRate0,data.data[0].postRate1,data.data[0].postRate2,data.data[0].postRate3,data.data[0].postRate4,data.data[0].postRate5],
                            data2:[data.data[0].competorRate0,data.data[0].competorRate1,data.data[0].competorRate2,data.data[0].competorRate3,data.data[0].competorRate4,data.data[0].competorRate5],
                        },
                        //colors: ['#2699F4', '#75C3EC'],
                        name: '%',
                        xFontSize: 12,
                        xRotate: 0
                    })
            	} else if(this.defalutRightLabel === '快包'){
            		console.log(data.data[0],'N日递率快包')
            		this.initBar({
                        xData: ['T+0', 'T+1', 'T+2', 'T+3','T+4','T+5'],
                        legend: ['邮政产品','竞品值'],
                        values: {
                            data1:[data.data[0].postRate0,data.data[0].postRate1,data.data[0].postRate2,data.data[0].postRate3,data.data[0].postRate4,data.data[0].postRate5],
                            data2:[data.data[0].competorRate0,data.data[0].competorRate1,data.data[0].competorRate2,data.data[0].competorRate3,data.data[0].competorRate4,data.data[0].competorRate5],
                        },
                        //colors: ['#2699F4', '#75C3EC'],
                        name: '%',
                        xFontSize: 12,
                        xRotate: 0
                    })
            	} else {
            		this.initBar({
                        xData: ['T+0', 'T+1', 'T+2', 'T+3','T+4','T+5'],
                        legend: ['邮政产品','竞品值'],
                        values: {
                            data1:[0,0,0,0,0,0],
                            data2:[0,0,0,0,0,0]
                        },
                        //colors: ['#2699F4', '#75C3EC'],
                        name: '%',
                        xFontSize: 12,
                        xRotate: 0
                    })
            	}
            }).catch(err => {
            	this.initBar({
                    xData: ['T+0', 'T+1', 'T+2', 'T+3','T+4','T+5'],
                    legend: ['邮政产品','竞品值'],
                    values: {
                        data1:[0,0,0,0,0,0],
                        data2:[0,0,0,0,0,0]
                    },
                    //colors: ['#2699F4', '#75C3EC'],
                    name: '%',
                    xFontSize: 12,
                    xRotate: 0
                })
            })
        },
        //下钻
        drillDown(index) {
            console.log('下钻');
        },
        getRightVal(val) {
            const arr = ['特快', '快包']
            this.defalutRightLabel = arr[Number(val)]
            this.getData();
        },
        initBar(data) {
            //const _this = this;
            let mychart = echarts.init(document.getElementById('nrdl'));
            var option = option = {
                color:['#1C97F4','#4BDA98'],
                grid: {
                    top: '15%',
                    left: '3%',
                    right: '4%',
                    bottom: '15%',
                    containLabel: true
                },
                tooltip: {
                    trigger: 'axis',
                    axisPointer: { // 坐标轴指示器，坐标轴触发有效
                        type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
                    },
                   // formatter: '{b}: {c}'
                },
                legend: {
                    orient: 'horizontal',
                    bottom: 0,
                    itemWidth: 15,
                    itemHeight: 11,
                    itemGap: 20,
                    borderRadius: 4,
                    textStyle: {
                        color: '#262C41',
                        fontSize: 14
                    },
                    data: data.legend
                },
                xAxis: [{
                    type: 'category',
                    color: '#59588D',
                    data: data.xData,
                    axisLabel: {
                        rotate: data.xRotate ? data.xRotate : 0,
                        margin: 20,
                        textStyle: {
                            fontSize: data.xFontSize
                        },
                        formatter: (val) => {
                            if (val.length > 6) return val.substring(0, 6) + '...'
                            else return val
                        }
                    },
                    axisTick: {
                        show: false
                    }
                }],
                yAxis: [{
                    name: data.name,
                    axisLabel: {
                        formatter: '{value}',
                        textStyle: {
                            fontSize: 12
                        },
                    },
                    axisLine: {
                        show: false,
                    },
                    axisTick: {
                        show: false
                    },

                }],
                series: [
                    {
                    name: data.legend[0],
                    type: 'bar',
                    data: data.values.data1,
                    barGap: 0,
                },
                    {
                    name: data.legend[1],
                    type: 'bar',
                    data: data.values.data2,
                    barGap: 0,
                },
            ]
            };
            mychart.setOption(option, true);
        }
    },
    mounted(){
        //this.initBar()
    },
    props: {
        data: Object
    },
    template: `
                <drill-box 
                    :title="data.title" 
                    :is-show-right="true"
                    :drill-right="drillRight"
                    :defalut-right-label="defalutRightLabel"
                    @getrightval="getRightVal"
                >
                <div style="min-height: 100px; ">
                    <div style="display: flex; justify-content: center; padding: 0 5px">
                        <div id="nrdl" style="width: 100%; height: 300px;"></div>
                    </div>
                </div>
                </drill-box>`
});

//陆运全程时限对标后50线路图(对标对象)
Vue.component('lycqsxdb', {
    data() {
        return {
            styTitle :{
                width:'170px',
                minHeight: '40px',
                lineHeight: '20px'
            },
           list:[
                {
                    name: '-',
                    value: 0
                },
                /*{
                    name: '上海',
                    value: 0
                },
                {
                    name: '新疆',
                    value: 0
                },
                {
                    name: '广东',
                    value: 0
                },
                {
                    name: '北京',
                    value: 0
                },
                {
                    name: '重庆',
                    value: 0
                },
                {
                    name: '湖北',
                    value: 0
                },
                {
                    name: '江西',
                    value: 0
                },
                {
                    name: '浙江',
                    value: 0
                },
                {
                    name: '黑龙江',
                    value: 0
                }*/
           ],
           barRef:'lycq_sxdb'

        }
    },
    props: {
        data: Object
    },
    methods: {
        initEcharts(){
            this.$refs[this.barRef].initLine()
        }

    },
    mounted() {
        this.initEcharts()
    },
    template: `<drill-box 
                style="margin-bottom: 20px"
                :title="data.title" 
                :is-show-right="false"
                :titleSty="styTitle"
                :back-color="'#DEEBF4'"
                :boder="true"
                :is-one-title="true"
            >
            <transverse-bar-box 
                style="margin: 0 0 20px 0; padding-top: 20px"
                :ref="barRef"
                :list="list"
                title="递率差"
                :x-max="100"
                xName="%"
            />
            
            </drill-box>`
});
//特快专递N日递率对标后50名线路图(对标对象)
Vue.component('bzkdnrdldb', {
    data() {
        return {
            drillRight: [
                {
                    value: 0,
                    name: 'T+1'
                },
                {
                    value: 1,
                    name: 'T+2'
                },
                {
                    value: 1,
                    name: 'T+3'
                },
                {
                    value: 1,
                    name: 'T+4'
                },
                {
                    value: 1,
                    name: 'T+5'
                },
            ],
            styTitle :{
                width:'200px',
                minHeight: '40px',
                lineHeight: '20px'
            },
            defalutRightLabel: 'T+1',
            list:[
                {
                    name: '-',
                    value: '0'
                },
                /*{
                    name: '上海',
                    value: 0
                },
                {
                    name: '新疆',
                    value: 0
                },
                {
                    name: '广东',
                    value: 0
                },
                {
                    name: '北京',
                    value: 0
                },
                {
                    name: '重庆',
                    value: 0
                },
                {
                    name: '湖北',
                    value: 0
                },
                {
                    name: '江西',
                    value: 0
                },
                {
                    name: '浙江',
                    value: 0
                },
                {
                    name: '黑龙江',
                    value: 0
                }*/
           ],
           barRef:'bzkd_nrdldb'
        }
    },
    props: {
        data: Object
    },
    methods: {
        drillDown(index) {
            console.log('下钻');
        },
        getRightVal(val) {
            const arr = ['T+1', 'T+2','T+3','T+4','T+5',]
            this.defalutRightLabel = arr[Number(val)]
        },
        initEcharts(){
            this.$refs[this.barRef].initLine()
        }
    },
    mounted() {
       this.initEcharts()
    },
    template: `<drill-box 
                :title="data.title" 
                :is-show-right="true"
                :drill-right="drillRight"
                :defalut-right-label="defalutRightLabel"
                :titleSty="styTitle"
                :back-color="'#DEEBF4'"
                :is-one-title="true"
                :boder="true"
                @getrightval="getRightVal"
            >
                <transverse-bar-box 
                    style="margin: 0 0 20px 0; padding-top: 20px"
                    :ref="barRef"
                    :list="list"
                    title="递率差"
                    :x-max="100"
                    xName="%"
            />
                </drill-box>`
});


