// 页面数据
let pageData = {
    xzqh:'',
    sumLevel:'',
};
//重点指标趋势图
Vue.component('zdzbqst', {
    data() {
        return {
            objList:[],
            drillRight: [
                {
                    value: 0,
                    name: '按日'
                },
                {
                    value: 1,
                    name: '按周'
                },
                {
                    value: 2,
                    name: '按月'
                },
            ],
            defalutRightLabel: '按日',
            ref:'zdzb_qst',
            id:'zdzb',
            isTrue:true,
            bk:'B',
            dateType:'D'
        }
    },
    props: {
        data: Object
    },
    methods: {
        getRightVal(val) {
            const arr = ['按日','按周','按月']
            this.objList=[]
            console.log(val)
            this.defalutRightLabel = arr[Number(val)]
            switch(val){
                case 0:
                    this.dateType='D';
                    break;
                case 1:
                    this.dateType='W';
                    break;
                case 2:
                    this.dateType='M';
                    break;
            }
            this.chartinit()
        },
        //上行市趟准点率
        sxstzdl_getDate(param){
            const path = 'dpk/queryCityUpRatePc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
           return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log('data1',data);
                return data
            }).catch(err => {
                console.log(err);
                vant.Toast.clear();
            });
        },
        //下行市趟准点率
        xxstzdl_getDate(param){
            const path = 'dpk/queryCityDownRatePc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
           return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log(data);
                return data
            }).catch(err => {
                console.log(err);
                vant.Toast.clear();
            });
        },
        //及时妥投率
        jsttl_getDate(param){
            const path = 'dpk/queryTimelyDeliveredRatePc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
           return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log("data",data);
                return data
            }).catch(err => {
                console.log(err);
                vant.Toast.clear();
            });
        },
        //出口分拣准确率
        ckfjzql_getDate(param){
            const path = 'dpk/queryExportSortingAccuracyPc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
           return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log("chukou",data);
                return data
            }).catch(err => {
                console.log(err);
                vant.Toast.clear();
            });
        },
        //进口分拣准确率
        jkfjzql_getDate(param){

            const path = 'dpk/queryImportSortingAccuracyPc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
           return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log("jinkou",data);
                return data
            }).catch(err => {
                console.log(err);
                vant.Toast.clear();
            });
        },

      //干线准点率
        gxzdl_getData(param){
            const path = 'dpk/queryMainLineRatePc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
            return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log(data);
                return data
            }).catch(err => {
                console.log(err);
                //vant.Toast.clear();
            });
        },
        //邮车运行准点率
        ycyxzdl_getData(param){
            const path = 'dpk/queryPostalRatePc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
            return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log(data);
                return data
            }).catch(err => {
                console.log(err);
                //vant.Toast.clear();
            });
        },
        //城市妥投率
        cityttl_getData(param){
            const path = 'dpk/queryDpkDlvCityRatePc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
            return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log("city",data);
                return data
            }).catch(err => {
                console.log(err);
                //vant.Toast.clear();
            });
        },
        //农村妥投率
        countryttl_getData(param){
            const path = 'dpk/queryDpkDlvVillageRatePc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
            return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log("country",data);
                return data
            }).catch(err => {
                console.log(err);
                //vant.Toast.clear();
            });
        },
        //收寄及时率
        postingTimely_getData(param){
            const path = 'dpk/queryPostTimelyRatePc'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
            return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log("shouji",data);
                return data
            }).catch(err => {
                console.log(err);
                //vant.Toast.clear();
            });
        },
        //城市妥投率趋势图
        cityttlqxt(param){
            const path = 'dpk/queryDpkDlvCityRateBetween'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
            return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log("cityttlqxt",data);
                return data
            }).catch(err => {
                console.log(err);
                //vant.Toast.clear();
            });
        },
        //农村妥投率趋势图
        countryttlqxt(param){
            const path = 'dpk/queryDpkDlvVillageRateBetween'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
            return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log("countryttlqxt",data);
                return data
            }).catch(err => {
                console.log(err);
                //vant.Toast.clear();
            });
        },
        //邮车运行、市趟上行、市趟下行、干线趋势图
        PostTrainRate(param,routeType){
            let msgBody = JSON.parse(param)
            msgBody.routeType=routeType
            param=JSON.stringify(msgBody)
            const path = 'dpk/queryPostTrainRateBetween'
            var interface = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 100000,
            })
            return interface.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': param,
                    'dataDigest': base64.encode(hex_md5(param + data_key + timestamp))
                }
            }).then(({data}) => {
                console.log("PostTrainRate",data);
                return data
            }).catch(err => {
                console.log(err);
                //vant.Toast.clear();
            });
        },
        initNoData(param){
            param.theBestRate = '-';
            param.theBestName ='-';
            param.theWorstRate ='-';
            param.theWorstName ='-';
            param.targetRate ='-';
            param.timeLimit ='-';
            param.timeLimitHb ='-';
            param.issure =true;
            param.jd2 =0;
        },
        chartinit(data=pageData) {
            vant.Toast.loading({
                message: '加载中...',
                forbidClick: true,
                duration: 10000
            })
            this.queryDealAndPlane(data);
            pageData.xzqh=data.xzqh
            pageData.level=data.level
            const substract = [13, 7, 8, 9, 10, 11, 12];
            const maxDate = dayjs().subtract(substract[new Date().getDay()], 'day');
            console.log(maxDate)
            const day = [1,0,6,5,4,3,2]; //周一到周六计算方式
            let beginDate = new Date(new Date(maxDate).getFullYear(), 0, 1);
            const isThursday = [1, 4, 2, 3].includes(beginDate.getDay());
            let week = Math.ceil((parseInt((new Date(maxDate) - beginDate) / (24 * 60 * 60 * 1000)) + 1 - day[beginDate.getDay()]) / 7);
            let weekNum= isThursday ?  `${new Date(maxDate).getFullYear()}${(Number(week) + 1).toString().padStart(2, '0')}` : `${new Date(maxDate).getFullYear()}${(Number(week)).toString().padStart(2, '0')}`
            console.log(weekNum)
            let monNum = dayjs().substract(1,'month').format('YYYYMM')
            // if(new Date().getMonth() == 0){
            //     monNum=(new Date().getFullYear()-1)+'12'
            // }else{
            //     if(new Date().getMonth()<10){
            //         monNum=new Date().getFullYear()+'0'+new Date().getMonth()
            //     }else {
            //         monNum=new Date().getFullYear()+''+new Date().getMonth()
            //     }
            // }
            //console.log(monNum)
            let params = {
                distCode: pageData.xzqh,
                // distCode:'',
                 dataDate:this.dateType == 'D' ? dayjs(new Date().getTime()-1000*60*60*24).format('YYYYMMDD') :
                            (this.dateType == 'M' ? monNum :
                            weekNum),
                // dataDate:'20210204',
                // sumLevel:'1',
                sumLevel:pageData.level === '1' || pageData.level === '2' ? '1' : Number(pageData.level) - 1,
                sumFg:'1',
                businessType: this.bk,
                dateType:this.dateType,
            };
            let params3 = {
                distCode: pageData.xzqh,
                // distCode:'',
                 dataDate:this.dateType == 'D' ? dayjs(new Date().getTime()-2*1000*60*60*24).format('YYYYMMDD') :
                            (this.dateType == 'M' ? monNum :
                            weekNum),
                // dataDate:'20210204',
                // sumLevel:'1',
                sumLevel:pageData.level === '1' || pageData.level === '2' ? '1' : Number(pageData.level) - 1,
                sumFg:'1',
                businessType: this.bk,
                dateType:this.dateType,
            };
            let params_jsttl = {
                distCode: pageData.xzqh,
                // distCode:'',
                dataDate:this.dateType == 'D' ? dayjs(new Date().getTime()-1000*60*60*24*2).format('YYYYMMDD') :
                    (this.dateType == 'M' ? monNum :
                        weekNum),
                //dataDate:'20210112',
                // sumLevel:'1',
                sumLevel:pageData.level === '1' || pageData.level === '2' ? '1' : Number(pageData.level) - 1,
                sumFg:'1',
                businessType: this.bk,
                dateType:this.dateType,

            };

            var msgbody1 = JSON.stringify(params)
            var msgbody2 = JSON.stringify(params_jsttl)
            var msgbody3 = JSON.stringify(params3)

            console.log(msgbody1)
            console.log(msgbody2)
            Promise.all([this.ycyxzdl_getData(msgbody3),this.sxstzdl_getDate(msgbody3),this.gxzdl_getData(msgbody3),this.xxstzdl_getDate(msgbody3),this.jsttl_getDate(msgbody2),this.cityttl_getData(msgbody1),this.countryttl_getData(msgbody1),this.postingTimely_getData(msgbody1),this.ckfjzql_getDate(msgbody1),this.jkfjzql_getDate(msgbody1)]).then(resp => {
                console.log(resp)
                //邮车运行准点率
                let ycyxzdl;
                if(resp[0].resCode==='C00001' && resp[0].data.length>0){
                    ycyxzdl = resp[0].data[0];
                    ycyxzdl.title = '邮车运行准点率';
                    ycyxzdl.theBestRate =ycyxzdl.bestRate;
                    ycyxzdl.theBestName =ycyxzdl.bestName;
                    ycyxzdl.theWorstRate =ycyxzdl.badRate;
                    ycyxzdl.theWorstName =ycyxzdl.badName;
                    ycyxzdl.targetRate =ycyxzdl.targetNumStr;
                    ycyxzdl.timeLimit =ycyxzdl.timeRateStr;
                    ycyxzdl.timeLimitHb =ycyxzdl.ringRateStr;
                    ycyxzdl.issure =Number(ycyxzdl.timeLimitHb)>0 ? true : false;
                    ycyxzdl.jd2 =ycyxzdl.targetRate/100;
                }else{
                    ycyxzdl = {};
                    ycyxzdl.title = '邮车运行准点率';
                    this.initNoData(ycyxzdl)
                }
				this.objList.push(ycyxzdl)
				 //上行市趟准点率
                 let sxstzdl
                if(resp[1].resCode==='C00001' && resp[1].data.length>0){
                    sxstzdl=resp[1].data[0]
                    sxstzdl.title='上行市趟准点率'
                    sxstzdl.jd2=sxstzdl.targetNum/100
                    sxstzdl.issure=sxstzdl.ringRate>0 ? true : false
                    sxstzdl.theBestRate=sxstzdl.bestRateStr
                    sxstzdl.theWorstRate=sxstzdl.badRateStr
                    sxstzdl.theBestName=sxstzdl.bestName
                    sxstzdl.theWorstName=sxstzdl.badName
                    sxstzdl.timeLimit=sxstzdl.timeRateStr
                    sxstzdl.timeLimitHb=sxstzdl.ringRateStr
                    sxstzdl.targetRate=sxstzdl.targetNumStr

                }else{
                    sxstzdl = {};
                    sxstzdl.title='上行市趟准点率'
                    this.initNoData(sxstzdl)
                }
                this.objList.push(sxstzdl);
                //干线准点率
                let gxzdl;
                if(resp[2].resCode==='C00001' && resp[2].data.length>0){
                    gxzdl = resp[2].data[0];
                    gxzdl.title = '干线运输准时率';
                    gxzdl.theBestRate =gxzdl.bestRate;
                    gxzdl.theBestName =gxzdl.bestName;
                    gxzdl.theWorstRate =gxzdl.badRate;
                    gxzdl.theWorstName =gxzdl.badName;
                    gxzdl.targetRate =gxzdl.targetNumStr;
                    gxzdl.timeLimit =gxzdl.timeRateStr;
                    gxzdl.timeLimitHb =gxzdl.ringRateStr;
                    gxzdl.issure =Number(gxzdl.timeLimitHb)>0 ? true : false;
                    gxzdl.jd2 =gxzdl.targetRate/100;
                }else {
                    gxzdl = {};
                    gxzdl.title = '干线运输准时率';
                    this.initNoData(gxzdl)
                }

                this.objList.push(gxzdl);
                //下行市趟准点率
               let xxstzdl
                if(resp[3].resCode==='C00001' && resp[3].data.length>0){

                    xxstzdl=resp[3].data[0]
                    xxstzdl.title='下行市趟准点率'
                    xxstzdl.jd2=xxstzdl.targetNum/100
                    xxstzdl.issure=xxstzdl.ringRate>0 ? true : false
                    xxstzdl.theBestRate=xxstzdl.bestRateStr
                    xxstzdl.theWorstRate=xxstzdl.badRateStr
                    xxstzdl.theBestName=xxstzdl.bestName
                    xxstzdl.theWorstName=xxstzdl.badName
                    xxstzdl.timeLimit=xxstzdl.timeRateStr
                    xxstzdl.timeLimitHb=xxstzdl.ringRateStr
                    xxstzdl.targetRate=xxstzdl.targetNumStr

                }else{
                    xxstzdl = {};
                    xxstzdl.title='下行市趟准点率'
                    this.initNoData(xxstzdl)
                }
                this.objList.push(xxstzdl)
                //及时妥投率
                let jsttl
                // Object.keys(obj).length == 0
                console.log( Object.keys( resp[4].data).length == 0)
                if( Object.keys( resp[4].data).length != 0 ){
                    console.log(123456)
                    jsttl=JSON.parse(JSON.stringify(resp[4].data))
                    jsttl.title='及时妥投率'
                    jsttl.jd2=jsttl.targetRate/100
                    jsttl.targetRate=Number(jsttl.targetRate).toFixed(2)
                    jsttl.issure=jsttl.timeLimitHb>0 ? true : false

                }else{
                    jsttl = {};
                    jsttl.title='及时妥投率'
                    this.initNoData(jsttl)
                }
                this.objList.push(jsttl)
                //城市妥投率
                let cityttl;
                if(resp[5].resCode==='C00001' && resp[5].data.length>0){
                    cityttl = resp[5].data[0];
                    cityttl.title = '城市妥投率';
                    cityttl.theBestRate =this.bk === 'B' ? cityttl.bestStandardRate : cityttl.bestPackRate;
                    cityttl.theBestName =cityttl.bestName;
                    cityttl.theWorstRate =this.bk === 'B' ? cityttl.badStandardRate : cityttl.badPackRate;
                    cityttl.theWorstName =cityttl.badName;
                    cityttl.targetRate =cityttl.targetNo;
                    cityttl.timeLimit =this.bk === 'B' ? cityttl.standardRate : cityttl.packRate;
                    cityttl.timeLimitHb =this.bk === 'B' ? cityttl.ringStandard : cityttl.ringPack;
                    cityttl.issure =Number(cityttl.timeLimitHb)>0 ? true : false;
                    cityttl.jd2 =Number(cityttl.targetRate)/100;
                }else {
                    cityttl = {};
                    cityttl.title = '城市妥投率';
                    this.initNoData(cityttl)
                }

                this.objList.push(cityttl);
                //农村妥投率
                let countryttl;
                if(resp[6].resCode==='C00001' && resp[6].data.length>0){
                    countryttl = resp[6].data[0];
                    countryttl.title = '农村妥投率';
                    countryttl.theBestRate =this.bk === 'B' ? countryttl.bestStandardRate : countryttl.bestPackRate;
                    countryttl.theBestName =countryttl.bestName;
                    countryttl.theWorstRate =this.bk === 'B' ? countryttl.badStandardRate : countryttl.badPackRate;
                    countryttl.theWorstName =countryttl.badName;
                    countryttl.targetRate =countryttl.targetNo;
                    countryttl.timeLimit =this.bk === 'B' ? countryttl.standardRate : countryttl.packRate;
                    countryttl.timeLimitHb =this.bk === 'B' ? countryttl.ringStandard : countryttl.ringPack;
                    countryttl.issure =Number(countryttl.timeLimitHb)>0 ? true : false;
                    countryttl.jd2 =Number(countryttl.targetRate)/100;
                }else {
                    countryttl = {};
                    countryttl.title = '农村妥投率';
                    this.initNoData(countryttl)
                }

                this.objList.push(countryttl);
                //收寄及时率
                let postingTimely;
                if(resp[7].resCode==='C00001' && Object.keys( resp[7].data).length != 0){
                    console.log('55555555555')
                    postingTimely = resp[7].data;
                    postingTimely.title = '收寄及时率';
                    // postingTimely.theBestRate =postingTimely.bestRate;
                    // postingTimely.theBestName =postingTimely.bestName;
                    // postingTimely.theWorstRate =postingTimely.badRate;
                    // postingTimely.theWorstName =postingTimely.badName;
                    // postingTimely.targetRate =postingTimely.targetNumStr;
                    // postingTimely.timeLimit =postingTimely.timeRateStr;
                    // postingTimely.timeLimitHb =postingTimely.ringRateStr;
                    postingTimely.issure =Number(postingTimely.timeLimitHb)>0 ? true : false;
                    postingTimely.jd2 =postingTimely.targetRate/100;
                }else {
                    postingTimely = {};
                    postingTimely.title = '收寄及时率';
                    this.initNoData(postingTimely)
                }

                this.objList.push(postingTimely);
                //出口分拣准确率
                let ckdeliveredTimely;
                if(resp[8].resCode==='C00001' &&resp[8].data.length>0){
                    console.log('666666666')
                    ckdeliveredTimely = resp[8].data[0];
                    ckdeliveredTimely.title = '出口分拣准确率';
                   console.log(ckdeliveredTimely)
                    ckdeliveredTimely.issure =Number(ckdeliveredTimely.timeLimitHb)>0 ? true : false;
                    ckdeliveredTimely.jd2 =ckdeliveredTimely.goalAccuracy/100;
                    // ckdeliveredTimely.jd2 =ckdeliveredTimely.chainAccuracy/100;
                    ckdeliveredTimely.issure=ckdeliveredTimely.chainAccuracy>0 ? true : false
                    ckdeliveredTimely.theBestRate=ckdeliveredTimely.theBest[0].sortingAccuracy
                    ckdeliveredTimely.theBestName=ckdeliveredTimely.theBest[0].distName
                    ckdeliveredTimely.theWorstRate=ckdeliveredTimely.theWorst[0].sortingAccuracy
                    ckdeliveredTimely.theWorstName=ckdeliveredTimely.theWorst[0].distName
                    ckdeliveredTimely.timeLimit=ckdeliveredTimely.sortingAccuracy
                    ckdeliveredTimely.timeLimitHb=ckdeliveredTimely.chainAccuracy
                    ckdeliveredTimely.targetRate=ckdeliveredTimely.goalAccuracy

                }else {
                    ckdeliveredTimely = {};
                    ckdeliveredTimely.title = '出口分拣准确率';
                    this.initNoData(ckdeliveredTimely)
                }

                this.objList.push(ckdeliveredTimely);
                //进口分拣准确率
                let jkdeliveredTimely;
                if(resp[9].resCode==='C00001' &&resp[9].data.length>0){
                    console.log('666666666')
                    jkdeliveredTimely = resp[9].data[0];
                    jkdeliveredTimely.title = '进口分拣准确率';
                   console.log(jkdeliveredTimely)
                   jkdeliveredTimely.issure =Number(jkdeliveredTimely.timeLimitHb)>0 ? true : false;
                   jkdeliveredTimely.jd2 =jkdeliveredTimely.goalAccuracy/100;
                    // ckdeliveredTimely.jd2 =ckdeliveredTimely.chainAccuracy/100;
                    jkdeliveredTimely.issure=jkdeliveredTimely.chainAccuracy>0 ? true : false
                    jkdeliveredTimely.theBestRate=jkdeliveredTimely.theBest[0].sortingAccuracy
                    jkdeliveredTimely.theBestName=jkdeliveredTimely.theBest[0].distName
                    jkdeliveredTimely.theWorstRate=jkdeliveredTimely.theWorst[0].sortingAccuracy
                    jkdeliveredTimely.theWorstName=jkdeliveredTimely.theWorst[0].distName
                    jkdeliveredTimely.timeLimit=jkdeliveredTimely.sortingAccuracy
                    jkdeliveredTimely.timeLimitHb=jkdeliveredTimely.chainAccuracy
                    jkdeliveredTimely.targetRate=jkdeliveredTimely.goalAccuracy
                }else {
                    jkdeliveredTimely = {};
                    jkdeliveredTimely.title = '进口分拣准确率';
                    this.initNoData(jkdeliveredTimely)
                }

                this.objList.push(jkdeliveredTimely);
                //自动调用
                for(let i=0;i<this.objList.length;i++){
                    this.objList[i].ref=this.ref+i
                    this.objList[i].id=i
                    this.$nextTick(()=>{
                        this.$refs[this.objList[i].ref][0].chartinit(this.objList[i])
                        vant.Toast.clear()
                    })
                }
                 //折线图
                this.initLine(Number(weekNum)+1+'')
            }).catch(err => {
                console.log(err);
                vant.Toast.clear()
            })
            console.log(this.objList)
        },
        drillDown(item){
            if(pageData.level > 4 ) return
            if(['内部处理及时率','邮航航班正确率'].includes(item.title)){
				/**
				 * 获取某日的日期，默认为当天日期
				 * @params num 默认为0，获取前一天为-1，后一天为1
				 * @return 20210227
				 */
				const getSomeDaysDate = (num = 0) => {
					let dates = new Date();
					let times = dates.getTime();
					let theTimes = 1 * times + 3600*24*1000*num
					return dateFormat[this.dateType](new Date(theTimes)).split('.').join('');
				}
                const params = {
                    distCode: pageData.xzqh,
                    sumLevel: pageData.level == 1 || pageData.level == 2 ? 1 : pageData.level * 1 - 1,
                    sumFg: '2',
                    dataDate: getSomeDaysDate(-2),
                    //dataDate: '20201108',
                    businessType: this.bk,
                    dateType: this.dateType,
                    barName: item.title,
                    barType: item.title === '内部处理及时率' ? 'deal' : 'plane',
                };
                Emp.execute(`qualityTargetDrillDown('${JSON.stringify(params)}')`);
                return;
            }
            let index=item.id+','+this.dateType+','+this.bk
            console.log(index)
            Emp.execute("goToZlzbxzPage('"+index+"')")
            console.log(item.id+','+this.dateType+','+this.bk)
        },
        biao () {
            if (this.isTrue) {
                return
            } else {
                this.bk='B'
                this.isTrue = !this.isTrue;
                this.objList=[]
                this.chartinit()
            }

        },
        kuai () {
            if (!this.isTrue) {
                return
            } else {
                this.bk='K'
                this.isTrue = !this.isTrue;
                this.objList=[]
               this.chartinit()
            }
        },
        initLine(weekNum) {
            let beginDate = '';
            let endDate = '';
            let year = new Date().getFullYear()+'';
            let month = '';
            if(new Date().getMonth()+1>10){
                month = new Date().getMonth()+1+'';
            }else{
                month = '0'+(new Date().getMonth()+1)+'';
            }
            if(this.dateType === 'D'){
                beginDate = year+month+'01';
                endDate = dayjs(new Date()).format('YYYYMMDD')
            }else if(this.dateType === 'W'){
                beginDate = getFirstWeek(weekNum.slice(0,4)+'.'+weekNum.slice(4));
                endDate = weekNum;
            }else{
                beginDate = year+'01';
                endDate = year+month;
            }
            console.log(beginDate+','+endDate)
            let params = {
                distCode: pageData.xzqh,
                // distCode:'',
                beginDate:beginDate,
                endDate:endDate,
                // sumLevel:'1',
                sumLevel:pageData.level === '1' || pageData.level === '2' ? '1' : Number(pageData.level) - 1,
                businessType: this.bk,
                dateType:this.dateType,
                routeType:'1',
                provCode:'',
                cityCode:'',
                countyCode:''
            };
            var msgbody = JSON.stringify(params);
            console.log(msgbody)
            Promise.all([this.cityttlqxt(msgbody),this.countryttlqxt(msgbody),this.PostTrainRate(msgbody,1),this.PostTrainRate(msgbody,2),this.PostTrainRate(msgbody,3),this.PostTrainRate(msgbody,4)]).then(resp => {
                console.log('曲线图',resp)

            }).catch(err => {
                console.log(err);
                vant.Toast.clear()
            });
            //初始化折线图
           // console.log('全程时长对比图')
            var legend = [];
            const xData = ['1月', '2月', '3月', '4月', '5月', '6月','7月','8月'];
            var values = [];
            const legendSet = [0,10];
            const color = [
                '#1D94F4', '#2BEC8F','#1D2089','#CD01FF','#FCC800','#7F521B',
                '#5F52A1','#BF9700','#00FFFF','#01A572','#BDA299','#D38265']
            for(var i=0;i<this.objList.length;i++){
                this.objList[i].value = [0,0,0,0,0,0,0,0]
                legend.push(this.objList[i].title)
                values.push(this.objList[i].value)
            }
            console.log(values)
            this.$nextTick(()=>{
                this.$refs.cqs.initLine(legend, xData, values, legendSet, color)
            })

        },
        queryDealAndPlane(data){
			/**
			 * 获取某日的日期，默认为当天日期
			 * @params num 默认为0，获取前一天为-1，后一天为1
			 * @return 20210227
			 */
			const getSomeDaysDate = (num = 0) => {
				let dates = new Date();
				let times = dates.getTime();
				let theTimes = 1 * times + 3600*24*1000*num
				return dateFormat[this.dateType](new Date(theTimes)).split('.').join('');
			}
            const params = {
                distCode: data.xzqh,
                sumLevel: data.level == 1 || data.level == 2 ? 1 : data.level * 1 - 1,
                sumFg: '1',
                dataDate: this.dateType !== 'D' ? getSomeDaysDate(-1) : getSomeDaysDate(-2), // 按日为T-2
                //dataDate: '20201108',
                businessType: this.bk,
                dateType: this.dateType,
            };
			
            console.log('内部处理和航班参数', params);
            const path = 'dpk/queryInsideHandleTimelyRatePc';
            //const path = 'dpk/queryPostalRatePc';
            const request = axios.create({
                'Access-Control-Allow-Origin': '*',
                baseURL: board_url,
                timeout: 10000,
            });
            const jsonParam = JSON.stringify(params);
            //内部处理及时率
            const deal = request.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': jsonParam,
                    'dataDigest': base64.encode(hex_md5(jsonParam + data_key + timestamp))
                }
            });
            //航班正确率
            /*const plane = request.get(path, {
                params: {
                    'sendID': '00000001',
                    'timestamp': timestamp,
                    'msgBody': jsonParam,
                    'dataDigest': base64.encode(hex_md5(jsonParam + data_key + timestamp))
                }
            });*/
            Promise.all([deal]).then(resp => {
                const dealData = resp[0].data.data;
                if (Object.keys(dealData).length === 0) throw new Error('数据为空')
                //const planeData = resp[1].data.data;
                const deal = {
                    title: '内部处理及时率',
                    jd2: dealData.targetRate / 100,
                    issure: dealData.timeLimit * 1 > 0 ? true : false,
                    theBestRate: dealData.theBestRate,
                    theWorstRate: dealData.theWorstRate,
                    theBestName: dealData.theBestName,
                    theWorstName: dealData.theWorstName,
                    timeLimit: dealData.timeLimit,
                    timeLimitHb: dealData.timeLimitHb,
                    targetRate: dealData.targetRate
                };
                console.log(deal);
                /*const plane = {
                    title: '邮航航班正确率',
                    jd2: planeData.targetRate / 100,
                    issure: planeData.timeLimit * 1 > 0 ? true : false,
                    theBestRate: planeData.theBestRate,
                    theWorstRate: planeData.theWorstRate,
                    theBestName: planeData.theBestName,
                    theWorstName: planeData.theWorstName,
                    timeLimit: planeData.timeLimit,
                    timeLimitHb: planeData.timeLimitHb,
                    targetRate: planeData.targetRate
                };*/
                this.objList.push(deal);
                //this.objList.push(plane)
            }).catch(err => {
                console.log('错误',err);
                const deal = {
                    title: '内部处理及时率'
                };
                const plane = {
                    title: '邮航航班正确率'
                };
                this.objList.push(deal);
                this.initNoData(deal);
                this.initNoData(plane)
            })
        },
    },
    created(){
        // this.chartinit()
    },
    template: `<drill-box
                    :title="data.title" 
                    :is-show-right="true"
                    :drill-right="drillRight"
                    :defalut-right-label="defalutRightLabel"
                    @getrightval="getRightVal"
                    :is-one-title="true"
                >
                <line-box
                    ref="cqs"
                    :is-show-data-zoom="false"
                    id-name="cqsc"
                    unit='%'
                    v-show='false'
                />
                <div
                    style="background-color: #fff; box-sizing: border-box;width: 100%; display: flex; justify-content: space-around; align-items: center; height: 30px; padding: 0 20px;">
                    <div :class="[isTrue?'glyphicon-minus':'glyphicon-plus']" @click="biao()">特快</div>
                    <div :class="[isTrue?'glyphicon-plus':'glyphicon-minus']" @click="kuai()">快包</div>
                </div>
                <div v-for="(item,index) in objList"  style="width:100%; border-bottom:1px solid #e6e6e6">
                    <gauge-board
                            :ref="item.ref"
                            :list="item"
                            :idName=item.id
                            @drilldown="drillDown"
                    />
                    </div>
                </drill-box>`
});

