/**2021/1/6
 * 作者: LWJ
 * 功能: 标准库下钻表格配置
 * 参数说明:
 */
const posting = [
    {
        name: '省份',
        key: 'name',
        sort: true,
        fixed: 'left',
        align: 'center',
        width: 80
    },
    {
        name: '符合运营标准<br>机构数',
        key: 'orgNum',
        sort: true,
        align: 'center',
        width: 110
    },
    {
        name: '符合运营标准<br>机构数环比',
        key: 'orgRingRate',
        sort: false,
        align: 'center',
        width: 100
    },
    {
        name: '达标率(%)',
        key: 'rate',
        sort: true,
        align: 'center',
        width: 80
    },
    {
        name: '达标率<br>环比',
        key: 'ringRate',
        sort: false,
        align: 'center',
        width: 60
    },
];

const planIntegrity = [
    {
        name: '省份',
        key: 'name',
        sort: true,
        fixed: 'left',
        align: 'center',
        width: 80
    },
    {
        name: '计划编制<br>完整率(%)',
        key: 'planRate',
        sort: true,
        align: 'center',
    },
    {
        name: '应串联局<br>对数',
        key: 'seriesYes',
        sort: true,
        align: 'center',
    },
    {
        name: '应串联局<br>对数环比',
        key: 'seriesYesRing',
        sort: false,
        align: 'center',
    },
    {
        name: '未串联局<br>对数',
        key: 'seriesNo',
        sort: true,
        align: 'center',
    },
    {
        name: '未串联局<br>对数环比',
        key: 'seriesNoRing',
        sort: false,
        align: 'center',
    },
];

const queryTableColumn = {
    posting: posting,
    deliver: posting,
    planIntegrity: planIntegrity
};
