/**
 * 分类页面接口
 * @author qs
 * @time 20200820
 */


/**
 * 获取常用功能菜单
 * @param {*} data   
 */
const getOftenUsedMenu = (data) => {
  return interface1({
      url: 'bsv/bsvmodularclick/query',
      method: 'get',
      params: data,
  })
}


// 获取菜单列表-json源
const getMenuList = () => {
  const params = {
    name: "",
    code: "", //	必填，保存的菜单列表json串
    description: "",
    customDefineValue: "",
    isAvailable: "",
    paramHeadId: "zhongyou", //  必填，菜单列表标识1
    paramHeadCode: "menuData", //   必填，菜单列表标识2
    sort: "1", //  必填，默认1
    createUserId: "",
    gmtCreated: "", //  非必填，当前时间yyyy-mm-dd hh24:mi:ss。默认取后台当前时间
    modifyUserId: "",
    gmtModified: "", //  非必填，当前时间yyyy-mm-dd hh24:mi:ss。默认取后台当前时间
    isDeleted: "",
    redisType: 'STRING'
  }

  return interface1({
    url: 'bsv/paramlist/queryByIdCode',
    timeout: 20000,
    method: 'get',
    params

  })
}

// 获取菜单列表-数据库
const getList = (params) => {
	return interface1({
		url: 'bsv/webmodular/query',
		method: 'get',
		params: {
			...params,
			reserved_1: '1' // 1-app,2-后台
		}
	})
}