/*
*  服务看板接口
*/
// 获取区划列表  
const getDictData = (data) => {
    return interface1({
        url: 'dpkServer/queryOrgProScore',	
        method: 'get',
        params: data,
    })
};
// 机构列表下钻页面
const getServiceData = (data) => {
    return interface1({
        url: 'dpkServer/queryOrgIndicatorInfos',	
        method: 'get',
        params: data,
    })
};
// 首页环节信息  
const getLinkInfos = () => {
    return interface1({
        url: 'dpkServer/queryLinkInfo',	
        method: 'get',
        params: '',
    })
};

// 首页地图接口
const getServiceMapData = (data) => {
    return interface1({
        url: 'dpkServer/queryActionScore',	
        method: 'get',
        params: data,
    })
};
// 各环节得分
const getLinkScoreData = (data) => {
    return interface1({
        url: 'dpkServer/queryLinkScore',	
        method: 'get',
        params: data,
    })
};
// 区域指数接口
const getAreaIndexData = (data) => {
    return interface1({
        url: 'dpkServer/serviceIndex',	
        method: 'get',
        params: data,
    })
};
// 管控指标
const getControlIndicatorData = (data) => {
    return interface1({
        url: 'dpkServer/queryLinkIndicatorInfos',	
        method: 'get',
        params: data,
    })
};
// 趋势图
const getTrendChartData = (data) => {
    return interface1({
        url: 'dpkServer/queryTrendChart',	
        method: 'get',
        params: data,
    })
};

/*
*  服务库报表接口
*/

// 获取方案列表
const requestSchemeData = (data) => {
    return interface1({
        url: 'dpkServer/programList',	
        method: 'get',
        params: data,
    })
};
// 方案城市列表
const requestCompaniesCityData = (data) => {
    return interface1({
        url: 'dpkServer/programCityList',	
        method: 'get',
        params: data,
    })
};
// 获取企业列表
const requestCompaniesData = (data) => {
    return interface1({
        url: 'dpkServer/programCompanyList',	
        method: 'get',
        params: data,
    })
};
// 国家邮政局客户申诉率对标
const getPostCustomerComplaintRate = (data) => {
    return interface1({
        url: 'dpkServer/queryCustomerAppealRateInfo',	
        method: 'get',
        params: data,
    })
};
// 国家邮政局服务满意度（2个企业对标）
const getPostServiceSatisfaction = (data) => {
    return interface1({
        url: 'dpkServer/queryTwoIndustriesScore',	
        method: 'get',
        params: data,
    })
};
// 国家邮政局服务满意度（多个企业对标）
const getMorePostServiceSatisfaction = (data) => {
    return interface1({
        url: 'dpkServer/queryIndustriesScore',	
        method: 'get',
        params: data,
    })
};
// 国家邮政局服务满意度--EMS下钻
const getEmsDrillDownData = (data) => {
    return interface1({
        url: 'dpkServer/queryDistScore',	
        method: 'get',
        params: data,
    })
};
// 内部对标20典型城市2个城市
const inside20 = (data) => {
    // console.log(9999999)
    console.log(data)
    return interface1({
        url: 'dpkServer/queryTwyInCityIndex',	
        method: 'post',
        data: data,
    })
};
// 内部对标20典型城市多个城市
const inside20More = (data) => {
    return interface1({
        url: 'dpkServer/queryTwyInListCityChildProject',	
        method: 'post',
        data: data,
    })
};
// 内部对标20典型城市下钻一
const inside20Xz1 = (data) => {
    return interface1({
        url: 'dpkServerlibrary/queryTwyInListCityControlLink',	
        method: 'post',
        data: data,
    })
};
// 内部对标20典型城市下钻二
const inside20Xz2 = (data) => {
    return interface1({
        url: 'dpkServerlibrary/queryTwyInListCityIndex',	
        method: 'post',
        data: data,
    })
};
// 自身对标分析(国家邮政局服务满意度测评)-查询结果,下钻1，下钻2
const requestRes = (data) => {
    return interface1({
        url: 'dpkServerlibrary/queryServiceSatisfactionProject',	
        method: 'get',
        params: data,
    })
};
// 自身对标分析(国家邮政局服务满意度测评)-下钻3
const requestResXz3 = (data) => {
    return interface1({
        url: 'dpkServerlibrary/queryServiceSatisfactionProjectDetail',	
        method: 'get',
        params: data,
    })
};

