
// 业务量
Vue.component('ywl-compoent', {
	data() {
		return {}
	},
	methods: {
		init_ywlc(xData, yData) {
			// console.log(xData, yData, 'ppp');
			// let legend = ['接收量'];
			// console.log('duandian ');
			// legend.forEach((e, index) => {
			let setting = {
				type: 'line',
				data: yData,
				symbolSize: 10,
				symbol: 'circle',
				itemStyle: {
					normal: {
						color: '#E93323',
						barBorderRadius: 1,
						borderColor: '#fff',
						borderWidth: 2
					}
				},
				lineStyle: {
					normal: {
						color: '#E93323',
						width: 2
					}
				},
				smooth: true
			}
			setting.name = '环节分数';
			// if (yData != null) {
			setting.data = yData
			// } else {
			// 	setting.data = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
			// }
			setting.itemStyle.normal.color = '#E93323';
			setting.lineStyle.normal.color = '#E93323';

			let series = [];
			series.push(setting);
			// })
			// console.log(yData, 'yy');
			initLine('chart_ywl', xData, series);
		},

	},
	props: {
		title: {
			type: String,
			required: true
		},
		id_name: {
			type: String,
			required: true
		}
	},
	mounted() {
	},
	template: `
	<div>
		<div  class="title">
            {{ title }}
        </div>
        <div id="chart_ywl" class="border-echaers" style="height:340px"></div>
	</div>
        ` 
});
// 折线图
function initLine(chart_ywl, xData, series) {
	// console.log(series[0].data, xData, '5656656500000')
	
	var mychart2 = echarts.init(document.getElementById(chart_ywl));
	let option2 = {
		
		tooltip: {
			trigger: 'axis',
			axisPointer: {
				type: 'line'
			}
		},
		legend: {
		    selectedMode: true,
            left: '2%'
		},
		grid: {
			top: '13%',
			left: '4%',
			right: '4%',
			bottom: '20%',
			containLabel: true
		},
		xAxis: [
			{
				type: 'category',
				data: xData,
				'axisLine': {
					lineStyle: {
						color: '#90979c'
					}
				},
				'splitLine': {
					'show': false
				},
				'axisTick': {
					'show': true
				},
				'splitArea': {
					'show': false
				},
				'axisLabel': {
					'interval': 0,
					'rotate': 40
				}
			}
		],
		yAxis: [
			{
				// name: '分数',
				type: 'value',
				axisLine: { show: false },
				'axisTick': {
					'show': false
				},

				axisLabel: {
					margin: 2,
					formatter: function (value, index) {
						if (value >= 10000 && value < 100000000) {
							value = value / 10000 + '万'
						} else if (value >= 100000000) {
							value = value / 100000000 + '亿'
						}
						return value
					}
				}
			}
		],
		dataZoom: [{
			type: "slider", // 类型
			xAxisIndex: 0, // 对应的轴
			bottom: "30", // 位置，定位
			startValue: 0,
			endValue: xData.length > 7 ? 8 : xData.length - 1,
			/*maxValueSpan: 6,
			mixValueSpan: 6,*/
			// handleIcon: "M0,0 v9.7h5 v-9.7h-5 Z",
			handleStyle: { // 手柄的样式
				color: "#40bcf9",
				borderColor: "#1fb2fb"
			},
			backgroundColor: "#e2f3ff", // 背景
			dataBackground: { // 数据背景
				lineStyle: {
					color: "#000000"
				},
				areaStyle: {
					color: "#d4d9dd"
				}
			},
			fillerColor: "rgba(31,178,251,0.2)", // 被start和end遮住的背景*/
		}],
		series: [{
			data: series[0].data.length !== 0 ? series[0].data : [],
            type: 'line',
            name: "分数",
            color: '#019FE8',
            itemStyle : { normal: {label : { show: true }}} 
		}]
	};
	mychart2.setOption(option2);
}

//千位分隔符
function toThousands(num) {
	return (num || 0).toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,');
}
