/**
 * 邮件接受量
 * @author 蔡老师
 * @time 2020.04.13
 */

Vue.component('yjfyl', {
    data() {
        return {
            module_name: '标题',
            data: [{
                value: 0,
                name: '邮航',
                itemStyle: {
                    color: "#0099FF"
                },
            }, {
                value: 0,
                name: '民航',
                itemStyle: {
                    color: "#EEEE11"
                },
            }, 
            // {
            //     value: 0,
            //     name: '铁路',
            //     itemStyle: {
            //         color: "#4CD997"
            //     },
            // }
        ],
            total: 0
        }
    },
    template: `
    <div>
        <div class="title">
            {{module_name}}
        </div>
        <div class="showbox" style="display: flex;justify-content: space-around; border: 1px solid #e6e6e6;">
            <div @click="toXiazuan(3)" id="chart_yjfyl" class="" style="width: 60%; height: 200px;"></div>
            <div style="margin-left:20px;width: 40%;">
                <div v-for="(j,index) in data">
                    <div
                        style="margin:13px 0; display: flex;align-items: center; justify-content: space-between;" @click="toXiazuan(index)">
                             <div class="box1" :style="{'background-color':j.itemStyle.color}"></div>
                             <div style=" width: 100%;height: 50px;line-height: 25px; margin-left: 15px;">
                                 <div style="color:black; font-size: 16px; font-weight: bold;">{{j.name}}</div>
                                        <div style="color:#0099FF; font-size: 16px; font-weight: bold;">{{toThousands(j.value)}}
                                 </div>
                             </div>
                     </div>
                </div>
            </div>
        </div>
    </div>
    `,
    methods: {
        initData(data) {
            for (let key in data) {
                this[key] = data[key]
            }
            //this.$nextTick(() => {
                initEcharts2(this.data,this.total)
            //})
        },
        toXiazuan(index){
            console.log(index);
            try {
                Emp.execute(`to_cl_yjfyl('${index}')`)

            }catch (e) {

            }
        }
    },
    filters: {

    }

});



// 初始化地图
function initEcharts2(datas = [],total = 0) {
    let data = JSON.parse(JSON.stringify(datas))
    const maxval = Number(data[0].value);
    const airNum = Number(data[1].value);
    const trainNum = Number(data[2].value);
    if (airNum <= maxval * 0.01) data[1].value = (maxval * 0.01).toFixed(0)
    if (trainNum <= maxval * 0.01) data[2].value = (maxval * 0.01).toFixed(0)
    console.log(total);
    let obj = {}
    let nameObj = [];
    let valueObj = [];
    let colorObj = [];
    let mychart = echarts.init(document.getElementById('chart_yjfyl'));

    let option = {
        graphic: [{
                type: 'text',
                left: 'center',
                top: '110',
                style: {
                    text: '总量',
                    textAlign: 'center',
                    // color: '#000',
                    fill: 'black',
                    width: 50,
                    height: 50,
                    fontSize: 13,
                    fontWeight: 700
                }
            },
            {
                type: 'text',
                left: 'center',
                top: '90',
                style: {
                    text: toThousands(total),
                    textAlign: 'center',
                    // color: '#000',
                    fill: '#0099FF',
                    width: 50,
                    height: 50,
                    fontSize: 17,
                    fontWeight: 700,
                }
            }
        ],
        title: {
            // text: el.id,
            // textAlign:'center',
            left: 'center'
        },
        /*tooltip: {
            trigger: 'item',
            confine: true,
            formatter: '{a} <br/>{b}: {c} ({d}%)'
        },*/
        series: [{
            name: '发运量',
            type: 'pie',
            radius: ['60%', '85%'],
            // center: ['30%', '50%'],
            label: {
                show: false,
                position: 'outside',

            },
            labelLine: {
                show: false
            },

            data: data,

        }]
    }
    mychart.setOption(option)
}
