/**
 * 邮件接受量
 * @author 蔡老师
 * @time 2020.04.13
 */

Vue.component('yjjsl', {
    data() {
        return {

            module_name: '标题',
            data: [{
                value: 0,
                name: '邮航',
                itemStyle: {
                    color: "#0099FF"
                },
            }, {
                value: 0,
                name: '民航',
                itemStyle: {
                    color: "#EEEE11"
                },
            },
            //  {
            //     value: 0,
            //     name: '铁路',
            //     itemStyle: {
            //         color: "#4CD997"
            //     },
            // }
        ],
            total:0
        }
    },
    props: {
        dataType: {
            Number,
            default: 1
        },
        dataLevel: {
            Number,
            default: 1
        }
    },
    template: `
    <div>
        <div class="title" style="position: relative;" >
		    {{ module_name }}
		    <div style="position: absolute; right: 15px; top: 0">
		        <slot></slot>
		    </div>
		</div>
        <div class="showbox" style="display: flex;justify-content: space-around; border: 1px solid #e6e6e6;">
            <div @click="toXiazuan(3)" id="chart_yjjsl" class="" style="width: 60%; height: 200px;"></div>
            <div style="margin-left:20px;width: 40%;">
                <div v-for="(i,index) in data">
                    <div
                        style="margin:13px 0; display: flex;align-items: center; justify-content: space-between;" @click="toXiazuan(index,)">
                             <div class="box1" :style="{'background-color':i.itemStyle.color}"></div>
                             <div style=" width: 100%;height: 50px;line-height: 25px; margin-left: 15px;">
                                 <div style="color:black; font-size: 16px; font-weight: bold;">{{i.name}}</div>
                                        <div style="color:#0099FF; font-size: 16px; font-weight: bold;">{{toThousands(i.value)}}
                                 </div>
                             </div>
                     </div>


                </div>
            </div>
        </div>
    </div>
    `,
    methods: {
        initData(data) {
            for (let key in data) {
                this[key] = data[key]
            }
            // initEcharts1(this.data)
            initEcharts1(this.data,this.total)
        },
        toXiazuan(index){
            // alert(this.dataLevel)
            if(this.dataLevel ==='5')
            return
            console.log(this.dataType);
            if (this.dataType == 1){
                console.log('邮件接收量');
                try {
                    Emp.execute(`to_cl_yjjsl('${index}')`)

                }catch (e) {

                }
            }else {
                console.log('邮件发运量');
                try {
                    Emp.execute(`to_cl_yjfyl('${index}')`)

                }catch (e) {

                }
            }
        }
    },
    filters: {

    }

});



// 初始化地图
function initEcharts1(datas = [],total = 0) {
    let data = JSON.parse(JSON.stringify(datas))
    const maxval = Number(data[0].value);
    const airNum = Number(data[1].value);
    const trainNum = Number(data[2].value);
    if (airNum <= maxval * 0.01) data[1].value = (maxval * 0.01).toFixed(0)
    if (trainNum <= maxval * 0.01) data[2].value = (maxval * 0.01).toFixed(0)
    console.log(total,'ooooooooooooooooo');
    let obj = {}
    // data.forEach(e => {
    //     obj[e.name] = true
    // });
    let nameObj = [];
    let valueObj = [];
    let colorObj = [];
    let mychart = echarts.init(document.getElementById('chart_yjjsl'));

    let option = {

        graphic: [{
                type: 'text',
                left: 'center',
                top: '110',
                style: {
                    text: '总量',
                    textAlign: 'center',
                    // color: '#000',
                    fill: 'black',
                    width: 50,
                    height: 50,
                    fontSize: 13,
                    fontWeight: 700
                }
            },
            {
                type: 'text',
                left: 'center',
                top: '90',
                style: {
                    text: toThousands(total),
                    textAlign: 'center',
                    // color: '#000',
                    fill: '#0099FF',
                    width: 50,
                    height: 50,
                    fontSize: 17,
                    fontWeight: 700,
                }
            }
        ],
        title: {
            // text: el.id,
            // textAlign:'center',
            left: 'center'
        },
        /*tooltip: {
            trigger: 'item',
            confine: true,
            formatter: '{a} <br/>{b}: {c} ({d}%)'
        },*/
        series: [{
            name: '邮件接收量',
            type: 'pie',
            radius: ['60%', '85%'],
            // center: ['30%', '50%'],
            label: {
                show: false,
                position: 'outside',

            },
            labelLine: {
                show: false
            },

            data: data,

        }]
    }
    mychart.setOption(option)
}
