// 有进无出量
Vue.component('yjwcl-component', {
    data() {
        return {
            dealtime: {
                totalNum: '--',
                overFor: '--',
                alredyNum: '--',
            }
        }
    },
    methods: {
        init_data(data) {
            for (let key in data) {
                this[key] = data[key]
            }
        }
    },
    filters: {
        addSpot(source) {
            if (source.length < 4) return source;
            let arr = [...source];
            let len = arr.length / 3;
            let newArr = [];
            for (let i = 0; i < len; i++) {
                let start = arr.length - 3 * (i + 1)
                let b = []
                if (start < 0) b = arr.slice(0, arr.length % 3);
                else b = arr.slice(start, arr.length - 3 * i);
                newArr.push(b.join(''));
            }
            return newArr.reverse().join(',');
        }
    },
    template: `
            <div>
            <div class="title">
				    有进无出量
				</div>
		        <div class="showbox"
		            style=" display: flex; justify-content: space-between;  border-bottom: 1px solid #e6e6e6;border-left:1px solid #e6e6e6;border-right:1px solid #e6e6e6;margin-bottom:12px;">
		            <div class="box-total-times" style="height: 60px; font-size: 12px; font-weight: normal">
		                <p style="line-height: 25px">总量</p>
		                <p style="line-height: 35px; color: #019FE8; font-weight: bold; font-size: 15px">
		                    {{ dealtime.totalNum | addSpot }}</p>
		            </div>
		            <div class="box-total-times"
		                style="height: 60px; border-left: 1px dashed #e6e6e6; border-right: 1px dashed #e6e6e6; font-size: 12px; font-weight: normal">
		                <p style="line-height: 25px">超过24小时</p>
		                <p style="line-height: 35px; color: #F7EA00; font-weight: bold; font-size: 15px">
		                    {{ dealtime.alredyNum | addSpot }}</p>
		            </div>
		            <div class="box-total-times" style="height: 60px;font-size: 12px; font-weight: normal">
		                <p style="line-height: 25px">超过48小时</p>
		                <p style="line-height: 35px; color: #F25267; font-weight: bold; font-size: 15px">
		                    {{ dealtime.overFor | addSpot }}</p>
		            </div>
		        </div>
</div>		
		`
});
