Vue.component('item-circle', {
    data() {
        return {
            color: '#FCC900',
            rale: 0,
        }
    },

    methods: {
        init_data(data) {
            // console.log(data)
            for (let key in data) {
                this[key] = data[key]
            }
        }
    },
    template: `<div>
                    <div style="position: relative;">
                            <svg viewBox="0 0 100 100" style="height: 45px">
                                <path d="
                M 50 50
                m 0 -44
                a 44 44 0 1 1 0 88
                a 44 44 0 1 1 0 -88
                " stroke="#e5e9f2" stroke-width="11.9" fill="none"
                                      style="stroke-dasharray: 276.46px, 276.46px; stroke-dashoffset: 2px;"></path>
                                <path d="
                M 50 50
                m 0 -44
                a 44 44 0 1 1 0 88
                a 44 44 0 1 1 0 -88
                " :stroke="color" fill="none" stroke-linecap="round" stroke-width="11.9" class="ccc"
                                      :style="{'stroke-dasharray': (276.46 * rale / 100).toFixed(3) + 'px, 276.46px'}"></path>
                            </svg>
                            <div class="cale1" :style="{color: color}">{{rale}}%</div>
                     </div>
            </div>`
});
Vue.component('fbwds', {
    data() {
        return {
            title: '增长超过50%',
            num: '1221',
            borderColor: '1px solid #0F996B',
            color: 'red',
            rale: 6,
            rale_s: '30%'
        }
    },
    methods: {
        init_data(data) {
            // console.log(data)
            for (let key in data) {
                this[key] = data[key]
            }
        }
    },
    filters: {},
    template: ` <div style="padding: 0 5px; font-size: 14px; margin-bottom: 10px">
    <div style="display: flex; justify-content: space-between; height: 35px; width: 100%; font-size: 14px; color: #666666">
                    <div style="width: 30%; line-height: 35px; text-align: left; padding: 0 5px">
                        <p>{{title}}</p>
                    </div>
                    <div style="width: 70%; display: flex; align-items: center">
                        <div :style="{border: borderColor}"
                            style="width: 70%; height: 25px; display: flex; padding: 2px; border-radius: 5px">
                            <div v-for="item in rale" :style="{background: color}" class="dct_item1"></div>
                            <div class="dct_item1">
                                <div style="height: 100%" :style="{width: rale_s, background: color}"></div>
                            </div>
                            <div v-for="item in (9 - rale)" class="dct_item1"></div>
                        </div>
                        <div style="font-weight:bold; width: 30%; text-align: left; font-size: 16px" :style="{color: color}">
                            <p>&nbsp;&nbsp;{{num}}</p>
                        </div>
                    </div>
                </div>
                </div>`
})
Vue.component('progress_line', {
    data() {
        return {
            img_left: '0%',
            pic: '../../../res/skins/default/images/truck_blue.png',
            start_color: '#2192EC',
            progress: '0%',
            end_color: '#FBC800',
            faban_num: '0',
            zaitu_num: "0",
            daoda_num: '0',
            module_name: ''
        }
    },
    methods: {
        init_data(data) {
            for (let key in data) {
                this[key] = data[key]
            }
        },
        toxiazuan(str, val) {
            // if (!val || val == 0 || val == '--') return
            try {
                const key = this.module_name + str
                console.log(key);
                Emp.execute(`to_yskb_xz('${key}')`);
            } catch (e) {

            }
        }
    },
    filters: {},
    template: `<div style="padding:0 0 10px  0; box-sizing:border-box; width: 100%; height: 124px; border:1px solid #e5e5e5; border-top: 0;">
    <div style="width: 100%; height: 50px;"></div>
    <div style="text-align: center;">
        <div style="max-width: 80%; height: 20px; text-align: center; margin:0 auto; position: relative;">
            <img style="position: absolute; top: -33px;  height: 28px;" :style="{left: img_left}" :src="pic" >
            <div style="left: -5px; top: -3px; height: 15px; width: 15px; border-radius:50%; position: absolute;":style="{background: start_color}"></div>
            <div style="width: 100%; height: 10px; background: #FBC800;"></div>
            <div style="position: absolute; left: 8px; top: 0px;  height: 10px; background: #2192EC;":style="{width: progress}"></div>
            <div style="right: -5px; top: -3px; height: 15px; width: 15px; border-radius:50%; position: absolute;":style="{background: end_color}"></div>
        </div>
        <div style=" color: #6A6A6A; max-width: 80%; text-align: center; margin:0 auto 8px;">
            <div style=" width: 100%; display: flex; justify-content:space-between;">
                <div @click="toxiazuan('fb', faban_num)">
                  <div style="  font-weight: bold;color: #2192EC;">{{faban_num}}</div>
                  <div>发班</div>
                </div>
                <div @click="toxiazuan('zt', zaitu_num)">
                  <div style="  font-weight: bold;color: #2192EC;">{{zaitu_num}}</div>
                  <div>在途</div>
                </div>
                <div @click="toxiazuan('dd', daoda_num)">
                  <div style="  font-weight: bold;color: #2192EC;">{{daoda_num}}</div>
                  <div>到达</div>
                </div>
              </div>
        </div>  
    </div>
</div>`
})
Vue.component('trouble_list', {
    data() {
        return {
            yc_list: []
        }
    },
    methods: {
        init_data(data) {
            // console.log(data)
            // for (let key in data) {
            // this[key] = data[key]
            // }
            this.yc_list = data
        }
    },
    filters: {},
    template: `<div id="trouble" style="box-sizing: content-box; border:1px solid #e5e5e5; border-top:0; display: flex; justify-content: space-between; flex-direction: row;flex-wrap: wrap;">
            <div v-for="item in yc_list" class="trouble" >
                <div style= "box-sizing: content-box; position: relative; margin:5px ;  padding: 2px;  background: #2192EC; width:30px; height:30px;   border-radius: 50%;">
                    <img style="box-sizing: content-box; position: absolute; top: 50%; left: 50%; margin-top: -10px; margin-left: -10px; width: 20px; height:20px;vertical-align: middle;" :src="item.pic" >
                </div>
                <div>
                <div style="color:#666666; font-size: 13px;" >{{item.name}}</div>
                <div class="icon_blue">{{item.num}}</div>
                </div>
            </div>
        </div>`
})
Vue.component('pinci', {
    data() {
        return {
            title: '一频次',
            faban_num: '0',
            yifa_num: '0',
            yunxing_id: 'linebox1',
            fcwd_num: '0',
            daoda_num: '0',
            ddwd_num: '0',
            postType: 1,
        }
    },
    methods: {
        init_data(data, tjzb1, tjzb2) {
            // console.log(data)
            for (let key in data) {
                this[key] = data[key]
            }
            this.pinci(tjzb1, tjzb2)
        },
        pinci(tjzb1, tjzb2) {
            this.$refs.lsjsl1.init_data(tjzb1)
            this.$refs.lsjsl2.init_data(tjzb2)
        },
        yunxingClick() {
            if (this.yunxing_id == 'linebox1') {
                console.log('点击了---------', this.yunxing_id)
                try {
                    var item = 'styxzdl1&&' + this.postType + '&&1'
                    Emp.execute(`toYsXiazhuan('${item}')`);
                    //Emp.execute("toYsXiazhuan('styxzdl1')");
                } catch (e) {

                }
            } else if (this.yunxing_id == 'linebox2') {
                console.log('点击了---------', this.yunxing_id)
                try {
                    var item = 'styxzdl2&&' + this.postType + '&&2'
                    Emp.execute(`toYsXiazhuan('${item}')`);
                    //Emp.execute("toYsXiazhuan('styxzdl2')");
                } catch (e) {

                }
            } else if (this.yunxing_id == 'linebox3') {
                console.log('点击了---------', this.yunxing_id)
                try {
                    var item = 'styxzdl3&&' + this.postType + '&&3'
                    Emp.execute(`toYsXiazhuan('${item}')`);
                    //  Emp.execute("toYsXiazhuan('styxzdl3')");
                } catch (e) {

                }
            } else if (this.yunxing_id == 'linebox4') {
                console.log('点击了---------', this.yunxing_id)
                try {
                    var item = 'styxzdl4&&' + this.postType + '&&4'
                    Emp.execute(`toYsXiazhuan('${item}')`);
                    //Emp.execute("toYsXiazhuan('styxzdl4')");
                } catch (e) {

                }
            }
        },

    },
    filters: {},
    template: `<div >
            <div style="border: 1px solid #e5e5e5; margin-bottom: 2px;">
            <div> 
            </div>
                <div class="second_title_nav " > 
                    {{title}}
                </div>
                <div style="border-bottom: 1px dashed #e5e5e5; background-color: #fff; font-size: 15px; font-weight: bold; display: flex; box-sizing: border-box;width: 100%; justify-content: space-around; align-items: center; height: 65px;">
                    <div style="height:70px; line-height:70px; width: 50%; text-align: left; " @click="yunxingClick()">
                        <span style="margin-right: 6px;"></span>
                        <span style="margin-right: 6px;">应发班数</span>
                        <span class="icon_blue"style="margin-top:0">{{faban_num}}</span>
                    </div>
                    <div style="position:relative; height:65px; line-height:65px; width: 50%; display: flex; justify-content: flex-start;">
                    <span style="margin-right: 10px;"></span>
                        <div style="line-height: 65px;">
                            运行准点率
                        </div>
                        <div  style="position:absolute; top:-25%; left:50%; width: 50%; " :id="yunxing_id" @click="yunxingClick()"></div>
                    </div>
                </div>
                <div style="  display: flex; box-sizing: border-box;width: 100%; justify-content: space-around; align-items: center; height: 60px;">
                <div style="padding:0 1% 0 1%; height: 60px; border-right: 1px dashed #e5e5e5;display: flex; box-sizing: border-box;width: 100%; justify-content: space-around;align-items: center;" @click="yunxingClick()">
                    <div style="width: 100%; margin-right:2%;padding:0 5px">
                        <div >
                            <span style="float:left;display:block;clear:both; font-size:13px;  margin-right: 6px;">已发班数</span>
                            <span style="float:right;display:block;font-size:13px;  font-weight: bold;color: #2192EC;">{{yifa_num}}</span>
                        </div>
                        <div >
                            <span style="margin-top: 2%;float:left;display:block;clear:both;font-size:13px;  margin-right: 6px;">发车晚点</span>
                            <span style="margin-top: 2%;float:right;display:block;font-size:13px; font-weight: bold; color: #FCC900;">{{fcwd_num}}</span>
                        </div>
                    </div>
                    <item-circle ref="lsjsl1"/>
                </div>
                <div style="padding:0 1% 0 1%; height: 60px;display: flex; box-sizing: border-box;width: 100%; justify-content: space-around;align-items: center;" @click="yunxingClick()">
                    <div style="width: 100%;margin-right:2%;padding:0 5px">
                    <div>
                        <span style="float:left;display:block;clear:both;font-size:13px;margin-right: 6px;">到达班数</span>
                        <span  style="float:right;display:block;font-size:13px; font-weight: bold;color: #2192EC;">{{daoda_num}}</span>
                    </div>
                    <div > 
                        <span style="margin-top: 2%;float:left;display:block;clear:both;font-size:13px;margin-right: 6px;">到达晚点</span>
                        <span style="margin-top: 2%;float:right;display:block;font-size:13px; font-weight: bold; color: #FCC900;">{{ddwd_num}}</span>
                    </div>
                    </div>
                    <item-circle ref="lsjsl2"/>
                </div>
                </div>
            </div>
        </div>`
})
// 水球图
function init_g2_sbt(id, data, color) {
    var chart = new G2.Chart({
        container: id,
        forceFit: true,
        height: 100,
        padding: 0
    });
    chart.source(data, {
        value: {
            min: 0,
            max: 100
        }
    });
    chart.legend(false);
    chart.axis(false);
    chart.interval().position('gender*value').color(color)
        .shape('liquid-fill-gauge').style({
            lineWidth: 2,
            opacity: .5
        });
    data.forEach(function (row) {
        console.log('ro===============w', row)
        // let content =  
        chart.tooltip(false);
        chart.guide().text({
            top: true,
            position: {
                gender: row.gender,
                value: 50
            },
            content: row.value == -1 ? '--' : (row.value + '%'),
            style: {
                opacity: 0.9,
                fontSize: '17',
                textAlign: 'center',
                fill: row.value >= 60 ? '#FFF' : '#000'
            }
        });
    });
    chart.render();
}

Vue.component('jryxqk-compoent', {
    data() {
        return {}
    },
    methods: {
        initJryxqk(x_data, ywlRecvData, ywlProData, ) {
            console.log(x_data, ywlRecvData, ywlProData, 'x_data, ywlRecvData, ywlProDatax_data, ywlRecvData, ywlProDatax_data, ywlRecvData, ywlProData')
            // let legend = ['接收量', '处理量', '发运量'];
            let legend = ['发班数', '到达数'];
            let xData = x_data
            // .length > 0 ? x_data :
            //     ['00:00', '01:00', '02:00', '03:00', '04:00', '05:00', '06:00', '07:00', '08:00', '09:00', '10:00', '11:00',
            //         '12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00', '19:00', '20:00', '21:00', '22:00', '23:00', '24:00']
            let series = [];
            legend.forEach((e, index) => {
                let setting = {
                    type: 'line',
                    // data: [1],
                    symbolSize: 10,
                    symbol: 'circle',
                    itemStyle: {
                        normal: {
                            color: '#1D95F4',
                            barBorderRadius: 1,
                            borderColor: '#fff',
                            borderWidth: 2
                        }
                    },
                    lineStyle: {
                        normal: {
                            color: '#1D95F4',
                            width: 2
                        }
                    },
                    smooth: true
                }
                setting.name = e;
                if (index === 0) {
                    if (ywlRecvData != null) {
                        setting.data = ywlRecvData
                    } else {
                        setting.data = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
                    }
                    setting.itemStyle.normal.color = '#1D95F4';
                    setting.lineStyle.normal.color = '#1D95F4';
                }
                if (index === 1) {
                    if (ywlProData != null) {
                        // console.log(ywlProData,"今日量");
                        setting.data = ywlProData
                    } else {
                        setting.data = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
                    }
                    setting.itemStyle.normal.color = '#1AE54B';
                    setting.lineStyle.normal.color = '#1AE54B';
                }
                series.push(setting);
            })
            initLine('chart_jryxqk', legend, xData, series);
        },

    },
    props: {
        title: {
            type: String,
            required: true
        },
        id_name: {
            type: String,
            required: true
        }
    },
    mounted() {},
    template: `
	<div>
		<div  class="title">
            {{ title }}
			<div style="position: relative;">
		        <slot></slot>
		    </div>
        </div>
        <div id="chart_jryxqk" class="border-echaers" style="height:340px"></div>
	</div>
        `
});

function splitfun() {
    var h =  dayjs().get('hour')
    if (h <= 5) {
        return 8
    } else if (h > 5 ) {
        return h + 1
    } 
}
// 今日运行情况折线图
function initLine(chart_jryxqk, legend, xData, series) {
    console.log(legend, xData, series, 'legend, xData, series')
    let maxArr = [...series[0].data, ...series[1].data]
    var mychart2 = echarts.init(document.getElementById(chart_jryxqk));
    mychart2.clear()
    let option2 = {
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                type: 'line'
            },
            textStyle: {
                align: 'left'
            }

        },
        legend: {
            data: legend,
            x: 'center',
            y: 'bottom',
            itemGap: 30,
        },
        grid: {
            top: '13%',
            left: '3%',
            right: '4%',
            bottom: '20%',
            containLabel: true
        },
        xAxis: [{
            type: 'category',
            data: xData,
            'axisLine': {
                lineStyle: {
                    color: '#90979c'
                }
            },
            'splitLine': {
                'show': false
            },
            'axisTick': {
                'show': true
            },
            'splitArea': {
                'show': false
            },
            'axisLabel': {
                'interval': 0,
                'rotate': 40
            }
        }],
        yAxis: [{
            name: '',
            type: 'value',
            axisLine: {
                show: false
            },
            'axisTick': {
                'show': false
            },
            // max: Math.max.apply(Math, maxArr),// Math.max.apply(Math, maxArr) + splitListFun(Math.max.apply(Math, maxArr) /6 ),
            axisLabel: {
                margin: 2,
                formatter: function (value) {
                    if (value >= 10000 && value < 100000000) {
                        value = value / 10000 + '万'
                    } else if (value >= 100000000) {
                        value = value / 100000000 + '亿'
                    } else if (value <= -10000 && value > -100000000) {
                        value = value / 10000 + '万'
                    } else if (value <= -100000000) {
                        value = value / 100000000 + '亿'
                    }
                    return value
                }
            }
        }],
        dataZoom: [{
            // filterMode: 'empty',
            type: "slider", // 类型
            xAxisIndex: 0, // 对应的轴
            bottom: "30", // 位置，定位
            zoomLock: true,
            // startValue: 0,
            // endValue: xData.length > 7 ? 8 : xData.length - 1,
            startValue: splitfun(series[0].data) - 8,
            endValue: splitfun(series[0].data),
            handleStyle: { // 手柄的样式
                color: "#40bcf9",
                borderColor: "#1fb2fb"
            },
            backgroundColor: "#e2f3ff", // 背景
            dataBackground: { // 数据背景
                lineStyle: {
                    color: "#000000"
                },
                areaStyle: {
                    color: "#d4d9dd"
                }
            },
            fillerColor: "rgba(31,178,251,0.2)", // 被start和end遮住的背景*/
        }],
        series: [{
            data: series[0].data.length === undefined ? ['0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ] : series[0].data,
            type: 'line',
            itemStyle: series[0].itemStyle,
            lineStyle: series[0].lineStyle,
            name: series[0].name,
            smooth: true,
            symbol: "circle",
            symbolSize: 10,
        }, {
            data: series[1].data.length === undefined ? ['0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ] : series[1].data,
            type: 'line',
            itemStyle: series[1].itemStyle,
            lineStyle: series[1].lineStyle,
            name: series[1].name,
            smooth: true,
            symbol: "circle",
            symbolSize: 10,
        }],
    };
    mychart2.setOption(option2);
}
// 历史运输量
Vue.component('lsysl-compoent', {
    data() {
        return {}
    },
    methods: {
        initLsysl(lsqstList, lssjl_flag) {
            let flag = lssjl_flag;
            // console.log('--------------------------------------------------------------------------------------')
            // console.log(lsqstList, 'llllllllssllsl')
            let legend2 = ['运输量'];
            let timeList = [];
            let totalList = [];
            if (lsqstList != null && lsqstList.length > 0) {
                lsqstList.forEach((e, index) => {
                    timeList.push(e.time);
                    totalList.push(e.total);
                })
            }
            let xData2 = ['6月6日', '6月7日', '6月8日', '6月9日', '6月10日', '6月11日', '6月12日'];
            if (flag === "7日内") {
                xData2 = timeList.length > 0 ? timeList : ['6月6日', '6月7日', '6月8日', '6月9日', '6月10日', '6月11日', '6月12日'];
            }
            if (flag === "30日内") {
                xData2 = timeList.length > 0 ? timeList : ['5月31日', '6月1日', '6月2日', '6月3日', '6月4日', '6月5日', '6月6日', '6月7日', '6月8日', '6月9日', '6月10日', '6月11日', '6月12日'];
            }
            if (flag === "12周内") {
                xData2 = timeList.length > 0 ? timeList : ['第1周', '第2周', '第3周', '第4周', '第5周', '第6周', '第7周', '第8周', '第9周', '第10周', '第11周', '第12周'];
            }
            if (flag === "12月内") {
                xData2 = timeList.length > 0 ? timeList : ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'];
            }
            let series2 = [];
            legend2.forEach((e, index) => {
                let setting = {
                    type: 'line',
                    data: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
                    symbolSize: 10,
                    symbol: 'circle',
                    itemStyle: {
                        normal: {
                            color: '#1D95F4',
                            barBorderRadius: 1,
                            borderColor: '#fff',
                            borderWidth: 2
                        }
                    },
                    lineStyle: {
                        normal: {
                            color: '#1D95F4',
                            width: 2
                        }
                    },
                    smooth: true
                }
                setting.name = e;
                if (index === 0 && flag === '7日内') {
                    setting.data = totalList.length > 0 ? totalList : [0, 0, 0, 0, 0, 0, 0];
                    setting.itemStyle.normal.color = '#1D95F4';
                    setting.lineStyle.normal.color = '#1D95F4';
                }
                if (index === 0 && flag === '30日内') {
                    setting.data = totalList.length > 0 ? totalList : [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
                    setting.itemStyle.normal.color = '#1D95F4';
                    setting.lineStyle.normal.color = '#1D95F4';
                }
                if (index === 0 && flag === '12周内') {
                    setting.data = totalList.length > 0 ? totalList : [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
                    setting.itemStyle.normal.color = '#1D95F4';
                    setting.lineStyle.normal.color = '#1D95F4';
                }
                if (index === 0 && flag === '12月内') {
                    setting.data = totalList.length > 0 ? totalList : [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
                    setting.itemStyle.normal.color = '#1D95F4';
                    setting.lineStyle.normal.color = '#1D95F4';
                }
                series2.push(setting);
            });
            initLine_2('chart_lsysl', legend2, xData2, series2, flag);
        },
    },
    props: {
        title: {
            type: String,
            required: true
        },
        id_name: {
            type: String,
            required: true
        }
    },
    mounted() {},
    template: `
	<div>
		<div class="title">
		    {{ title }}
		    <div style="position: relative;">
		        <slot></slot>
		    </div>
		</div>
		<div id="chart_lsysl" class="border-echaers" style="height:330px"></div>
	</div>
	`
});
// 历史运输量折线图
function initLine_2(chart_lsysl, legend, xData, series, flag) {
    console.log(legend, xData, series[0], flag, 'legend, xData, series, flag')
    var mychart2 = echarts.init(document.getElementById(chart_lsysl))
    mychart2.clear();
    let option2 = "";
    option2 = {
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                type: 'line'
            },
            textStyle: {
                align: 'left'
            }
        },
        legend: {
            data: legend,
            x: 'center',
            y: 'bottom',
            itemGap: 10,
        },
        grid: {
            top: '13%',
            left: '3%',
            right: '4%',
            bottom: '20%',
            containLabel: true
        },
        xAxis: [{
            type: 'category',
            data: xData,
            'axisLine': {
                lineStyle: {
                    color: '#90979c'
                }
            },
            'splitLine': {
                'show': false
            },
            'axisTick': {
                'show': true
            },
            'splitArea': {
                'show': false
            },
            'axisLabel': {
                'interval': 0,
                'rotate': 40
            }
        }],
        yAxis: [{
            name: '',
            type: 'value',
            axisLine: {
                show: false
            },
            'axisTick': {
                'show': false
            },
            axisLabel: {
                margin: 5,
                formatter: function (value, index) {
                    if (value >= 10000 && value < 100000000) {
                        value = value / 10000 + '万'
                    } else if (value >= 100000000) {
                        value = value / 100000000 + '亿'
                    }
                    return value
                }
            }
        }],
        dataZoom: [{
            type: "slider", // 类型
            xAxisIndex: 0, // 对应的轴
            bottom: "30", // 位置，定位
            // startValue: 0,
            // endValue: xData.length > 7 ? 8 : xData.length - 1,
            startValue: xData.length > 7 ? xData.length - 7 : 0,
            endValue: xData.length - 1,
            handleStyle: { // 手柄的样式
                color: "#40bcf9",
                borderColor: "#1fb2fb"
            },
            backgroundColor: "#e2f3ff", // 背景
            dataBackground: { // 数据背景
                lineStyle: {
                    color: "#000000"
                },
                areaStyle: {
                    color: "#d4d9dd"
                }
            },
            fillerColor: "rgba(31,178,251,0.2)", // 被start和end遮住的背景*/
        }],
        series: [{
            data: series[0].data,
            type: 'line',
            itemStyle: series[0].itemStyle,
            lineStyle: series[0].lineStyle,
            name: series[0].name,
            smooth: true,
            symbol: "circle",
            symbolSize: 10,
        }, ]
    }
    mychart2.setOption(option2)
}
// 单位转换
const conversionFun = (val) => {
    if (val == null || val == undefined || val == "-") return;
    else {
        if (Number(val) <= 1000) return val
        else {
            return (Number(val) / 1000).toFixed(2)
        }
    }
}
Vue.component('ysltj', {
    data() {
        return {
            data: [{
                value: 0,
                name: '汽运',
                itemStyle: {
                    color: "#0099FF"
                },
            }, {
                value: 0,
                name: '航空',
                itemStyle: {
                    color: "#EEEE11"
                },
            }, {
                value: 0,
                name: '铁路',
                itemStyle: {
                    color: "#4CD997"
                },
            }],
            total: 0,
            ysltj_menu: '带运量',
            text: '带运量',
            result: []
        }
    },
    props: {
        dataType: {
            Number,
            default: 1
        },
        dataLevel: {
            Number,
            default: 1
        }
    },
    methods: {

        // 下钻
        toXiazuan(index) {
            switch (index) {
                case 0:
                    if (this.ysltj_menu == '带运量') this.drillDown('car_dyl')
                    else if (this.ysltj_menu == '带运重量') this.drillDown('car_dyzl')
                    break;
                case 1:
                    if (this.ysltj_menu == '带运量') this.drillDown('air_dyl')
                    else if (this.ysltj_menu == '带运重量') this.drillDown('air_dyzl')
                    break;
                case 2:
                    if (this.ysltj_menu == '带运量') this.drillDown('train_dyl')
                    else if (this.ysltj_menu == '带运重量') this.drillDown('train_dyzl')
                    break;
                    // case 3:
                    //     if(this.ysltj_menu == '带运量') this.drillDown('total_dyl')
                    //     else if(this.ysltj_menu == '带运重量') this.drillDown('total_dyzl')
                    //     break;
            }
        },
        // 下钻方法
        drillDown(key) {
            console.log(key, 'key')
            try {
                Emp.execute(`to_yskb_xz('${key}')`)
            } catch (err) {
                console.log(err)
            }
        },
        clickMenu_ysltj(params) { // 运输量统计
            console.log(params);
            let name = ['带运量', '带运重量']
            this.ysltj_menu = name[parseInt(params) - 1];
            console.log(this.result, this.ysltj_menu, 'this.result')
            if (params == 1) {
                console.log(this.result[1], 'kkkkkkkkkkkkkkkkk')
                if (this.result.length !== 0) {
                    if (this.result[0] == undefined) {
                        this.data[0].value = 0;
                    } else {
                        this.data[0].value = this.result[0].packNum == undefined ? 0 : this.result[0].packNum;
                    }
                    if (this.result[1] == undefined) {
                        this.data[1].value = 0;
                    } else {
                        this.data[1].value = this.result[1].packNum == undefined ? 0 : this.result[1].packNum;
                    }
                    if (this.result[2] == undefined) {
                        this.data[2].value = 0;
                    } else {
                        this.data[2].value = this.result[2].packNum == undefined ? 0 : this.result[2].packNum;
                    }
                    selectChangeName = this.ysltj_menu;
                    this.total = (Number(this.data[0].value) + Number(this.data[1].value) + Number(this.data[2].value))
                    initEcharts1(this.data, this.total, '带运量')
                } else initEcharts1(this.data, 0, '带运量')
            } else {
                if (this.result.length !== 0) {
                    if (this.result[0] == undefined) {
                        this.data[0].value = 0;
                    } else {
                        this.data[0].value = this.result[0].weight == undefined ? 0 : this.result[0].weight;
                    }
                    if (this.result[1] == undefined) {
                        this.data[1].value = 0;
                    } else {
                        this.data[1].value = this.result[1].weight == undefined ? 0 : this.result[1].weight;
                    }
                    if (this.result[2] == undefined) {
                        this.data[2].value = 0;
                    } else {
                        this.data[2].value = this.result[2].weight == undefined ? 0 : this.result[2].weight;
                    }
                    this.total = conversionFun(this.data[0].value) * 1 + conversionFun(this.data[1].value) * 1 + conversionFun(this.data[2].value) * 1
                    selectChangeName = this.ysltj_menu;
                    initEcharts1(this.data, this.total, '带运重量')
                } else initEcharts1(this.data, 0, '带运重量')
            }
        },
        // 运输量统计接口
        initYsltj(xzqh, level) {
            let sumLevel = level === '1' || level === '2' ? 1 : level = Number(level) - 1
            let params = {
                sumLevel: sumLevel, //	M	1：全国 2：省 3：市，4：区县，5-机构
                sumFg: '1', //	M	1汇总  2下钻
                distCode: xzqh, // 	M	
                transType: `1,2,5`, //	M	1-汽车2-火车3-邮航4-民航
                routeType: "1", //	C	1-一干2-二干（transType = 1时，必传）
                orgCode: sumLevel == '5' ? xzqh : "", //	机构登陆时必传   packNum：带运量  weight： 重量
            }
            let res = [];
            getTranspostNum(params).then(({
                data
            }) => {
                // console.log(params, '运输量统计')
                console.log(data, '运输量统计data')

                res = [...data.carTransportMail, ...data.airTransportMail, ...data.trainTransportMail]
                console.log(res, 'lllll')
                if (res.length !== 0) {
                    this.result = [...res];
                    if (data.carTransportMail.length == 0) {
                        this.data[0].value = 0
                    } else {
                        this.data[0].value = res[0].packNum == undefined ? "0" : res[0].packNum;
                    }
                    if (data.airTransportMail.length == 0) {
                        this.data[1].value = 0
                    } else {
                        this.data[1].value = res[1].packNum == undefined ? "0" : res[1].packNum;
                    }
                    if (data.trainTransportMail.length == 0) {
                        this.data[2].value = 0
                    } else {
                        this.data[2].value = res[2].packNum == undefined ? "0" : res[2].packNum;
                    }
                    this.total = (Number(this.data[0].value) + Number(this.data[1].value) + Number(this.data[2].value))
                    // console.log(conversionFun(this.total), '[[[[[[[]]]]]]')
                    selectChangeName = this.ysltj_menu;
                    initEcharts1(this.data, this.total, this.ysltj_menu)
                } else {
                    this.data[0].value = 0;
                    this.data[1].value = 0;
                    this.data[2].value = 0;
                    this.result = [];
                    this.total = 0;
                    selectChangeName = this.ysltj_menu;
                    initEcharts1(this.data, this.total, this.ysltj_menu)
                }
            }).catch(err => {
                console.log(err, 'err')
                this.result = [];
                initEcharts1(this.data, this.total, this.ysltj_menu)
            });
        }
    },
    filters: {},
    template: `
    <div>
        <div class="second_title_nav" style="height: 37px;">
            <div style="display: flex; justify-content: center; align-items: center; vertical-align: middle;">
                <div style="height:27px; display: flex; justify-content: center; align-items:center">
                    运输量统计
                </div>
                <div style="position: absolute; right: 20px;">
                    <el-dropdown
                            @command="clickMenu_ysltj"
                            :trigger="'click'"
                    >
                        <span >
                            {{ ysltj_menu }}
                            <i class="el-icon-caret-bottom" style="margin-top: -12px; margin-left: -3px;"></i>
                        </span>
                        <el-dropdown-menu slot="dropdown">
                            <el-dropdown-item command="1">带运量</el-dropdown-item>
                            <el-dropdown-item command="2">带运重量</el-dropdown-item>
                        </el-dropdown-menu>
                    </el-dropdown>
                </div>
            </div>
        </div>
        <div>
            <div class="showbox" style="display: flex;justify-content: space-around; border: 1px solid #e6e6e6;">
                <div @click="toXiazuan(3)" id="chart_ysltj" class="" style="width: 60%; height: 200px;"></div>
                <div style="margin-left:20px;width: 40%;">
                    <div v-for="(i, index) in data">
                        <div style="margin:13px 0; display: flex;align-items: center; justify-content: space-between;" @click="toXiazuan(index)">
                                <div class="box1" :style="{'background-color':i.itemStyle.color}"></div>
                                <div style=" width: 100%;height: 50px;line-height: 25px;">
                                    <div style="color:black; font-size: 13px; font-weight: bold;">{{ i.name }}</div>
                                    <div style="color:#0099FF; font-size: 13px; font-weight: bold;">{{ ysltj_menu == "带运量" ? newAddSpot(i.value) + '袋/件' : conversionFun(i.value) + '吨'  }}</div>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    `,
});
// 运输量统计环形图
function initEcharts1(data, total, text) {
    console.log(data, total, text, '------------------------------------');
    let total_new = text == "带运量" ? total : accMul(total, 1).toFixed(2)
    let mychart = echarts.init(document.getElementById('chart_ysltj'));
    let option = {
        graphic: [{
                type: 'text',
                left: 'center',
                top: '110',
                style: {
                    text: text,
                    textAlign: 'center',
                    // color: '#000',
                    fill: 'black',
                    width: 50,
                    height: 50,
                    fontSize: 13,
                    fontWeight: 700
                }
            },
            {
                type: 'text',
                left: 'center',
                top: '90',
                style: {
                    text: text == "带运量" ? newAddSpot(total_new) + '袋/件' : total_new + '吨',
                    textAlign: 'center',
                    fill: '#0099FF',
                    width: 50,
                    height: 50,
                    fontSize: 13,
                    fontWeight: 700,
                }
            }
        ],
        title: {
            // text: el.id,
            // textAlign:'center',
            left: 'center'
        },
        tooltip: {
            trigger: 'item',
            confine: true,
            formatter: function (params) {
                // console.log(params, '999')
                if (text == "带运量") {
                    return `<div style="z-index: 999">
                                <div>${params.name + '：' + newAddSpot(params.value) + '袋/件'}</div>
                                <div style="display: flex; justify-content: space-between">占比：${params.percent + '%'}</div>       
                            </div>`
                } else {
                    return `<div style="z-index: 999">
                                <div>${params.name + '：' + newAddSpot(conversionFun(params.value)) + '吨'}</div>
                                <div style="display: flex; justify-content: space-between">占比：${params.percent + '%'}</div>          
                            </div>`
                }
            }
        },
        series: [{
            name: '运输量统计',
            type: 'pie',
            radius: ['60%', '85%'],
            // center: ['30%', '50%'],
            label: {
                show: false,
                position: 'outside',
            },
            labelLine: {
                show: false
            },
            data: data,

        }]
    }
    mychart.setOption(option)
}

const splitListFun = (max) => {
    const pjz = parseInt(max / 4)
    const tt = Math.pow(10, Number(pjz.toString().length - 2))
    let new_value = 0;
    if (pjz % tt === 0) {
        const next = Number(pjz.toString().substring(1, 2))
        if (0 < next && next < 5) {
            new_value = (Number(pjz.toString().substring(0, 2)) + 5 - next) * tt
        } else if (5 < next) {
            new_value = (Number(pjz.toString().substring(0, 2)) + 10 - next) * tt
        } else {
            new_value = pjz
        }
    } else {
        const next = pjz.toString().substring(1, 2)
        if (next < 5) {
            new_value = (Number(pjz.toString().substring(0, 2)) + 5 - next) * tt
        } else {
            new_value = (Number(pjz.toString().substring(0, 2)) + 10 - next) * tt
        }
    }
    return new_value
};