/**
 * 返回顶部组件
 * @author baixueru
 * @desc 非本人不允许修改及复制
 * @time  2020-12-14
 */
/**
 * imgUrl:h5页面到/src/fiveSystemKanban/image文件夹的相对路径 
 */
var toTop = {
    props: ['imgUrl'],
    data() {
        return {
            isBottom: false
        }
    },
    template: `
    <div class="toTop" v-show="isBottom" @click="toTop">
        <img :src="imgUrl + 'image/to_top.png'" alt="返回顶部" />
    </div>`,
    mounted(){
        window.addEventListener('scroll',this.handleScroll,true);
    },
    methods: {
        handleScroll(e){
            //变量scrollTop是滚动条滚动时，距离顶部的距离
            var scrollTop = e.target.scrollTop;
            //变量windowHeight是可视区的高度
            var windowHeight = e.target.clientHeight;
            //变量scrollHeight是滚动条的总高度
            var scrollHeight = e.target.scrollHeight;
            //滚动条到底部的条件
            if(scrollTop >=  windowHeight){
                this.isBottom = true;
            } else {
                this.isBottom = false;
            }
        },
        toTop() {
            document.body.scrollTop = document.documentElement.scrollTop = 0
            this.isShowimg = false
        }
    }
};
