// 主要在这里做不同客户类型调用不同接口的处理；

let custTypes = {
    /**
     * 总体收入
     * @param params 入参
     */
    getTotalIncomeCusr (params) {
        // alert(JSON.stringify(params)+'---总体收入');
        switch (vm.customerDetail) {
            case "战略客户":
                // alert(JSON.stringify(params)+'---总体收入111');
                return getTotalIncome(params);
            case "总部客户":
                params.custType = 2;
                // alert(JSON.stringify(params)+'---总体收入222');
                return generAccouGetTotalIncome(params);
            case "省级客户":
                params.custType = 3;
                return provAccouGetTotalIncome(params);
            default:
                console.log('无此客户类型');
                break;
        }
    },

    /**
     * 收入对比
     * @param params 入参
     */
    getTotalIncomeByArea (params) {
        // alert(JSON.stringify(params)+'---收入对比');
        switch (vm.customerDetail) {
            case "战略客户":
                // alert(JSON.stringify(params)+'---收入对比111');
                return getTotalIncomeByArea(params);
            case "总部客户":
                params.custType = 2;
                return genAcuuoGetTotalIncomeByArea(params);
            case "省级客户":
                params.custType = 3;
                return provAcuuoGetTotalIncomeByArea(params);
            default:
                console.log('无此客户类型');
                break;
        }
    },

    /**
     * 各地区战略客户总体收入
     * @param params 入参
     */
    getIncomeComparison (params) {
        switch (vm.customerDetail) {
            case "战略客户":
                // alert(JSON.stringify(params)+'---总体收入111');
                return getIncomeComparison(params);
            case "总部客户":
                params.custType = 2;
                return genAccouGetIncomeComparison(params);
            case "省级客户":
                params.custType = 3;
                return provAccouGetIncomeComparison(params);
            default:
                console.log('无此客户类型');
                break;
        }
    },

    /**
     * 客户明细
     * @param params 入参
     */
    getCustomerList (params) {
        params.busiId = -1;
        switch (vm.customerDetail) {
            case "战略客户":
                // alert(JSON.stringify(params)+'---客户明细');
                return getCustomerList(params);
            case "总部客户":
                params.custType = 2;
                // alert(JSON.stringify(params)+'---客户明细222');
                return genAccoGetCustomerList(params);
            case "省级客户":
                params.custType = 3;
                // alert(JSON.stringify(params)+'---客户明细333');
                return provAccoGetCustomerList(params);
            default:
                console.log('无此客户类型');
                break;
        }
    },

    /**
     * 客户详情
     * @param params 入参
     */
    getCustomerDetail (params) {
        switch (vm.customerDetail) {
            case "战略客户":
                return getCustomerDetail(params);
            case "总部客户":
                params.custType = 2;
                // alert(JSON.stringify(params)+'---客户详情');
                return genAccoGetCustomerDetail(params);
            case "省级客户":
                params.custType = 3;
                return provAccoGetCustomerDetail(params);
            default:
                console.log('无此客户类型');
                break;
        }
    },

    /**
     * 业务关系层客户收入明细
     * @param params 入参
     */
    getBusinessCustomerList (params) {
        params.busiId = -1;
        switch (vm.customerDetail) {
            case "战略客户":
                return getBusinessCustomerList(params);
            case "总部客户":
                params.custType = 2;
                return genAccoGetBusinessCustomerList(params);
            case "省级客户":
                params.custType = 3;
                return provAccoGetBusinessCustomerList(params);
            default:
                console.log('无此客户类型');
                break;
        }
    },

    /**
     * 客户收入地区收入明细
     * @param params 入参
     */
    getAreaIncomeList (params) {
        params.busiId = -1;
        switch (vm.customerDetail) {
            case "战略客户":
                // alert(JSON.stringify(params)+'---地区收入明细111');
                return getAreaIncomeList(params);
            case "总部客户":
                params.custType = 2;
                // alert(JSON.stringify(params)+'---地区收入明细222');
                return genAccoGetAreaIncomeList(params);
            case "省级客户":
                params.custType = 3;
                // alert(JSON.stringify(params)+'---地区收入明细333');
                return provAccoGetAreaIncomeList(params);
            default:
                console.log('无此客户类型');
                break;
        }
    },

    /**
     * 客户查询明细模糊搜索
     * @param params 入参
     */
    searchCustomerList (params) {
        params.busiId = -1;
        switch (vm.customerDetail) {
            case "战略客户":
                // alert(JSON.stringify(params)+'---客户查询明细11');
                return searchCustomerList(params);
            case "总部客户":
                params.custType = 2;
                // alert(JSON.stringify(params)+'---客户查询明细22');
                return genAccoSearchCustomerList(params);
            case "省级客户":
                params.custType = 3;
                // alert(JSON.stringify(params)+'---客户查询明细33');
                return provAccoSearchCustomerList(params);
            default:
                console.log('无此客户类型');
                break;
        }
    },

    /**
     * 客户查询详情模糊搜索
     * @param params 入参
     */
    searchBusinessCustomerList (params) {
        params.busiId = -1;
        switch (vm.customerDetail) {
            case "战略客户":
                // alert(JSON.stringify(params)+'---客户查询详情11');
                return searchBusinessCustomerList(params);
            case "总部客户":
                params.custType = 2;
                // alert(JSON.stringify(params)+'---客户查询详情22');
                return genAccoSearchBusinessCustomerList(params);
            case "省级客户":
                params.custType = 3;
                // alert(JSON.stringify(params)+'---客户查询详情33');
                return provAccoSearchBusinessCustomerList(params);
            default:
                console.log('无此客户类型');
                break;
        }
    },
};