var strategicCust = {
    props: ['isShow', 'isMax', 'echartShow', 'myMixin', 'pageTitle', 'dateType', 'countDate', 'businessTypes', 'tabName', 'importRcportType', 'level', 'areaCode','activeNavId','customerDetail'],
    data() {
        return {
            // pageTitle: '',
            dateType: '',//D：日 W：周 M：月
            countDate: '',
            businessTypes: '',
            activeNavId: 1,
            level: 1,
            areaCode: '',
            show:true,
            navList: [{
                id: 1,
                name: '区域',
                importRcportType: 'J'
            }, {
                id: 2,
                name: '最差处理中心',
                importRcportType: 'C'
            }, {
                id: 3,
                name: '最差揽投部',
                importRcportType: 'C'
            }, {
                id: 4,
                name: '重点管控投诉',
                importRcportType: 'J'
            }],
            allList: [
                {
                    id: 1,
                    name: '区域',
                    importRcportType: 'J'
                }, {
                    id: 2,
                    name: '最差处理中心',
                    importRcportType: 'C'
                }, {
                    id: 3,
                    name: '最差揽投部',
                    importRcportType: 'C'
                }, {
                    id: 4,
                    name: '重点管控投诉',
                    importRcportType: 'J'
                }],
            haveList:[
                {
                    id: 1,
                    name: '区域',
                    importRcportType: 'J'
                },
                {
                    id: 4,
                    name: '重点管控投诉',
                    importRcportType: 'J'
                }
            ],
            tabBtn: [
                {
                    id: 1,
                    name: "客户收入TOP20",
                    type: 'A',
                }, {
                    id: 2,
                    name: "战略客户",
                    type: 'B',
                },{
                    id: 3,
                    name: "总部客户",
                    type: 'C',
                }, {
                    id: 4,
                    name: "省际客户",
                    type: 'D',
                },
            ],
            isShow1 : true,
            isShow2 : false,
            customerDetail: '',
        }
    },
    components: {
        'base-compentsub': baseCompentsub
    },
    computed: {
        // 表格相关
        tableColumnList: function (val) {
            let userLevel = getAccountLevel();
            console.log(this.pageTitle)
            console.log(this.level)
            //  console.log(this.tableColumnList[0].label)
            // console.log('tableColumnList',tableColumn[this.pageTitle+'-'+this.tabName])
            var subTitle = this.currentType !== '' ? this.currentType : this.tabName
            var arr = [...tableColumn[this.pageTitle + '-' + subTitle]]
            console.log(arr)
           
                return tableColumn[this.pageTitle + '-' + subTitle]
        },
        tabNav: {
            get: function () {
                console.log(this.pageTitle, this.navList, 111333);
                if (this.pageTitle == '客户投诉率') {
                    var level = getAccountLevel()
                    if(level !='04'){
                        return this.navList
                    }else{
                        return this.haveList
                    }
                }
            },
            set: function (value) {
                return this.navList;
            }
        }
    },
    template: `<div> <div  class="panelCard radiu-shadow">
                <p class="panelTitle">
                    <span>总体收入</span>
                </p>
                <div class="panelContent" style="padding-bottom: 0.1rem;border-bottom: 1px solid #EEEEEE;">

                    <div class="panelContentLeft" style="border-right:1px solid #EEEEEE;">
                        <div class="textCenter topDiv">
                            <p style="width: 35%; ">月收入: </p>
                            <span class="font_blue" >11.2<span class="font_blue_little" >万元</span></span>
                        </div>


                        <div class="textCenter topDiv">
                            <p style="width: 50%; ">月收入增幅: </p>
                            <p class="numDiv">
                                <span :class="isNULL(50) ? 'fontBold color333' : (50 >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{formatPercent(50)}}</span>
                            </p>
                        </div>

                    </div>

                    <div class="panelContentRight" >
                        <div class="textCenter topDiv">
                            <p style="width: 35%; ">年收入: </p>
                            <p class="numDiv">
                                <span class="font_blue" >150<span class="font_blue_little" >万元</span></span>
                            </p>
                        </div>

                        <div class="textCenter topDiv">
                            <p style="width: 50%; ">年收入增幅: </p>
                            <p class="numDiv">
                                <span :class="isNULL(23) ? 'fontBold color333' : (50 >= 0 ? 'fontBold colorUp' : 'fontBold colorDown')">{{formatPercent(50)}}</span>
                            </p>
                        </div>
                    </div>

                </div>

                <div class="panelContent corlorGray" >

                    <div class="panelContentLeft" style="border-right:1px solid #EEEEEE;">
                        <div class="textCenter topDiv">
                            <p style="width: 64%; ">月业务量(万件): </p>
                            <p class="numDiv">
                                <span class="fontBold">568</span>
                            </p>
                        </div>


                        <div class="textCenter topDiv">
                            <p style="width: 70%; ">月业务量增幅(%): </p>
                            <p class="numDiv">
                                <span class="fontBold">36</span>
                            </p>
                        </div>

                    </div>

                    <div class="panelContentRight">
                        <div class="textCenter topDiv">
                            <p style="width: 64%; ">年业务量(万件): </p>
                            <p class="numDiv">
                                <span class="fontBold">4526</span>
                            </p>
                        </div>

                        <div class="textCenter topDiv" >
                            <p style="width: 70%; ">年业务量增幅(%): </p>
                            <p class="numDiv">
                                <span class="fontBold">63</span>
                            </p>
                        </div>

                    </div>

                </div>
            </div>

            <div id='tabContent' v-for="item in tabNav" :key="item.id" v-if="item.id == activeNavId">
                <base-compentsub ref="pageTab" :is-show="item.id == activeNavId" v-if='item.id == activeNavId'
                                :page-title="pageTitle" :date-type="dateType" :count-date="countDate" :tab-name='item.name'
                                :business-types="businessTypes" :import-rcport-type="item.importRcportType" :level='level'
                                :area-code='areaCode' :echart-show='show' :active-nav-id="activeNavId"
                                @set-none='getState' @change-level-code='changeLevel' @childre-to-nav = 'childrenToNav' 
                                :customer-detail = 'customerDetail'>
                </base-compentsub>
            </div></div>`,
    watch: {
        // 监控是否显示
        isShow: function (val) {
            console.log(val)
            if (val && this.countDate && (!this.dataList || (this.dataCountDate && this.dataCountDate != this.countDate))) {
                this.getData();
            }
        },
        //禁止下钻单独表格
        isMax: function (val) {
            if (val) {
                this.isMaxLevel = true
            } else {
                this.isMaxLevel = false
            }
        },
        // 监控当时间变化时, 重新请求
        countDate: function (val) {
            if (val) {
                if (this.level == 1) {
                    let userLevel = getAccountLevel();
                    let userCode = getAccountCode();
                    switch (userLevel) {
                        case '01':
                        case '02':
                            this.maxLevel = 3;
                            break;
                        case '03':
                            this.maxLevel =  2;
                            break;
                        case '04':
                            if (this.tabName == '重点管控投诉' || this.tabName == '重点管控异常'){
                                this.maxLevel =  2;
                            } else {
                            this.maxLevel =  1;
                            }
                            break;
                        default:
                            this.maxLevel = 1;
                            break;
                    }
                    this.isMaxLevel = this.level == this.maxLevel ? true : false;
                    this.changeTableColumnLable()
                    // this.tableColumnList[0].label = this.isMaxLevel ? '机构' : getNameFromPermission(this.level, false);
                    this.$refs.page.$refs.tableBox.isShow = false;
                    this.$nextTick(() => {
                        this.$refs.page.$refs.tableBox.isShow = true;
                    });
                }
                this.getData();
                this.setTableDown()
            }
        },
        level: function (val) {
            console.log('-----------', val)
            // this.tableColumnList[0].label = this.isMaxLevel ? '机构' : getNameFromPermission(val, false);
            this.changeTableColumnLable()
            this.$refs.page.$refs.tableBox.isShow = false;
            this.$nextTick(() => {
                this.$refs.page.$refs.tableBox.isShow = true;
            });
        }
    },
    mounted() {
     /*   console.log('-------------------------------'+this.customerDetail);
        this.handleScroll()
        this.setTableDown()*/

    },
    methods: {
        chooseTabBtn: function (item) {
            console.log(item.type);
            if (item.type == "A" ){
                this.isShow1 = true;
                this.isShow2 = false;
            }
            if (item.type == "B"){
                this.isShow1 = false;
                this.isShow2 = true;
                this.customerDetail = '战略客户'
            }
            if (item.type == "C"){
                this.isShow1 = false;
                this.isShow2 = true;
                this.customerDetail = '总部客户'
            }
            if (item.type == "D"){
                this.isShow1 = false;
                this.isShow2 = true;
                this.customerDetail = '省际客户'
            }
        },
        // 页面下钻
        topCustomer (type){
            var param = {
                type: type,
                districtId: "-1",
                districtLevel: "60",
                statisticalPeriod: "MONTH",
                statisticsMonth: "202010",
                sortItem: 3,
                top: 10
            }
            let url = "/marketLibrary/marketSystem/KeyCustomers/CustomersTOP20/inSpeedT.html"
            Emp.execute("$M.page.goTo('"+url+"','"+JSON.stringify(param)+"', false)");
        },
        childrenToNav(currentNav){
            console.log('currentNav',currentNav)
            this.activeNavId = currentNav
        },
        changeLevel(levelAndCode) {
            // console.log('level' + levelAndCode.level)
            // console.log('areaCode' + levelAndCode.areaCode)
            //处理tab切换
            this.hanldeNav(levelAndCode)
            this.level = levelAndCode.level
            this.areaCode = levelAndCode.areaCode
        },
        getState(p){
            console.log('触发',p)
            if(!p.state){

                this.navList = [];
            }else{
                if(p.flag == 1){
                    this.navList = this.haveList
                }else{
                    this.navList = this.allList
                }

            }
            this.show = p.state

        },
        // 数据格式化
        // 只格式化为百分比
        formatPercent(num) {
            return !this.isNULL(num) ? (num * 1).toFixed(2) + "%" : '--%';
        },
        formatNum(num) {
            return (num * 1).toFixed(2);
        },
        isNULL(data){
            if(data === '' || data === 'undefined' || data === 'null' || data === '{}' || data === null  || data === undefined){
                return true;
            }else{
                return false;
            }
        },
        //处理nav
        hanldeNav(levelAndCode) {
            console.log('levelAndCode------',levelAndCode)
            if(levelAndCode.tabName == '最差处理中心' || levelAndCode.tabName == '最差揽投部'){
                this.tabName = levelAndCode.tabName
                // this.onlyTable = true
                // this.disDown = true
                this.navList = this.allList
            }else{
                // this.onlyTable = false
                // this.disDown = false
                console.log('==========',levelAndCode.level)
                if (levelAndCode.level >= 3) {
                    console.log(levelAndCode.level)
                    this.navList = this.haveList
                    console.log(this.navList)
                }else{
                    this.navList = this.allList
                }
            }

        }
    }

};
