var tableColumn =  {
    "客户投诉率-区域": [
        {
            "label": "地区",
            // "key": "name",
            "key": "provinceName",
            // "key": vm.areaNameKey || 'provinceName',
            "fixed": true,
            "isDrillDown": true,
            "width": 80
        },
        {
            "label": "客户数",
            "sortable": 'custom',
            "key": "customerNumYear",
            "isNumber": true,
            "align": "center",
            "width": 60
        },
        {
            "label": "月收入|(万元)",
            "key": "incomeMonth",
            "sortable": 'custom',
            "isNumber": true,
            "align": "center",
            "width": 80
        },
        {
            "label": "月收入|增幅(%)",
            "key": "incomeRateMonth",
            "sortable": 'custom',
            subByZero: true,
            "isNumber": true,
            "align": "center",
            "width": 80
        },
        {
            "label": "月业务量|(万件)",
            "key": "businessAmountMonth",
            "sortable": 'custom',
            "isNumber": true,
            "align": "center",
            "textColor1" : true,
            "width": 80
        },
        {
            "label": "月业务量|增幅(%)",
            "key": "businessAmountRateMonth",
            "sortable": 'custom',
            subByZero: true,
            "isNumber": true,
            "align": "center",
            "width": 80
        },
        {
            "label": "年收入|(万元)",
            "key": "incomeYear",
            "sortable": 'custom',
            "isNumber": true,
            "align": "center",
            "width": 80
        },
        {
            "label": "年收入|增幅(%)",
            "key": "incomeRateYear",
            "sortable": 'custom',
            subByZero: true,
            "isNumber": true,
            "align": "center",
            "width": 80
        },
        {
            "label": "年业务量|(万件)",
            "key": "businessAmountYear",
            "sortable": 'custom',
            "isNumber": true,
            "align": "center",
            "width": 80
        },
        {
            "label": "年业务量|增幅(%)",
            "key": "businessAmountRateYear",
            "sortable": 'custom',
            "isNumber": true,
            subByZero: true,
            "align": "center",
            "width": 80
        }
    ],
}
