var oweTop20OrgUn = {
	    data(){
	    	return {
		        level: 1,
		        month: '',
		        maxLevel: 3,
		        list: [],
		        cacheList: {},
		        title: '',
		        tablecolumn: this.initColumn(),
		        c: this.initColumn2(),
		        current: 1,
		        isNotEmpty:true,
		        defaultSort:{prop:'zqwqfe',order: 'ascending'},
		        bh:0,
	        }
	    },
		props: ['isShow', 'type', 'month', 'columnSetKnown'],
	    computed: {
	    	isDrillDown: function(){
	    		return Number(this.level) < Number(this.maxLevel);
	    	},
	    	tableHeight: function(){
	    		let w = document.documentElement.clientWidth || document.body.clientWidth;
	    		let h = document.documentElement.clientHeight || document.body.clientHeight;
	        	return h - (w*100) / 375 * 0.5;
	    	},
	    },
	    watch: {
	        // 监控是否显示
	        isShow: function (val, oldVal) {
	            if (val && this.month && this.list.length == 0) {
	            	this.initData(null,this.month,this.level);
	            }
	        },
	        month: function(val, oldVal) {
	        	if (val && this.isShow) {
	        		this.initData(null,this.month,this.level);
	            }
			},
	    },
	    methods: {
	        initColumn(){
	        	return [
	        	        {
	        	             label: '省份',
	        	             key: 'sf',
	        	             sortable: false,
	        	             isDrillDown: false,
	        	             width: 70,
	           	             chose: true,
	        	             order: 0,
	        	             fixed: false,
	        	         }, {
	        	             label: '地市',
	        	             key: 'ds',
	        	             sortable: false,
	        	             width: 70,
	        	             isDrillDown: false,
	        	             chose: true,
	        	             order: 1,
	        	             fixed: false,
	        	         }, {
	        	             label: '机构名称(简称)',
	        	             key: 'jgmc',
	        	             sortable: false,
	        	             isDrillDown: false,
	        	             width: 140,
	        	             align: 'left',
	        	             chose: true,
	        	             order: 2,
	        	             fixed: false,
	        	         },{
	        	             label: '机构代码',
	        	             key: 'jgdm',
	        	             sortable: false,
	        	             isDrillDown: false,
	        	             width: 80,
	        	             chose: true,
	        	             order: 3,
	        	             fixed: false,
	        	         },{
	        	             label: '欠费余额|(万元)',
	        	             key: 'qfye',
	        	             sortable: true,
	        	             isDrillDown: false,
	        	             width: 96,
	        	             align: 'right',
	        	             isNumber: true,
	        	             chose: true,
	        	             order: 4,
	        	             fixed: false,
	        	         },{
	        	             label: '账期外欠费额|(万元)',
	        	             key: 'zqwqfe',
	        	             sortable: true,
	        	             isDrillDown: false,
	        	             width: 116,
	        	             align: 'right',
	        	             isNumber: true,
	        	             chose: true,
	        	             order: 5,
	        	             fixed: false,
	        	         },
	        	         {
	        	             label: '账期外|占比(%)',
	        	             key: 'zqwqfzb',
	        	             sortable: true,
	        	             isDrillDown: false,
	        	             width: 94,
	        	             align: 'right',
	        	             isNumber: true,
	        	             chose: true,
	        	             order: 6,
	        	             fixed: false,
	        	         },
	         ];
	        },
	        initColumn2(){
	        	return [
	        	        {
	        	             label: '省份',
	        	             key: 'sf2',
	        	             sortable: false,
	        	             isDrillDown: false,
	        	             width: 70,
	           	             chose: true,
	        	             order: 0,
	        	             fixed: false,
	        	         }, {
	        	             label: '地市',
	        	             key: 'ds2',
	        	             sortable: false,
	        	             width: 70,
	        	             isDrillDown: false,
	        	             chose: true,
	        	             order: 1,
	        	             fixed: false,
	        	         }, {
	        	             label: '机构名称(简称)',
	        	             key: 'jgmc2',
	        	             sortable: false,
	        	             isDrillDown: false,
	        	             width: 140,
	        	             align: 'left',
	        	             chose: true,
	        	             order: 2,
	        	             fixed: false,
	        	         },{
	        	             label: '机构代码',
	        	             key: 'jgdm2',
	        	             sortable: false,
	        	             isDrillDown: false,
	        	             width: 80,
	        	             chose: true,
	        	             order: 3,
	        	             fixed: false,
	        	         },{
	        	             label: '欠费余额|(万元)',
	        	             key: 'qfye2',
	        	             sortable: true,
	        	             isDrillDown: false,
	        	             width: 96,
	        	             align: 'right',
	        	             isNumber: true,
	        	             chose: true,
	        	             order: 4,
	        	             fixed: false,
	        	         },{
	        	             label: '账期外欠费额|(万元)',
	        	             key: 'zqwqfe2',
	        	             sortable: true,
	        	             isDrillDown: false,
	        	             width: 116,
	        	             align: 'right',
	        	             isNumber: true,
	        	             chose: true,
	        	             order: 5,
	        	             fixed: false,
	        	         },
	        	         {
	        	             label: '账期外|占比(%)',
	        	             key: 'zqwqfzb2',
	        	             sortable: true,
	        	             isDrillDown: false,
	        	             width: 94,
	        	             align: 'right',
	        	             isNumber: true,
	        	             chose: true,
	        	             order: 6,
	        	             fixed: false,
	        	         },
	         ];
	        },
	        /*
	         * 初始化code对应的数据
	         */
	        initData(code,month,lv){
	        	vant.Toast.loading({
	                message: '加载中...',
	                forbidClick: true,
	                duration: 10000
	            });
//	        	A：总体情况，不区分产品类型B：标快：K快包G：国际港澳台
//	        	01：集团，02：全国，03：省，04：地市，05：县，06：机构
	            let params = {
	            	productType: this.type,
	            	statMonth: this.month,
	            }
	            requestOweOrgUnTop20(params).then(({data}) => {
	     	       	if(!data || data == '[]'){
	     	       		this.isNotEmpty = false;
	     	       		return;
	     	       	}
	     	       	let list = JSON.parse(data);
	     	       	list.forEach(e => {
	     	       		e.sf = e.orgProvName ? e.orgProvName : '其他';
	     	       		e.ds = e.orgCityName ? e.orgCityName : '其他';
	     	       		e.jgmc = e.orgSname ? e.orgSname : '其他';
		        		e.jgdm = e.orgCode ? e.orgCode : '其他';
	     	       		e.qfye = this.notEmpty(e.arrearsBalance) ? Math.round(e.arrearsBalance / 10000) : '';
		        		e.zqwqfe = this.notEmpty(e.outArrearsBalance) ? Math.round(e.outArrearsBalance / 10000) : '';
		        		e.zqwqfzb = this.notEmpty(e.outRatio) ? Math.round(e.outRatio * 100) : '';
		        		
	     	       		e.sf2 = e.orgProvName ? e.orgProvName : '其他';
	     	       		e.ds2 = e.orgCityName ? e.orgCityName : '其他';
	     	       		e.jgmc2 = e.orgSname ? e.orgSname : '其他';
		        		e.jgdm2 = e.orgCode ? e.orgCode : '其他';
	     	       		e.qfye2 = this.notEmpty(e.arrearsBalance) ? Math.round(e.arrearsBalance / 10000) : '';
		        		e.zqwqfe2 = this.notEmpty(e.outArrearsBalance) ? Math.round(e.outArrearsBalance / 10000) : '';
		        		e.zqwqfzb2 = this.notEmpty(e.outRatio) ? Math.round(e.outRatio * 100) : '';
	     	       	})
	     	       	this.isNotEmpty = true;
	     	       	this.setData(list,lv);
	            }).catch(err => {
	            	this.isNotEmpty = false;
	            });
	        },
	    	// 设置标题和数据，如果数据为空，尝试从缓存中拿当前level的缓存
	    	setData(data,index){
	    		if(!data){
	    			this.list = this.cacheList[index];
	    		}else{
	        		this.list = data;
	        		this.cacheList[index] = data;
	    		}
	    	},
	        goBack(){
	            if (this.level === 1){
	            	 return;
	            }
	            this.level -= 1;
	            this.setData(null,this.level);
	        }, 
	        drillDown(data){
	            const item = data.item;
	            this.level += 1;
	            this.initData(item.nameCode,this.month,this.level);
	        },
	        switchColumn(){
	        	bh = document.getElementsByClassName('el-table__body-wrapper')[3].style.height;
	        	let arg = {
	        		data : this.tablecolumn,
	        		method : 'switchOrgUnCallback'
	        	};
	        	Emp.execute("toSwitchColumn('" + JSON.stringify(arg) + "')");
	        },
	        registerListener(){
	        	let div = document.getElementById("orgUn")
	        	let dom = div.getElementsByClassName("el-table__body-wrapper")[0];
	        	dom.addEventListener('scroll', () => {
	        		if(dom.scrollWidth - dom.clientWidth - dom.scrollLeft <= 1){
	        			this.$refs.echarts.$refs.explain.visible = true;
	        		}else{
	        			this.$refs.echarts.$refs.explain.visible = false;
	        		}
	        	});
	        },
	        notEmpty(arg){
	        	if(arg === undefined || arg === '' || arg == null){
	        		return false;
	        	}else{
	        		return true;
	        	}
	        },
	    },
	    created() {
	    	window['goBack'] = () => {
		           if (this.level == 1) {
		                  console.log('返回普元');
		                try {
		                    Emp.execute('goBack()');
		                } catch (e) {
		
		                }
		                return
		            }
		            
		           this.goBack();
		        };
		    window['switchOrgUnCallback'] = (param) => {
			  	let arg = JSON.parse(param);
			   	if(arg){
			   		arg.forEach((it,i) => {
			   			this.c[i].label = it.label;
			   			this.c[i].key = this.current == 1 ? (it.key + "2") : it.key.substring(0,it.key.length - 1);
			   			this.c[i].sortable = it.sortable;
			   			this.c[i].width = it.width;
			   			this.c[i].align = it.align;
			   			this.c[i].isNumber = it.isNumber;
			   			this.c[i].isDrillDown = it.isDrillDown;
			   			this.c[i].chose = it.chose;
			   			this.c[i].order = it.order;
			   			this.c[i].fixed = it.fixed;
			   		});
			   		let temp = this.tablecolumn;
			   		this.tablecolumn = this.c;
			   		this.c = temp;
			   		this.current = this.current == 1 ? 2 : 1;
		    		if(this.current == 1){
		    			this.defaultSort = {prop:'zqwqfe',order: 'ascending'};
		    		}else{
		    			this.defaultSort = {prop:'zqwqfe2',order: 'ascending'};
		    		}
		    		setTimeout(()=>{
		    			document.getElementsByClassName('el-table__body-wrapper')[3].style.height = bh;
		    		},300);
			   	}
			};
	    },
	    mounted() {
	    	if(!this.columnSetKnown){
				setTimeout(() => {
					this.registerListener();
				},1000);
	    	}
	    },
	    template: `
	    <div id="orgUn">
	        <drill-down-box
	        	v-show="isNotEmpty"
	        	class="marginTop8"
				ref="echarts"
				:is-no="false"
				:if-setting="true"
				:if-setting-known="columnSetKnown"
				:list="list" 
				:title="title"
				:table-height="tableHeight"
				:is-drill-down="isDrillDown" 
				:tablecolumn="tablecolumn"
				@drilldown="drillDown"
				@switchcolumn="switchColumn"
				:defaultSort="defaultSort"
				/>
			<div v-show="!isNotEmpty">
		        <div style="display: flex; justify-content: center; margin-top: 150px">
		           <img src="../../image/nodata.png" alt="" style="width: 100px; height: 80px">
		        </div>
		        <div>
		           <h3 style="text-align: center;font-size:0.16rem;color:#333333;">暂无数据</h3>
		        </div>
		 	</div>
	    </div>
	    `,
	};