var impExportTab = {
	props: ['show','month','monthType','businessType','sumLevel','sendProvCode'],
	data(){
		return {
			active: 0,
	        activeBtn: {},
			tabBtn:[
					{
						id: 1,
	                    name: "全范围",
	                    type: 'all',
					},{
						id: 2,
						name: "城区",
	                    type: 'area',
					}
	        ],
		};
	},
    components: {
    	'red': red,
    	//'imp': imp,
    	'tab-btn-box': tabBtnBox,
    	
	},
	watch: {
		show: function(val){
			if(this.show && !this.activeBtn && !this.activeBtn.type){
				this.chooseTabBtn();
			}
		},
	},
	methods: {
		chooseTabBtn: function (item) {
			if(!item || !item.type){
				item = this.tabBtn[0];
			}
			this.activeBtn = item;
			this.active = item.id - 1;
	    },
	},
	created() {
	},
	mounted() {
		if(this.show){
			this.chooseTabBtn();
		}
	},
    template: `
    	<div style="background: #FFF;">
			<div style="height:0.4rem; display:none; background:#FFF;box-shadow: 0px 1px 4px 0px rgba(187, 182, 182, 0.5);">
				<tab-btn-box :tab-btn="tabBtn" @choose-tab-btn="chooseTabBtn"></tab-btn-box>
			</div>
			<div class="tab">
				<van-tabs v-model="active">
					<van-tab>
						<red
							v-if="show && active == 0"
							:show="show && active == 0"
							:month="month"
							:month-type="monthType"
							:business-type="businessType"
							:sum-level="sumLevel"
							:send-prov-code="sendProvCode"
							/>
					</van-tab>
					<van-tab>
						<imp
							v-if="show && active == 1"
							:show="show && active == 1"
							:month="month"
							:month-type="monthType"
							:business-type="businessType"
							:sum-level="sumLevel"
							:send-prov-code="sendProvCode"
							/>
					</van-tab>
				</van-tabs>
			</div>
    	</div>
    `,
};